(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.unused_WDFCOLLECTION__ () boogieU)
(declare-fun T.unused_WDFDEVICE__ () boogieU)
(declare-fun T.unused_WDFDRIVER__ () boogieU)
(declare-fun T.unused_WDFFILEOBJECT__ () boogieU)
(declare-fun T.unused_WDFIOTARGET__ () boogieU)
(declare-fun T.unused_WDFMEMORY__ () boogieU)
(declare-fun T.unused_WDFQUEUE__ () boogieU)
(declare-fun T.unused_WDFREQUEST__ () boogieU)
(declare-fun T.unused_WDFSPINLOCK__ () boogieU)
(declare-fun T.unused_WDFUSBDEVICE__ () boogieU)
(declare-fun T.unused_WDFUSBINTERFACE__ () boogieU)
(declare-fun T.unused_WDFUSBPIPE__ () boogieU)
(declare-fun T.unused_WDFWORKITEM__ () boogieU)
(declare-fun T.OperationID__ACCESS_STATE () boogieU)
(declare-fun T.SecurityEvaluated__ACCESS_STATE () boogieU)
(declare-fun T.GenerateAudit__ACCESS_STATE () boogieU)
(declare-fun T.GenerateOnClose__ACCESS_STATE () boogieU)
(declare-fun T.PrivilegesAllocated__ACCESS_STATE () boogieU)
(declare-fun T.Flags__ACCESS_STATE () boogieU)
(declare-fun T.RemainingDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.PreviouslyGrantedAccess__ACCESS_STATE () boogieU)
(declare-fun T.OriginalDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.SubjectSecurityContext__ACCESS_STATE () boogieU)
(declare-fun T.SecurityDescriptor__ACCESS_STATE () boogieU)
(declare-fun T.AuxData__ACCESS_STATE () boogieU)
(declare-fun T.Privileges__ACCESS_STATE () boogieU)
(declare-fun T.AuditPrivileges__ACCESS_STATE () boogieU)
(declare-fun T.ObjectName__ACCESS_STATE () boogieU)
(declare-fun T.ObjectTypeName__ACCESS_STATE () boogieU)
(declare-fun T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_RESOURCE_LIST () boogieU)
(declare-fun T.List__CM_RESOURCE_LIST () boogieU)
(declare-fun T.Size__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Version__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.LockSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.EjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Removable__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DockDevice__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UniqueID__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SilentInstall__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.RawDeviceOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SurpriseRemovalOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD0__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD3__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.HardwareDisabled__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NonDynamic__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WarmEjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NoDisplayInUI__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Reserved__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Address__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UINumber__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceState__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SystemWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D1Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D2Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D3Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UsbDeviceDescriptor__DEVICE_CONTEXT () boogieU)
(declare-fun T.UsbConfigurationDescriptor__DEVICE_CONTEXT () boogieU)
(declare-fun T.WdfUsbTargetDevice__DEVICE_CONTEXT () boogieU)
(declare-fun T.WaitWakeEnable__DEVICE_CONTEXT () boogieU)
(declare-fun T.IsDeviceHighSpeed__DEVICE_CONTEXT () boogieU)
(declare-fun T.UsbInterface__DEVICE_CONTEXT () boogieU)
(declare-fun T.NumberConfiguredPipes__DEVICE_CONTEXT () boogieU)
(declare-fun T.Type__DEVICE_OBJECT () boogieU)
(declare-fun T.Size__DEVICE_OBJECT () boogieU)
(declare-fun T.ReferenceCount__DEVICE_OBJECT () boogieU)
(declare-fun T.DriverObject__DEVICE_OBJECT () boogieU)
(declare-fun T.NextDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.AttachedDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.CurrentIrp__DEVICE_OBJECT () boogieU)
(declare-fun T.Timer__DEVICE_OBJECT () boogieU)
(declare-fun T.Flags__DEVICE_OBJECT () boogieU)
(declare-fun T.Characteristics__DEVICE_OBJECT () boogieU)
(declare-fun T.Vpb__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceType__DEVICE_OBJECT () boogieU)
(declare-fun T.StackSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Queue__DEVICE_OBJECT () boogieU)
(declare-fun T.AlignmentRequirement__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceQueue__DEVICE_OBJECT () boogieU)
(declare-fun T.Dpc__DEVICE_OBJECT () boogieU)
(declare-fun T.ActiveThreadCount__DEVICE_OBJECT () boogieU)
(declare-fun T.SecurityDescriptor__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceLock__DEVICE_OBJECT () boogieU)
(declare-fun T.SectorSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Spare1__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceObjectExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.Reserved__DEVICE_OBJECT () boogieU)
(declare-fun T.Type__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.Size__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.DeviceObject__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.__unnamed_4_dfcb1314__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.DriverObject__DRIVER_EXTENSION () boogieU)
(declare-fun T.AddDevice__DRIVER_EXTENSION () boogieU)
(declare-fun T.Count__DRIVER_EXTENSION () boogieU)
(declare-fun T.ServiceKeyName__DRIVER_EXTENSION () boogieU)
(declare-fun T.Type__DRIVER_OBJECT () boogieU)
(declare-fun T.Size__DRIVER_OBJECT () boogieU)
(declare-fun T.DeviceObject__DRIVER_OBJECT () boogieU)
(declare-fun T.Flags__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStart__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSize__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSection__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverExtension__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverName__DRIVER_OBJECT () boogieU)
(declare-fun T.HardwareDatabase__DRIVER_OBJECT () boogieU)
(declare-fun T.FastIoDispatch__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverInit__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStartIo__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverUnload__DRIVER_OBJECT () boogieU)
(declare-fun T.MajorFunction__DRIVER_OBJECT () boogieU)
(declare-fun T.SystemResourcesList__ERESOURCE () boogieU)
(declare-fun T.OwnerTable__ERESOURCE () boogieU)
(declare-fun T.ActiveCount__ERESOURCE () boogieU)
(declare-fun T.Flag__ERESOURCE () boogieU)
(declare-fun T.SharedWaiters__ERESOURCE () boogieU)
(declare-fun T.ExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.OwnerEntry__ERESOURCE () boogieU)
(declare-fun T.ActiveEntries__ERESOURCE () boogieU)
(declare-fun T.ContentionCount__ERESOURCE () boogieU)
(declare-fun T.NumberOfSharedWaiters__ERESOURCE () boogieU)
(declare-fun T.NumberOfExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.__unnamed_4_9d516d2b__ERESOURCE () boogieU)
(declare-fun T.SpinLock__ERESOURCE () boogieU)
(declare-fun T.SizeOfFastIoDispatch__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoCheckIfPossible__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryBasicInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryStandardInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoLock__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockSingle__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAll__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAllByKey__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDeviceControl__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDetachDevice__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.PrepareMdlWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoReadCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWriteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryOpen__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.CreationTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.Pipe__FILE_CONTEXT () boogieU)
(declare-fun T.CreationTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.Type__FILE_OBJECT () boogieU)
(declare-fun T.Size__FILE_OBJECT () boogieU)
(declare-fun T.DeviceObject__FILE_OBJECT () boogieU)
(declare-fun T.Vpb__FILE_OBJECT () boogieU)
(declare-fun T.FsContext__FILE_OBJECT () boogieU)
(declare-fun T.FsContext2__FILE_OBJECT () boogieU)
(declare-fun T.SectionObjectPointer__FILE_OBJECT () boogieU)
(declare-fun T.PrivateCacheMap__FILE_OBJECT () boogieU)
(declare-fun T.FinalStatus__FILE_OBJECT () boogieU)
(declare-fun T.RelatedFileObject__FILE_OBJECT () boogieU)
(declare-fun T.LockOperation__FILE_OBJECT () boogieU)
(declare-fun T.DeletePending__FILE_OBJECT () boogieU)
(declare-fun T.ReadAccess__FILE_OBJECT () boogieU)
(declare-fun T.WriteAccess__FILE_OBJECT () boogieU)
(declare-fun T.DeleteAccess__FILE_OBJECT () boogieU)
(declare-fun T.SharedRead__FILE_OBJECT () boogieU)
(declare-fun T.SharedWrite__FILE_OBJECT () boogieU)
(declare-fun T.SharedDelete__FILE_OBJECT () boogieU)
(declare-fun T.Flags__FILE_OBJECT () boogieU)
(declare-fun T.FileName__FILE_OBJECT () boogieU)
(declare-fun T.CurrentByteOffset__FILE_OBJECT () boogieU)
(declare-fun T.Waiters__FILE_OBJECT () boogieU)
(declare-fun T.Busy__FILE_OBJECT () boogieU)
(declare-fun T.LastLock__FILE_OBJECT () boogieU)
(declare-fun T.Lock__FILE_OBJECT () boogieU)
(declare-fun T.Event__FILE_OBJECT () boogieU)
(declare-fun T.CompletionContext__FILE_OBJECT () boogieU)
(declare-fun T.IrpListLock__FILE_OBJECT () boogieU)
(declare-fun T.IrpList__FILE_OBJECT () boogieU)
(declare-fun T.FileObjectExtension__FILE_OBJECT () boogieU)
(declare-fun T.AllocationSize__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.NumberOfLinks__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.DeletePending__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Directory__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Data1__GUID () boogieU)
(declare-fun T.Data2__GUID () boogieU)
(declare-fun T.Data3__GUID () boogieU)
(declare-fun T.Data4__GUID () boogieU)
(declare-fun T.PrivilegeCount__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Control__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Size__INTERFACE () boogieU)
(declare-fun T.Version__INTERFACE () boogieU)
(declare-fun T.Context__INTERFACE () boogieU)
(declare-fun T.InterfaceReference__INTERFACE () boogieU)
(declare-fun T.InterfaceDereference__INTERFACE () boogieU)
(declare-fun T.Port__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Key__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Option__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare1__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare2__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Count__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Descriptors__IO_RESOURCE_LIST () boogieU)
(declare-fun T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.List__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SecurityQos__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.AccessState__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.DesiredAccess__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.FullCreateOptions__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.MinorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.Flags__IO_STACK_LOCATION () boogieU)
(declare-fun T.Control__IO_STACK_LOCATION () boogieU)
(declare-fun T.Parameters__IO_STACK_LOCATION () boogieU)
(declare-fun T.DeviceObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.FileObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.CompletionRoutine__IO_STACK_LOCATION () boogieU)
(declare-fun T.Context__IO_STACK_LOCATION () boogieU)
(declare-fun T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Type__IRP () boogieU)
(declare-fun T.Size__IRP () boogieU)
(declare-fun T.MdlAddress__IRP () boogieU)
(declare-fun T.Flags__IRP () boogieU)
(declare-fun T.AssociatedIrp__IRP () boogieU)
(declare-fun T.ThreadListEntry__IRP () boogieU)
(declare-fun T.IoStatus__IRP () boogieU)
(declare-fun T.RequestorMode__IRP () boogieU)
(declare-fun T.PendingReturned__IRP () boogieU)
(declare-fun T.StackCount__IRP () boogieU)
(declare-fun T.CurrentLocation__IRP () boogieU)
(declare-fun T.Cancel__IRP () boogieU)
(declare-fun T.CancelIrql__IRP () boogieU)
(declare-fun T.ApcEnvironment__IRP () boogieU)
(declare-fun T.AllocationFlags__IRP () boogieU)
(declare-fun T.UserIosb__IRP () boogieU)
(declare-fun T.UserEvent__IRP () boogieU)
(declare-fun T.Overlay__IRP () boogieU)
(declare-fun T.CancelRoutine__IRP () boogieU)
(declare-fun T.UserBuffer__IRP () boogieU)
(declare-fun T.Tail__IRP () boogieU)
(declare-fun T.Type__KAPC () boogieU)
(declare-fun T.SpareByte0__KAPC () boogieU)
(declare-fun T.Size__KAPC () boogieU)
(declare-fun T.SpareByte1__KAPC () boogieU)
(declare-fun T.SpareLong0__KAPC () boogieU)
(declare-fun T.Thread__KAPC () boogieU)
(declare-fun T.ApcListEntry__KAPC () boogieU)
(declare-fun T.KernelRoutine__KAPC () boogieU)
(declare-fun T.RundownRoutine__KAPC () boogieU)
(declare-fun T.NormalRoutine__KAPC () boogieU)
(declare-fun T.NormalContext__KAPC () boogieU)
(declare-fun T.SystemArgument1__KAPC () boogieU)
(declare-fun T.SystemArgument2__KAPC () boogieU)
(declare-fun T.ApcStateIndex__KAPC () boogieU)
(declare-fun T.ApcMode__KAPC () boogieU)
(declare-fun T.Inserted__KAPC () boogieU)
(declare-fun T.Type__KDEVICE_QUEUE () boogieU)
(declare-fun T.Size__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListHead__KDEVICE_QUEUE () boogieU)
(declare-fun T.Lock__KDEVICE_QUEUE () boogieU)
(declare-fun T.Busy__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListEntry__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.SortKey__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Inserted__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Type__KDPC () boogieU)
(declare-fun T.Importance__KDPC () boogieU)
(declare-fun T.Number__KDPC () boogieU)
(declare-fun T.DpcListEntry__KDPC () boogieU)
(declare-fun T.DeferredRoutine__KDPC () boogieU)
(declare-fun T.DeferredContext__KDPC () boogieU)
(declare-fun T.SystemArgument1__KDPC () boogieU)
(declare-fun T.SystemArgument2__KDPC () boogieU)
(declare-fun T.DpcData__KDPC () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Header__KSEMAPHORE () boogieU)
(declare-fun T.Limit__KSEMAPHORE () boogieU)
(declare-fun T.__unnamed_8_bb154058__LARGE_INTEGER () boogieU)
(declare-fun T.u__LARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__LARGE_INTEGER () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.LowPart__LUID () boogieU)
(declare-fun T.HighPart__LUID () boogieU)
(declare-fun T.Luid__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Attributes__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.OwnerThread__OWNER_ENTRY () boogieU)
(declare-fun T.__unnamed_4_c406319a__OWNER_ENTRY () boogieU)
(declare-fun T.SequenceD1__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD2__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD3__POWER_SEQUENCE () boogieU)
(declare-fun T.SystemState__POWER_STATE () boogieU)
(declare-fun T.DeviceState__POWER_STATE () boogieU)
(declare-fun T.PrivilegeCount__PRIVILEGE_SET () boogieU)
(declare-fun T.Control__PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__PRIVILEGE_SET () boogieU)
(declare-fun T.UrbMemory__REQUEST_CONTEXT () boogieU)
(declare-fun T.Mdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.Length__REQUEST_CONTEXT () boogieU)
(declare-fun T.Numxfer__REQUEST_CONTEXT () boogieU)
(declare-fun T.VirtualAddress__REQUEST_CONTEXT () boogieU)
(declare-fun T.SubRequestCollection__REQUEST_CONTEXT () boogieU)
(declare-fun T.SubRequestCollectionLock__REQUEST_CONTEXT () boogieU)
(declare-fun T.Read__REQUEST_CONTEXT () boogieU)
(declare-fun T.DataSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.SharedCacheMap__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.ImageSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.Length__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ClientToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.PrimaryToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.UserRequest__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.SubUrb__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.SubMdl__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.ListEntry__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_f525de8d__SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T.Length__UNICODE_STRING () boogieU)
(declare-fun T.MaximumLength__UNICODE_STRING () boogieU)
(declare-fun T.Buffer__UNICODE_STRING () boogieU)
(declare-fun T.__unnamed_96_e511a626__URB () boogieU)
(declare-fun T.Hdr__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.hca__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.Hdr__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.DescriptorType__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.LanguageId__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved3__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved4__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved5__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.FeatureSelector__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Interface__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.PipeHandle__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferFlags__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.hca__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.SetupPacket__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.Hdr__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.PipeHandle__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferFlags__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.Timeout__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.hca__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.SetupPacket__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.Hdr__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferFlags__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.RequestTypeReservedBits__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Request__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Value__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Hdr__URB_FRAME_LENGTH_CONTROL () boogieU)
(declare-fun T.Hdr__URB_GET_CURRENT_FRAME_NUMBER () boogieU)
(declare-fun T.FrameNumber__URB_GET_CURRENT_FRAME_NUMBER () boogieU)
(declare-fun T.Hdr__URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T.FrameLength__URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T.FrameNumber__URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T.Reserved8__URB_HCD_AREA () boogieU)
(declare-fun T.Length__URB_HEADER () boogieU)
(declare-fun T.Function__URB_HEADER () boogieU)
(declare-fun T.Status__URB_HEADER () boogieU)
(declare-fun T.UsbdDeviceHandle__URB_HEADER () boogieU)
(declare-fun T.UsbdFlags__URB_HEADER () boogieU)
(declare-fun T.Hdr__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.PipeHandle__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferFlags__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferBufferLength__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferBuffer__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferBufferMDL__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.UrbLink__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.hca__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.StartFrame__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.NumberOfPackets__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.ErrorCount__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.IsoPacket__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.Hdr__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.hca__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Recipient__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.InterfaceNumber__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.MS_PageIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.MS_FeatureDescriptorIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved3__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Hdr__URB_PIPE_IO_POLICY () boogieU)
(declare-fun T.PipeHandle__URB_PIPE_IO_POLICY () boogieU)
(declare-fun T.UsbIoParamters__URB_PIPE_IO_POLICY () boogieU)
(declare-fun T.Hdr__URB_PIPE_REQUEST () boogieU)
(declare-fun T.PipeHandle__URB_PIPE_REQUEST () boogieU)
(declare-fun T.Reserved__URB_PIPE_REQUEST () boogieU)
(declare-fun T.Hdr__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.ConfigurationDescriptor__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.ConfigurationHandle__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.Interface__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.Hdr__URB_SELECT_INTERFACE () boogieU)
(declare-fun T.ConfigurationHandle__URB_SELECT_INTERFACE () boogieU)
(declare-fun T.Interface__URB_SELECT_INTERFACE () boogieU)
(declare-fun T.Hdr__URB_SET_FRAME_LENGTH () boogieU)
(declare-fun T.FrameLengthDelta__URB_SET_FRAME_LENGTH () boogieU)
(declare-fun T.Length__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.InterfaceNumber__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.AlternateSetting__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Class__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.SubClass__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Protocol__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Reserved__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.InterfaceHandle__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.NumberOfPipes__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Pipes__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Offset__USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.Length__USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.Status__USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.MaximumPacketSize__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.EndpointAddress__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.Interval__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeType__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeHandle__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.MaximumTransferSize__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeFlags__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.bLength__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bDescriptorType__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.wTotalLength__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bNumInterfaces__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bConfigurationValue__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.iConfiguration__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bmAttributes__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.MaxPower__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bLength__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDescriptorType__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bcdUSB__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDeviceClass__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDeviceSubClass__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDeviceProtocol__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bMaxPacketSize0__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.idVendor__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.idProduct__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bcdDevice__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.iManufacturer__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.iProduct__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.iSerialNumber__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bNumConfigurations__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.UsbIoPriority__USB_IO_PARAMETERS () boogieU)
(declare-fun T.UsbMaxPendingIrps__USB_IO_PARAMETERS () boogieU)
(declare-fun T.UsbMaxControllerTransfer__USB_IO_PARAMETERS () boogieU)
(declare-fun T.Type__VPB () boogieU)
(declare-fun T.Size__VPB () boogieU)
(declare-fun T.Flags__VPB () boogieU)
(declare-fun T.VolumeLabelLength__VPB () boogieU)
(declare-fun T.DeviceObject__VPB () boogieU)
(declare-fun T.RealDevice__VPB () boogieU)
(declare-fun T.SerialNumber__VPB () boogieU)
(declare-fun T.ReferenceCount__VPB () boogieU)
(declare-fun T.VolumeLabel__VPB () boogieU)
(declare-fun T.WaitQueueEntry__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceRoutine__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceContext__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceObject__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.CurrentIrp__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferChainingDpc__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferOffset__WDFMEMORY_OFFSET () boogieU)
(declare-fun T.BufferLength__WDFMEMORY_OFFSET () boogieU)
(declare-fun T.Driver__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverFlags__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverTag__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverName__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.Size__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.EvtCleanupCallback__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.EvtDestroyCallback__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ExecutionLevel__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.SynchronizationScope__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ParentObject__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ContextSizeOverride__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ContextTypeInfo__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.Size__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Type__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Size__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.MinorFunction__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.Type__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.Size__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Flags__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Timeout__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Size__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.MaximumPacketSize__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.EndpointAddress__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.Interval__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.SettingIndex__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeType__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.MaximumTransferSize__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.Size__WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.EvtWorkItemFunc__WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.AutomaticSerialization__WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.Device__WORKITEM_CONTEXT () boogieU)
(declare-fun T.Pipe__WORKITEM_CONTEXT () boogieU)
(declare-fun T.Generic___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Port___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Interrupt___unnamed_12_00aa0978 () boogieU)
(declare-fun T.MessageInterrupt___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Dma___unnamed_12_00aa0978 () boogieU)
(declare-fun T.DevicePrivate___unnamed_12_00aa0978 () boogieU)
(declare-fun T.BusNumber___unnamed_12_00aa0978 () boogieU)
(declare-fun T.DeviceSpecificData___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory40___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory48___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory64___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Level___unnamed_12_011610e6 () boogieU)
(declare-fun T.Vector___unnamed_12_011610e6 () boogieU)
(declare-fun T.Affinity___unnamed_12_011610e6 () boogieU)
(declare-fun T.__unnamed_12_a04f3ec2___unnamed_12_135b00bd () boogieU)
(declare-fun T.Data___unnamed_12_2349179a () boogieU)
(declare-fun T.Data___unnamed_12_508ad0f8 () boogieU)
(declare-fun T.DataSize___unnamed_12_5a101f58 () boogieU)
(declare-fun T.Reserved1___unnamed_12_5a101f58 () boogieU)
(declare-fun T.Reserved2___unnamed_12_5a101f58 () boogieU)
(declare-fun T.Start___unnamed_12_5c984402 () boogieU)
(declare-fun T.Length40___unnamed_12_5c984402 () boogieU)
(declare-fun T.Reserved___unnamed_12_6851572b () boogieU)
(declare-fun T.MessageCount___unnamed_12_6851572b () boogieU)
(declare-fun T.Vector___unnamed_12_6851572b () boogieU)
(declare-fun T.Affinity___unnamed_12_6851572b () boogieU)
(declare-fun T.Start___unnamed_12_91f117a1 () boogieU)
(declare-fun T.Length___unnamed_12_91f117a1 () boogieU)
(declare-fun T.Reserved___unnamed_12_91f117a1 () boogieU)
(declare-fun T.Buffer___unnamed_12_9675b19c () boogieU)
(declare-fun T.Offset___unnamed_12_9675b19c () boogieU)
(declare-fun T.Length___unnamed_12_9675b19c () boogieU)
(declare-fun T.Priority___unnamed_12_99988665 () boogieU)
(declare-fun T.Reserved1___unnamed_12_99988665 () boogieU)
(declare-fun T.Reserved2___unnamed_12_99988665 () boogieU)
(declare-fun T.Channel___unnamed_12_9b023e7e () boogieU)
(declare-fun T.Port___unnamed_12_9b023e7e () boogieU)
(declare-fun T.Reserved1___unnamed_12_9b023e7e () boogieU)
(declare-fun T.Raw___unnamed_12_a04f3ec2 () boogieU)
(declare-fun T.Translated___unnamed_12_a04f3ec2 () boogieU)
(declare-fun T.Buffer___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Length___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Offset___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Start___unnamed_12_aae97e0b () boogieU)
(declare-fun T.Length___unnamed_12_aae97e0b () boogieU)
(declare-fun T.ListEntry___unnamed_12_b0fe679d () boogieU)
(declare-fun T.__unnamed_4_ac2f5fe2___unnamed_12_b0fe679d () boogieU)
(declare-fun T.Level___unnamed_12_b4709d3d () boogieU)
(declare-fun T.Vector___unnamed_12_b4709d3d () boogieU)
(declare-fun T.Affinity___unnamed_12_b4709d3d () boogieU)
(declare-fun T.Start___unnamed_12_c07928f7 () boogieU)
(declare-fun T.Length48___unnamed_12_c07928f7 () boogieU)
(declare-fun T.Start___unnamed_12_c13de773 () boogieU)
(declare-fun T.Length___unnamed_12_c13de773 () boogieU)
(declare-fun T.Buffer___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Length___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Offset___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Start___unnamed_12_e7dc8c54 () boogieU)
(declare-fun T.Length___unnamed_12_e7dc8c54 () boogieU)
(declare-fun T.Start___unnamed_12_f4e6bbc2 () boogieU)
(declare-fun T.Length64___unnamed_12_f4e6bbc2 () boogieU)
(declare-fun T.InterfaceType___unnamed_16_08405228 () boogieU)
(declare-fun T.Size___unnamed_16_08405228 () boogieU)
(declare-fun T.Version___unnamed_16_08405228 () boogieU)
(declare-fun T.Interface___unnamed_16_08405228 () boogieU)
(declare-fun T.InterfaceSpecificData___unnamed_16_08405228 () boogieU)
(declare-fun T.Length___unnamed_16_0c179b13 () boogieU)
(declare-fun T.StartSid___unnamed_16_0c179b13 () boogieU)
(declare-fun T.SidList___unnamed_16_0c179b13 () boogieU)
(declare-fun T.SidListLength___unnamed_16_0c179b13 () boogieU)
(declare-fun T.Length___unnamed_16_160c71e3 () boogieU)
(declare-fun T.Key___unnamed_16_160c71e3 () boogieU)
(declare-fun T.DeviceOffset___unnamed_16_160c71e3 () boogieU)
(declare-fun T.Argument1___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument2___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument3___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument4___unnamed_16_28d48018 () boogieU)
(declare-fun T.Length___unnamed_16_30754a00 () boogieU)
(declare-fun T.Key___unnamed_16_30754a00 () boogieU)
(declare-fun T.DeviceOffset___unnamed_16_30754a00 () boogieU)
(declare-fun T.Length___unnamed_16_3538eb2e () boogieU)
(declare-fun T.MinBusNumber___unnamed_16_3538eb2e () boogieU)
(declare-fun T.MaxBusNumber___unnamed_16_3538eb2e () boogieU)
(declare-fun T.Reserved___unnamed_16_3538eb2e () boogieU)
(declare-fun T.Create___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Read___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Write___unnamed_16_3be92f23 () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Others___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Length___unnamed_16_4692f360 () boogieU)
(declare-fun T.Key___unnamed_16_4692f360 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_4692f360 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_47a80b6e () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_47a80b6e () boogieU)
(declare-fun T.FsControlCode___unnamed_16_47a80b6e () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_47a80b6e () boogieU)
(declare-fun T.__unnamed_4_4008e71b___unnamed_16_4a376f0e () boogieU)
(declare-fun T.Type___unnamed_16_4a376f0e () boogieU)
(declare-fun T.State___unnamed_16_4a376f0e () boogieU)
(declare-fun T.ShutdownType___unnamed_16_4a376f0e () boogieU)
(declare-fun T.Create___unnamed_16_50547125 () boogieU)
(declare-fun T.Read___unnamed_16_50547125 () boogieU)
(declare-fun T.Write___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryDirectory___unnamed_16_50547125 () boogieU)
(declare-fun T.NotifyDirectory___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryFile___unnamed_16_50547125 () boogieU)
(declare-fun T.SetFile___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryEa___unnamed_16_50547125 () boogieU)
(declare-fun T.SetEa___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.SetVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.FileSystemControl___unnamed_16_50547125 () boogieU)
(declare-fun T.LockControl___unnamed_16_50547125 () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_50547125 () boogieU)
(declare-fun T.QuerySecurity___unnamed_16_50547125 () boogieU)
(declare-fun T.SetSecurity___unnamed_16_50547125 () boogieU)
(declare-fun T.MountVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.VerifyVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.Scsi___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryQuota___unnamed_16_50547125 () boogieU)
(declare-fun T.SetQuota___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryDeviceRelations___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryInterface___unnamed_16_50547125 () boogieU)
(declare-fun T.DeviceCapabilities___unnamed_16_50547125 () boogieU)
(declare-fun T.FilterResourceRequirements___unnamed_16_50547125 () boogieU)
(declare-fun T.ReadWriteConfig___unnamed_16_50547125 () boogieU)
(declare-fun T.SetLock___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryId___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryDeviceText___unnamed_16_50547125 () boogieU)
(declare-fun T.UsageNotification___unnamed_16_50547125 () boogieU)
(declare-fun T.WaitWake___unnamed_16_50547125 () boogieU)
(declare-fun T.PowerSequence___unnamed_16_50547125 () boogieU)
(declare-fun T.Power___unnamed_16_50547125 () boogieU)
(declare-fun T.StartDevice___unnamed_16_50547125 () boogieU)
(declare-fun T.WMI___unnamed_16_50547125 () boogieU)
(declare-fun T.Others___unnamed_16_50547125 () boogieU)
(declare-fun T.WhichSpace___unnamed_16_70b335ff () boogieU)
(declare-fun T.Buffer___unnamed_16_70b335ff () boogieU)
(declare-fun T.Offset___unnamed_16_70b335ff () boogieU)
(declare-fun T.Length___unnamed_16_70b335ff () boogieU)
(declare-fun T.SecurityContext___unnamed_16_758cc376 () boogieU)
(declare-fun T.Options___unnamed_16_758cc376 () boogieU)
(declare-fun T.FileAttributes___unnamed_16_758cc376 () boogieU)
(declare-fun T.ShareAccess___unnamed_16_758cc376 () boogieU)
(declare-fun T.EaLength___unnamed_16_758cc376 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_7b663246 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_7b663246 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_7b663246 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_7b663246 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.Length___unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.Key___unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.DriverContext___unnamed_16_90864369 () boogieU)
(declare-fun T.Length___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.EaList___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.EaListLength___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.EaIndex___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.Argument1___unnamed_16_b19c652e () boogieU)
(declare-fun T.Argument2___unnamed_16_b19c652e () boogieU)
(declare-fun T.Argument3___unnamed_16_b19c652e () boogieU)
(declare-fun T.Argument4___unnamed_16_b19c652e () boogieU)
(declare-fun T.Length___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.FileName___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.FileIndex___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.Length___unnamed_16_d07eb79e () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_d07eb79e () boogieU)
(declare-fun T.FileObject___unnamed_16_d07eb79e () boogieU)
(declare-fun T.__unnamed_4_b65679a6___unnamed_16_d07eb79e () boogieU)
(declare-fun T.Arg1___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.Arg2___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.Arg4___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.ProviderId___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.DataPath___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.BufferSize___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.Buffer___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.Length___unnamed_16_f0deee7d () boogieU)
(declare-fun T.Key___unnamed_16_f0deee7d () boogieU)
(declare-fun T.ByteOffset___unnamed_16_f0deee7d () boogieU)
(declare-fun T.SecurityContext___unnamed_16_f26424fc () boogieU)
(declare-fun T.Options___unnamed_16_f26424fc () boogieU)
(declare-fun T.FileAttributes___unnamed_16_f26424fc () boogieU)
(declare-fun T.ShareAccess___unnamed_16_f26424fc () boogieU)
(declare-fun T.EaLength___unnamed_16_f26424fc () boogieU)
(declare-fun T.DeviceQueueEntry___unnamed_16_f8ddfcfe () boogieU)
(declare-fun T.__unnamed_16_90864369___unnamed_16_f8ddfcfe () boogieU)
(declare-fun T.Lock___unnamed_1_26d71ac8 () boogieU)
(declare-fun T.Abandoned___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Absolute___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.NpxIrql___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Signalling___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Size___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Hand___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Inserted___unnamed_1_a536060f () boogieU)
(declare-fun T.DebugActive___unnamed_1_a536060f () boogieU)
(declare-fun T.DpcActive___unnamed_1_a536060f () boogieU)
(declare-fun T.MinimumVector___unnamed_20_f8440734 () boogieU)
(declare-fun T.MaximumVector___unnamed_20_f8440734 () boogieU)
(declare-fun T.AffinityPolicy___unnamed_20_f8440734 () boogieU)
(declare-fun T.PriorityPolicy___unnamed_20_f8440734 () boogieU)
(declare-fun T.TargetedProcessors___unnamed_20_f8440734 () boogieU)
(declare-fun T.Length64___unnamed_24_06d73087 () boogieU)
(declare-fun T.Alignment64___unnamed_24_06d73087 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_06d73087 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_06d73087 () boogieU)
(declare-fun T.Length___unnamed_24_22419524 () boogieU)
(declare-fun T.Alignment___unnamed_24_22419524 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_22419524 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_22419524 () boogieU)
(declare-fun T.Length40___unnamed_24_36b7e766 () boogieU)
(declare-fun T.Alignment40___unnamed_24_36b7e766 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_36b7e766 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_36b7e766 () boogieU)
(declare-fun T.Length___unnamed_24_370204c2 () boogieU)
(declare-fun T.Alignment___unnamed_24_370204c2 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_370204c2 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_370204c2 () boogieU)
(declare-fun T.IoControlCode___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Input___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Output___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Length48___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.Alignment48___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.Write___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Read___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ioctl___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Others___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Usb___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Length___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.Alignment___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.Port___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Interrupt___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Dma___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Generic___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.DevicePrivate___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.BusNumber___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.ConfigData___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory40___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory48___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory64___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.ReplaceIfExists___unnamed_2_8290e1b0 () boogieU)
(declare-fun T.AdvanceOnly___unnamed_2_8290e1b0 () boogieU)
(declare-fun T.__unnamed_16_f8ddfcfe___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.Thread___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.AuxiliaryBuffer___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.__unnamed_12_b0fe679d___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.OriginalFileObject___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.ListEntry___unnamed_40_dbe30577 () boogieU)
(declare-fun T.Wcb___unnamed_40_dbe30577 () boogieU)
(declare-fun T.InitialPrivilegeSet___unnamed_44_d7e89117 () boogieU)
(declare-fun T.PrivilegeSet___unnamed_44_d7e89117 () boogieU)
(declare-fun T.Overlay___unnamed_48_5a9f979b () boogieU)
(declare-fun T.Apc___unnamed_48_5a9f979b () boogieU)
(declare-fun T.CompletionKey___unnamed_48_5a9f979b () boogieU)
(declare-fun T.MasterIrp___unnamed_4_0a20c9fb () boogieU)
(declare-fun T.IrpCount___unnamed_4_0a20c9fb () boogieU)
(declare-fun T.SystemBuffer___unnamed_4_0a20c9fb () boogieU)
(declare-fun T.Length___unnamed_4_27fec054 () boogieU)
(declare-fun T.PowerState___unnamed_4_342578c3 () boogieU)
(declare-fun T.Capabilities___unnamed_4_36e06717 () boogieU)
(declare-fun T.PowerSequence___unnamed_4_3e8985b1 () boogieU)
(declare-fun T.SystemContext___unnamed_4_4008e71b () boogieU)
(declare-fun T.SystemPowerStateContext___unnamed_4_4008e71b () boogieU)
(declare-fun T.UserApcRoutine___unnamed_4_41bc16eb () boogieU)
(declare-fun T.IssuingProcess___unnamed_4_41bc16eb () boogieU)
(declare-fun T.Ptr___unnamed_4_442e007e () boogieU)
(declare-fun T.Value___unnamed_4_442e007e () boogieU)
(declare-fun T.Status___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Pointer___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Reserved1___unnamed_4_82d41359 () boogieU)
(declare-fun T.TargetSystemState___unnamed_4_82d41359 () boogieU)
(declare-fun T.EffectiveSystemState___unnamed_4_82d41359 () boogieU)
(declare-fun T.CurrentSystemState___unnamed_4_82d41359 () boogieU)
(declare-fun T.IgnoreHibernationPath___unnamed_4_82d41359 () boogieU)
(declare-fun T.PseudoTransition___unnamed_4_82d41359 () boogieU)
(declare-fun T.Reserved2___unnamed_4_82d41359 () boogieU)
(declare-fun T.Srb___unnamed_4_94f0c80c () boogieU)
(declare-fun T.Type___unnamed_4_9b388132 () boogieU)
(declare-fun T.Address___unnamed_4_9d516d2b () boogieU)
(declare-fun T.CreatorBackTraceIndex___unnamed_4_9d516d2b () boogieU)
(declare-fun T.CurrentStackLocation___unnamed_4_ac2f5fe2 () boogieU)
(declare-fun T.PacketType___unnamed_4_ac2f5fe2 () boogieU)
(declare-fun T.Type___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a19e9f98___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a536060f___unnamed_4_b1953259 () boogieU)
(declare-fun T.Ptr___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Value___unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_2_8290e1b0___unnamed_4_b65679a6 () boogieU)
(declare-fun T.ClusterCount___unnamed_4_b65679a6 () boogieU)
(declare-fun T.DeleteHandle___unnamed_4_b65679a6 () boogieU)
(declare-fun T.OwnerCount___unnamed_4_c406319a () boogieU)
(declare-fun T.TableSize___unnamed_4_c406319a () boogieU)
(declare-fun T.Ptr___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Value___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Completion___unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_b1953259___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Lock___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Length___unnamed_4_e60fbc3e () boogieU)
(declare-fun T.__unnamed_4_82d41359___unnamed_4_f525de8d () boogieU)
(declare-fun T.ContextAsUlong___unnamed_4_f525de8d () boogieU)
(declare-fun T.IoResourceRequirementList___unnamed_4_f571b1b9 () boogieU)
(declare-fun T.IdType___unnamed_4_fad32fd4 () boogieU)
(declare-fun T.Ptr___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Value___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Buffer___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.Offset___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.AsynchronousParameters___unnamed_8_2c71b416 () boogieU)
(declare-fun T.AllocationSize___unnamed_8_2c71b416 () boogieU)
(declare-fun T.AllocatedResources___unnamed_8_305df57c () boogieU)
(declare-fun T.AllocatedResourcesTranslated___unnamed_8_305df57c () boogieU)
(declare-fun T.LowPart___unnamed_8_4aac83fd () boogieU)
(declare-fun T.HighPart___unnamed_8_4aac83fd () boogieU)
(declare-fun T.Length___unnamed_8_5c8f0abe () boogieU)
(declare-fun T.FileInformationClass___unnamed_8_5c8f0abe () boogieU)
(declare-fun T.Length___unnamed_8_872f0ca6 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_872f0ca6 () boogieU)
(declare-fun T.Vpb___unnamed_8_89024868 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_89024868 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_8bfbe2a4 () boogieU)
(declare-fun T.Length___unnamed_8_8bfbe2a4 () boogieU)
(declare-fun T.MinimumChannel___unnamed_8_9b5da84f () boogieU)
(declare-fun T.MaximumChannel___unnamed_8_9b5da84f () boogieU)
(declare-fun T.DeviceTextType___unnamed_8_9da0b827 () boogieU)
(declare-fun T.LocaleId___unnamed_8_9da0b827 () boogieU)
(declare-fun T.LowPart___unnamed_8_bb154058 () boogieU)
(declare-fun T.HighPart___unnamed_8_bb154058 () boogieU)
(declare-fun T.InPath___unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.Reserved___unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.Type___unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.__unnamed_4_41bc16eb___unnamed_8_d0cda093 () boogieU)
(declare-fun T.UserApcContext___unnamed_8_d0cda093 () boogieU)
(declare-fun T.Length___unnamed_8_da064ae3 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_da064ae3 () boogieU)
(declare-fun T.Length___unnamed_8_e1457eff () boogieU)
(declare-fun T.CompletionFilter___unnamed_8_e1457eff () boogieU)
(declare-fun T.Vpb___unnamed_8_f62d54e1 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_f62d54e1 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_f825c111 () boogieU)
(declare-fun T.SecurityDescriptor___unnamed_8_f825c111 () boogieU)
(declare-fun T.UrbHeader___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbSelectInterface___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbSelectConfiguration___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbPipeRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbFrameLengthControl___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbGetFrameLength___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbSetFrameLength___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbGetCurrentFrameNumber___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlTransfer___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlTransferEx___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbPipeIoPolicy___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbBulkOrInterruptTransfer___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbIsochronousTransfer___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlDescriptorRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlGetStatusRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlFeatureRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlVendorClassRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlGetInterfaceRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlGetConfigurationRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbOSFeatureDescriptorRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.A1_CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_LIST () boogieU)
(declare-fun T.A1_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A1_USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.A1_USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.A28PFDRIVER_DISPATCH () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.A32UINT2 () boogieU)
(declare-fun T.A3UCHAR () boogieU)
(declare-fun T.A3UINT4 () boogieU)
(declare-fun T.A3_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A4PVOID () boogieU)
(declare-fun T.A4UCHAR () boogieU)
(declare-fun T.A5CHAR () boogieU)
(declare-fun T.A6CHAR () boogieU)
(declare-fun T.A7_DEVICE_POWER_STATE () boogieU)
(declare-fun T.A8PVOID () boogieU)
(declare-fun T.A8UCHAR () boogieU)
(declare-fun T.BUS_QUERY_ID_TYPE () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.DEVICE_TEXT_TYPE () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F10 () boogieU)
(declare-fun T.F11 () boogieU)
(declare-fun T.F12 () boogieU)
(declare-fun T.F13 () boogieU)
(declare-fun T.F14 () boogieU)
(declare-fun T.F15 () boogieU)
(declare-fun T.F16 () boogieU)
(declare-fun T.F17 () boogieU)
(declare-fun T.F18 () boogieU)
(declare-fun T.F19 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.F20 () boogieU)
(declare-fun T.F21 () boogieU)
(declare-fun T.F22 () boogieU)
(declare-fun T.F23 () boogieU)
(declare-fun T.F24 () boogieU)
(declare-fun T.F25 () boogieU)
(declare-fun T.F26 () boogieU)
(declare-fun T.F27 () boogieU)
(declare-fun T.F28 () boogieU)
(declare-fun T.F29 () boogieU)
(declare-fun T.F3 () boogieU)
(declare-fun T.F30 () boogieU)
(declare-fun T.F31 () boogieU)
(declare-fun T.F32 () boogieU)
(declare-fun T.F33 () boogieU)
(declare-fun T.F34 () boogieU)
(declare-fun T.F35 () boogieU)
(declare-fun T.F36 () boogieU)
(declare-fun T.F37 () boogieU)
(declare-fun T.F4 () boogieU)
(declare-fun T.F5 () boogieU)
(declare-fun T.F6 () boogieU)
(declare-fun T.F7 () boogieU)
(declare-fun T.F8 () boogieU)
(declare-fun T.F9 () boogieU)
(declare-fun T.FDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.FDRIVER_CANCEL () boogieU)
(declare-fun T.FDRIVER_DISPATCH () boogieU)
(declare-fun T.FDRIVER_INITIALIZE () boogieU)
(declare-fun T.FDRIVER_STARTIO () boogieU)
(declare-fun T.FDRIVER_UNLOAD () boogieU)
(declare-fun T.FEVT_WDF_OBJECT_CONTEXT_CLEANUP () boogieU)
(declare-fun T.FEVT_WDF_OBJECT_CONTEXT_DESTROY () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.FEVT_WDF_WORKITEM () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.FFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.FFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.FFAST_IO_LOCK () boogieU)
(declare-fun T.FFAST_IO_MDL_READ () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.FFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.FFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.FFAST_IO_READ () boogieU)
(declare-fun T.FFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.FFAST_IO_WRITE () boogieU)
(declare-fun T.FFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.FIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA5CHAR () boogieU)
(declare-fun T.PA6CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF27 () boogieU)
(declare-fun T.PF28 () boogieU)
(declare-fun T.PF29 () boogieU)
(declare-fun T.PF31 () boogieU)
(declare-fun T.PF32 () boogieU)
(declare-fun T.PF33 () boogieU)
(declare-fun T.PF35 () boogieU)
(declare-fun T.PF36 () boogieU)
(declare-fun T.PF37 () boogieU)
(declare-fun T.PFDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.PFDRIVER_CANCEL () boogieU)
(declare-fun T.PFDRIVER_DISPATCH () boogieU)
(declare-fun T.PFDRIVER_INITIALIZE () boogieU)
(declare-fun T.PFDRIVER_STARTIO () boogieU)
(declare-fun T.PFDRIVER_UNLOAD () boogieU)
(declare-fun T.PFEVT_WDF_OBJECT_CONTEXT_CLEANUP () boogieU)
(declare-fun T.PFEVT_WDF_OBJECT_CONTEXT_DESTROY () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PFEVT_WDF_WORKITEM () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.PFFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.PFFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.PFFAST_IO_LOCK () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.PFFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.PFFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.PFFAST_IO_READ () boogieU)
(declare-fun T.PFFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.PFFAST_IO_WRITE () boogieU)
(declare-fun T.PFFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.PFIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.POWER_ACTION () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPF32 () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PPFEVT_WDF_WORKITEM () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPPVOID () boogieU)
(declare-fun T.PPPWDFCOLLECTION__ () boogieU)
(declare-fun T.PPPWDFMEMORY__ () boogieU)
(declare-fun T.PPPWDFREQUEST__ () boogieU)
(declare-fun T.PPPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPPWDFWORKITEM__ () boogieU)
(declare-fun T.PPP_MDL () boogieU)
(declare-fun T.PPUCHAR () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PPWDFCOLLECTION__ () boogieU)
(declare-fun T.PPWDFDEVICE__ () boogieU)
(declare-fun T.PPWDFFILEOBJECT__ () boogieU)
(declare-fun T.PPWDFIOTARGET__ () boogieU)
(declare-fun T.PPWDFMEMORY__ () boogieU)
(declare-fun T.PPWDFQUEUE__ () boogieU)
(declare-fun T.PPWDFREQUEST__ () boogieU)
(declare-fun T.PPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPWDFUSBDEVICE__ () boogieU)
(declare-fun T.PPWDFUSBINTERFACE__ () boogieU)
(declare-fun T.PPWDFUSBPIPE__ () boogieU)
(declare-fun T.PPWDFWORKITEM__ () boogieU)
(declare-fun T.PP_DEVICE_CONTEXT () boogieU)
(declare-fun T.PP_ERESOURCE () boogieU)
(declare-fun T.PP_FILE_CONTEXT () boogieU)
(declare-fun T.PP_IRP () boogieU)
(declare-fun T.PP_LIST_ENTRY () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_URB () boogieU)
(declare-fun T.PP_WDFMEMORY_OFFSET () boogieU)
(declare-fun T.PP_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.PP_WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.PP_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.PP_WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.PP_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.PP_WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.PP_WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.PP_WORKITEM_CONTEXT () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT2 () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWDFCOLLECTION__ () boogieU)
(declare-fun T.PWDFDEVICE__ () boogieU)
(declare-fun T.PWDFDRIVER__ () boogieU)
(declare-fun T.PWDFFILEOBJECT__ () boogieU)
(declare-fun T.PWDFIOTARGET__ () boogieU)
(declare-fun T.PWDFMEMORY__ () boogieU)
(declare-fun T.PWDFQUEUE__ () boogieU)
(declare-fun T.PWDFREQUEST__ () boogieU)
(declare-fun T.PWDFSPINLOCK__ () boogieU)
(declare-fun T.PWDFUSBDEVICE__ () boogieU)
(declare-fun T.PWDFUSBINTERFACE__ () boogieU)
(declare-fun T.PWDFUSBPIPE__ () boogieU)
(declare-fun T.PWDFWORKITEM__ () boogieU)
(declare-fun T.P_ACCESS_STATE () boogieU)
(declare-fun T.P_CM_RESOURCE_LIST () boogieU)
(declare-fun T.P_COMPRESSED_DATA_INFO () boogieU)
(declare-fun T.P_DEVICE_CAPABILITIES () boogieU)
(declare-fun T.P_DEVICE_CONTEXT () boogieU)
(declare-fun T.P_DEVICE_OBJECT () boogieU)
(declare-fun T.P_DEVOBJ_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_OBJECT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_ERESOURCE () boogieU)
(declare-fun T.P_FAST_IO_DISPATCH () boogieU)
(declare-fun T.P_FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.P_FILE_CONTEXT () boogieU)
(declare-fun T.P_FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T.P_FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.P_FILE_OBJECT () boogieU)
(declare-fun T.P_FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.P_GUID () boogieU)
(declare-fun T.P_INTERFACE () boogieU)
(declare-fun T.P_IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.P_IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.P_IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.P_IO_STACK_LOCATION () boogieU)
(declare-fun T.P_IO_STATUS_BLOCK () boogieU)
(declare-fun T.P_IO_TIMER () boogieU)
(declare-fun T.P_IRP () boogieU)
(declare-fun T.P_KAPC () boogieU)
(declare-fun T.P_KDPC () boogieU)
(declare-fun T.P_KEVENT () boogieU)
(declare-fun T.P_KPROCESS () boogieU)
(declare-fun T.P_KSEMAPHORE () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LARGE_INTEGER () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_OWNER_ENTRY () boogieU)
(declare-fun T.P_POOL_TYPE () boogieU)
(declare-fun T.P_POWER_SEQUENCE () boogieU)
(declare-fun T.P_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T.P_SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.P_SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.P_SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_UNICODE_STRING () boogieU)
(declare-fun T.P_URB () boogieU)
(declare-fun T.P_USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.P_USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.P_VPB () boogieU)
(declare-fun T.P_WDFMEMORY_OFFSET () boogieU)
(declare-fun T.P_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.P_WDF_IO_TARGET_SENT_IO_ACTION () boogieU)
(declare-fun T.P_WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.P_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.P_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.P_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.P_WDF_REQUEST_TYPE () boogieU)
(declare-fun T.P_WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.P_WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.P_WORKITEM_CONTEXT () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT2 () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WDFCOLLECTION__ () boogieU)
(declare-fun T.WDFDEVICE__ () boogieU)
(declare-fun T.WDFDRIVER__ () boogieU)
(declare-fun T.WDFFILEOBJECT__ () boogieU)
(declare-fun T.WDFIOTARGET__ () boogieU)
(declare-fun T.WDFMEMORY__ () boogieU)
(declare-fun T.WDFQUEUE__ () boogieU)
(declare-fun T.WDFREQUEST__ () boogieU)
(declare-fun T.WDFSPINLOCK__ () boogieU)
(declare-fun T.WDFUSBDEVICE__ () boogieU)
(declare-fun T.WDFUSBINTERFACE__ () boogieU)
(declare-fun T.WDFUSBPIPE__ () boogieU)
(declare-fun T.WDFWORKITEM__ () boogieU)
(declare-fun T._ACCESS_STATE () boogieU)
(declare-fun T._CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T._CM_RESOURCE_LIST () boogieU)
(declare-fun T._COMPRESSED_DATA_INFO () boogieU)
(declare-fun T._DEVICE_CAPABILITIES () boogieU)
(declare-fun T._DEVICE_CONTEXT () boogieU)
(declare-fun T._DEVICE_OBJECT () boogieU)
(declare-fun T._DEVICE_POWER_STATE () boogieU)
(declare-fun T._DEVICE_RELATION_TYPE () boogieU)
(declare-fun T._DEVICE_USAGE_NOTIFICATION_TYPE () boogieU)
(declare-fun T._DEVOBJ_EXTENSION () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._DRIVER_EXTENSION () boogieU)
(declare-fun T._DRIVER_OBJECT () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._ERESOURCE () boogieU)
(declare-fun T._FAST_IO_DISPATCH () boogieU)
(declare-fun T._FILE_BASIC_INFORMATION () boogieU)
(declare-fun T._FILE_CONTEXT () boogieU)
(declare-fun T._FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T._FILE_INFORMATION_CLASS () boogieU)
(declare-fun T._FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T._FILE_OBJECT () boogieU)
(declare-fun T._FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T._FSINFOCLASS () boogieU)
(declare-fun T._GUID () boogieU)
(declare-fun T._INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T._INTERFACE () boogieU)
(declare-fun T._INTERFACE_TYPE () boogieU)
(declare-fun T._IO_ALLOCATION_ACTION () boogieU)
(declare-fun T._IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T._IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._IO_RESOURCE_LIST () boogieU)
(declare-fun T._IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T._IO_SECURITY_CONTEXT () boogieU)
(declare-fun T._IO_STACK_LOCATION () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._IO_TIMER () boogieU)
(declare-fun T._IRP () boogieU)
(declare-fun T._IRQ_DEVICE_POLICY () boogieU)
(declare-fun T._IRQ_PRIORITY () boogieU)
(declare-fun T._KAPC () boogieU)
(declare-fun T._KDEVICE_QUEUE () boogieU)
(declare-fun T._KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T._KDPC () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KPROCESS () boogieU)
(declare-fun T._KSEMAPHORE () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._LARGE_INTEGER () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._LUID () boogieU)
(declare-fun T._LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._OWNER_ENTRY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._POWER_SEQUENCE () boogieU)
(declare-fun T._POWER_STATE () boogieU)
(declare-fun T._POWER_STATE_TYPE () boogieU)
(declare-fun T._PRIVILEGE_SET () boogieU)
(declare-fun T._REQUEST_CONTEXT () boogieU)
(declare-fun T._SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T._SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T._SECURITY_IMPERSONATION_LEVEL () boogieU)
(declare-fun T._SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T._SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T._SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T._SYSTEM_POWER_STATE () boogieU)
(declare-fun T._SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T._UNICODE_STRING () boogieU)
(declare-fun T._URB () boogieU)
(declare-fun T._URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T._URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_TRANSFER () boogieU)
(declare-fun T._URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T._URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T._URB_FRAME_LENGTH_CONTROL () boogieU)
(declare-fun T._URB_GET_CURRENT_FRAME_NUMBER () boogieU)
(declare-fun T._URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T._URB_HCD_AREA () boogieU)
(declare-fun T._URB_HEADER () boogieU)
(declare-fun T._URB_ISOCH_TRANSFER () boogieU)
(declare-fun T._URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T._URB_PIPE_IO_POLICY () boogieU)
(declare-fun T._URB_PIPE_REQUEST () boogieU)
(declare-fun T._URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T._URB_SELECT_INTERFACE () boogieU)
(declare-fun T._URB_SET_FRAME_LENGTH () boogieU)
(declare-fun T._USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T._USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T._USBD_PIPE_INFORMATION () boogieU)
(declare-fun T._USBD_PIPE_TYPE () boogieU)
(declare-fun T._USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T._USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T._USB_IO_PARAMETERS () boogieU)
(declare-fun T._USB_IO_PRIORITY () boogieU)
(declare-fun T._VPB () boogieU)
(declare-fun T._WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T._WDFMEMORY_OFFSET () boogieU)
(declare-fun T._WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T._WDF_IO_TARGET_SENT_IO_ACTION () boogieU)
(declare-fun T._WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T._WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T._WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T._WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T._WDF_REQUEST_TYPE () boogieU)
(declare-fun T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T._WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T._WDF_USB_PIPE_TYPE () boogieU)
(declare-fun T._WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T._WORKITEM_CONTEXT () boogieU)
(declare-fun T.__unnamed_12_00aa0978 () boogieU)
(declare-fun T.__unnamed_12_011610e6 () boogieU)
(declare-fun T.__unnamed_12_135b00bd () boogieU)
(declare-fun T.__unnamed_12_2349179a () boogieU)
(declare-fun T.__unnamed_12_508ad0f8 () boogieU)
(declare-fun T.__unnamed_12_5a101f58 () boogieU)
(declare-fun T.__unnamed_12_5c984402 () boogieU)
(declare-fun T.__unnamed_12_6851572b () boogieU)
(declare-fun T.__unnamed_12_91f117a1 () boogieU)
(declare-fun T.__unnamed_12_9675b19c () boogieU)
(declare-fun T.__unnamed_12_99988665 () boogieU)
(declare-fun T.__unnamed_12_9b023e7e () boogieU)
(declare-fun T.__unnamed_12_a04f3ec2 () boogieU)
(declare-fun T.__unnamed_12_a41ee278 () boogieU)
(declare-fun T.__unnamed_12_aae97e0b () boogieU)
(declare-fun T.__unnamed_12_b0fe679d () boogieU)
(declare-fun T.__unnamed_12_b4709d3d () boogieU)
(declare-fun T.__unnamed_12_c07928f7 () boogieU)
(declare-fun T.__unnamed_12_c13de773 () boogieU)
(declare-fun T.__unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.__unnamed_12_e7dc8c54 () boogieU)
(declare-fun T.__unnamed_12_f4e6bbc2 () boogieU)
(declare-fun T.__unnamed_16_08405228 () boogieU)
(declare-fun T.__unnamed_16_0c179b13 () boogieU)
(declare-fun T.__unnamed_16_160c71e3 () boogieU)
(declare-fun T.__unnamed_16_28d48018 () boogieU)
(declare-fun T.__unnamed_16_30754a00 () boogieU)
(declare-fun T.__unnamed_16_3538eb2e () boogieU)
(declare-fun T.__unnamed_16_3be92f23 () boogieU)
(declare-fun T.__unnamed_16_4692f360 () boogieU)
(declare-fun T.__unnamed_16_47a80b6e () boogieU)
(declare-fun T.__unnamed_16_4a376f0e () boogieU)
(declare-fun T.__unnamed_16_50547125 () boogieU)
(declare-fun T.__unnamed_16_70b335ff () boogieU)
(declare-fun T.__unnamed_16_758cc376 () boogieU)
(declare-fun T.__unnamed_16_7b663246 () boogieU)
(declare-fun T.__unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.__unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.__unnamed_16_90864369 () boogieU)
(declare-fun T.__unnamed_16_98fa84c9 () boogieU)
(declare-fun T.__unnamed_16_b19c652e () boogieU)
(declare-fun T.__unnamed_16_cbf64d77 () boogieU)
(declare-fun T.__unnamed_16_d07eb79e () boogieU)
(declare-fun T.__unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.__unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.__unnamed_16_f0deee7d () boogieU)
(declare-fun T.__unnamed_16_f26424fc () boogieU)
(declare-fun T.__unnamed_16_f8ddfcfe () boogieU)
(declare-fun T.__unnamed_1_26d71ac8 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.__unnamed_1_a19e9f98 () boogieU)
(declare-fun T.__unnamed_1_a536060f () boogieU)
(declare-fun T.__unnamed_20_f8440734 () boogieU)
(declare-fun T.__unnamed_24_06d73087 () boogieU)
(declare-fun T.__unnamed_24_22419524 () boogieU)
(declare-fun T.__unnamed_24_36b7e766 () boogieU)
(declare-fun T.__unnamed_24_370204c2 () boogieU)
(declare-fun T.__unnamed_24_52bbd12f () boogieU)
(declare-fun T.__unnamed_24_76cd2bdb () boogieU)
(declare-fun T.__unnamed_24_a2447d05 () boogieU)
(declare-fun T.__unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.__unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.__unnamed_2_8290e1b0 () boogieU)
(declare-fun T.__unnamed_40_cfd29ebe () boogieU)
(declare-fun T.__unnamed_40_dbe30577 () boogieU)
(declare-fun T.__unnamed_44_d7e89117 () boogieU)
(declare-fun T.__unnamed_48_5a9f979b () boogieU)
(declare-fun T.__unnamed_4_0a20c9fb () boogieU)
(declare-fun T.__unnamed_4_27fec054 () boogieU)
(declare-fun T.__unnamed_4_342578c3 () boogieU)
(declare-fun T.__unnamed_4_36e06717 () boogieU)
(declare-fun T.__unnamed_4_3e8985b1 () boogieU)
(declare-fun T.__unnamed_4_4008e71b () boogieU)
(declare-fun T.__unnamed_4_41bc16eb () boogieU)
(declare-fun T.__unnamed_4_442e007e () boogieU)
(declare-fun T.__unnamed_4_6a857cdd () boogieU)
(declare-fun T.__unnamed_4_82d41359 () boogieU)
(declare-fun T.__unnamed_4_94f0c80c () boogieU)
(declare-fun T.__unnamed_4_9b388132 () boogieU)
(declare-fun T.__unnamed_4_9d516d2b () boogieU)
(declare-fun T.__unnamed_4_ac2f5fe2 () boogieU)
(declare-fun T.__unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_4_b65679a6 () boogieU)
(declare-fun T.__unnamed_4_c406319a () boogieU)
(declare-fun T.__unnamed_4_d6f0159b () boogieU)
(declare-fun T.__unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_dfcb1314 () boogieU)
(declare-fun T.__unnamed_4_e60fbc3e () boogieU)
(declare-fun T.__unnamed_4_f525de8d () boogieU)
(declare-fun T.__unnamed_4_f571b1b9 () boogieU)
(declare-fun T.__unnamed_4_fad32fd4 () boogieU)
(declare-fun T.__unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.__unnamed_8_20ce6f92 () boogieU)
(declare-fun T.__unnamed_8_2c71b416 () boogieU)
(declare-fun T.__unnamed_8_305df57c () boogieU)
(declare-fun T.__unnamed_8_4aac83fd () boogieU)
(declare-fun T.__unnamed_8_5c8f0abe () boogieU)
(declare-fun T.__unnamed_8_872f0ca6 () boogieU)
(declare-fun T.__unnamed_8_89024868 () boogieU)
(declare-fun T.__unnamed_8_8bfbe2a4 () boogieU)
(declare-fun T.__unnamed_8_9b5da84f () boogieU)
(declare-fun T.__unnamed_8_9da0b827 () boogieU)
(declare-fun T.__unnamed_8_bb154058 () boogieU)
(declare-fun T.__unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.__unnamed_8_d0cda093 () boogieU)
(declare-fun T.__unnamed_8_da064ae3 () boogieU)
(declare-fun T.__unnamed_8_e1457eff () boogieU)
(declare-fun T.__unnamed_8_f62d54e1 () boogieU)
(declare-fun T.__unnamed_8_f825c111 () boogieU)
(declare-fun T.__unnamed_96_e511a626 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (boogieU) boogieU)
(declare-fun x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (boogieU) boogieU)
(declare-fun x_S_Device__WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Device__WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_Function__URB_HEADER (boogieU) boogieU)
(declare-fun x_S_Function__URB_HEADERInv (boogieU) boogieU)
(declare-fun x_S_Hdr__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_Hdr__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_IsDeviceHighSpeed__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_IsoPacket__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_IsoPacket__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_Length__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Length__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Length__URB_HEADER (boogieU) boogieU)
(declare-fun x_S_Length__URB_HEADERInv (boogieU) boogieU)
(declare-fun x_S_Length__USBD_ISO_PACKET_DESCRIPTOR (boogieU) boogieU)
(declare-fun x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv (boogieU) boogieU)
(declare-fun x_S_ListEntry__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ListEntry__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION (boogieU) boogieU)
(declare-fun x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (boogieU) boogieU)
(declare-fun x_S_Mdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Mdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberConfiguredPipes__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberOfPackets__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_Numxfer__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Numxfer__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR (boogieU) boogieU)
(declare-fun x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv (boogieU) boogieU)
(declare-fun x_S_ParentObject__WDF_OBJECT_ATTRIBUTES (boogieU) boogieU)
(declare-fun x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_PipeType__WDF_USB_PIPE_INFORMATION (boogieU) boogieU)
(declare-fun x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv (boogieU) boogieU)
(declare-fun x_S_Pipe__FILE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Pipe__FILE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Pipe__WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Pipe__WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Read__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Read__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Size__WDF_USB_PIPE_INFORMATION (boogieU) boogieU)
(declare-fun x_S_Size__WDF_USB_PIPE_INFORMATIONInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cdd (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cddInv (boogieU) boogieU)
(declare-fun x_S_SubMdl__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubMdl__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_SubRequestCollectionLock__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_SubRequestCollection__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubRequestCollection__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_SubUrb__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubUrb__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_Type__WDF_REQUEST_PARAMETERS (boogieU) boogieU)
(declare-fun x_S_Type__WDF_REQUEST_PARAMETERSInv (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (boogieU) boogieU)
(declare-fun x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (boogieU) boogieU)
(declare-fun x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (boogieU) boogieU)
(declare-fun x_S_UrbHeader___unnamed_96_e511a626 (boogieU) boogieU)
(declare-fun x_S_UrbHeader___unnamed_96_e511a626Inv (boogieU) boogieU)
(declare-fun x_S_UrbIsochronousTransfer___unnamed_96_e511a626 (boogieU) boogieU)
(declare-fun x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_UrbMemory__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UrbMemory__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_UsbInterface__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UsbInterface__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_UserRequest__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UserRequest__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_VirtualAddress__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_VirtualAddress__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_WdfUsbTargetDevice__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S___unnamed_96_e511a626__URB (boogieU) boogieU)
(declare-fun x_S___unnamed_96_e511a626__URBInv (boogieU) boogieU)
(declare-fun x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR (boogieU) boogieU)
(declare-fun x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (boogieU) boogieU)
(declare-fun ReadWriteCompletion () Int)
(declare-fun ReadWriteWorkItem () Int)
(declare-fun SubRequestCompletionRoutine () Int)
(declare-fun UsbSamp_EvtRequestCancel () Int)
(declare-fun WdfDriverGlobals () Int)
(declare-fun x_WDF_DEVICE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_FILE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_SUB_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_WORKITEM_CONTEXT_TYPE_INFO () Int)
(declare-fun hbuffer () Int)
(declare-fun hdctx () Int)
(declare-fun hdevcollection_count () Int)
(declare-fun hdevice () Int)
(declare-fun hln () Int)
(declare-fun hlock () Int)
(declare-fun hmdl () Int)
(declare-fun hqctx () Int)
(declare-fun hqueue () Int)
(declare-fun hrctx () Int)
(declare-fun hrequest () Int)
(declare-fun htctx () Int)
(declare-fun htimer () Int)
(declare-fun hwork_item () Int)
(declare-fun notused_4hbuffer () Int)
(declare-fun notused_4hfileobj () Int)
(declare-fun notused_4hmdl () Int)
(declare-fun notused_4hwork_item () Int)
(declare-fun notused_4wdfobject1 () Int)
(declare-fun notused_4wdmobject1 () Int)
(declare-fun notused_ctx () Int)
(declare-fun notused_hrequest () Int)
(declare-fun pnotused () Int)
(declare-fun BOOGIE_LARGE_INT_4294967295 () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun Blink__LIST_ENTRYInv (Int) Int)
(declare-fun Blink__LIST_ENTRY (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (Int) Int)
(declare-fun ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (Int) Int)
(declare-fun Device__WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Device__WORKITEM_CONTEXT (Int) Int)
(declare-fun Flink__LIST_ENTRYInv (Int) Int)
(declare-fun Flink__LIST_ENTRY (Int) Int)
(declare-fun Function__URB_HEADERInv (Int) Int)
(declare-fun Function__URB_HEADER (Int) Int)
(declare-fun Hdr__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun Hdr__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMS (Int) Int)
(declare-fun IsDeviceHighSpeed__DEVICE_CONTEXTInv (Int) Int)
(declare-fun IsDeviceHighSpeed__DEVICE_CONTEXT (Int) Int)
(declare-fun IsoPacket__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun IsoPacket__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun Length__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Length__REQUEST_CONTEXT (Int) Int)
(declare-fun Length__URB_HEADERInv (Int) Int)
(declare-fun Length__URB_HEADER (Int) Int)
(declare-fun Length__USBD_ISO_PACKET_DESCRIPTORInv (Int) Int)
(declare-fun Length__USBD_ISO_PACKET_DESCRIPTOR (Int) Int)
(declare-fun ListEntry__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun ListEntry__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (Int) Int)
(declare-fun MaximumPacketSize__WDF_USB_PIPE_INFORMATION (Int) Int)
(declare-fun Mdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Mdl__REQUEST_CONTEXT (Int) Int)
(declare-fun NumberConfiguredPipes__DEVICE_CONTEXTInv (Int) Int)
(declare-fun NumberConfiguredPipes__DEVICE_CONTEXT (Int) Int)
(declare-fun NumberOfPackets__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun NumberOfPackets__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun Numxfer__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Numxfer__REQUEST_CONTEXT (Int) Int)
(declare-fun Offset__USBD_ISO_PACKET_DESCRIPTORInv (Int) Int)
(declare-fun Offset__USBD_ISO_PACKET_DESCRIPTOR (Int) Int)
(declare-fun ParentObject__WDF_OBJECT_ATTRIBUTESInv (Int) Int)
(declare-fun ParentObject__WDF_OBJECT_ATTRIBUTES (Int) Int)
(declare-fun PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun PipeHandle__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun PipeHandle__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun PipeType__WDF_USB_PIPE_INFORMATIONInv (Int) Int)
(declare-fun PipeType__WDF_USB_PIPE_INFORMATION (Int) Int)
(declare-fun Pipe__FILE_CONTEXTInv (Int) Int)
(declare-fun Pipe__FILE_CONTEXT (Int) Int)
(declare-fun Pipe__WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Pipe__WORKITEM_CONTEXT (Int) Int)
(declare-fun Read__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Read__REQUEST_CONTEXT (Int) Int)
(declare-fun Size__WDF_USB_PIPE_INFORMATIONInv (Int) Int)
(declare-fun Size__WDF_USB_PIPE_INFORMATION (Int) Int)
(declare-fun Status___unnamed_4_6a857cddInv (Int) Int)
(declare-fun Status___unnamed_4_6a857cdd (Int) Int)
(declare-fun SubMdl__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubMdl__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun SubRequestCollectionLock__REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubRequestCollectionLock__REQUEST_CONTEXT (Int) Int)
(declare-fun SubRequestCollection__REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubRequestCollection__REQUEST_CONTEXT (Int) Int)
(declare-fun SubUrb__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubUrb__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferBufferLength__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun TransferBufferLength__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferBufferMDL__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun TransferBufferMDL__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferFlags__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun TransferFlags__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun Type__WDF_REQUEST_PARAMETERSInv (Int) Int)
(declare-fun Type__WDF_REQUEST_PARAMETERS (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (Int) Int)
(declare-fun UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (Int) Int)
(declare-fun UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (Int) Int)
(declare-fun UrbHeader___unnamed_96_e511a626Inv (Int) Int)
(declare-fun UrbHeader___unnamed_96_e511a626 (Int) Int)
(declare-fun UrbIsochronousTransfer___unnamed_96_e511a626Inv (Int) Int)
(declare-fun UrbIsochronousTransfer___unnamed_96_e511a626 (Int) Int)
(declare-fun UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun UrbLink__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun UrbLink__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun UrbMemory__REQUEST_CONTEXTInv (Int) Int)
(declare-fun UrbMemory__REQUEST_CONTEXT (Int) Int)
(declare-fun UsbConfigurationDescriptor__DEVICE_CONTEXTInv (Int) Int)
(declare-fun UsbConfigurationDescriptor__DEVICE_CONTEXT (Int) Int)
(declare-fun UsbInterface__DEVICE_CONTEXTInv (Int) Int)
(declare-fun UsbInterface__DEVICE_CONTEXT (Int) Int)
(declare-fun UserRequest__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun UserRequest__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun VirtualAddress__REQUEST_CONTEXTInv (Int) Int)
(declare-fun VirtualAddress__REQUEST_CONTEXT (Int) Int)
(declare-fun WdfUsbTargetDevice__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WdfUsbTargetDevice__DEVICE_CONTEXT (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (Int) Int)
(declare-fun x__unnamed_96_e511a626__URBInv (Int) Int)
(declare-fun x__unnamed_96_e511a626__URB (Int) Int)
(declare-fun wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (Int) Int)
(declare-fun wTotalLength__USB_CONFIGURATION_DESCRIPTOR (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun alloc.50 () boogieU)
(declare-fun alloc.49 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.4 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.14 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.13 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.4 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.14 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.13 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.4 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.4 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3 () boogieU)
(declare-fun Mem_s_1_T.PWDFREQUEST__ () boogieU)
(declare-fun alloc.34 () boogieU)
(declare-fun alloc.48 () boogieU)
(declare-fun alloc.42 () boogieU)
(declare-fun alloc.47 () boogieU)
(declare-fun alloc.41 () boogieU)
(declare-fun alloc.46 () boogieU)
(declare-fun alloc.45 () boogieU)
(declare-fun alloc.43 () boogieU)
(declare-fun alloc.44 () boogieU)
(declare-fun alloc.39 () boogieU)
(declare-fun alloc.38 () boogieU)
(declare-fun alloc.40 () boogieU)
(declare-fun alloc.37 () boogieU)
(declare-fun alloc.36 () boogieU)
(declare-fun alloc.35 () boogieU)
(declare-fun alloc.32 () boogieU)
(declare-fun alloc.33 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__ () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__ () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.12 () boogieU)
(declare-fun alloc.31 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.12 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2 () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.11 () boogieU)
(declare-fun alloc.30 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.11 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun alloc.28 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.8 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.8 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.10 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.10 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.9 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.9 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.7 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.7 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun alloc.29 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.6 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.6 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.3 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.3 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.5 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.5 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.4 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.4 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.2 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.1 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.1 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.2 () boogieU)
(declare-fun alloc.27 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.0 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.0 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun alloc.19 () boogieU)
(declare-fun alloc.20 () boogieU)
(declare-fun alloc.21 () boogieU)
(declare-fun alloc.22 () boogieU)
(declare-fun alloc.23 () boogieU)
(declare-fun alloc.24 () boogieU)
(declare-fun alloc.25 () boogieU)
(declare-fun alloc.26 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun errorReached.45 () Int)
(declare-fun reqCompleted_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 () Int)
(declare-fun reqCompleted_1 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun reqCancelSet_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 () Int)
(declare-fun reqCancelSet_1 () Int)
(declare-fun reqCancelStarted_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 () Int)
(declare-fun reqCancelStarted_1 () Int)
(declare-fun reqCompleteSet_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 () Int)
(declare-fun reqCompleteSet_1 () Int)
(declare-fun reqSent_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 () Int)
(declare-fun reqSent_1 () Int)
(declare-fun Base (Int) Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.36 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.32 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.13 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.12 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.35 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.11 () Int)
(declare-fun call36342formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.7 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.4 () Int)
(declare-fun call34831formal.ret.0 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.25 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.22 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.21 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.50 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.47 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.20 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.19 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.46 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.24 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.23 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.49 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2 () Int)
(declare-fun call32139formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.1 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.16 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.13 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.12 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.0 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..0 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..1 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..0 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.1 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.39 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.37 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.14 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.38 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.11 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.36 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.1 () Int)
(declare-fun call30532formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.10 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.9 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 () Int)
(declare-fun inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 () Int)
(declare-fun inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.4 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.4 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.1 () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.0 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.3 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.65 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.64 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.3 () Int)
(declare-fun raiseException.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.4 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..0 () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.3 () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..4 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..6 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.GetFileContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetFileContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..3 () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.5 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..1 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..2 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun reqCompleted_0.25 () Int)
(declare-fun reqCompleted_0.24 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..3 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun x.result.nondet.8830.0.4..0 () Int)
(declare-fun call37244formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.4 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.2 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.3 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..3 () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..2 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.6 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.13 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0.3 () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.4 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.2 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.2 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..5 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..5 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext.2 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..6 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..5 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.13 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.12 () Int)
(declare-fun reqCancelStarted_1.2 () Int)
(declare-fun reqCancelStarted_1.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.4 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.1 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext.3 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext.2 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.3 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.4 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.3 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.1 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.4 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..2 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.12 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.11 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun reqCancelStarted_0.2 () Int)
(declare-fun reqCancelStarted_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..2 () Int)
(declare-fun inline.GetDeviceContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.0.myNondetVar_0.1 () Int)
(declare-fun reqCompleteSet_0.16 () Int)
(declare-fun reqCompleteSet_0.15 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0.3 () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..2 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..3 () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.6 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.5 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.0 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.9 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..6 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..3 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.4 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.2 () Int)
(declare-fun inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.30 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.29 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.3 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.6 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.5 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..4 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.4 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.6 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.7 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..2 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..3 () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..2 () Int)
(declare-fun reqCancelSet_1.31 () Int)
(declare-fun reqCancelSet_1.30 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.2 () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.0 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.6 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..2 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.4 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.6 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..3 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..3 () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0.3 () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetFileContext.1..result.GetFileContext.107.0.1..2 () Int)
(declare-fun inline.GetFileContext.1..result.GetFileContext.107.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..2 () Int)
(declare-fun inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..3 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..3 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.4 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..2 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..5 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..4 () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.9 () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5 () Int)
(declare-fun reqCompleted_1.25 () Int)
(declare-fun reqCompleted_1.24 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..2 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.2 () Int)
(declare-fun x.result.nondet.8849.2.6..0 () Int)
(declare-fun call37294formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..2 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.29 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.28 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.9 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.3 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.5 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.GetRequestContext.0..result.GetRequestContext.127.0.1..2 () Int)
(declare-fun inline.GetRequestContext.0..result.GetRequestContext.127.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..3 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.7 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.17 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.16 () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.4 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..2 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..4 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.4 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 () Int)
(declare-fun errorReached.106 () Int)
(declare-fun errorReached.105 () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..3 () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.4 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..2 () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0.3 () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.4 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..2 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 () Int)
(declare-fun reqCompleteSet_1.16 () Int)
(declare-fun reqCompleteSet_1.15 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext.3 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.3 () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun reqCancelSet_0.31 () Int)
(declare-fun reqCancelSet_0.30 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.3 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.6 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.5 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.5 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.4 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.3 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..3 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.3 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.3 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.51 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.50 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.4 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.8 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.7 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..5 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..3 () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun reqSent_1.16 () Int)
(declare-fun reqSent_1.15 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..2 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.4 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun x.result.nondet.8813.0.2..0 () Int)
(declare-fun call37202formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.6 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.3 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.2 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.3 () Int)
(declare-fun reqSent_0.16 () Int)
(declare-fun reqSent_0.15 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.3 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.2 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.5 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.5 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.4 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..2 () Int)
(declare-fun inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.4 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.6 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.6 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.5 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.3 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.12 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.11 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.3 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.6 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.5 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..1 () Int)
(declare-fun inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..2 () Int)
(declare-fun inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.5 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..2 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.2 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..4 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..2 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..3 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..4 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.6 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.26 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.25 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.0 () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.2 () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..2 () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..1 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..4 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..2 () Int)
(declare-fun inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..1 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.3 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..4 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3 () Int)
(declare-fun k.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..4 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext.1 () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext.0 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..4 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.30 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.29 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.3 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.4 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..2 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.7 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.9 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.8 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.6 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.5 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.0 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.20 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun reqCompleted_s_1 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun reqCancelSet_s_1 () Int)
(declare-fun reqCancelStarted_s_1 () Int)
(declare-fun reqCompleteSet_s_1 () Int)
(declare-fun reqSent_s_1 () Int)
(declare-fun call37434formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.24 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun reqCancelSet_0.29 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..1 () Int)
(declare-fun reqCompleted_0.23 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun reqCompleteSet_0.14 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.0 () Int)
(declare-fun reqCompleteSet_1.14 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4 () Int)
(declare-fun call37349formal.new.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun call37388formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2 () Int)
(declare-fun reqCompleted_1.23 () Int)
(declare-fun reqCancelSet_1.29 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2 () Int)
(declare-fun reqSent_0.14 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1 () Int)
(declare-fun call37352formal.new.0 () Int)
(declare-fun reqSent_1.14 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.4 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun errorReached.104 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..1 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun reqCompleted_0.22 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0 () Int)
(declare-fun reqCancelSet_0.28 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0 () Int)
(declare-fun reqSent_0.13 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.23 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0 () Int)
(declare-fun reqCompleteSet_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0 () Int)
(declare-fun errorReached.103 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0 () Int)
(declare-fun reqCancelSet_1.28 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun reqSent_1.13 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4 () Int)
(declare-fun reqCompleted_1.22 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0 () Int)
(declare-fun reqCompleteSet_1.13 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1 () Int)
(declare-fun reqCancelSet_0.26 () Int)
(declare-fun errorReached.101 () Int)
(declare-fun reqCompleted_1.20 () Int)
(declare-fun reqCancelSet_1.26 () Int)
(declare-fun reqCompleted_0.20 () Int)
(declare-fun reqCancelSet_0.27 () Int)
(declare-fun errorReached.102 () Int)
(declare-fun reqCompleted_1.21 () Int)
(declare-fun reqCancelSet_1.27 () Int)
(declare-fun reqCompleted_0.21 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun call38718formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun reqSent_1.10 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion () Int)
(declare-fun call38770formal.new.0 () Int)
(declare-fun reqSent_0.10 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2. () Int)
(declare-fun call38788formal.ret.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6. () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0 () Int)
(declare-fun call38724formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun call38721formal.new.0 () Int)
(declare-fun errorReached.94 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.22 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7. () Int)
(declare-fun reqCompleteSet_0.10 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1. () Int)
(declare-fun reqCompleteSet_1.10 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.0 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.93 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.92 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback () Int)
(declare-fun call37718formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2. () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1. () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.11 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.10 () Int)
(declare-fun call37860formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun call37974formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2 () Int)
(declare-fun errorReached.91 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.16 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun errorReached.95 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.21 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2. () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3 () Int)
(declare-fun call38295formal.ret.0 () Int)
(declare-fun call38454formal.ret.0 () Int)
(declare-fun reqSent_1.12 () Int)
(declare-fun reqSent_0.12 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun errorReached.100 () Int)
(declare-fun reqCompleteSet_0.12 () Int)
(declare-fun reqCompleteSet_1.12 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.99 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun errorReached.97 () Int)
(declare-fun errorReached.98 () Int)
(declare-fun reqSent_1.11 () Int)
(declare-fun reqSent_0.11 () Int)
(declare-fun errorReached.96 () Int)
(declare-fun reqCompleteSet_1.11 () Int)
(declare-fun reqCompleteSet_0.11 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.20 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.19 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.17 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.13 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.12 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.9 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.8 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.7 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.6 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun call37502formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.1 () Int)
(declare-fun call37510formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2. () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion () Int)
(declare-fun inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion () Int)
(declare-fun inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0.1 () Int)
(declare-fun reqCancelStarted_0.0 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..0 () Int)
(declare-fun reqCancelStarted_1.0 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..0 () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0.1 () Int)
(declare-fun inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0 () Int)
(declare-fun call39064formal.new.0 () Int)
(declare-fun inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..0 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..0 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.0 () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..0 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2. () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0 () Int)
(declare-fun inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1. () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3. () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6. () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext () Int)
(declare-fun errorReached.82 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4. () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0 () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1. () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..callresult..747.98.2. () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0.0 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0.0 () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3. () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1. () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4. () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2. () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3. () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun reqCompleted_0.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4. () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2. () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20. () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1. () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe () Int)
(declare-fun inline.GetFileContext.1..result.GetFileContext.107.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1. () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3. () Int)
(declare-fun inline.GetDeviceContext.0.myNondetVar_0 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1. () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23. () Int)
(declare-fun inline.GetRequestContext.0..result.GetRequestContext.127.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2. () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1. () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0 () Int)
(declare-fun inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1. () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13. () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1. () Int)
(declare-fun reqCancelSet_1.1 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3. () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3. () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5. () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21. () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun reqCompleted_1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28. () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2. () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0 () Int)
(declare-fun inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2. () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1. () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject () Int)
(declare-fun errorReached.4 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2. () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun reqCancelSet_0.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.GetFileContext.2.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3. () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18. () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26. () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2. () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10. () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10. () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23. () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29. () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1. () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1. () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25. () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1. () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9. () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun reqCancelSet_0.0 () Int)
(declare-fun reqCompleted_1.0 () Int)
(declare-fun reqCancelSet_1.0 () Int)
(declare-fun reqCompleted_0.0 () Int)
(declare-fun reqCompleted_0.3 () Int)
(declare-fun reqCancelSet_1.3 () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.4 () Int)
(declare-fun reqCompleted_1.3 () Int)
(declare-fun errorReached.7 () Int)
(declare-fun reqCancelSet_0.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun errorReached.5 () Int)
(declare-fun reqCancelSet_0.2 () Int)
(declare-fun reqCompleted_1.2 () Int)
(declare-fun reqCancelSet_1.2 () Int)
(declare-fun reqCompleted_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.6 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.3 () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..4 () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun reqCompleted_0.16 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..3 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.27 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..1 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.1 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.3 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.10 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..1 () Int)
(declare-fun inline.GetDeviceContext.0.myNondetVar_0.0 () Int)
(declare-fun reqCompleteSet_0.8 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.4 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..1 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..1 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.2 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.4 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.6 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun reqCancelSet_1.22 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..1 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..1 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..1 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..1 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.5 () Int)
(declare-fun reqCompleted_1.16 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.15 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 () Int)
(declare-fun reqCompleteSet_1.8 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..1 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.28 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.10 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun reqCancelSet_0.22 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.GetFileContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.2 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.49 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..4 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun reqSent_1.8 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.63 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.2 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.2 () Int)
(declare-fun reqSent_0.8 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.3 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.4 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.4 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..1 () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.2 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..2 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..2 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..3 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.2 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..2 () Int)
(declare-fun call26475formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.3 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..1 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.3 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun call32391formal.new.0 () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..2 () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun reqCompleted_0.10 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.2 () Int)
(declare-fun call32406formal.new.0 () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun call32882formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..0 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.2 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.0 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleteSet_0.4 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0.0 () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..0 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..0 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun call32397formal.new.0 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.0 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.1 () Int)
(declare-fun call32394formal.new.0 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..0 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun call32415formal.new.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..0 () Int)
(declare-fun reqCompleted_1.10 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun call32409formal.new.0 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.14 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.2 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.2 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..0 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.5 () Int)
(declare-fun reqCompleteSet_1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun reqCancelSet_0.13 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 () Int)
(declare-fun call32412formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.0 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.0 () Int)
(declare-fun reqSent_1.4 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.2 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.0 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.0 () Int)
(declare-fun reqSent_0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..0 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..0 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun reqCancelSet_1.13 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4 () Int)
(declare-fun call32870formal.new.0 () Int)
(declare-fun call32388formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..1 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.1 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun call32403formal.new.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun call32400formal.new.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..0 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_1.8 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun reqCancelSet_0.8 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.43 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.9 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..0 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun reqCompleted_1.9 () Int)
(declare-fun reqCancelSet_1.12 () Int)
(declare-fun reqCompleted_0.9 () Int)
(declare-fun reqCancelSet_0.12 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.47 () Int)
(declare-fun reqCancelSet_0.11 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun reqCompleted_1.8 () Int)
(declare-fun reqCompleted_0.8 () Int)
(declare-fun reqCancelSet_1.11 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.46 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun reqCompleted_1.7 () Int)
(declare-fun reqCancelSet_1.10 () Int)
(declare-fun reqCompleted_0.7 () Int)
(declare-fun reqCancelSet_0.10 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.45 () Int)
(declare-fun reqCancelSet_0.9 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun reqCompleted_1.6 () Int)
(declare-fun reqCompleted_0.6 () Int)
(declare-fun reqCancelSet_1.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.44 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.42 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.41 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.39 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.8 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..0 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.40 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.1 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.6 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.5 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.4 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.3 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun call33027formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.0 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.4 () Int)
(declare-fun call33453formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun call33567formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call33795formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun call33680formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.3 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun call34097formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.8 () Int)
(declare-fun call34224formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.8 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.7 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.20 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.34 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.10 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.18 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.19 () Int)
(declare-fun reqCompleteSet_1.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 () Int)
(declare-fun call35237formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.11 () Int)
(declare-fun reqCompleteSet_0.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.7 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.14 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.16 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.15 () Int)
(declare-fun reqCancelSet_0.7 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.26 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call35626formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.37 () Int)
(declare-fun call35818formal.ret.0 () Int)
(declare-fun reqSent_1.3 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.0 () Int)
(declare-fun reqSent_0.3 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 () Int)
(declare-fun reqCancelSet_1.7 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.24 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.25 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.1 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun errorReached.50 () Int)
(declare-fun reqSent_1.2 () Int)
(declare-fun reqSent_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.22 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.21 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun reqCancelSet_0.6 () Int)
(declare-fun reqCancelSet_1.6 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.13 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.12 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.6 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun reqCompleteSet_1.2 () Int)
(declare-fun reqCompleteSet_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.10 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.33 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.30 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.25 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.27 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.26 () Int)
(declare-fun BIT_BOR (Int Int) Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.17 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.14 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.13 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.16 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.1 () Int)
(declare-fun call27238formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun call27268formal.new.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.1 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..0 () Int)
(declare-fun call27262formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..3 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun reqCompleted_0.15 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun call27247formal.new.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.0 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.0 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..2 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..2 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..0 () Int)
(declare-fun reqCompleteSet_0.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..0 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..0 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..0 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..0 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..0 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.1 () Int)
(declare-fun call27241formal.new.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.2 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 () Int)
(declare-fun reqCompleted_1.15 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 () Int)
(declare-fun call27250formal.new.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.2 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun reqCompleteSet_1.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun reqCancelSet_0.21 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun call27244formal.new.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.2 () Int)
(declare-fun call27259formal.new.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.5 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..3 () Int)
(declare-fun reqSent_1.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.0 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.3 () Int)
(declare-fun reqSent_0.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..0 () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun call27253formal.new.0 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..1 () Int)
(declare-fun reqCancelSet_1.21 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..0 () Int)
(declare-fun call27256formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun call27265formal.new.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..0 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.2 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun reqCancelSet_1.16 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun reqCancelSet_0.16 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..0 () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..0 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.56 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun reqCompleted_1.12 () Int)
(declare-fun reqCancelSet_1.18 () Int)
(declare-fun reqCancelSet_0.18 () Int)
(declare-fun reqCompleted_0.12 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.59 () Int)
(declare-fun reqCancelSet_0.17 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun reqCompleted_1.11 () Int)
(declare-fun reqCompleted_0.11 () Int)
(declare-fun reqCancelSet_1.17 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.58 () Int)
(declare-fun reqCompleted_1.14 () Int)
(declare-fun reqCancelSet_1.20 () Int)
(declare-fun reqCancelSet_0.20 () Int)
(declare-fun reqCompleted_0.14 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.61 () Int)
(declare-fun reqCancelSet_0.19 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun reqCompleted_1.13 () Int)
(declare-fun reqCompleted_0.13 () Int)
(declare-fun reqCancelSet_1.19 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.60 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.57 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.55 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.53 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.54 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.8 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.6 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.3 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call28443formal.new.0 () Int)
(declare-fun call28455formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call28588formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.4 () Int)
(declare-fun call29075formal.ret.0 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.0 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun call29189formal.ret.0 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun call29302formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun call29443formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 () Int)
(declare-fun call29745formal.ret.0 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.8 () Int)
(declare-fun call29917formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.12 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.6 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.14 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.1 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.1 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.42 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.1 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.1 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.18 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.13 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.9 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.20 () Int)
(declare-fun reqCompleteSet_0.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.12 () Int)
(declare-fun call31024formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.4 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun reqCompleteSet_1.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.19 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.18 () Int)
(declare-fun reqSent_0.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.26 () Int)
(declare-fun call31413formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.23 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call31605formal.ret.0 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun reqCancelSet_1.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.51 () Int)
(declare-fun errorReached.70 () Int)
(declare-fun reqCancelSet_0.15 () Int)
(declare-fun reqSent_1.6 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.25 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.24 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.0 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun reqSent_1.5 () Int)
(declare-fun reqSent_0.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.21 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.22 () Int)
(declare-fun reqCancelSet_0.14 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun reqCancelSet_1.14 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.16 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.15 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun reqCompleteSet_1.5 () Int)
(declare-fun reqCompleteSet_0.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.11 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.10 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.41 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.40 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.17 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.32 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.33 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.10 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.31 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.9 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.23 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.20 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.19 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.22 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.21 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.14 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.11 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.10 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun BINARY_BOTH_INT (Int Int) Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun reqCompleted_0.5 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.4 () Int)
(declare-fun reqCompleted_1.5 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun reqCancelSet_0.5 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.0 () Int)
(declare-fun reqCancelSet_1.5 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun reqCancelSet_0.4 () Int)
(declare-fun reqCompleted_1.4 () Int)
(declare-fun reqCancelSet_1.4 () Int)
(declare-fun reqCompleted_0.4 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.3 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0.1 () Int)
(declare-fun reqCompleted_0.19 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun call24406formal.new.0 () Int)
(declare-fun inline.GetFileContext.1..result.GetFileContext.107.0.1..0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun call24397formal.new.0 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..0 () Int)
(declare-fun reqCompleteSet_0.9 () Int)
(declare-fun inline.GetRequestContext.0..result.GetRequestContext.127.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 () Int)
(declare-fun inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.4 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..1 () Int)
(declare-fun reqCancelSet_1.25 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.7 () Int)
(declare-fun call24403formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun reqCompleted_1.19 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun call24409formal.new.0 () Int)
(declare-fun inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..0 () Int)
(declare-fun inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..0 () Int)
(declare-fun reqCompleteSet_1.9 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..0 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun reqCancelSet_0.25 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqSent_1.9 () Int)
(declare-fun reqSent_0.9 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..0 () Int)
(declare-fun inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 () Int)
(declare-fun call24400formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun reqCancelSet_0.24 () Int)
(declare-fun reqCompleted_1.18 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun reqCompleted_0.18 () Int)
(declare-fun reqCancelSet_1.24 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun reqCancelSet_0.23 () Int)
(declare-fun reqCompleted_1.17 () Int)
(declare-fun reqCancelSet_1.23 () Int)
(declare-fun reqCompleted_0.17 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun call25050formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun call25164formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.6 () Int)
(declare-fun call25373formal.ret.0 () Int)
(declare-fun call25427formal.ret.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.3 () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.7 () Int)
(declare-fun call25522formal.ret.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.5 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.16 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.6 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2. () Int)
(declare-fun call25985formal.ret.0 () Int)
(declare-fun reqCompleteSet_1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.17 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun reqCompleteSet_0.1 () Int)
(declare-fun call26144formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.0 () Int)
(declare-fun reqSent_1.1 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun reqSent_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun reqSent_1.0 () Int)
(declare-fun reqSent_0.0 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun reqCompleteSet_1.0 () Int)
(declare-fun reqCompleteSet_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun errorReached.9 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.2 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.6 () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.2 () Int)
(declare-fun inline.UsbSamp_EvtIoRead.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun call23903formal.new.0 () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.unused_WDFCOLLECTION__) nameType) (= (type T.unused_WDFDEVICE__) nameType) (= (type T.unused_WDFDRIVER__) nameType) (= (type T.unused_WDFFILEOBJECT__) nameType) (= (type T.unused_WDFIOTARGET__) nameType) (= (type T.unused_WDFMEMORY__) nameType) (= (type T.unused_WDFQUEUE__) nameType) (= (type T.unused_WDFREQUEST__) nameType) (= (type T.unused_WDFSPINLOCK__) nameType) (= (type T.unused_WDFUSBDEVICE__) nameType) (= (type T.unused_WDFUSBINTERFACE__) nameType) (= (type T.unused_WDFUSBPIPE__) nameType) (= (type T.unused_WDFWORKITEM__) nameType) (= (type T.OperationID__ACCESS_STATE) nameType) (= (type T.SecurityEvaluated__ACCESS_STATE) nameType) (= (type T.GenerateAudit__ACCESS_STATE) nameType) (= (type T.GenerateOnClose__ACCESS_STATE) nameType) (= (type T.PrivilegesAllocated__ACCESS_STATE) nameType) (= (type T.Flags__ACCESS_STATE) nameType) (= (type T.RemainingDesiredAccess__ACCESS_STATE) nameType) (= (type T.PreviouslyGrantedAccess__ACCESS_STATE) nameType) (= (type T.OriginalDesiredAccess__ACCESS_STATE) nameType) (= (type T.SubjectSecurityContext__ACCESS_STATE) nameType) (= (type T.SecurityDescriptor__ACCESS_STATE) nameType) (= (type T.AuxData__ACCESS_STATE) nameType) (= (type T.Privileges__ACCESS_STATE) nameType) (= (type T.AuditPrivileges__ACCESS_STATE) nameType) (= (type T.ObjectName__ACCESS_STATE) nameType) (= (type T.ObjectTypeName__ACCESS_STATE) nameType) (= (type T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Revision__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_RESOURCE_LIST) nameType) (= (type T.List__CM_RESOURCE_LIST) nameType) (= (type T.Size__DEVICE_CAPABILITIES) nameType) (= (type T.Version__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD1__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD2__DEVICE_CAPABILITIES) nameType) (= (type T.LockSupported__DEVICE_CAPABILITIES) nameType) (= (type T.EjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.Removable__DEVICE_CAPABILITIES) nameType) (= (type T.DockDevice__DEVICE_CAPABILITIES) nameType) (= (type T.UniqueID__DEVICE_CAPABILITIES) nameType) (= (type T.SilentInstall__DEVICE_CAPABILITIES) nameType) (= (type T.RawDeviceOK__DEVICE_CAPABILITIES) nameType) (= (type T.SurpriseRemovalOK__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD0__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD1__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD2__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD3__DEVICE_CAPABILITIES) nameType) (= (type T.HardwareDisabled__DEVICE_CAPABILITIES) nameType) (= (type T.NonDynamic__DEVICE_CAPABILITIES) nameType) (= (type T.WarmEjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.NoDisplayInUI__DEVICE_CAPABILITIES) nameType) (= (type T.Reserved__DEVICE_CAPABILITIES) nameType) (= (type T.Address__DEVICE_CAPABILITIES) nameType) (= (type T.UINumber__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceState__DEVICE_CAPABILITIES) nameType) (= (type T.SystemWake__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceWake__DEVICE_CAPABILITIES) nameType) (= (type T.D1Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D2Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D3Latency__DEVICE_CAPABILITIES) nameType) (= (type T.UsbDeviceDescriptor__DEVICE_CONTEXT) nameType) (= (type T.UsbConfigurationDescriptor__DEVICE_CONTEXT) nameType) (= (type T.WdfUsbTargetDevice__DEVICE_CONTEXT) nameType) (= (type T.WaitWakeEnable__DEVICE_CONTEXT) nameType) (= (type T.IsDeviceHighSpeed__DEVICE_CONTEXT) nameType) (= (type T.UsbInterface__DEVICE_CONTEXT) nameType) (= (type T.NumberConfiguredPipes__DEVICE_CONTEXT) nameType) (= (type T.Type__DEVICE_OBJECT) nameType) (= (type T.Size__DEVICE_OBJECT) nameType) (= (type T.ReferenceCount__DEVICE_OBJECT) nameType) (= (type T.DriverObject__DEVICE_OBJECT) nameType) (= (type T.NextDevice__DEVICE_OBJECT) nameType) (= (type T.AttachedDevice__DEVICE_OBJECT) nameType) (= (type T.CurrentIrp__DEVICE_OBJECT) nameType) (= (type T.Timer__DEVICE_OBJECT) nameType) (= (type T.Flags__DEVICE_OBJECT) nameType) (= (type T.Characteristics__DEVICE_OBJECT) nameType) (= (type T.Vpb__DEVICE_OBJECT) nameType) (= (type T.DeviceExtension__DEVICE_OBJECT) nameType) (= (type T.DeviceType__DEVICE_OBJECT) nameType) (= (type T.StackSize__DEVICE_OBJECT) nameType) (= (type T.Queue__DEVICE_OBJECT) nameType) (= (type T.AlignmentRequirement__DEVICE_OBJECT) nameType) (= (type T.DeviceQueue__DEVICE_OBJECT) nameType) (= (type T.Dpc__DEVICE_OBJECT) nameType) (= (type T.ActiveThreadCount__DEVICE_OBJECT) nameType) (= (type T.SecurityDescriptor__DEVICE_OBJECT) nameType) (= (type T.DeviceLock__DEVICE_OBJECT) nameType) (= (type T.SectorSize__DEVICE_OBJECT) nameType) (= (type T.Spare1__DEVICE_OBJECT) nameType) (= (type T.DeviceObjectExtension__DEVICE_OBJECT) nameType) (= (type T.Reserved__DEVICE_OBJECT) nameType) (= (type T.Type__DEVOBJ_EXTENSION) nameType) (= (type T.Size__DEVOBJ_EXTENSION) nameType) (= (type T.DeviceObject__DEVOBJ_EXTENSION) nameType) (= (type T.__unnamed_4_dfcb1314__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.DriverObject__DRIVER_EXTENSION) nameType) (= (type T.AddDevice__DRIVER_EXTENSION) nameType) (= (type T.Count__DRIVER_EXTENSION) nameType) (= (type T.ServiceKeyName__DRIVER_EXTENSION) nameType) (= (type T.Type__DRIVER_OBJECT) nameType) (= (type T.Size__DRIVER_OBJECT) nameType) (= (type T.DeviceObject__DRIVER_OBJECT) nameType) (= (type T.Flags__DRIVER_OBJECT) nameType) (= (type T.DriverStart__DRIVER_OBJECT) nameType) (= (type T.DriverSize__DRIVER_OBJECT) nameType) (= (type T.DriverSection__DRIVER_OBJECT) nameType) (= (type T.DriverExtension__DRIVER_OBJECT) nameType) (= (type T.DriverName__DRIVER_OBJECT) nameType) (= (type T.HardwareDatabase__DRIVER_OBJECT) nameType) (= (type T.FastIoDispatch__DRIVER_OBJECT) nameType) (= (type T.DriverInit__DRIVER_OBJECT) nameType) (= (type T.DriverStartIo__DRIVER_OBJECT) nameType) (= (type T.DriverUnload__DRIVER_OBJECT) nameType) (= (type T.MajorFunction__DRIVER_OBJECT) nameType) (= (type T.SystemResourcesList__ERESOURCE) nameType) (= (type T.OwnerTable__ERESOURCE) nameType) (= (type T.ActiveCount__ERESOURCE) nameType) (= (type T.Flag__ERESOURCE) nameType) (= (type T.SharedWaiters__ERESOURCE) nameType) (= (type T.ExclusiveWaiters__ERESOURCE) nameType) (= (type T.OwnerEntry__ERESOURCE) nameType) (= (type T.ActiveEntries__ERESOURCE) nameType) (= (type T.ContentionCount__ERESOURCE) nameType) (= (type T.NumberOfSharedWaiters__ERESOURCE) nameType) (= (type T.NumberOfExclusiveWaiters__ERESOURCE) nameType) (= (type T.__unnamed_4_9d516d2b__ERESOURCE) nameType) (= (type T.SpinLock__ERESOURCE) nameType) (= (type T.SizeOfFastIoDispatch__FAST_IO_DISPATCH) nameType) (= (type T.FastIoCheckIfPossible__FAST_IO_DISPATCH) nameType) (= (type T.FastIoRead__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWrite__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryBasicInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryStandardInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoLock__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockSingle__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAll__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAllByKey__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDeviceControl__FAST_IO_DISPATCH) nameType) (= (type T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDetachDevice__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlRead__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadComplete__FAST_IO_DISPATCH) nameType) (= (type T.PrepareMdlWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteComplete__FAST_IO_DISPATCH) nameType) (= (type T.FastIoReadCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWriteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryOpen__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.CreationTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_BASIC_INFORMATION) nameType) (= (type T.ChangeTime__FILE_BASIC_INFORMATION) nameType) (= (type T.FileAttributes__FILE_BASIC_INFORMATION) nameType) (= (type T.Pipe__FILE_CONTEXT) nameType) (= (type T.CreationTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.Type__FILE_OBJECT) nameType) (= (type T.Size__FILE_OBJECT) nameType) (= (type T.DeviceObject__FILE_OBJECT) nameType) (= (type T.Vpb__FILE_OBJECT) nameType) (= (type T.FsContext__FILE_OBJECT) nameType) (= (type T.FsContext2__FILE_OBJECT) nameType) (= (type T.SectionObjectPointer__FILE_OBJECT) nameType) (= (type T.PrivateCacheMap__FILE_OBJECT) nameType) (= (type T.FinalStatus__FILE_OBJECT) nameType) (= (type T.RelatedFileObject__FILE_OBJECT) nameType) (= (type T.LockOperation__FILE_OBJECT) nameType) (= (type T.DeletePending__FILE_OBJECT) nameType) (= (type T.ReadAccess__FILE_OBJECT) nameType) (= (type T.WriteAccess__FILE_OBJECT) nameType) (= (type T.DeleteAccess__FILE_OBJECT) nameType) (= (type T.SharedRead__FILE_OBJECT) nameType) (= (type T.SharedWrite__FILE_OBJECT) nameType) (= (type T.SharedDelete__FILE_OBJECT) nameType) (= (type T.Flags__FILE_OBJECT) nameType) (= (type T.FileName__FILE_OBJECT) nameType) (= (type T.CurrentByteOffset__FILE_OBJECT) nameType) (= (type T.Waiters__FILE_OBJECT) nameType) (= (type T.Busy__FILE_OBJECT) nameType) (= (type T.LastLock__FILE_OBJECT) nameType) (= (type T.Lock__FILE_OBJECT) nameType) (= (type T.Event__FILE_OBJECT) nameType) (= (type T.CompletionContext__FILE_OBJECT) nameType) (= (type T.IrpListLock__FILE_OBJECT) nameType) (= (type T.IrpList__FILE_OBJECT) nameType) (= (type T.FileObjectExtension__FILE_OBJECT) nameType) (= (type T.AllocationSize__FILE_STANDARD_INFORMATION) nameType) (= (type T.EndOfFile__FILE_STANDARD_INFORMATION) nameType) (= (type T.NumberOfLinks__FILE_STANDARD_INFORMATION) nameType) (= (type T.DeletePending__FILE_STANDARD_INFORMATION) nameType) (= (type T.Directory__FILE_STANDARD_INFORMATION) nameType) (= (type T.Data1__GUID) nameType) (= (type T.Data2__GUID) nameType) (= (type T.Data3__GUID) nameType) (= (type T.Data4__GUID) nameType) (= (type T.PrivilegeCount__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Control__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Privilege__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Size__INTERFACE) nameType) (= (type T.Version__INTERFACE) nameType) (= (type T.Context__INTERFACE) nameType) (= (type T.InterfaceReference__INTERFACE) nameType) (= (type T.InterfaceDereference__INTERFACE) nameType) (= (type T.Port__IO_COMPLETION_CONTEXT) nameType) (= (type T.Key__IO_COMPLETION_CONTEXT) nameType) (= (type T.Option__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare1__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare2__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__IO_RESOURCE_LIST) nameType) (= (type T.Revision__IO_RESOURCE_LIST) nameType) (= (type T.Count__IO_RESOURCE_LIST) nameType) (= (type T.Descriptors__IO_RESOURCE_LIST) nameType) (= (type T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.List__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SecurityQos__IO_SECURITY_CONTEXT) nameType) (= (type T.AccessState__IO_SECURITY_CONTEXT) nameType) (= (type T.DesiredAccess__IO_SECURITY_CONTEXT) nameType) (= (type T.FullCreateOptions__IO_SECURITY_CONTEXT) nameType) (= (type T.MajorFunction__IO_STACK_LOCATION) nameType) (= (type T.MinorFunction__IO_STACK_LOCATION) nameType) (= (type T.Flags__IO_STACK_LOCATION) nameType) (= (type T.Control__IO_STACK_LOCATION) nameType) (= (type T.Parameters__IO_STACK_LOCATION) nameType) (= (type T.DeviceObject__IO_STACK_LOCATION) nameType) (= (type T.FileObject__IO_STACK_LOCATION) nameType) (= (type T.CompletionRoutine__IO_STACK_LOCATION) nameType) (= (type T.Context__IO_STACK_LOCATION) nameType) (= (type T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Type__IRP) nameType) (= (type T.Size__IRP) nameType) (= (type T.MdlAddress__IRP) nameType) (= (type T.Flags__IRP) nameType) (= (type T.AssociatedIrp__IRP) nameType) (= (type T.ThreadListEntry__IRP) nameType) (= (type T.IoStatus__IRP) nameType) (= (type T.RequestorMode__IRP) nameType) (= (type T.PendingReturned__IRP) nameType) (= (type T.StackCount__IRP) nameType) (= (type T.CurrentLocation__IRP) nameType) (= (type T.Cancel__IRP) nameType) (= (type T.CancelIrql__IRP) nameType) (= (type T.ApcEnvironment__IRP) nameType) (= (type T.AllocationFlags__IRP) nameType) (= (type T.UserIosb__IRP) nameType) (= (type T.UserEvent__IRP) nameType) (= (type T.Overlay__IRP) nameType) (= (type T.CancelRoutine__IRP) nameType) (= (type T.UserBuffer__IRP) nameType) (= (type T.Tail__IRP) nameType) (= (type T.Type__KAPC) nameType) (= (type T.SpareByte0__KAPC) nameType) (= (type T.Size__KAPC) nameType) (= (type T.SpareByte1__KAPC) nameType) (= (type T.SpareLong0__KAPC) nameType) (= (type T.Thread__KAPC) nameType) (= (type T.ApcListEntry__KAPC) nameType) (= (type T.KernelRoutine__KAPC) nameType) (= (type T.RundownRoutine__KAPC) nameType) (= (type T.NormalRoutine__KAPC) nameType) (= (type T.NormalContext__KAPC) nameType) (= (type T.SystemArgument1__KAPC) nameType) (= (type T.SystemArgument2__KAPC) nameType) (= (type T.ApcStateIndex__KAPC) nameType) (= (type T.ApcMode__KAPC) nameType) (= (type T.Inserted__KAPC) nameType) (= (type T.Type__KDEVICE_QUEUE) nameType) (= (type T.Size__KDEVICE_QUEUE) nameType) (= (type T.DeviceListHead__KDEVICE_QUEUE) nameType) (= (type T.Lock__KDEVICE_QUEUE) nameType) (= (type T.Busy__KDEVICE_QUEUE) nameType) (= (type T.DeviceListEntry__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.SortKey__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Inserted__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Type__KDPC) nameType) (= (type T.Importance__KDPC) nameType) (= (type T.Number__KDPC) nameType) (= (type T.DpcListEntry__KDPC) nameType) (= (type T.DeferredRoutine__KDPC) nameType) (= (type T.DeferredContext__KDPC) nameType) (= (type T.SystemArgument1__KDPC) nameType) (= (type T.SystemArgument2__KDPC) nameType) (= (type T.DpcData__KDPC) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Header__KSEMAPHORE) nameType) (= (type T.Limit__KSEMAPHORE) nameType) (= (type T.__unnamed_8_bb154058__LARGE_INTEGER) nameType) (= (type T.u__LARGE_INTEGER) nameType) (= (type T.QuadPart__LARGE_INTEGER) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.LowPart__LUID) nameType) (= (type T.HighPart__LUID) nameType) (= (type T.Luid__LUID_AND_ATTRIBUTES) nameType) (= (type T.Attributes__LUID_AND_ATTRIBUTES) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.OwnerThread__OWNER_ENTRY) nameType) (= (type T.__unnamed_4_c406319a__OWNER_ENTRY) nameType) (= (type T.SequenceD1__POWER_SEQUENCE) nameType) (= (type T.SequenceD2__POWER_SEQUENCE) nameType) (= (type T.SequenceD3__POWER_SEQUENCE) nameType) (= (type T.SystemState__POWER_STATE) nameType) (= (type T.DeviceState__POWER_STATE) nameType) (= (type T.PrivilegeCount__PRIVILEGE_SET) nameType) (= (type T.Control__PRIVILEGE_SET) nameType) (= (type T.Privilege__PRIVILEGE_SET) nameType) (= (type T.UrbMemory__REQUEST_CONTEXT) nameType) (= (type T.Mdl__REQUEST_CONTEXT) nameType) (= (type T.Length__REQUEST_CONTEXT) nameType) (= (type T.Numxfer__REQUEST_CONTEXT) nameType) (= (type T.VirtualAddress__REQUEST_CONTEXT) nameType) (= (type T.SubRequestCollection__REQUEST_CONTEXT) nameType) (= (type T.SubRequestCollectionLock__REQUEST_CONTEXT) nameType) (= (type T.Read__REQUEST_CONTEXT) nameType) (= (type T.DataSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.SharedCacheMap__SECTION_OBJECT_POINTERS) nameType) (= (type T.ImageSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.Length__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ClientToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.PrimaryToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.UserRequest__SUB_REQUEST_CONTEXT) nameType) (= (type T.SubUrb__SUB_REQUEST_CONTEXT) nameType) (= (type T.SubMdl__SUB_REQUEST_CONTEXT) nameType) (= (type T.ListEntry__SUB_REQUEST_CONTEXT) nameType) (= (type T.__unnamed_4_f525de8d__SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T.Length__UNICODE_STRING) nameType) (= (type T.MaximumLength__UNICODE_STRING) nameType) (= (type T.Buffer__UNICODE_STRING) nameType) (= (type T.__unnamed_96_e511a626__URB) nameType) (= (type T.Hdr__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.hca__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.Hdr__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.hca__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Index__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.DescriptorType__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.LanguageId__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved3__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved4__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved5__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.hca__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.FeatureSelector__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Index__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.hca__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.hca__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Interface__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.hca__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Index__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_TRANSFER) nameType) (= (type T.PipeHandle__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferFlags__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferBufferLength__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferBuffer__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_TRANSFER) nameType) (= (type T.UrbLink__URB_CONTROL_TRANSFER) nameType) (= (type T.hca__URB_CONTROL_TRANSFER) nameType) (= (type T.SetupPacket__URB_CONTROL_TRANSFER) nameType) (= (type T.Hdr__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.PipeHandle__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferFlags__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferBufferLength__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferBuffer__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.Timeout__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.hca__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.SetupPacket__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.Hdr__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferFlags__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.hca__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.RequestTypeReservedBits__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Request__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Value__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Index__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Hdr__URB_FRAME_LENGTH_CONTROL) nameType) (= (type T.Hdr__URB_GET_CURRENT_FRAME_NUMBER) nameType) (= (type T.FrameNumber__URB_GET_CURRENT_FRAME_NUMBER) nameType) (= (type T.Hdr__URB_GET_FRAME_LENGTH) nameType) (= (type T.FrameLength__URB_GET_FRAME_LENGTH) nameType) (= (type T.FrameNumber__URB_GET_FRAME_LENGTH) nameType) (= (type T.Reserved8__URB_HCD_AREA) nameType) (= (type T.Length__URB_HEADER) nameType) (= (type T.Function__URB_HEADER) nameType) (= (type T.Status__URB_HEADER) nameType) (= (type T.UsbdDeviceHandle__URB_HEADER) nameType) (= (type T.UsbdFlags__URB_HEADER) nameType) (= (type T.Hdr__URB_ISOCH_TRANSFER) nameType) (= (type T.PipeHandle__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferFlags__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferBufferLength__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferBuffer__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferBufferMDL__URB_ISOCH_TRANSFER) nameType) (= (type T.UrbLink__URB_ISOCH_TRANSFER) nameType) (= (type T.hca__URB_ISOCH_TRANSFER) nameType) (= (type T.StartFrame__URB_ISOCH_TRANSFER) nameType) (= (type T.NumberOfPackets__URB_ISOCH_TRANSFER) nameType) (= (type T.ErrorCount__URB_ISOCH_TRANSFER) nameType) (= (type T.IsoPacket__URB_ISOCH_TRANSFER) nameType) (= (type T.Hdr__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved0__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferLength__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBuffer__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.UrbLink__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.hca__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Recipient__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved1__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved2__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.InterfaceNumber__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.MS_PageIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.MS_FeatureDescriptorIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved3__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Hdr__URB_PIPE_IO_POLICY) nameType) (= (type T.PipeHandle__URB_PIPE_IO_POLICY) nameType) (= (type T.UsbIoParamters__URB_PIPE_IO_POLICY) nameType) (= (type T.Hdr__URB_PIPE_REQUEST) nameType) (= (type T.PipeHandle__URB_PIPE_REQUEST) nameType) (= (type T.Reserved__URB_PIPE_REQUEST) nameType) (= (type T.Hdr__URB_SELECT_CONFIGURATION) nameType) (= (type T.ConfigurationDescriptor__URB_SELECT_CONFIGURATION) nameType) (= (type T.ConfigurationHandle__URB_SELECT_CONFIGURATION) nameType) (= (type T.Interface__URB_SELECT_CONFIGURATION) nameType) (= (type T.Hdr__URB_SELECT_INTERFACE) nameType) (= (type T.ConfigurationHandle__URB_SELECT_INTERFACE) nameType) (= (type T.Interface__URB_SELECT_INTERFACE) nameType) (= (type T.Hdr__URB_SET_FRAME_LENGTH) nameType) (= (type T.FrameLengthDelta__URB_SET_FRAME_LENGTH) nameType) (= (type T.Length__USBD_INTERFACE_INFORMATION) nameType) (= (type T.InterfaceNumber__USBD_INTERFACE_INFORMATION) nameType) (= (type T.AlternateSetting__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Class__USBD_INTERFACE_INFORMATION) nameType) (= (type T.SubClass__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Protocol__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Reserved__USBD_INTERFACE_INFORMATION) nameType) (= (type T.InterfaceHandle__USBD_INTERFACE_INFORMATION) nameType) (= (type T.NumberOfPipes__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Pipes__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Offset__USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.Length__USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.Status__USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.MaximumPacketSize__USBD_PIPE_INFORMATION) nameType) (= (type T.EndpointAddress__USBD_PIPE_INFORMATION) nameType) (= (type T.Interval__USBD_PIPE_INFORMATION) nameType) (= (type T.PipeType__USBD_PIPE_INFORMATION) nameType) (= (type T.PipeHandle__USBD_PIPE_INFORMATION) nameType) (= (type T.MaximumTransferSize__USBD_PIPE_INFORMATION) nameType) (= (type T.PipeFlags__USBD_PIPE_INFORMATION) nameType) (= (type T.bLength__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bDescriptorType__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.wTotalLength__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bNumInterfaces__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bConfigurationValue__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.iConfiguration__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bmAttributes__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.MaxPower__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bLength__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDescriptorType__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bcdUSB__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDeviceClass__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDeviceSubClass__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDeviceProtocol__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bMaxPacketSize0__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.idVendor__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.idProduct__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bcdDevice__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.iManufacturer__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.iProduct__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.iSerialNumber__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bNumConfigurations__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.UsbIoPriority__USB_IO_PARAMETERS) nameType) (= (type T.UsbMaxPendingIrps__USB_IO_PARAMETERS) nameType) (= (type T.UsbMaxControllerTransfer__USB_IO_PARAMETERS) nameType) (= (type T.Type__VPB) nameType) (= (type T.Size__VPB) nameType) (= (type T.Flags__VPB) nameType) (= (type T.VolumeLabelLength__VPB) nameType) (= (type T.DeviceObject__VPB) nameType) (= (type T.RealDevice__VPB) nameType) (= (type T.SerialNumber__VPB) nameType) (= (type T.ReferenceCount__VPB) nameType) (= (type T.VolumeLabel__VPB) nameType) (= (type T.WaitQueueEntry__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceRoutine__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceContext__WAIT_CONTEXT_BLOCK) nameType) (= (type T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceObject__WAIT_CONTEXT_BLOCK) nameType) (= (type T.CurrentIrp__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferChainingDpc__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferOffset__WDFMEMORY_OFFSET) nameType) (= (type T.BufferLength__WDFMEMORY_OFFSET) nameType) (= (type T.Driver__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverFlags__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverTag__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverName__WDF_DRIVER_GLOBALS) nameType) (= (type T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS) nameType) (= (type T.Size__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.EvtCleanupCallback__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.EvtDestroyCallback__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ExecutionLevel__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.SynchronizationScope__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ParentObject__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ContextSizeOverride__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ContextTypeInfo__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.Size__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Type__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Parameters__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Size__WDF_REQUEST_PARAMETERS) nameType) (= (type T.MinorFunction__WDF_REQUEST_PARAMETERS) nameType) (= (type T.Type__WDF_REQUEST_PARAMETERS) nameType) (= (type T.Parameters__WDF_REQUEST_PARAMETERS) nameType) (= (type T.Size__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Flags__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Timeout__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Size__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.MaximumPacketSize__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.EndpointAddress__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.Interval__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.SettingIndex__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.PipeType__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.MaximumTransferSize__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.Size__WDF_WORKITEM_CONFIG) nameType) (= (type T.EvtWorkItemFunc__WDF_WORKITEM_CONFIG) nameType) (= (type T.AutomaticSerialization__WDF_WORKITEM_CONFIG) nameType) (= (type T.Device__WORKITEM_CONTEXT) nameType) (= (type T.Pipe__WORKITEM_CONTEXT) nameType) (= (type T.Generic___unnamed_12_00aa0978) nameType) (= (type T.Port___unnamed_12_00aa0978) nameType) (= (type T.Interrupt___unnamed_12_00aa0978) nameType) (= (type T.MessageInterrupt___unnamed_12_00aa0978) nameType) (= (type T.Memory___unnamed_12_00aa0978) nameType) (= (type T.Dma___unnamed_12_00aa0978) nameType) (= (type T.DevicePrivate___unnamed_12_00aa0978) nameType) (= (type T.BusNumber___unnamed_12_00aa0978) nameType) (= (type T.DeviceSpecificData___unnamed_12_00aa0978) nameType) (= (type T.Memory40___unnamed_12_00aa0978) nameType) (= (type T.Memory48___unnamed_12_00aa0978) nameType) (= (type T.Memory64___unnamed_12_00aa0978) nameType) (= (type T.Level___unnamed_12_011610e6) nameType) (= (type T.Vector___unnamed_12_011610e6) nameType) (= (type T.Affinity___unnamed_12_011610e6) nameType) (= (type T.__unnamed_12_a04f3ec2___unnamed_12_135b00bd) nameType) (= (type T.Data___unnamed_12_2349179a) nameType) (= (type T.Data___unnamed_12_508ad0f8) nameType) (= (type T.DataSize___unnamed_12_5a101f58) nameType) (= (type T.Reserved1___unnamed_12_5a101f58) nameType) (= (type T.Reserved2___unnamed_12_5a101f58) nameType) (= (type T.Start___unnamed_12_5c984402) nameType) (= (type T.Length40___unnamed_12_5c984402) nameType) (= (type T.Reserved___unnamed_12_6851572b) nameType) (= (type T.MessageCount___unnamed_12_6851572b) nameType) (= (type T.Vector___unnamed_12_6851572b) nameType) (= (type T.Affinity___unnamed_12_6851572b) nameType) (= (type T.Start___unnamed_12_91f117a1) nameType) (= (type T.Length___unnamed_12_91f117a1) nameType) (= (type T.Reserved___unnamed_12_91f117a1) nameType) (= (type T.Buffer___unnamed_12_9675b19c) nameType) (= (type T.Offset___unnamed_12_9675b19c) nameType) (= (type T.Length___unnamed_12_9675b19c) nameType) (= (type T.Priority___unnamed_12_99988665) nameType) (= (type T.Reserved1___unnamed_12_99988665) nameType) (= (type T.Reserved2___unnamed_12_99988665) nameType) (= (type T.Channel___unnamed_12_9b023e7e) nameType) (= (type T.Port___unnamed_12_9b023e7e) nameType) (= (type T.Reserved1___unnamed_12_9b023e7e) nameType) (= (type T.Raw___unnamed_12_a04f3ec2) nameType) (= (type T.Translated___unnamed_12_a04f3ec2) nameType) (= (type T.Buffer___unnamed_12_a41ee278) nameType) (= (type T.Length___unnamed_12_a41ee278) nameType) (= (type T.Offset___unnamed_12_a41ee278) nameType) (= (type T.Start___unnamed_12_aae97e0b) nameType) (= (type T.Length___unnamed_12_aae97e0b) nameType) (= (type T.ListEntry___unnamed_12_b0fe679d) nameType) (= (type T.__unnamed_4_ac2f5fe2___unnamed_12_b0fe679d) nameType) (= (type T.Level___unnamed_12_b4709d3d) nameType) (= (type T.Vector___unnamed_12_b4709d3d) nameType) (= (type T.Affinity___unnamed_12_b4709d3d) nameType) (= (type T.Start___unnamed_12_c07928f7) nameType) (= (type T.Length48___unnamed_12_c07928f7) nameType) (= (type T.Start___unnamed_12_c13de773) nameType) (= (type T.Length___unnamed_12_c13de773) nameType) (= (type T.Buffer___unnamed_12_e5e4e6f3) nameType) (= (type T.Length___unnamed_12_e5e4e6f3) nameType) (= (type T.Offset___unnamed_12_e5e4e6f3) nameType) (= (type T.Start___unnamed_12_e7dc8c54) nameType) (= (type T.Length___unnamed_12_e7dc8c54) nameType) (= (type T.Start___unnamed_12_f4e6bbc2) nameType) (= (type T.Length64___unnamed_12_f4e6bbc2) nameType) (= (type T.InterfaceType___unnamed_16_08405228) nameType) (= (type T.Size___unnamed_16_08405228) nameType) (= (type T.Version___unnamed_16_08405228) nameType) (= (type T.Interface___unnamed_16_08405228) nameType) (= (type T.InterfaceSpecificData___unnamed_16_08405228) nameType) (= (type T.Length___unnamed_16_0c179b13) nameType) (= (type T.StartSid___unnamed_16_0c179b13) nameType) (= (type T.SidList___unnamed_16_0c179b13) nameType) (= (type T.SidListLength___unnamed_16_0c179b13) nameType) (= (type T.Length___unnamed_16_160c71e3) nameType) (= (type T.Key___unnamed_16_160c71e3) nameType) (= (type T.DeviceOffset___unnamed_16_160c71e3) nameType) (= (type T.Argument1___unnamed_16_28d48018) nameType) (= (type T.Argument2___unnamed_16_28d48018) nameType) (= (type T.Argument3___unnamed_16_28d48018) nameType) (= (type T.Argument4___unnamed_16_28d48018) nameType) (= (type T.Length___unnamed_16_30754a00) nameType) (= (type T.Key___unnamed_16_30754a00) nameType) (= (type T.DeviceOffset___unnamed_16_30754a00) nameType) (= (type T.Length___unnamed_16_3538eb2e) nameType) (= (type T.MinBusNumber___unnamed_16_3538eb2e) nameType) (= (type T.MaxBusNumber___unnamed_16_3538eb2e) nameType) (= (type T.Reserved___unnamed_16_3538eb2e) nameType) (= (type T.Create___unnamed_16_3be92f23) nameType) (= (type T.Read___unnamed_16_3be92f23) nameType) (= (type T.Write___unnamed_16_3be92f23) nameType) (= (type T.DeviceIoControl___unnamed_16_3be92f23) nameType) (= (type T.Others___unnamed_16_3be92f23) nameType) (= (type T.Length___unnamed_16_4692f360) nameType) (= (type T.Key___unnamed_16_4692f360) nameType) (= (type T.ByteOffset___unnamed_16_4692f360) nameType) (= (type T.OutputBufferLength___unnamed_16_47a80b6e) nameType) (= (type T.InputBufferLength___unnamed_16_47a80b6e) nameType) (= (type T.FsControlCode___unnamed_16_47a80b6e) nameType) (= (type T.Type3InputBuffer___unnamed_16_47a80b6e) nameType) (= (type T.__unnamed_4_4008e71b___unnamed_16_4a376f0e) nameType) (= (type T.Type___unnamed_16_4a376f0e) nameType) (= (type T.State___unnamed_16_4a376f0e) nameType) (= (type T.ShutdownType___unnamed_16_4a376f0e) nameType) (= (type T.Create___unnamed_16_50547125) nameType) (= (type T.Read___unnamed_16_50547125) nameType) (= (type T.Write___unnamed_16_50547125) nameType) (= (type T.QueryDirectory___unnamed_16_50547125) nameType) (= (type T.NotifyDirectory___unnamed_16_50547125) nameType) (= (type T.QueryFile___unnamed_16_50547125) nameType) (= (type T.SetFile___unnamed_16_50547125) nameType) (= (type T.QueryEa___unnamed_16_50547125) nameType) (= (type T.SetEa___unnamed_16_50547125) nameType) (= (type T.QueryVolume___unnamed_16_50547125) nameType) (= (type T.SetVolume___unnamed_16_50547125) nameType) (= (type T.FileSystemControl___unnamed_16_50547125) nameType) (= (type T.LockControl___unnamed_16_50547125) nameType) (= (type T.DeviceIoControl___unnamed_16_50547125) nameType) (= (type T.QuerySecurity___unnamed_16_50547125) nameType) (= (type T.SetSecurity___unnamed_16_50547125) nameType) (= (type T.MountVolume___unnamed_16_50547125) nameType) (= (type T.VerifyVolume___unnamed_16_50547125) nameType) (= (type T.Scsi___unnamed_16_50547125) nameType) (= (type T.QueryQuota___unnamed_16_50547125) nameType) (= (type T.SetQuota___unnamed_16_50547125) nameType) (= (type T.QueryDeviceRelations___unnamed_16_50547125) nameType) (= (type T.QueryInterface___unnamed_16_50547125) nameType) (= (type T.DeviceCapabilities___unnamed_16_50547125) nameType) (= (type T.FilterResourceRequirements___unnamed_16_50547125) nameType) (= (type T.ReadWriteConfig___unnamed_16_50547125) nameType) (= (type T.SetLock___unnamed_16_50547125) nameType) (= (type T.QueryId___unnamed_16_50547125) nameType) (= (type T.QueryDeviceText___unnamed_16_50547125) nameType) (= (type T.UsageNotification___unnamed_16_50547125) nameType) (= (type T.WaitWake___unnamed_16_50547125) nameType) (= (type T.PowerSequence___unnamed_16_50547125) nameType) (= (type T.Power___unnamed_16_50547125) nameType) (= (type T.StartDevice___unnamed_16_50547125) nameType) (= (type T.WMI___unnamed_16_50547125) nameType) (= (type T.Others___unnamed_16_50547125) nameType) (= (type T.WhichSpace___unnamed_16_70b335ff) nameType) (= (type T.Buffer___unnamed_16_70b335ff) nameType) (= (type T.Offset___unnamed_16_70b335ff) nameType) (= (type T.Length___unnamed_16_70b335ff) nameType) (= (type T.SecurityContext___unnamed_16_758cc376) nameType) (= (type T.Options___unnamed_16_758cc376) nameType) (= (type T.FileAttributes___unnamed_16_758cc376) nameType) (= (type T.ShareAccess___unnamed_16_758cc376) nameType) (= (type T.EaLength___unnamed_16_758cc376) nameType) (= (type T.OutputBufferLength___unnamed_16_7b663246) nameType) (= (type T.InputBufferLength___unnamed_16_7b663246) nameType) (= (type T.IoControlCode___unnamed_16_7b663246) nameType) (= (type T.Type3InputBuffer___unnamed_16_7b663246) nameType) (= (type T.OutputBufferLength___unnamed_16_8c4e1e25) nameType) (= (type T.InputBufferLength___unnamed_16_8c4e1e25) nameType) (= (type T.IoControlCode___unnamed_16_8c4e1e25) nameType) (= (type T.Type3InputBuffer___unnamed_16_8c4e1e25) nameType) (= (type T.Length___unnamed_16_8fdea1e0) nameType) (= (type T.Key___unnamed_16_8fdea1e0) nameType) (= (type T.ByteOffset___unnamed_16_8fdea1e0) nameType) (= (type T.DriverContext___unnamed_16_90864369) nameType) (= (type T.Length___unnamed_16_98fa84c9) nameType) (= (type T.EaList___unnamed_16_98fa84c9) nameType) (= (type T.EaListLength___unnamed_16_98fa84c9) nameType) (= (type T.EaIndex___unnamed_16_98fa84c9) nameType) (= (type T.Argument1___unnamed_16_b19c652e) nameType) (= (type T.Argument2___unnamed_16_b19c652e) nameType) (= (type T.Argument3___unnamed_16_b19c652e) nameType) (= (type T.Argument4___unnamed_16_b19c652e) nameType) (= (type T.Length___unnamed_16_cbf64d77) nameType) (= (type T.FileName___unnamed_16_cbf64d77) nameType) (= (type T.FileInformationClass___unnamed_16_cbf64d77) nameType) (= (type T.FileIndex___unnamed_16_cbf64d77) nameType) (= (type T.Length___unnamed_16_d07eb79e) nameType) (= (type T.FileInformationClass___unnamed_16_d07eb79e) nameType) (= (type T.FileObject___unnamed_16_d07eb79e) nameType) (= (type T.__unnamed_4_b65679a6___unnamed_16_d07eb79e) nameType) (= (type T.Arg1___unnamed_16_d8ea3f48) nameType) (= (type T.Arg2___unnamed_16_d8ea3f48) nameType) (= (type T.IoControlCode___unnamed_16_d8ea3f48) nameType) (= (type T.Arg4___unnamed_16_d8ea3f48) nameType) (= (type T.ProviderId___unnamed_16_ec1b1a74) nameType) (= (type T.DataPath___unnamed_16_ec1b1a74) nameType) (= (type T.BufferSize___unnamed_16_ec1b1a74) nameType) (= (type T.Buffer___unnamed_16_ec1b1a74) nameType) (= (type T.Length___unnamed_16_f0deee7d) nameType) (= (type T.Key___unnamed_16_f0deee7d) nameType) (= (type T.ByteOffset___unnamed_16_f0deee7d) nameType) (= (type T.SecurityContext___unnamed_16_f26424fc) nameType) (= (type T.Options___unnamed_16_f26424fc) nameType) (= (type T.FileAttributes___unnamed_16_f26424fc) nameType) (= (type T.ShareAccess___unnamed_16_f26424fc) nameType) (= (type T.EaLength___unnamed_16_f26424fc) nameType) (= (type T.DeviceQueueEntry___unnamed_16_f8ddfcfe) nameType) (= (type T.__unnamed_16_90864369___unnamed_16_f8ddfcfe) nameType) (= (type T.Lock___unnamed_1_26d71ac8) nameType) (= (type T.Abandoned___unnamed_1_7fe4cdbd) nameType) (= (type T.Absolute___unnamed_1_7fe4cdbd) nameType) (= (type T.NpxIrql___unnamed_1_7fe4cdbd) nameType) (= (type T.Signalling___unnamed_1_7fe4cdbd) nameType) (= (type T.Size___unnamed_1_a19e9f98) nameType) (= (type T.Hand___unnamed_1_a19e9f98) nameType) (= (type T.Inserted___unnamed_1_a536060f) nameType) (= (type T.DebugActive___unnamed_1_a536060f) nameType) (= (type T.DpcActive___unnamed_1_a536060f) nameType) (= (type T.MinimumVector___unnamed_20_f8440734) nameType) (= (type T.MaximumVector___unnamed_20_f8440734) nameType) (= (type T.AffinityPolicy___unnamed_20_f8440734) nameType) (= (type T.PriorityPolicy___unnamed_20_f8440734) nameType) (= (type T.TargetedProcessors___unnamed_20_f8440734) nameType) (= (type T.Length64___unnamed_24_06d73087) nameType) (= (type T.Alignment64___unnamed_24_06d73087) nameType) (= (type T.MinimumAddress___unnamed_24_06d73087) nameType) (= (type T.MaximumAddress___unnamed_24_06d73087) nameType) (= (type T.Length___unnamed_24_22419524) nameType) (= (type T.Alignment___unnamed_24_22419524) nameType) (= (type T.MinimumAddress___unnamed_24_22419524) nameType) (= (type T.MaximumAddress___unnamed_24_22419524) nameType) (= (type T.Length40___unnamed_24_36b7e766) nameType) (= (type T.Alignment40___unnamed_24_36b7e766) nameType) (= (type T.MinimumAddress___unnamed_24_36b7e766) nameType) (= (type T.MaximumAddress___unnamed_24_36b7e766) nameType) (= (type T.Length___unnamed_24_370204c2) nameType) (= (type T.Alignment___unnamed_24_370204c2) nameType) (= (type T.MinimumAddress___unnamed_24_370204c2) nameType) (= (type T.MaximumAddress___unnamed_24_370204c2) nameType) (= (type T.IoControlCode___unnamed_24_52bbd12f) nameType) (= (type T.Input___unnamed_24_52bbd12f) nameType) (= (type T.Output___unnamed_24_52bbd12f) nameType) (= (type T.Length48___unnamed_24_76cd2bdb) nameType) (= (type T.Alignment48___unnamed_24_76cd2bdb) nameType) (= (type T.MinimumAddress___unnamed_24_76cd2bdb) nameType) (= (type T.MaximumAddress___unnamed_24_76cd2bdb) nameType) (= (type T.Write___unnamed_24_a2447d05) nameType) (= (type T.Read___unnamed_24_a2447d05) nameType) (= (type T.Ioctl___unnamed_24_a2447d05) nameType) (= (type T.Others___unnamed_24_a2447d05) nameType) (= (type T.Usb___unnamed_24_a2447d05) nameType) (= (type T.Length___unnamed_24_b8ad6aa7) nameType) (= (type T.Alignment___unnamed_24_b8ad6aa7) nameType) (= (type T.MinimumAddress___unnamed_24_b8ad6aa7) nameType) (= (type T.MaximumAddress___unnamed_24_b8ad6aa7) nameType) (= (type T.Port___unnamed_24_ba07fbe7) nameType) (= (type T.Memory___unnamed_24_ba07fbe7) nameType) (= (type T.Interrupt___unnamed_24_ba07fbe7) nameType) (= (type T.Dma___unnamed_24_ba07fbe7) nameType) (= (type T.Generic___unnamed_24_ba07fbe7) nameType) (= (type T.DevicePrivate___unnamed_24_ba07fbe7) nameType) (= (type T.BusNumber___unnamed_24_ba07fbe7) nameType) (= (type T.ConfigData___unnamed_24_ba07fbe7) nameType) (= (type T.Memory40___unnamed_24_ba07fbe7) nameType) (= (type T.Memory48___unnamed_24_ba07fbe7) nameType) (= (type T.Memory64___unnamed_24_ba07fbe7) nameType) (= (type T.ReplaceIfExists___unnamed_2_8290e1b0) nameType) (= (type T.AdvanceOnly___unnamed_2_8290e1b0) nameType) (= (type T.__unnamed_16_f8ddfcfe___unnamed_40_cfd29ebe) nameType) (= (type T.Thread___unnamed_40_cfd29ebe) nameType) (= (type T.AuxiliaryBuffer___unnamed_40_cfd29ebe) nameType) (= (type T.__unnamed_12_b0fe679d___unnamed_40_cfd29ebe) nameType) (= (type T.OriginalFileObject___unnamed_40_cfd29ebe) nameType) (= (type T.ListEntry___unnamed_40_dbe30577) nameType) (= (type T.Wcb___unnamed_40_dbe30577) nameType) (= (type T.InitialPrivilegeSet___unnamed_44_d7e89117) nameType) (= (type T.PrivilegeSet___unnamed_44_d7e89117) nameType) (= (type T.Overlay___unnamed_48_5a9f979b) nameType) (= (type T.Apc___unnamed_48_5a9f979b) nameType) (= (type T.CompletionKey___unnamed_48_5a9f979b) nameType) (= (type T.MasterIrp___unnamed_4_0a20c9fb) nameType) (= (type T.IrpCount___unnamed_4_0a20c9fb) nameType) (= (type T.SystemBuffer___unnamed_4_0a20c9fb) nameType) (= (type T.Length___unnamed_4_27fec054) nameType) (= (type T.PowerState___unnamed_4_342578c3) nameType) (= (type T.Capabilities___unnamed_4_36e06717) nameType) (= (type T.PowerSequence___unnamed_4_3e8985b1) nameType) (= (type T.SystemContext___unnamed_4_4008e71b) nameType) (= (type T.SystemPowerStateContext___unnamed_4_4008e71b) nameType) (= (type T.UserApcRoutine___unnamed_4_41bc16eb) nameType) (= (type T.IssuingProcess___unnamed_4_41bc16eb) nameType) (= (type T.Ptr___unnamed_4_442e007e) nameType) (= (type T.Value___unnamed_4_442e007e) nameType) (= (type T.Status___unnamed_4_6a857cdd) nameType) (= (type T.Pointer___unnamed_4_6a857cdd) nameType) (= (type T.Reserved1___unnamed_4_82d41359) nameType) (= (type T.TargetSystemState___unnamed_4_82d41359) nameType) (= (type T.EffectiveSystemState___unnamed_4_82d41359) nameType) (= (type T.CurrentSystemState___unnamed_4_82d41359) nameType) (= (type T.IgnoreHibernationPath___unnamed_4_82d41359) nameType) (= (type T.PseudoTransition___unnamed_4_82d41359) nameType) (= (type T.Reserved2___unnamed_4_82d41359) nameType) (= (type T.Srb___unnamed_4_94f0c80c) nameType) (= (type T.Type___unnamed_4_9b388132) nameType) (= (type T.Address___unnamed_4_9d516d2b) nameType) (= (type T.CreatorBackTraceIndex___unnamed_4_9d516d2b) nameType) (= (type T.CurrentStackLocation___unnamed_4_ac2f5fe2) nameType) (= (type T.PacketType___unnamed_4_ac2f5fe2) nameType) (= (type T.Type___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a19e9f98___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a536060f___unnamed_4_b1953259) nameType) (= (type T.Ptr___unnamed_4_b617aa5a) nameType) (= (type T.Value___unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_2_8290e1b0___unnamed_4_b65679a6) nameType) (= (type T.ClusterCount___unnamed_4_b65679a6) nameType) (= (type T.DeleteHandle___unnamed_4_b65679a6) nameType) (= (type T.OwnerCount___unnamed_4_c406319a) nameType) (= (type T.TableSize___unnamed_4_c406319a) nameType) (= (type T.Ptr___unnamed_4_d6f0159b) nameType) (= (type T.Value___unnamed_4_d6f0159b) nameType) (= (type T.Completion___unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_b1953259___unnamed_4_dfcb1314) nameType) (= (type T.Lock___unnamed_4_dfcb1314) nameType) (= (type T.Length___unnamed_4_e60fbc3e) nameType) (= (type T.__unnamed_4_82d41359___unnamed_4_f525de8d) nameType) (= (type T.ContextAsUlong___unnamed_4_f525de8d) nameType) (= (type T.IoResourceRequirementList___unnamed_4_f571b1b9) nameType) (= (type T.IdType___unnamed_4_fad32fd4) nameType) (= (type T.Ptr___unnamed_4_fbcc5fb9) nameType) (= (type T.Value___unnamed_4_fbcc5fb9) nameType) (= (type T.Buffer___unnamed_8_20ce6f92) nameType) (= (type T.Offset___unnamed_8_20ce6f92) nameType) (= (type T.AsynchronousParameters___unnamed_8_2c71b416) nameType) (= (type T.AllocationSize___unnamed_8_2c71b416) nameType) (= (type T.AllocatedResources___unnamed_8_305df57c) nameType) (= (type T.AllocatedResourcesTranslated___unnamed_8_305df57c) nameType) (= (type T.LowPart___unnamed_8_4aac83fd) nameType) (= (type T.HighPart___unnamed_8_4aac83fd) nameType) (= (type T.Length___unnamed_8_5c8f0abe) nameType) (= (type T.FileInformationClass___unnamed_8_5c8f0abe) nameType) (= (type T.Length___unnamed_8_872f0ca6) nameType) (= (type T.FsInformationClass___unnamed_8_872f0ca6) nameType) (= (type T.Vpb___unnamed_8_89024868) nameType) (= (type T.DeviceObject___unnamed_8_89024868) nameType) (= (type T.SecurityInformation___unnamed_8_8bfbe2a4) nameType) (= (type T.Length___unnamed_8_8bfbe2a4) nameType) (= (type T.MinimumChannel___unnamed_8_9b5da84f) nameType) (= (type T.MaximumChannel___unnamed_8_9b5da84f) nameType) (= (type T.DeviceTextType___unnamed_8_9da0b827) nameType) (= (type T.LocaleId___unnamed_8_9da0b827) nameType) (= (type T.LowPart___unnamed_8_bb154058) nameType) (= (type T.HighPart___unnamed_8_bb154058) nameType) (= (type T.InPath___unnamed_8_cdc8e4c0) nameType) (= (type T.Reserved___unnamed_8_cdc8e4c0) nameType) (= (type T.Type___unnamed_8_cdc8e4c0) nameType) (= (type T.__unnamed_4_41bc16eb___unnamed_8_d0cda093) nameType) (= (type T.UserApcContext___unnamed_8_d0cda093) nameType) (= (type T.Length___unnamed_8_da064ae3) nameType) (= (type T.FsInformationClass___unnamed_8_da064ae3) nameType) (= (type T.Length___unnamed_8_e1457eff) nameType) (= (type T.CompletionFilter___unnamed_8_e1457eff) nameType) (= (type T.Vpb___unnamed_8_f62d54e1) nameType) (= (type T.DeviceObject___unnamed_8_f62d54e1) nameType) (= (type T.SecurityInformation___unnamed_8_f825c111) nameType) (= (type T.SecurityDescriptor___unnamed_8_f825c111) nameType) (= (type T.UrbHeader___unnamed_96_e511a626) nameType) (= (type T.UrbSelectInterface___unnamed_96_e511a626) nameType) (= (type T.UrbSelectConfiguration___unnamed_96_e511a626) nameType) (= (type T.UrbPipeRequest___unnamed_96_e511a626) nameType) (= (type T.UrbFrameLengthControl___unnamed_96_e511a626) nameType) (= (type T.UrbGetFrameLength___unnamed_96_e511a626) nameType) (= (type T.UrbSetFrameLength___unnamed_96_e511a626) nameType) (= (type T.UrbGetCurrentFrameNumber___unnamed_96_e511a626) nameType) (= (type T.UrbControlTransfer___unnamed_96_e511a626) nameType) (= (type T.UrbControlTransferEx___unnamed_96_e511a626) nameType) (= (type T.UrbPipeIoPolicy___unnamed_96_e511a626) nameType) (= (type T.UrbBulkOrInterruptTransfer___unnamed_96_e511a626) nameType) (= (type T.UrbIsochronousTransfer___unnamed_96_e511a626) nameType) (= (type T.UrbControlDescriptorRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlGetStatusRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlFeatureRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlVendorClassRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlGetInterfaceRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlGetConfigurationRequest___unnamed_96_e511a626) nameType) (= (type T.UrbOSFeatureDescriptorRequest___unnamed_96_e511a626) nameType) (= (type T.A1_CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_LIST) nameType) (= (type T.A1_LUID_AND_ATTRIBUTES) nameType) (= (type T.A1_USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.A1_USBD_PIPE_INFORMATION) nameType) (= (type T.A28PFDRIVER_DISPATCH) nameType) (= (type T.A32CHAR) nameType) (= (type T.A32UINT2) nameType) (= (type T.A3UCHAR) nameType) (= (type T.A3UINT4) nameType) (= (type T.A3_LUID_AND_ATTRIBUTES) nameType) (= (type T.A4PVOID) nameType) (= (type T.A4UCHAR) nameType) (= (type T.A5CHAR) nameType) (= (type T.A6CHAR) nameType) (= (type T.A7_DEVICE_POWER_STATE) nameType) (= (type T.A8PVOID) nameType) (= (type T.A8UCHAR) nameType) (= (type T.BUS_QUERY_ID_TYPE) nameType) (= (type T.CHAR) nameType) (= (type T.DEVICE_TEXT_TYPE) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F10) nameType) (= (type T.F11) nameType) (= (type T.F12) nameType) (= (type T.F13) nameType) (= (type T.F14) nameType) (= (type T.F15) nameType) (= (type T.F16) nameType) (= (type T.F17) nameType) (= (type T.F18) nameType) (= (type T.F19) nameType) (= (type T.F2) nameType) (= (type T.F20) nameType) (= (type T.F21) nameType) (= (type T.F22) nameType) (= (type T.F23) nameType) (= (type T.F24) nameType) (= (type T.F25) nameType) (= (type T.F26) nameType) (= (type T.F27) nameType) (= (type T.F28) nameType) (= (type T.F29) nameType) (= (type T.F3) nameType) (= (type T.F30) nameType) (= (type T.F31) nameType) (= (type T.F32) nameType) (= (type T.F33) nameType) (= (type T.F34) nameType) (= (type T.F35) nameType) (= (type T.F36) nameType) (= (type T.F37) nameType) (= (type T.F4) nameType) (= (type T.F5) nameType) (= (type T.F6) nameType) (= (type T.F7) nameType) (= (type T.F8) nameType) (= (type T.F9) nameType) (= (type T.FDRIVER_ADD_DEVICE) nameType) (= (type T.FDRIVER_CANCEL) nameType) (= (type T.FDRIVER_DISPATCH) nameType) (= (type T.FDRIVER_INITIALIZE) nameType) (= (type T.FDRIVER_STARTIO) nameType) (= (type T.FDRIVER_UNLOAD) nameType) (= (type T.FEVT_WDF_OBJECT_CONTEXT_CLEANUP) nameType) (= (type T.FEVT_WDF_OBJECT_CONTEXT_DESTROY) nameType) (= (type T.FEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.FEVT_WDF_WORKITEM) nameType) (= (type T.FFAST_IO_ACQUIRE_FILE) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.FFAST_IO_DETACH_DEVICE) nameType) (= (type T.FFAST_IO_DEVICE_CONTROL) nameType) (= (type T.FFAST_IO_LOCK) nameType) (= (type T.FFAST_IO_MDL_READ) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.FFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.FFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.FFAST_IO_QUERY_OPEN) nameType) (= (type T.FFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.FFAST_IO_READ) nameType) (= (type T.FFAST_IO_READ_COMPRESSED) nameType) (= (type T.FFAST_IO_RELEASE_FILE) nameType) (= (type T.FFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_UNLOCK_ALL) nameType) (= (type T.FFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.FFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.FFAST_IO_WRITE) nameType) (= (type T.FFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.FIO_COMPLETION_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA5CHAR) nameType) (= (type T.PA6CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF27) nameType) (= (type T.PF28) nameType) (= (type T.PF29) nameType) (= (type T.PF31) nameType) (= (type T.PF32) nameType) (= (type T.PF33) nameType) (= (type T.PF35) nameType) (= (type T.PF36) nameType) (= (type T.PF37) nameType) (= (type T.PFDRIVER_ADD_DEVICE) nameType) (= (type T.PFDRIVER_CANCEL) nameType) (= (type T.PFDRIVER_DISPATCH) nameType) (= (type T.PFDRIVER_INITIALIZE) nameType) (= (type T.PFDRIVER_STARTIO) nameType) (= (type T.PFDRIVER_UNLOAD) nameType) (= (type T.PFEVT_WDF_OBJECT_CONTEXT_CLEANUP) nameType) (= (type T.PFEVT_WDF_OBJECT_CONTEXT_DESTROY) nameType) (= (type T.PFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PFEVT_WDF_WORKITEM) nameType) (= (type T.PFFAST_IO_ACQUIRE_FILE) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.PFFAST_IO_DETACH_DEVICE) nameType) (= (type T.PFFAST_IO_DEVICE_CONTROL) nameType) (= (type T.PFFAST_IO_LOCK) nameType) (= (type T.PFFAST_IO_MDL_READ) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.PFFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.PFFAST_IO_QUERY_OPEN) nameType) (= (type T.PFFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.PFFAST_IO_READ) nameType) (= (type T.PFFAST_IO_READ_COMPRESSED) nameType) (= (type T.PFFAST_IO_RELEASE_FILE) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.PFFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.PFFAST_IO_WRITE) nameType) (= (type T.PFFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.PFIO_COMPLETION_ROUTINE) nameType) (= (type T.PINT4) nameType) (= (type T.POWER_ACTION) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPF32) nameType) (= (type T.PPFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PPFEVT_WDF_WORKITEM) nameType) (= (type T.PPINT4) nameType) (= (type T.PPPVOID) nameType) (= (type T.PPPWDFCOLLECTION__) nameType) (= (type T.PPPWDFMEMORY__) nameType) (= (type T.PPPWDFREQUEST__) nameType) (= (type T.PPPWDFSPINLOCK__) nameType) (= (type T.PPPWDFWORKITEM__) nameType) (= (type T.PPP_MDL) nameType) (= (type T.PPUCHAR) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PPWDFCOLLECTION__) nameType) (= (type T.PPWDFDEVICE__) nameType) (= (type T.PPWDFFILEOBJECT__) nameType) (= (type T.PPWDFIOTARGET__) nameType) (= (type T.PPWDFMEMORY__) nameType) (= (type T.PPWDFQUEUE__) nameType) (= (type T.PPWDFREQUEST__) nameType) (= (type T.PPWDFSPINLOCK__) nameType) (= (type T.PPWDFUSBDEVICE__) nameType) (= (type T.PPWDFUSBINTERFACE__) nameType) (= (type T.PPWDFUSBPIPE__) nameType) (= (type T.PPWDFWORKITEM__) nameType) (= (type T.PP_DEVICE_CONTEXT) nameType) (= (type T.PP_ERESOURCE) nameType) (= (type T.PP_FILE_CONTEXT) nameType) (= (type T.PP_IRP) nameType) (= (type T.PP_LIST_ENTRY) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_REQUEST_CONTEXT) nameType) (= (type T.PP_SUB_REQUEST_CONTEXT) nameType) (= (type T.PP_URB) nameType) (= (type T.PP_WDFMEMORY_OFFSET) nameType) (= (type T.PP_WDF_DRIVER_GLOBALS) nameType) (= (type T.PP_WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.PP_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.PP_WDF_REQUEST_PARAMETERS) nameType) (= (type T.PP_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.PP_WDF_USB_PIPE_INFORMATION) nameType) (= (type T.PP_WDF_WORKITEM_CONFIG) nameType) (= (type T.PP_WORKITEM_CONTEXT) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT2) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWDFCOLLECTION__) nameType) (= (type T.PWDFDEVICE__) nameType) (= (type T.PWDFDRIVER__) nameType) (= (type T.PWDFFILEOBJECT__) nameType) (= (type T.PWDFIOTARGET__) nameType) (= (type T.PWDFMEMORY__) nameType) (= (type T.PWDFQUEUE__) nameType) (= (type T.PWDFREQUEST__) nameType) (= (type T.PWDFSPINLOCK__) nameType) (= (type T.PWDFUSBDEVICE__) nameType) (= (type T.PWDFUSBINTERFACE__) nameType) (= (type T.PWDFUSBPIPE__) nameType) (= (type T.PWDFWORKITEM__) nameType) (= (type T.P_ACCESS_STATE) nameType) (= (type T.P_CM_RESOURCE_LIST) nameType) (= (type T.P_COMPRESSED_DATA_INFO) nameType) (= (type T.P_DEVICE_CAPABILITIES) nameType) (= (type T.P_DEVICE_CONTEXT) nameType) (= (type T.P_DEVICE_OBJECT) nameType) (= (type T.P_DEVOBJ_EXTENSION) nameType) (= (type T.P_DRIVER_EXTENSION) nameType) (= (type T.P_DRIVER_OBJECT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_ERESOURCE) nameType) (= (type T.P_FAST_IO_DISPATCH) nameType) (= (type T.P_FILE_BASIC_INFORMATION) nameType) (= (type T.P_FILE_CONTEXT) nameType) (= (type T.P_FILE_GET_QUOTA_INFORMATION) nameType) (= (type T.P_FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.P_FILE_OBJECT) nameType) (= (type T.P_FILE_STANDARD_INFORMATION) nameType) (= (type T.P_GUID) nameType) (= (type T.P_INTERFACE) nameType) (= (type T.P_IO_COMPLETION_CONTEXT) nameType) (= (type T.P_IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.P_IO_SECURITY_CONTEXT) nameType) (= (type T.P_IO_STACK_LOCATION) nameType) (= (type T.P_IO_STATUS_BLOCK) nameType) (= (type T.P_IO_TIMER) nameType) (= (type T.P_IRP) nameType) (= (type T.P_KAPC) nameType) (= (type T.P_KDPC) nameType) (= (type T.P_KEVENT) nameType) (= (type T.P_KPROCESS) nameType) (= (type T.P_KSEMAPHORE) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LARGE_INTEGER) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_OWNER_ENTRY) nameType) (= (type T.P_POOL_TYPE) nameType) (= (type T.P_POWER_SEQUENCE) nameType) (= (type T.P_REQUEST_CONTEXT) nameType) (= (type T.P_SCSI_REQUEST_BLOCK) nameType) (= (type T.P_SECTION_OBJECT_POINTERS) nameType) (= (type T.P_SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.P_SUB_REQUEST_CONTEXT) nameType) (= (type T.P_UNICODE_STRING) nameType) (= (type T.P_URB) nameType) (= (type T.P_USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.P_USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.P_VPB) nameType) (= (type T.P_WDFMEMORY_OFFSET) nameType) (= (type T.P_WDF_DRIVER_GLOBALS) nameType) (= (type T.P_WDF_IO_TARGET_SENT_IO_ACTION) nameType) (= (type T.P_WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.P_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.P_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_REQUEST_PARAMETERS) nameType) (= (type T.P_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.P_WDF_REQUEST_TYPE) nameType) (= (type T.P_WDF_USB_PIPE_INFORMATION) nameType) (= (type T.P_WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_WORKITEM_CONFIG) nameType) (= (type T.P_WORKITEM_CONTEXT) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT2) nameType) (= (type T.UINT4) nameType) (= (type T.VOID) nameType) (= (type T.WDFCOLLECTION__) nameType) (= (type T.WDFDEVICE__) nameType) (= (type T.WDFDRIVER__) nameType) (= (type T.WDFFILEOBJECT__) nameType) (= (type T.WDFIOTARGET__) nameType) (= (type T.WDFMEMORY__) nameType) (= (type T.WDFQUEUE__) nameType) (= (type T.WDFREQUEST__) nameType) (= (type T.WDFSPINLOCK__) nameType) (= (type T.WDFUSBDEVICE__) nameType) (= (type T.WDFUSBINTERFACE__) nameType) (= (type T.WDFUSBPIPE__) nameType) (= (type T.WDFWORKITEM__) nameType) (= (type T._ACCESS_STATE) nameType) (= (type T._CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T._CM_RESOURCE_LIST) nameType) (= (type T._COMPRESSED_DATA_INFO) nameType) (= (type T._DEVICE_CAPABILITIES) nameType) (= (type T._DEVICE_CONTEXT) nameType) (= (type T._DEVICE_OBJECT) nameType) (= (type T._DEVICE_POWER_STATE) nameType) (= (type T._DEVICE_RELATION_TYPE) nameType) (= (type T._DEVICE_USAGE_NOTIFICATION_TYPE) nameType) (= (type T._DEVOBJ_EXTENSION) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._DRIVER_EXTENSION) nameType) (= (type T._DRIVER_OBJECT) nameType) (= (type T._EPROCESS) nameType) (= (type T._ERESOURCE) nameType) (= (type T._FAST_IO_DISPATCH) nameType) (= (type T._FILE_BASIC_INFORMATION) nameType) (= (type T._FILE_CONTEXT) nameType) (= (type T._FILE_GET_QUOTA_INFORMATION) nameType) (= (type T._FILE_INFORMATION_CLASS) nameType) (= (type T._FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T._FILE_OBJECT) nameType) (= (type T._FILE_STANDARD_INFORMATION) nameType) (= (type T._FSINFOCLASS) nameType) (= (type T._GUID) nameType) (= (type T._INITIAL_PRIVILEGE_SET) nameType) (= (type T._INTERFACE) nameType) (= (type T._INTERFACE_TYPE) nameType) (= (type T._IO_ALLOCATION_ACTION) nameType) (= (type T._IO_COMPLETION_CONTEXT) nameType) (= (type T._IO_RESOURCE_DESCRIPTOR) nameType) (= (type T._IO_RESOURCE_LIST) nameType) (= (type T._IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T._IO_SECURITY_CONTEXT) nameType) (= (type T._IO_STACK_LOCATION) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._IO_TIMER) nameType) (= (type T._IRP) nameType) (= (type T._IRQ_DEVICE_POLICY) nameType) (= (type T._IRQ_PRIORITY) nameType) (= (type T._KAPC) nameType) (= (type T._KDEVICE_QUEUE) nameType) (= (type T._KDEVICE_QUEUE_ENTRY) nameType) (= (type T._KDPC) nameType) (= (type T._KEVENT) nameType) (= (type T._KPROCESS) nameType) (= (type T._KSEMAPHORE) nameType) (= (type T._KTHREAD) nameType) (= (type T._LARGE_INTEGER) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._LUID) nameType) (= (type T._LUID_AND_ATTRIBUTES) nameType) (= (type T._MDL) nameType) (= (type T._OWNER_ENTRY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._POWER_SEQUENCE) nameType) (= (type T._POWER_STATE) nameType) (= (type T._POWER_STATE_TYPE) nameType) (= (type T._PRIVILEGE_SET) nameType) (= (type T._REQUEST_CONTEXT) nameType) (= (type T._SCSI_REQUEST_BLOCK) nameType) (= (type T._SECTION_OBJECT_POINTERS) nameType) (= (type T._SECURITY_IMPERSONATION_LEVEL) nameType) (= (type T._SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T._SECURITY_SUBJECT_CONTEXT) nameType) (= (type T._SUB_REQUEST_CONTEXT) nameType) (= (type T._SYSTEM_POWER_STATE) nameType) (= (type T._SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T._UNICODE_STRING) nameType) (= (type T._URB) nameType) (= (type T._URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T._URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T._URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T._URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T._URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T._URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T._URB_CONTROL_TRANSFER) nameType) (= (type T._URB_CONTROL_TRANSFER_EX) nameType) (= (type T._URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T._URB_FRAME_LENGTH_CONTROL) nameType) (= (type T._URB_GET_CURRENT_FRAME_NUMBER) nameType) (= (type T._URB_GET_FRAME_LENGTH) nameType) (= (type T._URB_HCD_AREA) nameType) (= (type T._URB_HEADER) nameType) (= (type T._URB_ISOCH_TRANSFER) nameType) (= (type T._URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T._URB_PIPE_IO_POLICY) nameType) (= (type T._URB_PIPE_REQUEST) nameType) (= (type T._URB_SELECT_CONFIGURATION) nameType) (= (type T._URB_SELECT_INTERFACE) nameType) (= (type T._URB_SET_FRAME_LENGTH) nameType) (= (type T._USBD_INTERFACE_INFORMATION) nameType) (= (type T._USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T._USBD_PIPE_INFORMATION) nameType) (= (type T._USBD_PIPE_TYPE) nameType) (= (type T._USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T._USB_DEVICE_DESCRIPTOR) nameType) (= (type T._USB_IO_PARAMETERS) nameType) (= (type T._USB_IO_PRIORITY) nameType) (= (type T._VPB) nameType) (= (type T._WAIT_CONTEXT_BLOCK) nameType) (= (type T._WDFMEMORY_OFFSET) nameType) (= (type T._WDF_DRIVER_GLOBALS) nameType) (= (type T._WDF_EXECUTION_LEVEL) nameType) (= (type T._WDF_IO_TARGET_SENT_IO_ACTION) nameType) (= (type T._WDF_OBJECT_ATTRIBUTES) nameType) (= (type T._WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T._WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_REQUEST_PARAMETERS) nameType) (= (type T._WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T._WDF_REQUEST_TYPE) nameType) (= (type T._WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T._WDF_USB_PIPE_INFORMATION) nameType) (= (type T._WDF_USB_PIPE_TYPE) nameType) (= (type T._WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_WORKITEM_CONFIG) nameType) (= (type T._WORKITEM_CONTEXT) nameType) (= (type T.__unnamed_12_00aa0978) nameType) (= (type T.__unnamed_12_011610e6) nameType) (= (type T.__unnamed_12_135b00bd) nameType) (= (type T.__unnamed_12_2349179a) nameType) (= (type T.__unnamed_12_508ad0f8) nameType) (= (type T.__unnamed_12_5a101f58) nameType) (= (type T.__unnamed_12_5c984402) nameType) (= (type T.__unnamed_12_6851572b) nameType) (= (type T.__unnamed_12_91f117a1) nameType) (= (type T.__unnamed_12_9675b19c) nameType) (= (type T.__unnamed_12_99988665) nameType) (= (type T.__unnamed_12_9b023e7e) nameType) (= (type T.__unnamed_12_a04f3ec2) nameType) (= (type T.__unnamed_12_a41ee278) nameType) (= (type T.__unnamed_12_aae97e0b) nameType) (= (type T.__unnamed_12_b0fe679d) nameType) (= (type T.__unnamed_12_b4709d3d) nameType) (= (type T.__unnamed_12_c07928f7) nameType) (= (type T.__unnamed_12_c13de773) nameType) (= (type T.__unnamed_12_e5e4e6f3) nameType) (= (type T.__unnamed_12_e7dc8c54) nameType) (= (type T.__unnamed_12_f4e6bbc2) nameType) (= (type T.__unnamed_16_08405228) nameType) (= (type T.__unnamed_16_0c179b13) nameType) (= (type T.__unnamed_16_160c71e3) nameType) (= (type T.__unnamed_16_28d48018) nameType) (= (type T.__unnamed_16_30754a00) nameType) (= (type T.__unnamed_16_3538eb2e) nameType) (= (type T.__unnamed_16_3be92f23) nameType) (= (type T.__unnamed_16_4692f360) nameType) (= (type T.__unnamed_16_47a80b6e) nameType) (= (type T.__unnamed_16_4a376f0e) nameType) (= (type T.__unnamed_16_50547125) nameType) (= (type T.__unnamed_16_70b335ff) nameType) (= (type T.__unnamed_16_758cc376) nameType) (= (type T.__unnamed_16_7b663246) nameType) (= (type T.__unnamed_16_8c4e1e25) nameType) (= (type T.__unnamed_16_8fdea1e0) nameType) (= (type T.__unnamed_16_90864369) nameType) (= (type T.__unnamed_16_98fa84c9) nameType) (= (type T.__unnamed_16_b19c652e) nameType) (= (type T.__unnamed_16_cbf64d77) nameType) (= (type T.__unnamed_16_d07eb79e) nameType) (= (type T.__unnamed_16_d8ea3f48) nameType) (= (type T.__unnamed_16_ec1b1a74) nameType) (= (type T.__unnamed_16_f0deee7d) nameType) (= (type T.__unnamed_16_f26424fc) nameType) (= (type T.__unnamed_16_f8ddfcfe) nameType) (= (type T.__unnamed_1_26d71ac8) nameType) (= (type T.__unnamed_1_7fe4cdbd) nameType) (= (type T.__unnamed_1_a19e9f98) nameType) (= (type T.__unnamed_1_a536060f) nameType) (= (type T.__unnamed_20_f8440734) nameType) (= (type T.__unnamed_24_06d73087) nameType) (= (type T.__unnamed_24_22419524) nameType) (= (type T.__unnamed_24_36b7e766) nameType) (= (type T.__unnamed_24_370204c2) nameType) (= (type T.__unnamed_24_52bbd12f) nameType) (= (type T.__unnamed_24_76cd2bdb) nameType) (= (type T.__unnamed_24_a2447d05) nameType) (= (type T.__unnamed_24_b8ad6aa7) nameType) (= (type T.__unnamed_24_ba07fbe7) nameType) (= (type T.__unnamed_2_8290e1b0) nameType) (= (type T.__unnamed_40_cfd29ebe) nameType) (= (type T.__unnamed_40_dbe30577) nameType) (= (type T.__unnamed_44_d7e89117) nameType) (= (type T.__unnamed_48_5a9f979b) nameType) (= (type T.__unnamed_4_0a20c9fb) nameType) (= (type T.__unnamed_4_27fec054) nameType) (= (type T.__unnamed_4_342578c3) nameType) (= (type T.__unnamed_4_36e06717) nameType) (= (type T.__unnamed_4_3e8985b1) nameType) (= (type T.__unnamed_4_4008e71b) nameType) (= (type T.__unnamed_4_41bc16eb) nameType) (= (type T.__unnamed_4_442e007e) nameType) (= (type T.__unnamed_4_6a857cdd) nameType) (= (type T.__unnamed_4_82d41359) nameType) (= (type T.__unnamed_4_94f0c80c) nameType) (= (type T.__unnamed_4_9b388132) nameType) (= (type T.__unnamed_4_9d516d2b) nameType) (= (type T.__unnamed_4_ac2f5fe2) nameType) (= (type T.__unnamed_4_b1953259) nameType) (= (type T.__unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_4_b65679a6) nameType) (= (type T.__unnamed_4_c406319a) nameType) (= (type T.__unnamed_4_d6f0159b) nameType) (= (type T.__unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_dfcb1314) nameType) (= (type T.__unnamed_4_e60fbc3e) nameType) (= (type T.__unnamed_4_f525de8d) nameType) (= (type T.__unnamed_4_f571b1b9) nameType) (= (type T.__unnamed_4_fad32fd4) nameType) (= (type T.__unnamed_4_fbcc5fb9) nameType) (= (type T.__unnamed_8_20ce6f92) nameType) (= (type T.__unnamed_8_2c71b416) nameType) (= (type T.__unnamed_8_305df57c) nameType) (= (type T.__unnamed_8_4aac83fd) nameType) (= (type T.__unnamed_8_5c8f0abe) nameType) (= (type T.__unnamed_8_872f0ca6) nameType) (= (type T.__unnamed_8_89024868) nameType) (= (type T.__unnamed_8_8bfbe2a4) nameType) (= (type T.__unnamed_8_9b5da84f) nameType) (= (type T.__unnamed_8_9da0b827) nameType) (= (type T.__unnamed_8_bb154058) nameType) (= (type T.__unnamed_8_cdc8e4c0) nameType) (= (type T.__unnamed_8_d0cda093) nameType) (= (type T.__unnamed_8_da064ae3) nameType) (= (type T.__unnamed_8_e1457eff) nameType) (= (type T.__unnamed_8_f62d54e1) nameType) (= (type T.__unnamed_8_f825c111) nameType) (= (type T.__unnamed_96_e511a626) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRY ?arg018)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRY ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRYInv ?arg019)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRYInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?arg020)) ?v_0) :pattern ((x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?arg021)) ?v_0) :pattern ((x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_Device__WORKITEM_CONTEXT ?arg022)) ?v_0) :pattern ((x_S_Device__WORKITEM_CONTEXT ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_Device__WORKITEM_CONTEXTInv ?arg023)) ?v_0) :pattern ((x_S_Device__WORKITEM_CONTEXTInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRY ?arg024)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRY ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRYInv ?arg025)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRYInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_Function__URB_HEADER ?arg026)) ?v_0) :pattern ((x_S_Function__URB_HEADER ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_Function__URB_HEADERInv ?arg027)) ?v_0) :pattern ((x_S_Function__URB_HEADERInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_Hdr__URB_ISOCH_TRANSFER ?arg028)) ?v_0) :pattern ((x_S_Hdr__URB_ISOCH_TRANSFER ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_Hdr__URB_ISOCH_TRANSFERInv ?arg029)) ?v_0) :pattern ((x_S_Hdr__URB_ISOCH_TRANSFERInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg030)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg031)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?arg032)) ?v_0) :pattern ((x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?arg033)) ?v_0) :pattern ((x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_IsoPacket__URB_ISOCH_TRANSFER ?arg034)) ?v_0) :pattern ((x_S_IsoPacket__URB_ISOCH_TRANSFER ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?arg035)) ?v_0) :pattern ((x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_Length__REQUEST_CONTEXT ?arg036)) ?v_0) :pattern ((x_S_Length__REQUEST_CONTEXT ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_Length__REQUEST_CONTEXTInv ?arg037)) ?v_0) :pattern ((x_S_Length__REQUEST_CONTEXTInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_Length__URB_HEADER ?arg038)) ?v_0) :pattern ((x_S_Length__URB_HEADER ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_Length__URB_HEADERInv ?arg039)) ?v_0) :pattern ((x_S_Length__URB_HEADERInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?arg040)) ?v_0) :pattern ((x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?arg041)) ?v_0) :pattern ((x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_ListEntry__SUB_REQUEST_CONTEXT ?arg042)) ?v_0) :pattern ((x_S_ListEntry__SUB_REQUEST_CONTEXT ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?arg043)) ?v_0) :pattern ((x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?arg044)) ?v_0) :pattern ((x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?arg045)) ?v_0) :pattern ((x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Mdl__REQUEST_CONTEXT ?arg046)) ?v_0) :pattern ((x_S_Mdl__REQUEST_CONTEXT ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Mdl__REQUEST_CONTEXTInv ?arg047)) ?v_0) :pattern ((x_S_Mdl__REQUEST_CONTEXTInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?arg048)) ?v_0) :pattern ((x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?arg049)) ?v_0) :pattern ((x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?arg050)) ?v_0) :pattern ((x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?arg051)) ?v_0) :pattern ((x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_Numxfer__REQUEST_CONTEXT ?arg052)) ?v_0) :pattern ((x_S_Numxfer__REQUEST_CONTEXT ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_Numxfer__REQUEST_CONTEXTInv ?arg053)) ?v_0) :pattern ((x_S_Numxfer__REQUEST_CONTEXTInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?arg054)) ?v_0) :pattern ((x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?arg055)) ?v_0) :pattern ((x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?arg056)) ?v_0) :pattern ((x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?arg057)) ?v_0) :pattern ((x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?arg058)) ?v_0) :pattern ((x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg059)) ?v_0) :pattern ((x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_PipeHandle__URB_ISOCH_TRANSFER ?arg060)) ?v_0) :pattern ((x_S_PipeHandle__URB_ISOCH_TRANSFER ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?arg061)) ?v_0) :pattern ((x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?arg062)) ?v_0) :pattern ((x_S_PipeType__WDF_USB_PIPE_INFORMATION ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?arg063)) ?v_0) :pattern ((x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_Pipe__FILE_CONTEXT ?arg064)) ?v_0) :pattern ((x_S_Pipe__FILE_CONTEXT ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_Pipe__FILE_CONTEXTInv ?arg065)) ?v_0) :pattern ((x_S_Pipe__FILE_CONTEXTInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Pipe__WORKITEM_CONTEXT ?arg066)) ?v_0) :pattern ((x_S_Pipe__WORKITEM_CONTEXT ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Pipe__WORKITEM_CONTEXTInv ?arg067)) ?v_0) :pattern ((x_S_Pipe__WORKITEM_CONTEXTInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_Read__REQUEST_CONTEXT ?arg068)) ?v_0) :pattern ((x_S_Read__REQUEST_CONTEXT ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_Read__REQUEST_CONTEXTInv ?arg069)) ?v_0) :pattern ((x_S_Read__REQUEST_CONTEXTInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_Size__WDF_USB_PIPE_INFORMATION ?arg070)) ?v_0) :pattern ((x_S_Size__WDF_USB_PIPE_INFORMATION ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?arg071)) ?v_0) :pattern ((x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cdd ?arg072)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cdd ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cddInv ?arg073)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cddInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_SubMdl__SUB_REQUEST_CONTEXT ?arg074)) ?v_0) :pattern ((x_S_SubMdl__SUB_REQUEST_CONTEXT ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?arg075)) ?v_0) :pattern ((x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?arg076)) ?v_0) :pattern ((x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?arg077)) ?v_0) :pattern ((x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_SubRequestCollection__REQUEST_CONTEXT ?arg078)) ?v_0) :pattern ((x_S_SubRequestCollection__REQUEST_CONTEXT ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?arg079)) ?v_0) :pattern ((x_S_SubRequestCollection__REQUEST_CONTEXTInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_SubUrb__SUB_REQUEST_CONTEXT ?arg080)) ?v_0) :pattern ((x_S_SubUrb__SUB_REQUEST_CONTEXT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?arg081)) ?v_0) :pattern ((x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?arg082)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg083)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg083)) )) (forall ((?arg084 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?arg084)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?arg084)) )) (forall ((?arg085 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?arg085)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?arg085)) )) (forall ((?arg086 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?arg086)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?arg086)) )) (forall ((?arg087 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg087)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg087)) )) (forall ((?arg088 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?arg088)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?arg088)) )) (forall ((?arg089 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?arg089)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?arg089)) )) (forall ((?arg090 boogieU)) (! (= (type (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?arg090)) ?v_0) :pattern ((x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?arg090)) )) (forall ((?arg091 boogieU)) (! (= (type (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg091)) ?v_0) :pattern ((x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg091)) )) (forall ((?arg092 boogieU)) (! (= (type (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?arg092)) ?v_0) :pattern ((x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?arg092)) )) (forall ((?arg093 boogieU)) (! (= (type (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg093)) ?v_0) :pattern ((x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg093)) )) (forall ((?arg094 boogieU)) (! (= (type (x_S_TransferFlags__URB_ISOCH_TRANSFER ?arg094)) ?v_0) :pattern ((x_S_TransferFlags__URB_ISOCH_TRANSFER ?arg094)) )) (forall ((?arg095 boogieU)) (! (= (type (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?arg095)) ?v_0) :pattern ((x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?arg095)) )) (forall ((?arg096 boogieU)) (! (= (type (x_S_Type__WDF_REQUEST_PARAMETERS ?arg096)) ?v_0) :pattern ((x_S_Type__WDF_REQUEST_PARAMETERS ?arg096)) )) (forall ((?arg097 boogieU)) (! (= (type (x_S_Type__WDF_REQUEST_PARAMETERSInv ?arg097)) ?v_0) :pattern ((x_S_Type__WDF_REQUEST_PARAMETERSInv ?arg097)) )) (forall ((?arg098 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg098)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg098)) )) (forall ((?arg099 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg099)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg099)) )) (forall ((?arg0100 boogieU)) (! (= (type (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?arg0100)) ?v_0) :pattern ((x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?arg0100)) )) (forall ((?arg0101 boogieU)) (! (= (type (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?arg0101)) ?v_0) :pattern ((x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?arg0101)) )) (forall ((?arg0102 boogieU)) (! (= (type (x_S_UrbHeader___unnamed_96_e511a626 ?arg0102)) ?v_0) :pattern ((x_S_UrbHeader___unnamed_96_e511a626 ?arg0102)) )) (forall ((?arg0103 boogieU)) (! (= (type (x_S_UrbHeader___unnamed_96_e511a626Inv ?arg0103)) ?v_0) :pattern ((x_S_UrbHeader___unnamed_96_e511a626Inv ?arg0103)) )) (forall ((?arg0104 boogieU)) (! (= (type (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?arg0104)) ?v_0) :pattern ((x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?arg0104)) )) (forall ((?arg0105 boogieU)) (! (= (type (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?arg0105)) ?v_0) :pattern ((x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?arg0105)) )) (forall ((?arg0106 boogieU)) (! (= (type (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?arg0106)) ?v_0) :pattern ((x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?arg0106)) )) (forall ((?arg0107 boogieU)) (! (= (type (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg0107)) ?v_0) :pattern ((x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg0107)) )) (forall ((?arg0108 boogieU)) (! (= (type (x_S_UrbLink__URB_ISOCH_TRANSFER ?arg0108)) ?v_0) :pattern ((x_S_UrbLink__URB_ISOCH_TRANSFER ?arg0108)) )) (forall ((?arg0109 boogieU)) (! (= (type (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?arg0109)) ?v_0) :pattern ((x_S_UrbLink__URB_ISOCH_TRANSFERInv ?arg0109)) )) (forall ((?arg0110 boogieU)) (! (= (type (x_S_UrbMemory__REQUEST_CONTEXT ?arg0110)) ?v_0) :pattern ((x_S_UrbMemory__REQUEST_CONTEXT ?arg0110)) )) (forall ((?arg0111 boogieU)) (! (= (type (x_S_UrbMemory__REQUEST_CONTEXTInv ?arg0111)) ?v_0) :pattern ((x_S_UrbMemory__REQUEST_CONTEXTInv ?arg0111)) )) (forall ((?arg0112 boogieU)) (! (= (type (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?arg0112)) ?v_0) :pattern ((x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?arg0112)) )) (forall ((?arg0113 boogieU)) (! (= (type (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?arg0113)) ?v_0) :pattern ((x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?arg0113)) )) (forall ((?arg0114 boogieU)) (! (= (type (x_S_UsbInterface__DEVICE_CONTEXT ?arg0114)) ?v_0) :pattern ((x_S_UsbInterface__DEVICE_CONTEXT ?arg0114)) )) (forall ((?arg0115 boogieU)) (! (= (type (x_S_UsbInterface__DEVICE_CONTEXTInv ?arg0115)) ?v_0) :pattern ((x_S_UsbInterface__DEVICE_CONTEXTInv ?arg0115)) )) (forall ((?arg0116 boogieU)) (! (= (type (x_S_UserRequest__SUB_REQUEST_CONTEXT ?arg0116)) ?v_0) :pattern ((x_S_UserRequest__SUB_REQUEST_CONTEXT ?arg0116)) )) (forall ((?arg0117 boogieU)) (! (= (type (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?arg0117)) ?v_0) :pattern ((x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?arg0117)) )) (forall ((?arg0118 boogieU)) (! (= (type (x_S_VirtualAddress__REQUEST_CONTEXT ?arg0118)) ?v_0) :pattern ((x_S_VirtualAddress__REQUEST_CONTEXT ?arg0118)) )) (forall ((?arg0119 boogieU)) (! (= (type (x_S_VirtualAddress__REQUEST_CONTEXTInv ?arg0119)) ?v_0) :pattern ((x_S_VirtualAddress__REQUEST_CONTEXTInv ?arg0119)) )) (forall ((?arg0120 boogieU)) (! (= (type (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?arg0120)) ?v_0) :pattern ((x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?arg0120)) )) (forall ((?arg0121 boogieU)) (! (= (type (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?arg0121)) ?v_0) :pattern ((x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?arg0121)) )) (forall ((?arg0122 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg0122)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg0122)) )) (forall ((?arg0123 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg0123)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg0123)) )) (forall ((?arg0124 boogieU)) (! (= (type (x_S___unnamed_96_e511a626__URB ?arg0124)) ?v_0) :pattern ((x_S___unnamed_96_e511a626__URB ?arg0124)) )) (forall ((?arg0125 boogieU)) (! (= (type (x_S___unnamed_96_e511a626__URBInv ?arg0125)) ?v_0) :pattern ((x_S___unnamed_96_e511a626__URBInv ?arg0125)) )) (forall ((?arg0126 boogieU)) (! (= (type (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?arg0126)) ?v_0) :pattern ((x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?arg0126)) )) (forall ((?arg0127 boogieU)) (! (= (type (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?arg0127)) ?v_0) :pattern ((x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?arg0127)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.unused_WDFCOLLECTION__ T.unused_WDFDEVICE__ T.unused_WDFDRIVER__ T.unused_WDFFILEOBJECT__ T.unused_WDFIOTARGET__ T.unused_WDFMEMORY__ T.unused_WDFQUEUE__ T.unused_WDFREQUEST__ T.unused_WDFSPINLOCK__ T.unused_WDFUSBDEVICE__ T.unused_WDFUSBINTERFACE__ T.unused_WDFUSBPIPE__ T.unused_WDFWORKITEM__ T.OperationID__ACCESS_STATE T.SecurityEvaluated__ACCESS_STATE T.GenerateAudit__ACCESS_STATE T.GenerateOnClose__ACCESS_STATE T.PrivilegesAllocated__ACCESS_STATE T.Flags__ACCESS_STATE T.RemainingDesiredAccess__ACCESS_STATE T.PreviouslyGrantedAccess__ACCESS_STATE T.OriginalDesiredAccess__ACCESS_STATE T.SubjectSecurityContext__ACCESS_STATE T.SecurityDescriptor__ACCESS_STATE T.AuxData__ACCESS_STATE T.Privileges__ACCESS_STATE T.AuditPrivileges__ACCESS_STATE T.ObjectName__ACCESS_STATE T.ObjectTypeName__ACCESS_STATE T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Version__CM_PARTIAL_RESOURCE_LIST T.Revision__CM_PARTIAL_RESOURCE_LIST T.Count__CM_PARTIAL_RESOURCE_LIST T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST T.Count__CM_RESOURCE_LIST T.List__CM_RESOURCE_LIST T.Size__DEVICE_CAPABILITIES T.Version__DEVICE_CAPABILITIES T.DeviceD1__DEVICE_CAPABILITIES T.DeviceD2__DEVICE_CAPABILITIES T.LockSupported__DEVICE_CAPABILITIES T.EjectSupported__DEVICE_CAPABILITIES T.Removable__DEVICE_CAPABILITIES T.DockDevice__DEVICE_CAPABILITIES T.UniqueID__DEVICE_CAPABILITIES T.SilentInstall__DEVICE_CAPABILITIES T.RawDeviceOK__DEVICE_CAPABILITIES T.SurpriseRemovalOK__DEVICE_CAPABILITIES T.WakeFromD0__DEVICE_CAPABILITIES T.WakeFromD1__DEVICE_CAPABILITIES T.WakeFromD2__DEVICE_CAPABILITIES T.WakeFromD3__DEVICE_CAPABILITIES T.HardwareDisabled__DEVICE_CAPABILITIES T.NonDynamic__DEVICE_CAPABILITIES T.WarmEjectSupported__DEVICE_CAPABILITIES T.NoDisplayInUI__DEVICE_CAPABILITIES T.Reserved__DEVICE_CAPABILITIES T.Address__DEVICE_CAPABILITIES T.UINumber__DEVICE_CAPABILITIES T.DeviceState__DEVICE_CAPABILITIES T.SystemWake__DEVICE_CAPABILITIES T.DeviceWake__DEVICE_CAPABILITIES T.D1Latency__DEVICE_CAPABILITIES T.D2Latency__DEVICE_CAPABILITIES T.D3Latency__DEVICE_CAPABILITIES T.UsbDeviceDescriptor__DEVICE_CONTEXT T.UsbConfigurationDescriptor__DEVICE_CONTEXT T.WdfUsbTargetDevice__DEVICE_CONTEXT T.WaitWakeEnable__DEVICE_CONTEXT T.IsDeviceHighSpeed__DEVICE_CONTEXT T.UsbInterface__DEVICE_CONTEXT T.NumberConfiguredPipes__DEVICE_CONTEXT T.Type__DEVICE_OBJECT T.Size__DEVICE_OBJECT T.ReferenceCount__DEVICE_OBJECT T.DriverObject__DEVICE_OBJECT T.NextDevice__DEVICE_OBJECT T.AttachedDevice__DEVICE_OBJECT T.CurrentIrp__DEVICE_OBJECT T.Timer__DEVICE_OBJECT T.Flags__DEVICE_OBJECT T.Characteristics__DEVICE_OBJECT T.Vpb__DEVICE_OBJECT T.DeviceExtension__DEVICE_OBJECT T.DeviceType__DEVICE_OBJECT T.StackSize__DEVICE_OBJECT T.Queue__DEVICE_OBJECT T.AlignmentRequirement__DEVICE_OBJECT T.DeviceQueue__DEVICE_OBJECT T.Dpc__DEVICE_OBJECT T.ActiveThreadCount__DEVICE_OBJECT T.SecurityDescriptor__DEVICE_OBJECT T.DeviceLock__DEVICE_OBJECT T.SectorSize__DEVICE_OBJECT T.Spare1__DEVICE_OBJECT T.DeviceObjectExtension__DEVICE_OBJECT T.Reserved__DEVICE_OBJECT T.Type__DEVOBJ_EXTENSION T.Size__DEVOBJ_EXTENSION T.DeviceObject__DEVOBJ_EXTENSION T.__unnamed_4_dfcb1314__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.DriverObject__DRIVER_EXTENSION T.AddDevice__DRIVER_EXTENSION T.Count__DRIVER_EXTENSION T.ServiceKeyName__DRIVER_EXTENSION T.Type__DRIVER_OBJECT T.Size__DRIVER_OBJECT T.DeviceObject__DRIVER_OBJECT T.Flags__DRIVER_OBJECT T.DriverStart__DRIVER_OBJECT T.DriverSize__DRIVER_OBJECT T.DriverSection__DRIVER_OBJECT T.DriverExtension__DRIVER_OBJECT T.DriverName__DRIVER_OBJECT T.HardwareDatabase__DRIVER_OBJECT T.FastIoDispatch__DRIVER_OBJECT T.DriverInit__DRIVER_OBJECT T.DriverStartIo__DRIVER_OBJECT T.DriverUnload__DRIVER_OBJECT T.MajorFunction__DRIVER_OBJECT T.SystemResourcesList__ERESOURCE T.OwnerTable__ERESOURCE T.ActiveCount__ERESOURCE T.Flag__ERESOURCE T.SharedWaiters__ERESOURCE T.ExclusiveWaiters__ERESOURCE T.OwnerEntry__ERESOURCE T.ActiveEntries__ERESOURCE T.ContentionCount__ERESOURCE T.NumberOfSharedWaiters__ERESOURCE T.NumberOfExclusiveWaiters__ERESOURCE T.__unnamed_4_9d516d2b__ERESOURCE T.SpinLock__ERESOURCE T.SizeOfFastIoDispatch__FAST_IO_DISPATCH T.FastIoCheckIfPossible__FAST_IO_DISPATCH T.FastIoRead__FAST_IO_DISPATCH T.FastIoWrite__FAST_IO_DISPATCH T.FastIoQueryBasicInfo__FAST_IO_DISPATCH T.FastIoQueryStandardInfo__FAST_IO_DISPATCH T.FastIoLock__FAST_IO_DISPATCH T.FastIoUnlockSingle__FAST_IO_DISPATCH T.FastIoUnlockAll__FAST_IO_DISPATCH T.FastIoUnlockAllByKey__FAST_IO_DISPATCH T.FastIoDeviceControl__FAST_IO_DISPATCH T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH T.FastIoDetachDevice__FAST_IO_DISPATCH T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH T.AcquireForModWrite__FAST_IO_DISPATCH T.MdlRead__FAST_IO_DISPATCH T.MdlReadComplete__FAST_IO_DISPATCH T.PrepareMdlWrite__FAST_IO_DISPATCH T.MdlWriteComplete__FAST_IO_DISPATCH T.FastIoReadCompressed__FAST_IO_DISPATCH T.FastIoWriteCompressed__FAST_IO_DISPATCH T.MdlReadCompleteCompressed__FAST_IO_DISPATCH T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH T.FastIoQueryOpen__FAST_IO_DISPATCH T.ReleaseForModWrite__FAST_IO_DISPATCH T.AcquireForCcFlush__FAST_IO_DISPATCH T.ReleaseForCcFlush__FAST_IO_DISPATCH T.CreationTime__FILE_BASIC_INFORMATION T.LastAccessTime__FILE_BASIC_INFORMATION T.LastWriteTime__FILE_BASIC_INFORMATION T.ChangeTime__FILE_BASIC_INFORMATION T.FileAttributes__FILE_BASIC_INFORMATION T.Pipe__FILE_CONTEXT T.CreationTime__FILE_NETWORK_OPEN_INFORMATION T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION T.Type__FILE_OBJECT T.Size__FILE_OBJECT T.DeviceObject__FILE_OBJECT T.Vpb__FILE_OBJECT T.FsContext__FILE_OBJECT T.FsContext2__FILE_OBJECT T.SectionObjectPointer__FILE_OBJECT T.PrivateCacheMap__FILE_OBJECT T.FinalStatus__FILE_OBJECT T.RelatedFileObject__FILE_OBJECT T.LockOperation__FILE_OBJECT T.DeletePending__FILE_OBJECT T.ReadAccess__FILE_OBJECT T.WriteAccess__FILE_OBJECT T.DeleteAccess__FILE_OBJECT T.SharedRead__FILE_OBJECT T.SharedWrite__FILE_OBJECT T.SharedDelete__FILE_OBJECT T.Flags__FILE_OBJECT T.FileName__FILE_OBJECT T.CurrentByteOffset__FILE_OBJECT T.Waiters__FILE_OBJECT T.Busy__FILE_OBJECT T.LastLock__FILE_OBJECT T.Lock__FILE_OBJECT T.Event__FILE_OBJECT T.CompletionContext__FILE_OBJECT T.IrpListLock__FILE_OBJECT T.IrpList__FILE_OBJECT T.FileObjectExtension__FILE_OBJECT T.AllocationSize__FILE_STANDARD_INFORMATION T.EndOfFile__FILE_STANDARD_INFORMATION T.NumberOfLinks__FILE_STANDARD_INFORMATION T.DeletePending__FILE_STANDARD_INFORMATION T.Directory__FILE_STANDARD_INFORMATION T.Data1__GUID T.Data2__GUID T.Data3__GUID T.Data4__GUID T.PrivilegeCount__INITIAL_PRIVILEGE_SET T.Control__INITIAL_PRIVILEGE_SET T.Privilege__INITIAL_PRIVILEGE_SET T.Size__INTERFACE T.Version__INTERFACE T.Context__INTERFACE T.InterfaceReference__INTERFACE T.InterfaceDereference__INTERFACE T.Port__IO_COMPLETION_CONTEXT T.Key__IO_COMPLETION_CONTEXT T.Option__IO_RESOURCE_DESCRIPTOR T.Type__IO_RESOURCE_DESCRIPTOR T.ShareDisposition__IO_RESOURCE_DESCRIPTOR T.Spare1__IO_RESOURCE_DESCRIPTOR T.Flags__IO_RESOURCE_DESCRIPTOR T.Spare2__IO_RESOURCE_DESCRIPTOR T.u__IO_RESOURCE_DESCRIPTOR T.Version__IO_RESOURCE_LIST T.Revision__IO_RESOURCE_LIST T.Count__IO_RESOURCE_LIST T.Descriptors__IO_RESOURCE_LIST T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST T.List__IO_RESOURCE_REQUIREMENTS_LIST T.SecurityQos__IO_SECURITY_CONTEXT T.AccessState__IO_SECURITY_CONTEXT T.DesiredAccess__IO_SECURITY_CONTEXT T.FullCreateOptions__IO_SECURITY_CONTEXT T.MajorFunction__IO_STACK_LOCATION T.MinorFunction__IO_STACK_LOCATION T.Flags__IO_STACK_LOCATION T.Control__IO_STACK_LOCATION T.Parameters__IO_STACK_LOCATION T.DeviceObject__IO_STACK_LOCATION T.FileObject__IO_STACK_LOCATION T.CompletionRoutine__IO_STACK_LOCATION T.Context__IO_STACK_LOCATION T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Type__IRP T.Size__IRP T.MdlAddress__IRP T.Flags__IRP T.AssociatedIrp__IRP T.ThreadListEntry__IRP T.IoStatus__IRP T.RequestorMode__IRP T.PendingReturned__IRP T.StackCount__IRP T.CurrentLocation__IRP T.Cancel__IRP T.CancelIrql__IRP T.ApcEnvironment__IRP T.AllocationFlags__IRP T.UserIosb__IRP T.UserEvent__IRP T.Overlay__IRP T.CancelRoutine__IRP T.UserBuffer__IRP T.Tail__IRP T.Type__KAPC T.SpareByte0__KAPC T.Size__KAPC T.SpareByte1__KAPC T.SpareLong0__KAPC T.Thread__KAPC T.ApcListEntry__KAPC T.KernelRoutine__KAPC T.RundownRoutine__KAPC T.NormalRoutine__KAPC T.NormalContext__KAPC T.SystemArgument1__KAPC T.SystemArgument2__KAPC T.ApcStateIndex__KAPC T.ApcMode__KAPC T.Inserted__KAPC T.Type__KDEVICE_QUEUE T.Size__KDEVICE_QUEUE T.DeviceListHead__KDEVICE_QUEUE T.Lock__KDEVICE_QUEUE T.Busy__KDEVICE_QUEUE T.DeviceListEntry__KDEVICE_QUEUE_ENTRY T.SortKey__KDEVICE_QUEUE_ENTRY T.Inserted__KDEVICE_QUEUE_ENTRY T.Type__KDPC T.Importance__KDPC T.Number__KDPC T.DpcListEntry__KDPC T.DeferredRoutine__KDPC T.DeferredContext__KDPC T.SystemArgument1__KDPC T.SystemArgument2__KDPC T.DpcData__KDPC T.Header__KEVENT T.Header__KSEMAPHORE T.Limit__KSEMAPHORE T.__unnamed_8_bb154058__LARGE_INTEGER T.u__LARGE_INTEGER T.QuadPart__LARGE_INTEGER T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.LowPart__LUID T.HighPart__LUID T.Luid__LUID_AND_ATTRIBUTES T.Attributes__LUID_AND_ATTRIBUTES T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.OwnerThread__OWNER_ENTRY T.__unnamed_4_c406319a__OWNER_ENTRY T.SequenceD1__POWER_SEQUENCE T.SequenceD2__POWER_SEQUENCE T.SequenceD3__POWER_SEQUENCE T.SystemState__POWER_STATE T.DeviceState__POWER_STATE T.PrivilegeCount__PRIVILEGE_SET T.Control__PRIVILEGE_SET T.Privilege__PRIVILEGE_SET T.UrbMemory__REQUEST_CONTEXT T.Mdl__REQUEST_CONTEXT T.Length__REQUEST_CONTEXT T.Numxfer__REQUEST_CONTEXT T.VirtualAddress__REQUEST_CONTEXT T.SubRequestCollection__REQUEST_CONTEXT T.SubRequestCollectionLock__REQUEST_CONTEXT T.Read__REQUEST_CONTEXT T.DataSectionObject__SECTION_OBJECT_POINTERS T.SharedCacheMap__SECTION_OBJECT_POINTERS T.ImageSectionObject__SECTION_OBJECT_POINTERS T.Length__SECURITY_QUALITY_OF_SERVICE T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE T.ClientToken__SECURITY_SUBJECT_CONTEXT T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT T.PrimaryToken__SECURITY_SUBJECT_CONTEXT T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT T.UserRequest__SUB_REQUEST_CONTEXT T.SubUrb__SUB_REQUEST_CONTEXT T.SubMdl__SUB_REQUEST_CONTEXT T.ListEntry__SUB_REQUEST_CONTEXT T.__unnamed_4_f525de8d__SYSTEM_POWER_STATE_CONTEXT T.Length__UNICODE_STRING T.MaximumLength__UNICODE_STRING T.Buffer__UNICODE_STRING T.__unnamed_96_e511a626__URB T.Hdr__URB_BULK_OR_INTERRUPT_TRANSFER T.PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER T.UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER T.hca__URB_BULK_OR_INTERRUPT_TRANSFER T.Hdr__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved0__URB_CONTROL_DESCRIPTOR_REQUEST T.TransferBufferLength__URB_CONTROL_DESCRIPTOR_REQUEST T.TransferBuffer__URB_CONTROL_DESCRIPTOR_REQUEST T.TransferBufferMDL__URB_CONTROL_DESCRIPTOR_REQUEST T.UrbLink__URB_CONTROL_DESCRIPTOR_REQUEST T.hca__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved1__URB_CONTROL_DESCRIPTOR_REQUEST T.Index__URB_CONTROL_DESCRIPTOR_REQUEST T.DescriptorType__URB_CONTROL_DESCRIPTOR_REQUEST T.LanguageId__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved2__URB_CONTROL_DESCRIPTOR_REQUEST T.Hdr__URB_CONTROL_FEATURE_REQUEST T.Reserved__URB_CONTROL_FEATURE_REQUEST T.Reserved2__URB_CONTROL_FEATURE_REQUEST T.Reserved3__URB_CONTROL_FEATURE_REQUEST T.Reserved4__URB_CONTROL_FEATURE_REQUEST T.Reserved5__URB_CONTROL_FEATURE_REQUEST T.UrbLink__URB_CONTROL_FEATURE_REQUEST T.hca__URB_CONTROL_FEATURE_REQUEST T.Reserved0__URB_CONTROL_FEATURE_REQUEST T.FeatureSelector__URB_CONTROL_FEATURE_REQUEST T.Index__URB_CONTROL_FEATURE_REQUEST T.Reserved1__URB_CONTROL_FEATURE_REQUEST T.Hdr__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Reserved__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Reserved0__URB_CONTROL_GET_CONFIGURATION_REQUEST T.TransferBufferLength__URB_CONTROL_GET_CONFIGURATION_REQUEST T.TransferBuffer__URB_CONTROL_GET_CONFIGURATION_REQUEST T.TransferBufferMDL__URB_CONTROL_GET_CONFIGURATION_REQUEST T.UrbLink__URB_CONTROL_GET_CONFIGURATION_REQUEST T.hca__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Reserved1__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Hdr__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved0__URB_CONTROL_GET_INTERFACE_REQUEST T.TransferBufferLength__URB_CONTROL_GET_INTERFACE_REQUEST T.TransferBuffer__URB_CONTROL_GET_INTERFACE_REQUEST T.TransferBufferMDL__URB_CONTROL_GET_INTERFACE_REQUEST T.UrbLink__URB_CONTROL_GET_INTERFACE_REQUEST T.hca__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved1__URB_CONTROL_GET_INTERFACE_REQUEST T.Interface__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved2__URB_CONTROL_GET_INTERFACE_REQUEST T.Hdr__URB_CONTROL_GET_STATUS_REQUEST T.Reserved__URB_CONTROL_GET_STATUS_REQUEST T.Reserved0__URB_CONTROL_GET_STATUS_REQUEST T.TransferBufferLength__URB_CONTROL_GET_STATUS_REQUEST T.TransferBuffer__URB_CONTROL_GET_STATUS_REQUEST T.TransferBufferMDL__URB_CONTROL_GET_STATUS_REQUEST T.UrbLink__URB_CONTROL_GET_STATUS_REQUEST T.hca__URB_CONTROL_GET_STATUS_REQUEST T.Reserved1__URB_CONTROL_GET_STATUS_REQUEST T.Index__URB_CONTROL_GET_STATUS_REQUEST T.Reserved2__URB_CONTROL_GET_STATUS_REQUEST T.Hdr__URB_CONTROL_TRANSFER T.PipeHandle__URB_CONTROL_TRANSFER T.TransferFlags__URB_CONTROL_TRANSFER T.TransferBufferLength__URB_CONTROL_TRANSFER T.TransferBuffer__URB_CONTROL_TRANSFER T.TransferBufferMDL__URB_CONTROL_TRANSFER T.UrbLink__URB_CONTROL_TRANSFER T.hca__URB_CONTROL_TRANSFER T.SetupPacket__URB_CONTROL_TRANSFER T.Hdr__URB_CONTROL_TRANSFER_EX T.PipeHandle__URB_CONTROL_TRANSFER_EX T.TransferFlags__URB_CONTROL_TRANSFER_EX T.TransferBufferLength__URB_CONTROL_TRANSFER_EX T.TransferBuffer__URB_CONTROL_TRANSFER_EX T.TransferBufferMDL__URB_CONTROL_TRANSFER_EX T.Timeout__URB_CONTROL_TRANSFER_EX T.hca__URB_CONTROL_TRANSFER_EX T.SetupPacket__URB_CONTROL_TRANSFER_EX T.Hdr__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Reserved__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferFlags__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferBufferLength__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferBuffer__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferBufferMDL__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.UrbLink__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.hca__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.RequestTypeReservedBits__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Request__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Value__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Index__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Reserved1__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Hdr__URB_FRAME_LENGTH_CONTROL T.Hdr__URB_GET_CURRENT_FRAME_NUMBER T.FrameNumber__URB_GET_CURRENT_FRAME_NUMBER T.Hdr__URB_GET_FRAME_LENGTH T.FrameLength__URB_GET_FRAME_LENGTH T.FrameNumber__URB_GET_FRAME_LENGTH T.Reserved8__URB_HCD_AREA T.Length__URB_HEADER T.Function__URB_HEADER T.Status__URB_HEADER T.UsbdDeviceHandle__URB_HEADER T.UsbdFlags__URB_HEADER T.Hdr__URB_ISOCH_TRANSFER T.PipeHandle__URB_ISOCH_TRANSFER T.TransferFlags__URB_ISOCH_TRANSFER T.TransferBufferLength__URB_ISOCH_TRANSFER T.TransferBuffer__URB_ISOCH_TRANSFER T.TransferBufferMDL__URB_ISOCH_TRANSFER T.UrbLink__URB_ISOCH_TRANSFER T.hca__URB_ISOCH_TRANSFER T.StartFrame__URB_ISOCH_TRANSFER T.NumberOfPackets__URB_ISOCH_TRANSFER T.ErrorCount__URB_ISOCH_TRANSFER T.IsoPacket__URB_ISOCH_TRANSFER T.Hdr__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved0__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.TransferBufferLength__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.TransferBuffer__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.TransferBufferMDL__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.UrbLink__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.hca__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Recipient__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved1__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved2__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.InterfaceNumber__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.MS_PageIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.MS_FeatureDescriptorIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved3__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Hdr__URB_PIPE_IO_POLICY T.PipeHandle__URB_PIPE_IO_POLICY T.UsbIoParamters__URB_PIPE_IO_POLICY T.Hdr__URB_PIPE_REQUEST T.PipeHandle__URB_PIPE_REQUEST T.Reserved__URB_PIPE_REQUEST T.Hdr__URB_SELECT_CONFIGURATION T.ConfigurationDescriptor__URB_SELECT_CONFIGURATION T.ConfigurationHandle__URB_SELECT_CONFIGURATION T.Interface__URB_SELECT_CONFIGURATION T.Hdr__URB_SELECT_INTERFACE T.ConfigurationHandle__URB_SELECT_INTERFACE T.Interface__URB_SELECT_INTERFACE T.Hdr__URB_SET_FRAME_LENGTH T.FrameLengthDelta__URB_SET_FRAME_LENGTH T.Length__USBD_INTERFACE_INFORMATION T.InterfaceNumber__USBD_INTERFACE_INFORMATION T.AlternateSetting__USBD_INTERFACE_INFORMATION T.Class__USBD_INTERFACE_INFORMATION T.SubClass__USBD_INTERFACE_INFORMATION T.Protocol__USBD_INTERFACE_INFORMATION T.Reserved__USBD_INTERFACE_INFORMATION T.InterfaceHandle__USBD_INTERFACE_INFORMATION T.NumberOfPipes__USBD_INTERFACE_INFORMATION T.Pipes__USBD_INTERFACE_INFORMATION T.Offset__USBD_ISO_PACKET_DESCRIPTOR T.Length__USBD_ISO_PACKET_DESCRIPTOR T.Status__USBD_ISO_PACKET_DESCRIPTOR T.MaximumPacketSize__USBD_PIPE_INFORMATION T.EndpointAddress__USBD_PIPE_INFORMATION T.Interval__USBD_PIPE_INFORMATION T.PipeType__USBD_PIPE_INFORMATION T.PipeHandle__USBD_PIPE_INFORMATION T.MaximumTransferSize__USBD_PIPE_INFORMATION T.PipeFlags__USBD_PIPE_INFORMATION T.bLength__USB_CONFIGURATION_DESCRIPTOR T.bDescriptorType__USB_CONFIGURATION_DESCRIPTOR T.wTotalLength__USB_CONFIGURATION_DESCRIPTOR T.bNumInterfaces__USB_CONFIGURATION_DESCRIPTOR T.bConfigurationValue__USB_CONFIGURATION_DESCRIPTOR T.iConfiguration__USB_CONFIGURATION_DESCRIPTOR T.bmAttributes__USB_CONFIGURATION_DESCRIPTOR T.MaxPower__USB_CONFIGURATION_DESCRIPTOR T.bLength__USB_DEVICE_DESCRIPTOR T.bDescriptorType__USB_DEVICE_DESCRIPTOR T.bcdUSB__USB_DEVICE_DESCRIPTOR T.bDeviceClass__USB_DEVICE_DESCRIPTOR T.bDeviceSubClass__USB_DEVICE_DESCRIPTOR T.bDeviceProtocol__USB_DEVICE_DESCRIPTOR T.bMaxPacketSize0__USB_DEVICE_DESCRIPTOR T.idVendor__USB_DEVICE_DESCRIPTOR T.idProduct__USB_DEVICE_DESCRIPTOR T.bcdDevice__USB_DEVICE_DESCRIPTOR T.iManufacturer__USB_DEVICE_DESCRIPTOR T.iProduct__USB_DEVICE_DESCRIPTOR T.iSerialNumber__USB_DEVICE_DESCRIPTOR T.bNumConfigurations__USB_DEVICE_DESCRIPTOR T.UsbIoPriority__USB_IO_PARAMETERS T.UsbMaxPendingIrps__USB_IO_PARAMETERS T.UsbMaxControllerTransfer__USB_IO_PARAMETERS T.Type__VPB T.Size__VPB T.Flags__VPB T.VolumeLabelLength__VPB T.DeviceObject__VPB T.RealDevice__VPB T.SerialNumber__VPB T.ReferenceCount__VPB T.VolumeLabel__VPB T.WaitQueueEntry__WAIT_CONTEXT_BLOCK T.DeviceRoutine__WAIT_CONTEXT_BLOCK T.DeviceContext__WAIT_CONTEXT_BLOCK T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK T.DeviceObject__WAIT_CONTEXT_BLOCK T.CurrentIrp__WAIT_CONTEXT_BLOCK T.BufferChainingDpc__WAIT_CONTEXT_BLOCK T.BufferOffset__WDFMEMORY_OFFSET T.BufferLength__WDFMEMORY_OFFSET T.Driver__WDF_DRIVER_GLOBALS T.DriverFlags__WDF_DRIVER_GLOBALS T.DriverTag__WDF_DRIVER_GLOBALS T.DriverName__WDF_DRIVER_GLOBALS T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS T.Size__WDF_OBJECT_ATTRIBUTES T.EvtCleanupCallback__WDF_OBJECT_ATTRIBUTES T.EvtDestroyCallback__WDF_OBJECT_ATTRIBUTES T.ExecutionLevel__WDF_OBJECT_ATTRIBUTES T.SynchronizationScope__WDF_OBJECT_ATTRIBUTES T.ParentObject__WDF_OBJECT_ATTRIBUTES T.ContextSizeOverride__WDF_OBJECT_ATTRIBUTES T.ContextTypeInfo__WDF_OBJECT_ATTRIBUTES T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO T.Size__WDF_REQUEST_COMPLETION_PARAMS T.Type__WDF_REQUEST_COMPLETION_PARAMS T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS T.Parameters__WDF_REQUEST_COMPLETION_PARAMS T.Size__WDF_REQUEST_PARAMETERS T.MinorFunction__WDF_REQUEST_PARAMETERS T.Type__WDF_REQUEST_PARAMETERS T.Parameters__WDF_REQUEST_PARAMETERS T.Size__WDF_REQUEST_SEND_OPTIONS T.Flags__WDF_REQUEST_SEND_OPTIONS T.Timeout__WDF_REQUEST_SEND_OPTIONS T.Size__WDF_USB_PIPE_INFORMATION T.MaximumPacketSize__WDF_USB_PIPE_INFORMATION T.EndpointAddress__WDF_USB_PIPE_INFORMATION T.Interval__WDF_USB_PIPE_INFORMATION T.SettingIndex__WDF_USB_PIPE_INFORMATION T.PipeType__WDF_USB_PIPE_INFORMATION T.MaximumTransferSize__WDF_USB_PIPE_INFORMATION T.Size__WDF_WORKITEM_CONFIG T.EvtWorkItemFunc__WDF_WORKITEM_CONFIG T.AutomaticSerialization__WDF_WORKITEM_CONFIG T.Device__WORKITEM_CONTEXT T.Pipe__WORKITEM_CONTEXT T.Generic___unnamed_12_00aa0978 T.Port___unnamed_12_00aa0978 T.Interrupt___unnamed_12_00aa0978 T.MessageInterrupt___unnamed_12_00aa0978 T.Memory___unnamed_12_00aa0978 T.Dma___unnamed_12_00aa0978 T.DevicePrivate___unnamed_12_00aa0978 T.BusNumber___unnamed_12_00aa0978 T.DeviceSpecificData___unnamed_12_00aa0978 T.Memory40___unnamed_12_00aa0978 T.Memory48___unnamed_12_00aa0978 T.Memory64___unnamed_12_00aa0978 T.Level___unnamed_12_011610e6 T.Vector___unnamed_12_011610e6 T.Affinity___unnamed_12_011610e6 T.__unnamed_12_a04f3ec2___unnamed_12_135b00bd T.Data___unnamed_12_2349179a T.Data___unnamed_12_508ad0f8 T.DataSize___unnamed_12_5a101f58 T.Reserved1___unnamed_12_5a101f58 T.Reserved2___unnamed_12_5a101f58 T.Start___unnamed_12_5c984402 T.Length40___unnamed_12_5c984402 T.Reserved___unnamed_12_6851572b T.MessageCount___unnamed_12_6851572b T.Vector___unnamed_12_6851572b T.Affinity___unnamed_12_6851572b T.Start___unnamed_12_91f117a1 T.Length___unnamed_12_91f117a1 T.Reserved___unnamed_12_91f117a1 T.Buffer___unnamed_12_9675b19c T.Offset___unnamed_12_9675b19c T.Length___unnamed_12_9675b19c T.Priority___unnamed_12_99988665 T.Reserved1___unnamed_12_99988665 T.Reserved2___unnamed_12_99988665 T.Channel___unnamed_12_9b023e7e T.Port___unnamed_12_9b023e7e T.Reserved1___unnamed_12_9b023e7e T.Raw___unnamed_12_a04f3ec2 T.Translated___unnamed_12_a04f3ec2 T.Buffer___unnamed_12_a41ee278 T.Length___unnamed_12_a41ee278 T.Offset___unnamed_12_a41ee278 T.Start___unnamed_12_aae97e0b T.Length___unnamed_12_aae97e0b T.ListEntry___unnamed_12_b0fe679d T.__unnamed_4_ac2f5fe2___unnamed_12_b0fe679d T.Level___unnamed_12_b4709d3d T.Vector___unnamed_12_b4709d3d T.Affinity___unnamed_12_b4709d3d T.Start___unnamed_12_c07928f7 T.Length48___unnamed_12_c07928f7 T.Start___unnamed_12_c13de773 T.Length___unnamed_12_c13de773 T.Buffer___unnamed_12_e5e4e6f3 T.Length___unnamed_12_e5e4e6f3 T.Offset___unnamed_12_e5e4e6f3 T.Start___unnamed_12_e7dc8c54 T.Length___unnamed_12_e7dc8c54 T.Start___unnamed_12_f4e6bbc2 T.Length64___unnamed_12_f4e6bbc2 T.InterfaceType___unnamed_16_08405228 T.Size___unnamed_16_08405228 T.Version___unnamed_16_08405228 T.Interface___unnamed_16_08405228 T.InterfaceSpecificData___unnamed_16_08405228 T.Length___unnamed_16_0c179b13 T.StartSid___unnamed_16_0c179b13 T.SidList___unnamed_16_0c179b13 T.SidListLength___unnamed_16_0c179b13 T.Length___unnamed_16_160c71e3 T.Key___unnamed_16_160c71e3 T.DeviceOffset___unnamed_16_160c71e3 T.Argument1___unnamed_16_28d48018 T.Argument2___unnamed_16_28d48018 T.Argument3___unnamed_16_28d48018 T.Argument4___unnamed_16_28d48018 T.Length___unnamed_16_30754a00 T.Key___unnamed_16_30754a00 T.DeviceOffset___unnamed_16_30754a00 T.Length___unnamed_16_3538eb2e T.MinBusNumber___unnamed_16_3538eb2e T.MaxBusNumber___unnamed_16_3538eb2e T.Reserved___unnamed_16_3538eb2e T.Create___unnamed_16_3be92f23 T.Read___unnamed_16_3be92f23 T.Write___unnamed_16_3be92f23 T.DeviceIoControl___unnamed_16_3be92f23 T.Others___unnamed_16_3be92f23 T.Length___unnamed_16_4692f360 T.Key___unnamed_16_4692f360 T.ByteOffset___unnamed_16_4692f360 T.OutputBufferLength___unnamed_16_47a80b6e T.InputBufferLength___unnamed_16_47a80b6e T.FsControlCode___unnamed_16_47a80b6e T.Type3InputBuffer___unnamed_16_47a80b6e T.__unnamed_4_4008e71b___unnamed_16_4a376f0e T.Type___unnamed_16_4a376f0e T.State___unnamed_16_4a376f0e T.ShutdownType___unnamed_16_4a376f0e T.Create___unnamed_16_50547125 T.Read___unnamed_16_50547125 T.Write___unnamed_16_50547125 T.QueryDirectory___unnamed_16_50547125 T.NotifyDirectory___unnamed_16_50547125 T.QueryFile___unnamed_16_50547125 T.SetFile___unnamed_16_50547125 T.QueryEa___unnamed_16_50547125 T.SetEa___unnamed_16_50547125 T.QueryVolume___unnamed_16_50547125 T.SetVolume___unnamed_16_50547125 T.FileSystemControl___unnamed_16_50547125 T.LockControl___unnamed_16_50547125 T.DeviceIoControl___unnamed_16_50547125 T.QuerySecurity___unnamed_16_50547125 T.SetSecurity___unnamed_16_50547125 T.MountVolume___unnamed_16_50547125 T.VerifyVolume___unnamed_16_50547125 T.Scsi___unnamed_16_50547125 T.QueryQuota___unnamed_16_50547125 T.SetQuota___unnamed_16_50547125 T.QueryDeviceRelations___unnamed_16_50547125 T.QueryInterface___unnamed_16_50547125 T.DeviceCapabilities___unnamed_16_50547125 T.FilterResourceRequirements___unnamed_16_50547125 T.ReadWriteConfig___unnamed_16_50547125 T.SetLock___unnamed_16_50547125 T.QueryId___unnamed_16_50547125 T.QueryDeviceText___unnamed_16_50547125 T.UsageNotification___unnamed_16_50547125 T.WaitWake___unnamed_16_50547125 T.PowerSequence___unnamed_16_50547125 T.Power___unnamed_16_50547125 T.StartDevice___unnamed_16_50547125 T.WMI___unnamed_16_50547125 T.Others___unnamed_16_50547125 T.WhichSpace___unnamed_16_70b335ff T.Buffer___unnamed_16_70b335ff T.Offset___unnamed_16_70b335ff T.Length___unnamed_16_70b335ff T.SecurityContext___unnamed_16_758cc376 T.Options___unnamed_16_758cc376 T.FileAttributes___unnamed_16_758cc376 T.ShareAccess___unnamed_16_758cc376 T.EaLength___unnamed_16_758cc376 T.OutputBufferLength___unnamed_16_7b663246 T.InputBufferLength___unnamed_16_7b663246 T.IoControlCode___unnamed_16_7b663246 T.Type3InputBuffer___unnamed_16_7b663246 T.OutputBufferLength___unnamed_16_8c4e1e25 T.InputBufferLength___unnamed_16_8c4e1e25 T.IoControlCode___unnamed_16_8c4e1e25 T.Type3InputBuffer___unnamed_16_8c4e1e25 T.Length___unnamed_16_8fdea1e0 T.Key___unnamed_16_8fdea1e0 T.ByteOffset___unnamed_16_8fdea1e0 T.DriverContext___unnamed_16_90864369 T.Length___unnamed_16_98fa84c9 T.EaList___unnamed_16_98fa84c9 T.EaListLength___unnamed_16_98fa84c9 T.EaIndex___unnamed_16_98fa84c9 T.Argument1___unnamed_16_b19c652e T.Argument2___unnamed_16_b19c652e T.Argument3___unnamed_16_b19c652e T.Argument4___unnamed_16_b19c652e T.Length___unnamed_16_cbf64d77 T.FileName___unnamed_16_cbf64d77 T.FileInformationClass___unnamed_16_cbf64d77 T.FileIndex___unnamed_16_cbf64d77 T.Length___unnamed_16_d07eb79e T.FileInformationClass___unnamed_16_d07eb79e T.FileObject___unnamed_16_d07eb79e T.__unnamed_4_b65679a6___unnamed_16_d07eb79e T.Arg1___unnamed_16_d8ea3f48 T.Arg2___unnamed_16_d8ea3f48 T.IoControlCode___unnamed_16_d8ea3f48 T.Arg4___unnamed_16_d8ea3f48 T.ProviderId___unnamed_16_ec1b1a74 T.DataPath___unnamed_16_ec1b1a74 T.BufferSize___unnamed_16_ec1b1a74 T.Buffer___unnamed_16_ec1b1a74 T.Length___unnamed_16_f0deee7d T.Key___unnamed_16_f0deee7d T.ByteOffset___unnamed_16_f0deee7d T.SecurityContext___unnamed_16_f26424fc T.Options___unnamed_16_f26424fc T.FileAttributes___unnamed_16_f26424fc T.ShareAccess___unnamed_16_f26424fc T.EaLength___unnamed_16_f26424fc T.DeviceQueueEntry___unnamed_16_f8ddfcfe T.__unnamed_16_90864369___unnamed_16_f8ddfcfe T.Lock___unnamed_1_26d71ac8 T.Abandoned___unnamed_1_7fe4cdbd T.Absolute___unnamed_1_7fe4cdbd T.NpxIrql___unnamed_1_7fe4cdbd T.Signalling___unnamed_1_7fe4cdbd T.Size___unnamed_1_a19e9f98 T.Hand___unnamed_1_a19e9f98 T.Inserted___unnamed_1_a536060f T.DebugActive___unnamed_1_a536060f T.DpcActive___unnamed_1_a536060f T.MinimumVector___unnamed_20_f8440734 T.MaximumVector___unnamed_20_f8440734 T.AffinityPolicy___unnamed_20_f8440734 T.PriorityPolicy___unnamed_20_f8440734 T.TargetedProcessors___unnamed_20_f8440734 T.Length64___unnamed_24_06d73087 T.Alignment64___unnamed_24_06d73087 T.MinimumAddress___unnamed_24_06d73087 T.MaximumAddress___unnamed_24_06d73087 T.Length___unnamed_24_22419524 T.Alignment___unnamed_24_22419524 T.MinimumAddress___unnamed_24_22419524 T.MaximumAddress___unnamed_24_22419524 T.Length40___unnamed_24_36b7e766 T.Alignment40___unnamed_24_36b7e766 T.MinimumAddress___unnamed_24_36b7e766 T.MaximumAddress___unnamed_24_36b7e766 T.Length___unnamed_24_370204c2 T.Alignment___unnamed_24_370204c2 T.MinimumAddress___unnamed_24_370204c2 T.MaximumAddress___unnamed_24_370204c2 T.IoControlCode___unnamed_24_52bbd12f T.Input___unnamed_24_52bbd12f T.Output___unnamed_24_52bbd12f T.Length48___unnamed_24_76cd2bdb T.Alignment48___unnamed_24_76cd2bdb T.MinimumAddress___unnamed_24_76cd2bdb T.MaximumAddress___unnamed_24_76cd2bdb T.Write___unnamed_24_a2447d05 T.Read___unnamed_24_a2447d05 T.Ioctl___unnamed_24_a2447d05 T.Others___unnamed_24_a2447d05 T.Usb___unnamed_24_a2447d05 T.Length___unnamed_24_b8ad6aa7 T.Alignment___unnamed_24_b8ad6aa7 T.MinimumAddress___unnamed_24_b8ad6aa7 T.MaximumAddress___unnamed_24_b8ad6aa7 T.Port___unnamed_24_ba07fbe7 T.Memory___unnamed_24_ba07fbe7 T.Interrupt___unnamed_24_ba07fbe7 T.Dma___unnamed_24_ba07fbe7 T.Generic___unnamed_24_ba07fbe7 T.DevicePrivate___unnamed_24_ba07fbe7 T.BusNumber___unnamed_24_ba07fbe7 T.ConfigData___unnamed_24_ba07fbe7 T.Memory40___unnamed_24_ba07fbe7 T.Memory48___unnamed_24_ba07fbe7 T.Memory64___unnamed_24_ba07fbe7 T.ReplaceIfExists___unnamed_2_8290e1b0 T.AdvanceOnly___unnamed_2_8290e1b0 T.__unnamed_16_f8ddfcfe___unnamed_40_cfd29ebe T.Thread___unnamed_40_cfd29ebe T.AuxiliaryBuffer___unnamed_40_cfd29ebe T.__unnamed_12_b0fe679d___unnamed_40_cfd29ebe T.OriginalFileObject___unnamed_40_cfd29ebe T.ListEntry___unnamed_40_dbe30577 T.Wcb___unnamed_40_dbe30577 T.InitialPrivilegeSet___unnamed_44_d7e89117 T.PrivilegeSet___unnamed_44_d7e89117 T.Overlay___unnamed_48_5a9f979b T.Apc___unnamed_48_5a9f979b T.CompletionKey___unnamed_48_5a9f979b T.MasterIrp___unnamed_4_0a20c9fb T.IrpCount___unnamed_4_0a20c9fb T.SystemBuffer___unnamed_4_0a20c9fb T.Length___unnamed_4_27fec054 T.PowerState___unnamed_4_342578c3 T.Capabilities___unnamed_4_36e06717 T.PowerSequence___unnamed_4_3e8985b1 T.SystemContext___unnamed_4_4008e71b T.SystemPowerStateContext___unnamed_4_4008e71b T.UserApcRoutine___unnamed_4_41bc16eb T.IssuingProcess___unnamed_4_41bc16eb T.Ptr___unnamed_4_442e007e T.Value___unnamed_4_442e007e T.Status___unnamed_4_6a857cdd T.Pointer___unnamed_4_6a857cdd T.Reserved1___unnamed_4_82d41359 T.TargetSystemState___unnamed_4_82d41359 T.EffectiveSystemState___unnamed_4_82d41359 T.CurrentSystemState___unnamed_4_82d41359 T.IgnoreHibernationPath___unnamed_4_82d41359 T.PseudoTransition___unnamed_4_82d41359 T.Reserved2___unnamed_4_82d41359 T.Srb___unnamed_4_94f0c80c T.Type___unnamed_4_9b388132 T.Address___unnamed_4_9d516d2b T.CreatorBackTraceIndex___unnamed_4_9d516d2b T.CurrentStackLocation___unnamed_4_ac2f5fe2 T.PacketType___unnamed_4_ac2f5fe2 T.Type___unnamed_4_b1953259 T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 T.__unnamed_1_a19e9f98___unnamed_4_b1953259 T.__unnamed_1_a536060f___unnamed_4_b1953259 T.Ptr___unnamed_4_b617aa5a T.Value___unnamed_4_b617aa5a T.__unnamed_2_8290e1b0___unnamed_4_b65679a6 T.ClusterCount___unnamed_4_b65679a6 T.DeleteHandle___unnamed_4_b65679a6 T.OwnerCount___unnamed_4_c406319a T.TableSize___unnamed_4_c406319a T.Ptr___unnamed_4_d6f0159b T.Value___unnamed_4_d6f0159b T.Completion___unnamed_4_de25a30d T.__unnamed_4_b1953259___unnamed_4_dfcb1314 T.Lock___unnamed_4_dfcb1314 T.Length___unnamed_4_e60fbc3e T.__unnamed_4_82d41359___unnamed_4_f525de8d T.ContextAsUlong___unnamed_4_f525de8d T.IoResourceRequirementList___unnamed_4_f571b1b9 T.IdType___unnamed_4_fad32fd4 T.Ptr___unnamed_4_fbcc5fb9 T.Value___unnamed_4_fbcc5fb9 T.Buffer___unnamed_8_20ce6f92 T.Offset___unnamed_8_20ce6f92 T.AsynchronousParameters___unnamed_8_2c71b416 T.AllocationSize___unnamed_8_2c71b416 T.AllocatedResources___unnamed_8_305df57c T.AllocatedResourcesTranslated___unnamed_8_305df57c T.LowPart___unnamed_8_4aac83fd T.HighPart___unnamed_8_4aac83fd T.Length___unnamed_8_5c8f0abe T.FileInformationClass___unnamed_8_5c8f0abe T.Length___unnamed_8_872f0ca6 T.FsInformationClass___unnamed_8_872f0ca6 T.Vpb___unnamed_8_89024868 T.DeviceObject___unnamed_8_89024868 T.SecurityInformation___unnamed_8_8bfbe2a4 T.Length___unnamed_8_8bfbe2a4 T.MinimumChannel___unnamed_8_9b5da84f T.MaximumChannel___unnamed_8_9b5da84f T.DeviceTextType___unnamed_8_9da0b827 T.LocaleId___unnamed_8_9da0b827 T.LowPart___unnamed_8_bb154058 T.HighPart___unnamed_8_bb154058 T.InPath___unnamed_8_cdc8e4c0 T.Reserved___unnamed_8_cdc8e4c0 T.Type___unnamed_8_cdc8e4c0 T.__unnamed_4_41bc16eb___unnamed_8_d0cda093 T.UserApcContext___unnamed_8_d0cda093 T.Length___unnamed_8_da064ae3 T.FsInformationClass___unnamed_8_da064ae3 T.Length___unnamed_8_e1457eff T.CompletionFilter___unnamed_8_e1457eff T.Vpb___unnamed_8_f62d54e1 T.DeviceObject___unnamed_8_f62d54e1 T.SecurityInformation___unnamed_8_f825c111 T.SecurityDescriptor___unnamed_8_f825c111 T.UrbHeader___unnamed_96_e511a626 T.UrbSelectInterface___unnamed_96_e511a626 T.UrbSelectConfiguration___unnamed_96_e511a626 T.UrbPipeRequest___unnamed_96_e511a626 T.UrbFrameLengthControl___unnamed_96_e511a626 T.UrbGetFrameLength___unnamed_96_e511a626 T.UrbSetFrameLength___unnamed_96_e511a626 T.UrbGetCurrentFrameNumber___unnamed_96_e511a626 T.UrbControlTransfer___unnamed_96_e511a626 T.UrbControlTransferEx___unnamed_96_e511a626 T.UrbPipeIoPolicy___unnamed_96_e511a626 T.UrbBulkOrInterruptTransfer___unnamed_96_e511a626 T.UrbIsochronousTransfer___unnamed_96_e511a626 T.UrbControlDescriptorRequest___unnamed_96_e511a626 T.UrbControlGetStatusRequest___unnamed_96_e511a626 T.UrbControlFeatureRequest___unnamed_96_e511a626 T.UrbControlVendorClassRequest___unnamed_96_e511a626 T.UrbControlGetInterfaceRequest___unnamed_96_e511a626 T.UrbControlGetConfigurationRequest___unnamed_96_e511a626 T.UrbOSFeatureDescriptorRequest___unnamed_96_e511a626 T.A1_CM_FULL_RESOURCE_DESCRIPTOR T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_LIST T.A1_LUID_AND_ATTRIBUTES T.A1_USBD_ISO_PACKET_DESCRIPTOR T.A1_USBD_PIPE_INFORMATION T.A28PFDRIVER_DISPATCH T.A32CHAR T.A32UINT2 T.A3UCHAR T.A3UINT4 T.A3_LUID_AND_ATTRIBUTES T.A4PVOID T.A4UCHAR T.A5CHAR T.A6CHAR T.A7_DEVICE_POWER_STATE T.A8PVOID T.A8UCHAR T.BUS_QUERY_ID_TYPE T.CHAR T.DEVICE_TEXT_TYPE T.F0 T.F1 T.F10 T.F11 T.F12 T.F13 T.F14 T.F15 T.F16 T.F17 T.F18 T.F19 T.F2 T.F20 T.F21 T.F22 T.F23 T.F24 T.F25 T.F26 T.F27 T.F28 T.F29 T.F3 T.F30 T.F31 T.F32 T.F33 T.F34 T.F35 T.F36 T.F37 T.F4 T.F5 T.F6 T.F7 T.F8 T.F9 T.FDRIVER_ADD_DEVICE T.FDRIVER_CANCEL T.FDRIVER_DISPATCH T.FDRIVER_INITIALIZE T.FDRIVER_STARTIO T.FDRIVER_UNLOAD T.FEVT_WDF_OBJECT_CONTEXT_CLEANUP T.FEVT_WDF_OBJECT_CONTEXT_DESTROY T.FEVT_WDF_REQUEST_CANCEL T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE T.FEVT_WDF_WORKITEM T.FFAST_IO_ACQUIRE_FILE T.FFAST_IO_ACQUIRE_FOR_CCFLUSH T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE T.FFAST_IO_CHECK_IF_POSSIBLE T.FFAST_IO_DETACH_DEVICE T.FFAST_IO_DEVICE_CONTROL T.FFAST_IO_LOCK T.FFAST_IO_MDL_READ T.FFAST_IO_MDL_READ_COMPLETE T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.FFAST_IO_MDL_WRITE_COMPLETE T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.FFAST_IO_PREPARE_MDL_WRITE T.FFAST_IO_QUERY_BASIC_INFO T.FFAST_IO_QUERY_NETWORK_OPEN_INFO T.FFAST_IO_QUERY_OPEN T.FFAST_IO_QUERY_STANDARD_INFO T.FFAST_IO_READ T.FFAST_IO_READ_COMPRESSED T.FFAST_IO_RELEASE_FILE T.FFAST_IO_RELEASE_FOR_CCFLUSH T.FFAST_IO_RELEASE_FOR_MOD_WRITE T.FFAST_IO_UNLOCK_ALL T.FFAST_IO_UNLOCK_ALL_BY_KEY T.FFAST_IO_UNLOCK_SINGLE T.FFAST_IO_WRITE T.FFAST_IO_WRITE_COMPRESSED T.FIO_COMPLETION_ROUTINE T.INT2 T.INT4 T.INT8 T.PA5CHAR T.PA6CHAR T.PCHAR T.PF0 T.PF1 T.PF27 T.PF28 T.PF29 T.PF31 T.PF32 T.PF33 T.PF35 T.PF36 T.PF37 T.PFDRIVER_ADD_DEVICE T.PFDRIVER_CANCEL T.PFDRIVER_DISPATCH T.PFDRIVER_INITIALIZE T.PFDRIVER_STARTIO T.PFDRIVER_UNLOAD T.PFEVT_WDF_OBJECT_CONTEXT_CLEANUP T.PFEVT_WDF_OBJECT_CONTEXT_DESTROY T.PFEVT_WDF_REQUEST_CANCEL T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PFEVT_WDF_WORKITEM T.PFFAST_IO_ACQUIRE_FILE T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE T.PFFAST_IO_CHECK_IF_POSSIBLE T.PFFAST_IO_DETACH_DEVICE T.PFFAST_IO_DEVICE_CONTROL T.PFFAST_IO_LOCK T.PFFAST_IO_MDL_READ T.PFFAST_IO_MDL_READ_COMPLETE T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.PFFAST_IO_MDL_WRITE_COMPLETE T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.PFFAST_IO_PREPARE_MDL_WRITE T.PFFAST_IO_QUERY_BASIC_INFO T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO T.PFFAST_IO_QUERY_OPEN T.PFFAST_IO_QUERY_STANDARD_INFO T.PFFAST_IO_READ T.PFFAST_IO_READ_COMPRESSED T.PFFAST_IO_RELEASE_FILE T.PFFAST_IO_RELEASE_FOR_CCFLUSH T.PFFAST_IO_RELEASE_FOR_MOD_WRITE T.PFFAST_IO_UNLOCK_ALL T.PFFAST_IO_UNLOCK_ALL_BY_KEY T.PFFAST_IO_UNLOCK_SINGLE T.PFFAST_IO_WRITE T.PFFAST_IO_WRITE_COMPRESSED T.PFIO_COMPLETION_ROUTINE T.PINT4 T.POWER_ACTION T.PPCHAR T.PPF32 T.PPFEVT_WDF_REQUEST_CANCEL T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PPFEVT_WDF_WORKITEM T.PPINT4 T.PPPVOID T.PPPWDFCOLLECTION__ T.PPPWDFMEMORY__ T.PPPWDFREQUEST__ T.PPPWDFSPINLOCK__ T.PPPWDFWORKITEM__ T.PPP_MDL T.PPUCHAR T.PPUINT4 T.PPVOID T.PPWDFCOLLECTION__ T.PPWDFDEVICE__ T.PPWDFFILEOBJECT__ T.PPWDFIOTARGET__ T.PPWDFMEMORY__ T.PPWDFQUEUE__ T.PPWDFREQUEST__ T.PPWDFSPINLOCK__ T.PPWDFUSBDEVICE__ T.PPWDFUSBINTERFACE__ T.PPWDFUSBPIPE__ T.PPWDFWORKITEM__ T.PP_DEVICE_CONTEXT T.PP_ERESOURCE T.PP_FILE_CONTEXT T.PP_IRP T.PP_LIST_ENTRY T.PP_MDL T.PP_REQUEST_CONTEXT T.PP_SUB_REQUEST_CONTEXT T.PP_URB T.PP_WDFMEMORY_OFFSET T.PP_WDF_DRIVER_GLOBALS T.PP_WDF_OBJECT_ATTRIBUTES T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO T.PP_WDF_REQUEST_COMPLETION_PARAMS T.PP_WDF_REQUEST_PARAMETERS T.PP_WDF_REQUEST_SEND_OPTIONS T.PP_WDF_USB_PIPE_INFORMATION T.PP_WDF_WORKITEM_CONFIG T.PP_WORKITEM_CONTEXT T.PUCHAR T.PUINT2 T.PUINT4 T.PVOID T.PWDFCOLLECTION__ T.PWDFDEVICE__ T.PWDFDRIVER__ T.PWDFFILEOBJECT__ T.PWDFIOTARGET__ T.PWDFMEMORY__ T.PWDFQUEUE__ T.PWDFREQUEST__ T.PWDFSPINLOCK__ T.PWDFUSBDEVICE__ T.PWDFUSBINTERFACE__ T.PWDFUSBPIPE__ T.PWDFWORKITEM__ T.P_ACCESS_STATE T.P_CM_RESOURCE_LIST T.P_COMPRESSED_DATA_INFO T.P_DEVICE_CAPABILITIES T.P_DEVICE_CONTEXT T.P_DEVICE_OBJECT T.P_DEVOBJ_EXTENSION T.P_DRIVER_EXTENSION T.P_DRIVER_OBJECT T.P_EPROCESS T.P_ERESOURCE T.P_FAST_IO_DISPATCH T.P_FILE_BASIC_INFORMATION T.P_FILE_CONTEXT T.P_FILE_GET_QUOTA_INFORMATION T.P_FILE_NETWORK_OPEN_INFORMATION T.P_FILE_OBJECT T.P_FILE_STANDARD_INFORMATION T.P_GUID T.P_INTERFACE T.P_IO_COMPLETION_CONTEXT T.P_IO_RESOURCE_REQUIREMENTS_LIST T.P_IO_SECURITY_CONTEXT T.P_IO_STACK_LOCATION T.P_IO_STATUS_BLOCK T.P_IO_TIMER T.P_IRP T.P_KAPC T.P_KDPC T.P_KEVENT T.P_KPROCESS T.P_KSEMAPHORE T.P_KTHREAD T.P_LARGE_INTEGER T.P_LIST_ENTRY T.P_MDL T.P_OWNER_ENTRY T.P_POOL_TYPE T.P_POWER_SEQUENCE T.P_REQUEST_CONTEXT T.P_SCSI_REQUEST_BLOCK T.P_SECTION_OBJECT_POINTERS T.P_SECURITY_QUALITY_OF_SERVICE T.P_SUB_REQUEST_CONTEXT T.P_UNICODE_STRING T.P_URB T.P_USBD_ISO_PACKET_DESCRIPTOR T.P_USB_CONFIGURATION_DESCRIPTOR T.P_VPB T.P_WDFMEMORY_OFFSET T.P_WDF_DRIVER_GLOBALS T.P_WDF_IO_TARGET_SENT_IO_ACTION T.P_WDF_OBJECT_ATTRIBUTES T.P_WDF_OBJECT_CONTEXT_TYPE_INFO T.P_WDF_REQUEST_COMPLETION_PARAMS T.P_WDF_REQUEST_PARAMETERS T.P_WDF_REQUEST_SEND_OPTIONS T.P_WDF_REQUEST_TYPE T.P_WDF_USB_PIPE_INFORMATION T.P_WDF_USB_REQUEST_COMPLETION_PARAMS T.P_WDF_WORKITEM_CONFIG T.P_WORKITEM_CONTEXT T.UCHAR T.UINT2 T.UINT4 T.VOID T.WDFCOLLECTION__ T.WDFDEVICE__ T.WDFDRIVER__ T.WDFFILEOBJECT__ T.WDFIOTARGET__ T.WDFMEMORY__ T.WDFQUEUE__ T.WDFREQUEST__ T.WDFSPINLOCK__ T.WDFUSBDEVICE__ T.WDFUSBINTERFACE__ T.WDFUSBPIPE__ T.WDFWORKITEM__ T._ACCESS_STATE T._CM_FULL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_LIST T._CM_RESOURCE_LIST T._COMPRESSED_DATA_INFO T._DEVICE_CAPABILITIES T._DEVICE_CONTEXT T._DEVICE_OBJECT T._DEVICE_POWER_STATE T._DEVICE_RELATION_TYPE T._DEVICE_USAGE_NOTIFICATION_TYPE T._DEVOBJ_EXTENSION T._DISPATCHER_HEADER T._DRIVER_EXTENSION T._DRIVER_OBJECT T._EPROCESS T._ERESOURCE T._FAST_IO_DISPATCH T._FILE_BASIC_INFORMATION T._FILE_CONTEXT T._FILE_GET_QUOTA_INFORMATION T._FILE_INFORMATION_CLASS T._FILE_NETWORK_OPEN_INFORMATION T._FILE_OBJECT T._FILE_STANDARD_INFORMATION T._FSINFOCLASS T._GUID T._INITIAL_PRIVILEGE_SET T._INTERFACE T._INTERFACE_TYPE T._IO_ALLOCATION_ACTION T._IO_COMPLETION_CONTEXT T._IO_RESOURCE_DESCRIPTOR T._IO_RESOURCE_LIST T._IO_RESOURCE_REQUIREMENTS_LIST T._IO_SECURITY_CONTEXT T._IO_STACK_LOCATION T._IO_STATUS_BLOCK T._IO_TIMER T._IRP T._IRQ_DEVICE_POLICY T._IRQ_PRIORITY T._KAPC T._KDEVICE_QUEUE T._KDEVICE_QUEUE_ENTRY T._KDPC T._KEVENT T._KPROCESS T._KSEMAPHORE T._KTHREAD T._LARGE_INTEGER T._LIST_ENTRY T._LUID T._LUID_AND_ATTRIBUTES T._MDL T._OWNER_ENTRY T._POOL_TYPE T._POWER_SEQUENCE T._POWER_STATE T._POWER_STATE_TYPE T._PRIVILEGE_SET T._REQUEST_CONTEXT T._SCSI_REQUEST_BLOCK T._SECTION_OBJECT_POINTERS T._SECURITY_IMPERSONATION_LEVEL T._SECURITY_QUALITY_OF_SERVICE T._SECURITY_SUBJECT_CONTEXT T._SUB_REQUEST_CONTEXT T._SYSTEM_POWER_STATE T._SYSTEM_POWER_STATE_CONTEXT T._UNICODE_STRING T._URB T._URB_BULK_OR_INTERRUPT_TRANSFER T._URB_CONTROL_DESCRIPTOR_REQUEST T._URB_CONTROL_FEATURE_REQUEST T._URB_CONTROL_GET_CONFIGURATION_REQUEST T._URB_CONTROL_GET_INTERFACE_REQUEST T._URB_CONTROL_GET_STATUS_REQUEST T._URB_CONTROL_TRANSFER T._URB_CONTROL_TRANSFER_EX T._URB_CONTROL_VENDOR_OR_CLASS_REQUEST T._URB_FRAME_LENGTH_CONTROL T._URB_GET_CURRENT_FRAME_NUMBER T._URB_GET_FRAME_LENGTH T._URB_HCD_AREA T._URB_HEADER T._URB_ISOCH_TRANSFER T._URB_OS_FEATURE_DESCRIPTOR_REQUEST T._URB_PIPE_IO_POLICY T._URB_PIPE_REQUEST T._URB_SELECT_CONFIGURATION T._URB_SELECT_INTERFACE T._URB_SET_FRAME_LENGTH T._USBD_INTERFACE_INFORMATION T._USBD_ISO_PACKET_DESCRIPTOR T._USBD_PIPE_INFORMATION T._USBD_PIPE_TYPE T._USB_CONFIGURATION_DESCRIPTOR T._USB_DEVICE_DESCRIPTOR T._USB_IO_PARAMETERS T._USB_IO_PRIORITY T._VPB T._WAIT_CONTEXT_BLOCK T._WDFMEMORY_OFFSET T._WDF_DRIVER_GLOBALS T._WDF_EXECUTION_LEVEL T._WDF_IO_TARGET_SENT_IO_ACTION T._WDF_OBJECT_ATTRIBUTES T._WDF_OBJECT_CONTEXT_TYPE_INFO T._WDF_REQUEST_COMPLETION_PARAMS T._WDF_REQUEST_PARAMETERS T._WDF_REQUEST_SEND_OPTIONS T._WDF_REQUEST_TYPE T._WDF_SYNCHRONIZATION_SCOPE T._WDF_USB_PIPE_INFORMATION T._WDF_USB_PIPE_TYPE T._WDF_USB_REQUEST_COMPLETION_PARAMS T._WDF_WORKITEM_CONFIG T._WORKITEM_CONTEXT T.__unnamed_12_00aa0978 T.__unnamed_12_011610e6 T.__unnamed_12_135b00bd T.__unnamed_12_2349179a T.__unnamed_12_508ad0f8 T.__unnamed_12_5a101f58 T.__unnamed_12_5c984402 T.__unnamed_12_6851572b T.__unnamed_12_91f117a1 T.__unnamed_12_9675b19c T.__unnamed_12_99988665 T.__unnamed_12_9b023e7e T.__unnamed_12_a04f3ec2 T.__unnamed_12_a41ee278 T.__unnamed_12_aae97e0b T.__unnamed_12_b0fe679d T.__unnamed_12_b4709d3d T.__unnamed_12_c07928f7 T.__unnamed_12_c13de773 T.__unnamed_12_e5e4e6f3 T.__unnamed_12_e7dc8c54 T.__unnamed_12_f4e6bbc2 T.__unnamed_16_08405228 T.__unnamed_16_0c179b13 T.__unnamed_16_160c71e3 T.__unnamed_16_28d48018 T.__unnamed_16_30754a00 T.__unnamed_16_3538eb2e T.__unnamed_16_3be92f23 T.__unnamed_16_4692f360 T.__unnamed_16_47a80b6e T.__unnamed_16_4a376f0e T.__unnamed_16_50547125 T.__unnamed_16_70b335ff T.__unnamed_16_758cc376 T.__unnamed_16_7b663246 T.__unnamed_16_8c4e1e25 T.__unnamed_16_8fdea1e0 T.__unnamed_16_90864369 T.__unnamed_16_98fa84c9 T.__unnamed_16_b19c652e T.__unnamed_16_cbf64d77 T.__unnamed_16_d07eb79e T.__unnamed_16_d8ea3f48 T.__unnamed_16_ec1b1a74 T.__unnamed_16_f0deee7d T.__unnamed_16_f26424fc T.__unnamed_16_f8ddfcfe T.__unnamed_1_26d71ac8 T.__unnamed_1_7fe4cdbd T.__unnamed_1_a19e9f98 T.__unnamed_1_a536060f T.__unnamed_20_f8440734 T.__unnamed_24_06d73087 T.__unnamed_24_22419524 T.__unnamed_24_36b7e766 T.__unnamed_24_370204c2 T.__unnamed_24_52bbd12f T.__unnamed_24_76cd2bdb T.__unnamed_24_a2447d05 T.__unnamed_24_b8ad6aa7 T.__unnamed_24_ba07fbe7 T.__unnamed_2_8290e1b0 T.__unnamed_40_cfd29ebe T.__unnamed_40_dbe30577 T.__unnamed_44_d7e89117 T.__unnamed_48_5a9f979b T.__unnamed_4_0a20c9fb T.__unnamed_4_27fec054 T.__unnamed_4_342578c3 T.__unnamed_4_36e06717 T.__unnamed_4_3e8985b1 T.__unnamed_4_4008e71b T.__unnamed_4_41bc16eb T.__unnamed_4_442e007e T.__unnamed_4_6a857cdd T.__unnamed_4_82d41359 T.__unnamed_4_94f0c80c T.__unnamed_4_9b388132 T.__unnamed_4_9d516d2b T.__unnamed_4_ac2f5fe2 T.__unnamed_4_b1953259 T.__unnamed_4_b617aa5a T.__unnamed_4_b65679a6 T.__unnamed_4_c406319a T.__unnamed_4_d6f0159b T.__unnamed_4_de25a30d T.__unnamed_4_dfcb1314 T.__unnamed_4_e60fbc3e T.__unnamed_4_f525de8d T.__unnamed_4_f571b1b9 T.__unnamed_4_fad32fd4 T.__unnamed_4_fbcc5fb9 T.__unnamed_8_20ce6f92 T.__unnamed_8_2c71b416 T.__unnamed_8_305df57c T.__unnamed_8_4aac83fd T.__unnamed_8_5c8f0abe T.__unnamed_8_872f0ca6 T.__unnamed_8_89024868 T.__unnamed_8_8bfbe2a4 T.__unnamed_8_9b5da84f T.__unnamed_8_9da0b827 T.__unnamed_8_bb154058 T.__unnamed_8_cdc8e4c0 T.__unnamed_8_d0cda093 T.__unnamed_8_da064ae3 T.__unnamed_8_e1457eff T.__unnamed_8_f62d54e1 T.__unnamed_8_f825c111 T.__unnamed_96_e511a626 (int_2_U ReadWriteCompletion) (int_2_U ReadWriteWorkItem) (int_2_U SubRequestCompletionRoutine) (int_2_U UsbSamp_EvtRequestCancel) (int_2_U WdfDriverGlobals) (int_2_U x_WDF_DEVICE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_FILE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_SUB_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_WORKITEM_CONTEXT_TYPE_INFO) (int_2_U hbuffer) (int_2_U hdctx) (int_2_U hdevcollection_count) (int_2_U hdevice) (int_2_U hln) (int_2_U hlock) (int_2_U hmdl) (int_2_U hqctx) (int_2_U hqueue) (int_2_U hrctx) (int_2_U hrequest) (int_2_U htctx) (int_2_U htimer) (int_2_U hwork_item) (int_2_U notused_4hbuffer) (int_2_U notused_4hfileobj) (int_2_U notused_4hmdl) (int_2_U notused_4hwork_item) (int_2_U notused_4wdfobject1) (int_2_U notused_4wdmobject1) (int_2_U notused_ctx) (int_2_U notused_hrequest) (int_2_U pnotused) (int_2_U BOOGIE_LARGE_INT_4294967295)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x25)) ?x25) :pattern ((Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x25))) )) (forall ((?x26 Int)) (! (= (Blink__LIST_ENTRY (Blink__LIST_ENTRYInv ?x26)) ?x26) :pattern ((Blink__LIST_ENTRYInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRY ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (Blink__LIST_ENTRY (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRYInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S14) (int_2_U (Blink__LIST_ENTRY (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_Blink__LIST_ENTRY ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S15) (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_Blink__LIST_ENTRYInv ?S15)) )) (forall ((?x31 Int)) (! (= (Blink__LIST_ENTRY ?x31) (+ ?x31 4)) :pattern ((Blink__LIST_ENTRY ?x31)) )) (forall ((?x32 Int)) (! (= (Blink__LIST_ENTRYInv ?x32) (- ?x32 4)) :pattern ((Blink__LIST_ENTRYInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 4 1) (Blink__LIST_ENTRYInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 4 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 4) (Blink__LIST_ENTRYInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 4)) )) (forall ((?x35 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x35)) ?x35) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x35))) )) (forall ((?x36 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x36)) ?x36) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S18) (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S19) (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S19)) )) (forall ((?x41 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x41) (+ ?x41 28)) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x41)) )) (forall ((?x42 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x42) (- ?x42 28)) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1) (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 28) (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 28)) )) (forall ((?x45 Int)) (! (= (Device__WORKITEM_CONTEXTInv (Device__WORKITEM_CONTEXT ?x45)) ?x45) :pattern ((Device__WORKITEM_CONTEXTInv (Device__WORKITEM_CONTEXT ?x45))) )) (forall ((?x46 Int)) (! (= (Device__WORKITEM_CONTEXT (Device__WORKITEM_CONTEXTInv ?x46)) ?x46) :pattern ((Device__WORKITEM_CONTEXTInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXT ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (Device__WORKITEM_CONTEXTInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__WORKITEM_CONTEXT ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXTInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (Device__WORKITEM_CONTEXT (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__WORKITEM_CONTEXTInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXT ?S22) (int_2_U (Device__WORKITEM_CONTEXT (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_Device__WORKITEM_CONTEXT ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXTInv ?S23) (int_2_U (Device__WORKITEM_CONTEXTInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_Device__WORKITEM_CONTEXTInv ?S23)) )) (forall ((?x51 Int)) (! (= (Device__WORKITEM_CONTEXT ?x51) (+ ?x51 0)) :pattern ((Device__WORKITEM_CONTEXT ?x51)) )) (forall ((?x52 Int)) (! (= (Device__WORKITEM_CONTEXTInv ?x52) (- ?x52 0)) :pattern ((Device__WORKITEM_CONTEXTInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1) (Device__WORKITEM_CONTEXTInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 0) (Device__WORKITEM_CONTEXTInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 0)) )) (forall ((?x55 Int)) (! (= (Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x55)) ?x55) :pattern ((Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x55))) )) (forall ((?x56 Int)) (! (= (Flink__LIST_ENTRY (Flink__LIST_ENTRYInv ?x56)) ?x56) :pattern ((Flink__LIST_ENTRYInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRY ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (Flink__LIST_ENTRY (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRYInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S26) (int_2_U (Flink__LIST_ENTRY (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_Flink__LIST_ENTRY ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S27) (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_Flink__LIST_ENTRYInv ?S27)) )) (forall ((?x61 Int)) (! (= (Flink__LIST_ENTRY ?x61) (+ ?x61 0)) :pattern ((Flink__LIST_ENTRY ?x61)) )) (forall ((?x62 Int)) (! (= (Flink__LIST_ENTRYInv ?x62) (- ?x62 0)) :pattern ((Flink__LIST_ENTRYInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1) (Flink__LIST_ENTRYInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 0) (Flink__LIST_ENTRYInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 0)) )) (forall ((?x65 Int)) (! (= (Function__URB_HEADERInv (Function__URB_HEADER ?x65)) ?x65) :pattern ((Function__URB_HEADERInv (Function__URB_HEADER ?x65))) )) (forall ((?x66 Int)) (! (= (Function__URB_HEADER (Function__URB_HEADERInv ?x66)) ?x66) :pattern ((Function__URB_HEADERInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADER ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (Function__URB_HEADERInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_Function__URB_HEADER ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADERInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (Function__URB_HEADER (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_Function__URB_HEADERInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADER ?S30) (int_2_U (Function__URB_HEADER (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_Function__URB_HEADER ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADERInv ?S31) (int_2_U (Function__URB_HEADERInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_Function__URB_HEADERInv ?S31)) )) (forall ((?x71 Int)) (! (= (Function__URB_HEADER ?x71) (+ ?x71 2)) :pattern ((Function__URB_HEADER ?x71)) )) (forall ((?x72 Int)) (! (= (Function__URB_HEADERInv ?x72) (- ?x72 2)) :pattern ((Function__URB_HEADERInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 2 1) (Function__URB_HEADERInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 2 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 2) (Function__URB_HEADERInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 2)) )) (forall ((?x75 Int)) (! (= (Hdr__URB_ISOCH_TRANSFERInv (Hdr__URB_ISOCH_TRANSFER ?x75)) ?x75) :pattern ((Hdr__URB_ISOCH_TRANSFERInv (Hdr__URB_ISOCH_TRANSFER ?x75))) )) (forall ((?x76 Int)) (! (= (Hdr__URB_ISOCH_TRANSFER (Hdr__URB_ISOCH_TRANSFERInv ?x76)) ?x76) :pattern ((Hdr__URB_ISOCH_TRANSFERInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFER ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (Hdr__URB_ISOCH_TRANSFERInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFER ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (Hdr__URB_ISOCH_TRANSFER (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFER ?S34) (int_2_U (Hdr__URB_ISOCH_TRANSFER (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_Hdr__URB_ISOCH_TRANSFER ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S35) (int_2_U (Hdr__URB_ISOCH_TRANSFERInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S35)) )) (forall ((?x81 Int)) (! (= (Hdr__URB_ISOCH_TRANSFER ?x81) (+ ?x81 0)) :pattern ((Hdr__URB_ISOCH_TRANSFER ?x81)) )) (forall ((?x82 Int)) (! (= (Hdr__URB_ISOCH_TRANSFERInv ?x82) (- ?x82 0)) :pattern ((Hdr__URB_ISOCH_TRANSFERInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 0 1) (Hdr__URB_ISOCH_TRANSFERInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 0 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 0) (Hdr__URB_ISOCH_TRANSFERInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 0)) )) (forall ((?x85 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x85)) ?x85) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x85))) )) (forall ((?x86 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x86)) ?x86) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S38) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S39) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S39)) )) (forall ((?x91 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x91) (+ ?x91 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x91)) )) (forall ((?x92 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x92) (- ?x92 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 8 1) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 8 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 8) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 8)) )) (forall ((?x95 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXTInv (IsDeviceHighSpeed__DEVICE_CONTEXT ?x95)) ?x95) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXTInv (IsDeviceHighSpeed__DEVICE_CONTEXT ?x95))) )) (forall ((?x96 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXT (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x96)) ?x96) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXTInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXT (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S42) (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXT (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S43) (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXTInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S43)) )) (forall ((?x101 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXT ?x101) (+ ?x101 32)) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXT ?x101)) )) (forall ((?x102 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x102) (- ?x102 32)) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 32 1) (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 32 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 32) (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 32)) )) (forall ((?x105 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFERInv (IsoPacket__URB_ISOCH_TRANSFER ?x105)) ?x105) :pattern ((IsoPacket__URB_ISOCH_TRANSFERInv (IsoPacket__URB_ISOCH_TRANSFER ?x105))) )) (forall ((?x106 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFER (IsoPacket__URB_ISOCH_TRANSFERInv ?x106)) ?x106) :pattern ((IsoPacket__URB_ISOCH_TRANSFERInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (IsoPacket__URB_ISOCH_TRANSFERInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (IsoPacket__URB_ISOCH_TRANSFER (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S46) (int_2_U (IsoPacket__URB_ISOCH_TRANSFER (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S47) (int_2_U (IsoPacket__URB_ISOCH_TRANSFERInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S47)) )) (forall ((?x111 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFER ?x111) (+ ?x111 84)) :pattern ((IsoPacket__URB_ISOCH_TRANSFER ?x111)) )) (forall ((?x112 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFERInv ?x112) (- ?x112 84)) :pattern ((IsoPacket__URB_ISOCH_TRANSFERInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 84 1) (IsoPacket__URB_ISOCH_TRANSFERInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 84 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 84) (IsoPacket__URB_ISOCH_TRANSFERInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 84)) )) (forall ((?x115 Int)) (! (= (Length__REQUEST_CONTEXTInv (Length__REQUEST_CONTEXT ?x115)) ?x115) :pattern ((Length__REQUEST_CONTEXTInv (Length__REQUEST_CONTEXT ?x115))) )) (forall ((?x116 Int)) (! (= (Length__REQUEST_CONTEXT (Length__REQUEST_CONTEXTInv ?x116)) ?x116) :pattern ((Length__REQUEST_CONTEXTInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXT ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (Length__REQUEST_CONTEXTInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__REQUEST_CONTEXT ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXTInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (Length__REQUEST_CONTEXT (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__REQUEST_CONTEXTInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXT ?S50) (int_2_U (Length__REQUEST_CONTEXT (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_Length__REQUEST_CONTEXT ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXTInv ?S51) (int_2_U (Length__REQUEST_CONTEXTInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_Length__REQUEST_CONTEXTInv ?S51)) )) (forall ((?x121 Int)) (! (= (Length__REQUEST_CONTEXT ?x121) (+ ?x121 8)) :pattern ((Length__REQUEST_CONTEXT ?x121)) )) (forall ((?x122 Int)) (! (= (Length__REQUEST_CONTEXTInv ?x122) (- ?x122 8)) :pattern ((Length__REQUEST_CONTEXTInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 8 1) (Length__REQUEST_CONTEXTInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 8 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 8) (Length__REQUEST_CONTEXTInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 8)) )) (forall ((?x125 Int)) (! (= (Length__URB_HEADERInv (Length__URB_HEADER ?x125)) ?x125) :pattern ((Length__URB_HEADERInv (Length__URB_HEADER ?x125))) )) (forall ((?x126 Int)) (! (= (Length__URB_HEADER (Length__URB_HEADERInv ?x126)) ?x126) :pattern ((Length__URB_HEADERInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADER ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (Length__URB_HEADERInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__URB_HEADER ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADERInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (Length__URB_HEADER (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__URB_HEADERInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADER ?S54) (int_2_U (Length__URB_HEADER (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_Length__URB_HEADER ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADERInv ?S55) (int_2_U (Length__URB_HEADERInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_Length__URB_HEADERInv ?S55)) )) (forall ((?x131 Int)) (! (= (Length__URB_HEADER ?x131) (+ ?x131 0)) :pattern ((Length__URB_HEADER ?x131)) )) (forall ((?x132 Int)) (! (= (Length__URB_HEADERInv ?x132) (- ?x132 0)) :pattern ((Length__URB_HEADERInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 0 1) (Length__URB_HEADERInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 0 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 0) (Length__URB_HEADERInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 0)) )) (forall ((?x135 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTORInv (Length__USBD_ISO_PACKET_DESCRIPTOR ?x135)) ?x135) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTORInv (Length__USBD_ISO_PACKET_DESCRIPTOR ?x135))) )) (forall ((?x136 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTOR (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x136)) ?x136) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTORInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S58) (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S59) (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S59)) )) (forall ((?x141 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTOR ?x141) (+ ?x141 4)) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTOR ?x141)) )) (forall ((?x142 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x142) (- ?x142 4)) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTORInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1) (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 4) (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 4)) )) (forall ((?x145 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXTInv (ListEntry__SUB_REQUEST_CONTEXT ?x145)) ?x145) :pattern ((ListEntry__SUB_REQUEST_CONTEXTInv (ListEntry__SUB_REQUEST_CONTEXT ?x145))) )) (forall ((?x146 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXT (ListEntry__SUB_REQUEST_CONTEXTInv ?x146)) ?x146) :pattern ((ListEntry__SUB_REQUEST_CONTEXTInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (ListEntry__SUB_REQUEST_CONTEXTInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (ListEntry__SUB_REQUEST_CONTEXT (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S62) (int_2_U (ListEntry__SUB_REQUEST_CONTEXT (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S63) (int_2_U (ListEntry__SUB_REQUEST_CONTEXTInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S63)) )) (forall ((?x151 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXT ?x151) (+ ?x151 12)) :pattern ((ListEntry__SUB_REQUEST_CONTEXT ?x151)) )) (forall ((?x152 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXTInv ?x152) (- ?x152 12)) :pattern ((ListEntry__SUB_REQUEST_CONTEXTInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 12 1) (ListEntry__SUB_REQUEST_CONTEXTInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 12 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 12) (ListEntry__SUB_REQUEST_CONTEXTInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 12)) )) (forall ((?x155 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x155)) ?x155) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x155))) )) (forall ((?x156 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATION (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x156)) ?x156) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATION (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S66) (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATION (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S67) (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S67)) )) (forall ((?x161 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x161) (+ ?x161 4)) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x161)) )) (forall ((?x162 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x162) (- ?x162 4)) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 4 1) (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 4 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 4) (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 4)) )) (forall ((?x165 Int)) (! (= (Mdl__REQUEST_CONTEXTInv (Mdl__REQUEST_CONTEXT ?x165)) ?x165) :pattern ((Mdl__REQUEST_CONTEXTInv (Mdl__REQUEST_CONTEXT ?x165))) )) (forall ((?x166 Int)) (! (= (Mdl__REQUEST_CONTEXT (Mdl__REQUEST_CONTEXTInv ?x166)) ?x166) :pattern ((Mdl__REQUEST_CONTEXTInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXT ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Mdl__REQUEST_CONTEXTInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Mdl__REQUEST_CONTEXT ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXTInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Mdl__REQUEST_CONTEXT (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Mdl__REQUEST_CONTEXTInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXT ?S70) (int_2_U (Mdl__REQUEST_CONTEXT (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Mdl__REQUEST_CONTEXT ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXTInv ?S71) (int_2_U (Mdl__REQUEST_CONTEXTInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Mdl__REQUEST_CONTEXTInv ?S71)) )) (forall ((?x171 Int)) (! (= (Mdl__REQUEST_CONTEXT ?x171) (+ ?x171 4)) :pattern ((Mdl__REQUEST_CONTEXT ?x171)) )) (forall ((?x172 Int)) (! (= (Mdl__REQUEST_CONTEXTInv ?x172) (- ?x172 4)) :pattern ((Mdl__REQUEST_CONTEXTInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1) (Mdl__REQUEST_CONTEXTInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 4) (Mdl__REQUEST_CONTEXTInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 4)) )) (forall ((?x175 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXTInv (NumberConfiguredPipes__DEVICE_CONTEXT ?x175)) ?x175) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXTInv (NumberConfiguredPipes__DEVICE_CONTEXT ?x175))) )) (forall ((?x176 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXT (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x176)) ?x176) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXTInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXTInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXT (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S74) (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXT (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S75) (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXTInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S75)) )) (forall ((?x181 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXT ?x181) (+ ?x181 40)) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXT ?x181)) )) (forall ((?x182 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x182) (- ?x182 40)) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXTInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 40 1) (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 40 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 40) (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 40)) )) (forall ((?x185 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFERInv (NumberOfPackets__URB_ISOCH_TRANSFER ?x185)) ?x185) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFERInv (NumberOfPackets__URB_ISOCH_TRANSFER ?x185))) )) (forall ((?x186 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFER (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x186)) ?x186) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFERInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFERInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFER (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S78) (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFER (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S79) (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFERInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S79)) )) (forall ((?x191 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFER ?x191) (+ ?x191 76)) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFER ?x191)) )) (forall ((?x192 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x192) (- ?x192 76)) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFERInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 76 1) (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 76 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 76) (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 76)) )) (forall ((?x195 Int)) (! (= (Numxfer__REQUEST_CONTEXTInv (Numxfer__REQUEST_CONTEXT ?x195)) ?x195) :pattern ((Numxfer__REQUEST_CONTEXTInv (Numxfer__REQUEST_CONTEXT ?x195))) )) (forall ((?x196 Int)) (! (= (Numxfer__REQUEST_CONTEXT (Numxfer__REQUEST_CONTEXTInv ?x196)) ?x196) :pattern ((Numxfer__REQUEST_CONTEXTInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXT ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (Numxfer__REQUEST_CONTEXTInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_Numxfer__REQUEST_CONTEXT ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXTInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (Numxfer__REQUEST_CONTEXT (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_Numxfer__REQUEST_CONTEXTInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXT ?S82) (int_2_U (Numxfer__REQUEST_CONTEXT (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_Numxfer__REQUEST_CONTEXT ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXTInv ?S83) (int_2_U (Numxfer__REQUEST_CONTEXTInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_Numxfer__REQUEST_CONTEXTInv ?S83)) )) (forall ((?x201 Int)) (! (= (Numxfer__REQUEST_CONTEXT ?x201) (+ ?x201 12)) :pattern ((Numxfer__REQUEST_CONTEXT ?x201)) )) (forall ((?x202 Int)) (! (= (Numxfer__REQUEST_CONTEXTInv ?x202) (- ?x202 12)) :pattern ((Numxfer__REQUEST_CONTEXTInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 12 1) (Numxfer__REQUEST_CONTEXTInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 12 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 12) (Numxfer__REQUEST_CONTEXTInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 12)) )) (forall ((?x205 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTORInv (Offset__USBD_ISO_PACKET_DESCRIPTOR ?x205)) ?x205) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTORInv (Offset__USBD_ISO_PACKET_DESCRIPTOR ?x205))) )) (forall ((?x206 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTOR (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x206)) ?x206) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S86) (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S87) (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S87)) )) (forall ((?x211 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTOR ?x211) (+ ?x211 0)) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTOR ?x211)) )) (forall ((?x212 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x212) (- ?x212 0)) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1) (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 0) (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 0)) )) (forall ((?x215 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTESInv (ParentObject__WDF_OBJECT_ATTRIBUTES ?x215)) ?x215) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTESInv (ParentObject__WDF_OBJECT_ATTRIBUTES ?x215))) )) (forall ((?x216 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTES (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x216)) ?x216) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTES (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S90) (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTES (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S91) (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S91)) )) (forall ((?x221 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTES ?x221) (+ ?x221 20)) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTES ?x221)) )) (forall ((?x222 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x222) (- ?x222 20)) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 20 1) (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 20 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 20) (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 20)) )) (forall ((?x225 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x225)) ?x225) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x225))) )) (forall ((?x226 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x226)) ?x226) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S94) (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S95) (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S95)) )) (forall ((?x231 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x231) (+ ?x231 16)) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x231)) )) (forall ((?x232 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x232) (- ?x232 16)) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 16 1) (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 16 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 16) (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 16)) )) (forall ((?x235 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFERInv (PipeHandle__URB_ISOCH_TRANSFER ?x235)) ?x235) :pattern ((PipeHandle__URB_ISOCH_TRANSFERInv (PipeHandle__URB_ISOCH_TRANSFER ?x235))) )) (forall ((?x236 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFER (PipeHandle__URB_ISOCH_TRANSFERInv ?x236)) ?x236) :pattern ((PipeHandle__URB_ISOCH_TRANSFERInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (PipeHandle__URB_ISOCH_TRANSFERInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (PipeHandle__URB_ISOCH_TRANSFER (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S98) (int_2_U (PipeHandle__URB_ISOCH_TRANSFER (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S99) (int_2_U (PipeHandle__URB_ISOCH_TRANSFERInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S99)) )) (forall ((?x241 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFER ?x241) (+ ?x241 16)) :pattern ((PipeHandle__URB_ISOCH_TRANSFER ?x241)) )) (forall ((?x242 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFERInv ?x242) (- ?x242 16)) :pattern ((PipeHandle__URB_ISOCH_TRANSFERInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 16 1) (PipeHandle__URB_ISOCH_TRANSFERInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 16 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 16) (PipeHandle__URB_ISOCH_TRANSFERInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 16)) )) (forall ((?x245 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATIONInv (PipeType__WDF_USB_PIPE_INFORMATION ?x245)) ?x245) :pattern ((PipeType__WDF_USB_PIPE_INFORMATIONInv (PipeType__WDF_USB_PIPE_INFORMATION ?x245))) )) (forall ((?x246 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATION (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x246)) ?x246) :pattern ((PipeType__WDF_USB_PIPE_INFORMATIONInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (PipeType__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (PipeType__WDF_USB_PIPE_INFORMATION (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S102) (int_2_U (PipeType__WDF_USB_PIPE_INFORMATION (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S103) (int_2_U (PipeType__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S103)) )) (forall ((?x251 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATION ?x251) (+ ?x251 12)) :pattern ((PipeType__WDF_USB_PIPE_INFORMATION ?x251)) )) (forall ((?x252 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x252) (- ?x252 12)) :pattern ((PipeType__WDF_USB_PIPE_INFORMATIONInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 12 1) (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 12 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 12) (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 12)) )) (forall ((?x255 Int)) (! (= (Pipe__FILE_CONTEXTInv (Pipe__FILE_CONTEXT ?x255)) ?x255) :pattern ((Pipe__FILE_CONTEXTInv (Pipe__FILE_CONTEXT ?x255))) )) (forall ((?x256 Int)) (! (= (Pipe__FILE_CONTEXT (Pipe__FILE_CONTEXTInv ?x256)) ?x256) :pattern ((Pipe__FILE_CONTEXTInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXT ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (Pipe__FILE_CONTEXTInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__FILE_CONTEXT ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXTInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (Pipe__FILE_CONTEXT (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__FILE_CONTEXTInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXT ?S106) (int_2_U (Pipe__FILE_CONTEXT (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_Pipe__FILE_CONTEXT ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXTInv ?S107) (int_2_U (Pipe__FILE_CONTEXTInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_Pipe__FILE_CONTEXTInv ?S107)) )) (forall ((?x261 Int)) (! (= (Pipe__FILE_CONTEXT ?x261) (+ ?x261 0)) :pattern ((Pipe__FILE_CONTEXT ?x261)) )) (forall ((?x262 Int)) (! (= (Pipe__FILE_CONTEXTInv ?x262) (- ?x262 0)) :pattern ((Pipe__FILE_CONTEXTInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 0 1) (Pipe__FILE_CONTEXTInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 0 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 0) (Pipe__FILE_CONTEXTInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 0)) )) (forall ((?x265 Int)) (! (= (Pipe__WORKITEM_CONTEXTInv (Pipe__WORKITEM_CONTEXT ?x265)) ?x265) :pattern ((Pipe__WORKITEM_CONTEXTInv (Pipe__WORKITEM_CONTEXT ?x265))) )) (forall ((?x266 Int)) (! (= (Pipe__WORKITEM_CONTEXT (Pipe__WORKITEM_CONTEXTInv ?x266)) ?x266) :pattern ((Pipe__WORKITEM_CONTEXTInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXT ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Pipe__WORKITEM_CONTEXTInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__WORKITEM_CONTEXT ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXTInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Pipe__WORKITEM_CONTEXT (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__WORKITEM_CONTEXTInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXT ?S110) (int_2_U (Pipe__WORKITEM_CONTEXT (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Pipe__WORKITEM_CONTEXT ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXTInv ?S111) (int_2_U (Pipe__WORKITEM_CONTEXTInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Pipe__WORKITEM_CONTEXTInv ?S111)) )) (forall ((?x271 Int)) (! (= (Pipe__WORKITEM_CONTEXT ?x271) (+ ?x271 4)) :pattern ((Pipe__WORKITEM_CONTEXT ?x271)) )) (forall ((?x272 Int)) (! (= (Pipe__WORKITEM_CONTEXTInv ?x272) (- ?x272 4)) :pattern ((Pipe__WORKITEM_CONTEXTInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1) (Pipe__WORKITEM_CONTEXTInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 4) (Pipe__WORKITEM_CONTEXTInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 4)) )) (forall ((?x275 Int)) (! (= (Read__REQUEST_CONTEXTInv (Read__REQUEST_CONTEXT ?x275)) ?x275) :pattern ((Read__REQUEST_CONTEXTInv (Read__REQUEST_CONTEXT ?x275))) )) (forall ((?x276 Int)) (! (= (Read__REQUEST_CONTEXT (Read__REQUEST_CONTEXTInv ?x276)) ?x276) :pattern ((Read__REQUEST_CONTEXTInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXT ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (Read__REQUEST_CONTEXTInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_Read__REQUEST_CONTEXT ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXTInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (Read__REQUEST_CONTEXT (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_Read__REQUEST_CONTEXTInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXT ?S114) (int_2_U (Read__REQUEST_CONTEXT (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_Read__REQUEST_CONTEXT ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXTInv ?S115) (int_2_U (Read__REQUEST_CONTEXTInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_Read__REQUEST_CONTEXTInv ?S115)) )) (forall ((?x281 Int)) (! (= (Read__REQUEST_CONTEXT ?x281) (+ ?x281 28)) :pattern ((Read__REQUEST_CONTEXT ?x281)) )) (forall ((?x282 Int)) (! (= (Read__REQUEST_CONTEXTInv ?x282) (- ?x282 28)) :pattern ((Read__REQUEST_CONTEXTInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 28 1) (Read__REQUEST_CONTEXTInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 28 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 28) (Read__REQUEST_CONTEXTInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 28)) )) (forall ((?x285 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATIONInv (Size__WDF_USB_PIPE_INFORMATION ?x285)) ?x285) :pattern ((Size__WDF_USB_PIPE_INFORMATIONInv (Size__WDF_USB_PIPE_INFORMATION ?x285))) )) (forall ((?x286 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATION (Size__WDF_USB_PIPE_INFORMATIONInv ?x286)) ?x286) :pattern ((Size__WDF_USB_PIPE_INFORMATIONInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATION ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (Size__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATION ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (Size__WDF_USB_PIPE_INFORMATION (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATION ?S118) (int_2_U (Size__WDF_USB_PIPE_INFORMATION (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_Size__WDF_USB_PIPE_INFORMATION ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S119) (int_2_U (Size__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S119)) )) (forall ((?x291 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATION ?x291) (+ ?x291 0)) :pattern ((Size__WDF_USB_PIPE_INFORMATION ?x291)) )) (forall ((?x292 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATIONInv ?x292) (- ?x292 0)) :pattern ((Size__WDF_USB_PIPE_INFORMATIONInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1) (Size__WDF_USB_PIPE_INFORMATIONInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 0) (Size__WDF_USB_PIPE_INFORMATIONInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 0)) )) (forall ((?x295 Int)) (! (= (Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x295)) ?x295) :pattern ((Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x295))) )) (forall ((?x296 Int)) (! (= (Status___unnamed_4_6a857cdd (Status___unnamed_4_6a857cddInv ?x296)) ?x296) :pattern ((Status___unnamed_4_6a857cddInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S122) (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_Status___unnamed_4_6a857cdd ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S123) (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_Status___unnamed_4_6a857cddInv ?S123)) )) (forall ((?x301 Int)) (! (= (Status___unnamed_4_6a857cdd ?x301) (+ ?x301 0)) :pattern ((Status___unnamed_4_6a857cdd ?x301)) )) (forall ((?x302 Int)) (! (= (Status___unnamed_4_6a857cddInv ?x302) (- ?x302 0)) :pattern ((Status___unnamed_4_6a857cddInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (Status___unnamed_4_6a857cddInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (Status___unnamed_4_6a857cddInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXTInv (SubMdl__SUB_REQUEST_CONTEXT ?x305)) ?x305) :pattern ((SubMdl__SUB_REQUEST_CONTEXTInv (SubMdl__SUB_REQUEST_CONTEXT ?x305))) )) (forall ((?x306 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXT (SubMdl__SUB_REQUEST_CONTEXTInv ?x306)) ?x306) :pattern ((SubMdl__SUB_REQUEST_CONTEXTInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (SubMdl__SUB_REQUEST_CONTEXTInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (SubMdl__SUB_REQUEST_CONTEXT (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S126) (int_2_U (SubMdl__SUB_REQUEST_CONTEXT (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S127) (int_2_U (SubMdl__SUB_REQUEST_CONTEXTInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S127)) )) (forall ((?x311 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXT ?x311) (+ ?x311 8)) :pattern ((SubMdl__SUB_REQUEST_CONTEXT ?x311)) )) (forall ((?x312 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXTInv ?x312) (- ?x312 8)) :pattern ((SubMdl__SUB_REQUEST_CONTEXTInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 8 1) (SubMdl__SUB_REQUEST_CONTEXTInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 8 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 8) (SubMdl__SUB_REQUEST_CONTEXTInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 8)) )) (forall ((?x315 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXTInv (SubRequestCollectionLock__REQUEST_CONTEXT ?x315)) ?x315) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXTInv (SubRequestCollectionLock__REQUEST_CONTEXT ?x315))) )) (forall ((?x316 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXT (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x316)) ?x316) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXTInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXTInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXT (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S130) (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXT (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S131) (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXTInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S131)) )) (forall ((?x321 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXT ?x321) (+ ?x321 24)) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXT ?x321)) )) (forall ((?x322 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x322) (- ?x322 24)) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXTInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 24 1) (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 24 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 24) (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 24)) )) (forall ((?x325 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXTInv (SubRequestCollection__REQUEST_CONTEXT ?x325)) ?x325) :pattern ((SubRequestCollection__REQUEST_CONTEXTInv (SubRequestCollection__REQUEST_CONTEXT ?x325))) )) (forall ((?x326 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXT (SubRequestCollection__REQUEST_CONTEXTInv ?x326)) ?x326) :pattern ((SubRequestCollection__REQUEST_CONTEXTInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXT ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (SubRequestCollection__REQUEST_CONTEXTInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXT ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (SubRequestCollection__REQUEST_CONTEXT (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXT ?S134) (int_2_U (SubRequestCollection__REQUEST_CONTEXT (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_SubRequestCollection__REQUEST_CONTEXT ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S135) (int_2_U (SubRequestCollection__REQUEST_CONTEXTInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S135)) )) (forall ((?x331 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXT ?x331) (+ ?x331 20)) :pattern ((SubRequestCollection__REQUEST_CONTEXT ?x331)) )) (forall ((?x332 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXTInv ?x332) (- ?x332 20)) :pattern ((SubRequestCollection__REQUEST_CONTEXTInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 20 1) (SubRequestCollection__REQUEST_CONTEXTInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 20 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 20) (SubRequestCollection__REQUEST_CONTEXTInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 20)) )) (forall ((?x335 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXTInv (SubUrb__SUB_REQUEST_CONTEXT ?x335)) ?x335) :pattern ((SubUrb__SUB_REQUEST_CONTEXTInv (SubUrb__SUB_REQUEST_CONTEXT ?x335))) )) (forall ((?x336 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXT (SubUrb__SUB_REQUEST_CONTEXTInv ?x336)) ?x336) :pattern ((SubUrb__SUB_REQUEST_CONTEXTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (SubUrb__SUB_REQUEST_CONTEXTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (SubUrb__SUB_REQUEST_CONTEXT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S138) (int_2_U (SubUrb__SUB_REQUEST_CONTEXT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S139) (int_2_U (SubUrb__SUB_REQUEST_CONTEXTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S139)) )) (forall ((?x341 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXT ?x341) (+ ?x341 4)) :pattern ((SubUrb__SUB_REQUEST_CONTEXT ?x341)) )) (forall ((?x342 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXTInv ?x342) (- ?x342 4)) :pattern ((SubUrb__SUB_REQUEST_CONTEXTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 4 1) (SubUrb__SUB_REQUEST_CONTEXTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 4 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 4) (SubUrb__SUB_REQUEST_CONTEXTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 4)) )) (forall ((?x345 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x345)) ?x345) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x345))) )) (forall ((?x346 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x346)) ?x346) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S142) (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S143) (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S143)) )) (forall ((?x351 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x351) (+ ?x351 24)) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x351)) )) (forall ((?x352 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x352) (- ?x352 24)) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 24 1) (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 24 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 24) (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 24)) )) (forall ((?x355 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFERInv (TransferBufferLength__URB_ISOCH_TRANSFER ?x355)) ?x355) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFERInv (TransferBufferLength__URB_ISOCH_TRANSFER ?x355))) )) (forall ((?x356 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFER (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x356)) ?x356) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFERInv ?x356)) )) (forall ((?x357 boogieU) (?S144 boogieU)) (! (=> (and (= (type ?x357) intType) (= (type ?S144) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S144) ?x357)) boolTrue) (= (U_2_bool (MapType0Select ?S144 (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFERInv (U_2_int ?x357))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S144) ?x357)) )) (forall ((?x358 boogieU) (?S145 boogieU)) (! (=> (and (= (type ?x358) intType) (= (type ?S145) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S145) ?x358)) boolTrue) (= (U_2_bool (MapType0Select ?S145 (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFER (U_2_int ?x358))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S145) ?x358)) )) (forall ((?x359 boogieU) (?S146 boogieU)) (! (=> (and (= (type ?x359) intType) (= (type ?S146) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S146 ?x359)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S146) (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFER (U_2_int ?x359))))) boolTrue))) :pattern ((MapType0Select ?S146 ?x359) (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S146)) )) (forall ((?x360 boogieU) (?S147 boogieU)) (! (=> (and (= (type ?x360) intType) (= (type ?S147) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S147 ?x360)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S147) (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFERInv (U_2_int ?x360))))) boolTrue))) :pattern ((MapType0Select ?S147 ?x360) (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S147)) )) (forall ((?x361 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFER ?x361) (+ ?x361 24)) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFER ?x361)) )) (forall ((?x362 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x362) (- ?x362 24)) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFERInv ?x362)) )) (forall ((?x363 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x363 24 1) (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x363)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x363 24 1)) )) (forall ((?x364 Int)) (! (= (MINUS_LEFT_PTR ?x364 1 24) (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x364)) :pattern ((MINUS_LEFT_PTR ?x364 1 24)) )) (forall ((?x365 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x365)) ?x365) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x365))) )) (forall ((?x366 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x366)) ?x366) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x366)) )) (forall ((?x367 boogieU) (?S148 boogieU)) (! (=> (and (= (type ?x367) intType) (= (type ?S148) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S148) ?x367)) boolTrue) (= (U_2_bool (MapType0Select ?S148 (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x367))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S148) ?x367)) )) (forall ((?x368 boogieU) (?S149 boogieU)) (! (=> (and (= (type ?x368) intType) (= (type ?S149) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S149) ?x368)) boolTrue) (= (U_2_bool (MapType0Select ?S149 (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x368))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S149) ?x368)) )) (forall ((?x369 boogieU) (?S150 boogieU)) (! (=> (and (= (type ?x369) intType) (= (type ?S150) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S150 ?x369)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S150) (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x369))))) boolTrue))) :pattern ((MapType0Select ?S150 ?x369) (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S150)) )) (forall ((?x370 boogieU) (?S151 boogieU)) (! (=> (and (= (type ?x370) intType) (= (type ?S151) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S151 ?x370)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S151) (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x370))))) boolTrue))) :pattern ((MapType0Select ?S151 ?x370) (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S151)) )) (forall ((?x371 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x371) (+ ?x371 32)) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x371)) )) (forall ((?x372 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x372) (- ?x372 32)) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x372)) )) (forall ((?x373 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x373 32 1) (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x373)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x373 32 1)) )) (forall ((?x374 Int)) (! (= (MINUS_LEFT_PTR ?x374 1 32) (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x374)) :pattern ((MINUS_LEFT_PTR ?x374 1 32)) )) (forall ((?x375 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFERInv (TransferBufferMDL__URB_ISOCH_TRANSFER ?x375)) ?x375) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFERInv (TransferBufferMDL__URB_ISOCH_TRANSFER ?x375))) )) (forall ((?x376 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFER (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x376)) ?x376) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x376)) )) (forall ((?x377 boogieU) (?S152 boogieU)) (! (=> (and (= (type ?x377) intType) (= (type ?S152) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S152) ?x377)) boolTrue) (= (U_2_bool (MapType0Select ?S152 (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFERInv (U_2_int ?x377))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S152) ?x377)) )) (forall ((?x378 boogieU) (?S153 boogieU)) (! (=> (and (= (type ?x378) intType) (= (type ?S153) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S153) ?x378)) boolTrue) (= (U_2_bool (MapType0Select ?S153 (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFER (U_2_int ?x378))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S153) ?x378)) )) (forall ((?x379 boogieU) (?S154 boogieU)) (! (=> (and (= (type ?x379) intType) (= (type ?S154) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S154 ?x379)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S154) (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFER (U_2_int ?x379))))) boolTrue))) :pattern ((MapType0Select ?S154 ?x379) (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S154)) )) (forall ((?x380 boogieU) (?S155 boogieU)) (! (=> (and (= (type ?x380) intType) (= (type ?S155) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S155 ?x380)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S155) (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFERInv (U_2_int ?x380))))) boolTrue))) :pattern ((MapType0Select ?S155 ?x380) (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S155)) )) (forall ((?x381 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFER ?x381) (+ ?x381 32)) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFER ?x381)) )) (forall ((?x382 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x382) (- ?x382 32)) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x382)) )) (forall ((?x383 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x383 32 1) (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x383)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x383 32 1)) )) (forall ((?x384 Int)) (! (= (MINUS_LEFT_PTR ?x384 1 32) (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x384)) :pattern ((MINUS_LEFT_PTR ?x384 1 32)) )) (forall ((?x385 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x385)) ?x385) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x385))) )) (forall ((?x386 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x386)) ?x386) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x386)) )) (forall ((?x387 boogieU) (?S156 boogieU)) (! (=> (and (= (type ?x387) intType) (= (type ?S156) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S156) ?x387)) boolTrue) (= (U_2_bool (MapType0Select ?S156 (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x387))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S156) ?x387)) )) (forall ((?x388 boogieU) (?S157 boogieU)) (! (=> (and (= (type ?x388) intType) (= (type ?S157) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S157) ?x388)) boolTrue) (= (U_2_bool (MapType0Select ?S157 (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x388))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S157) ?x388)) )) (forall ((?x389 boogieU) (?S158 boogieU)) (! (=> (and (= (type ?x389) intType) (= (type ?S158) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S158 ?x389)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S158) (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x389))))) boolTrue))) :pattern ((MapType0Select ?S158 ?x389) (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S158)) )) (forall ((?x390 boogieU) (?S159 boogieU)) (! (=> (and (= (type ?x390) intType) (= (type ?S159) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S159 ?x390)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S159) (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x390))))) boolTrue))) :pattern ((MapType0Select ?S159 ?x390) (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S159)) )) (forall ((?x391 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x391) (+ ?x391 28)) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x391)) )) (forall ((?x392 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x392) (- ?x392 28)) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x392)) )) (forall ((?x393 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x393 28 1) (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x393)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x393 28 1)) )) (forall ((?x394 Int)) (! (= (MINUS_LEFT_PTR ?x394 1 28) (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x394)) :pattern ((MINUS_LEFT_PTR ?x394 1 28)) )) (forall ((?x395 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x395)) ?x395) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x395))) )) (forall ((?x396 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x396)) ?x396) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x396)) )) (forall ((?x397 boogieU) (?S160 boogieU)) (! (=> (and (= (type ?x397) intType) (= (type ?S160) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S160) ?x397)) boolTrue) (= (U_2_bool (MapType0Select ?S160 (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x397))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S160) ?x397)) )) (forall ((?x398 boogieU) (?S161 boogieU)) (! (=> (and (= (type ?x398) intType) (= (type ?S161) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S161) ?x398)) boolTrue) (= (U_2_bool (MapType0Select ?S161 (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x398))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S161) ?x398)) )) (forall ((?x399 boogieU) (?S162 boogieU)) (! (=> (and (= (type ?x399) intType) (= (type ?S162) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S162 ?x399)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S162) (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x399))))) boolTrue))) :pattern ((MapType0Select ?S162 ?x399) (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S162)) )) (forall ((?x400 boogieU) (?S163 boogieU)) (! (=> (and (= (type ?x400) intType) (= (type ?S163) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S163 ?x400)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S163) (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x400))))) boolTrue))) :pattern ((MapType0Select ?S163 ?x400) (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S163)) )) (forall ((?x401 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x401) (+ ?x401 20)) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x401)) )) (forall ((?x402 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x402) (- ?x402 20)) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x402)) )) (forall ((?x403 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x403 20 1) (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x403)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x403 20 1)) )) (forall ((?x404 Int)) (! (= (MINUS_LEFT_PTR ?x404 1 20) (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x404)) :pattern ((MINUS_LEFT_PTR ?x404 1 20)) )) (forall ((?x405 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFERInv (TransferFlags__URB_ISOCH_TRANSFER ?x405)) ?x405) :pattern ((TransferFlags__URB_ISOCH_TRANSFERInv (TransferFlags__URB_ISOCH_TRANSFER ?x405))) )) (forall ((?x406 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFER (TransferFlags__URB_ISOCH_TRANSFERInv ?x406)) ?x406) :pattern ((TransferFlags__URB_ISOCH_TRANSFERInv ?x406)) )) (forall ((?x407 boogieU) (?S164 boogieU)) (! (=> (and (= (type ?x407) intType) (= (type ?S164) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S164) ?x407)) boolTrue) (= (U_2_bool (MapType0Select ?S164 (int_2_U (TransferFlags__URB_ISOCH_TRANSFERInv (U_2_int ?x407))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S164) ?x407)) )) (forall ((?x408 boogieU) (?S165 boogieU)) (! (=> (and (= (type ?x408) intType) (= (type ?S165) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S165) ?x408)) boolTrue) (= (U_2_bool (MapType0Select ?S165 (int_2_U (TransferFlags__URB_ISOCH_TRANSFER (U_2_int ?x408))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S165) ?x408)) )) (forall ((?x409 boogieU) (?S166 boogieU)) (! (=> (and (= (type ?x409) intType) (= (type ?S166) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S166 ?x409)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S166) (int_2_U (TransferFlags__URB_ISOCH_TRANSFER (U_2_int ?x409))))) boolTrue))) :pattern ((MapType0Select ?S166 ?x409) (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S166)) )) (forall ((?x410 boogieU) (?S167 boogieU)) (! (=> (and (= (type ?x410) intType) (= (type ?S167) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S167 ?x410)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S167) (int_2_U (TransferFlags__URB_ISOCH_TRANSFERInv (U_2_int ?x410))))) boolTrue))) :pattern ((MapType0Select ?S167 ?x410) (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S167)) )) (forall ((?x411 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFER ?x411) (+ ?x411 20)) :pattern ((TransferFlags__URB_ISOCH_TRANSFER ?x411)) )) (forall ((?x412 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFERInv ?x412) (- ?x412 20)) :pattern ((TransferFlags__URB_ISOCH_TRANSFERInv ?x412)) )) (forall ((?x413 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x413 20 1) (TransferFlags__URB_ISOCH_TRANSFERInv ?x413)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x413 20 1)) )) (forall ((?x414 Int)) (! (= (MINUS_LEFT_PTR ?x414 1 20) (TransferFlags__URB_ISOCH_TRANSFERInv ?x414)) :pattern ((MINUS_LEFT_PTR ?x414 1 20)) )) (forall ((?x415 Int)) (! (= (Type__WDF_REQUEST_PARAMETERSInv (Type__WDF_REQUEST_PARAMETERS ?x415)) ?x415) :pattern ((Type__WDF_REQUEST_PARAMETERSInv (Type__WDF_REQUEST_PARAMETERS ?x415))) )) (forall ((?x416 Int)) (! (= (Type__WDF_REQUEST_PARAMETERS (Type__WDF_REQUEST_PARAMETERSInv ?x416)) ?x416) :pattern ((Type__WDF_REQUEST_PARAMETERSInv ?x416)) )) (forall ((?x417 boogieU) (?S168 boogieU)) (! (=> (and (= (type ?x417) intType) (= (type ?S168) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERS ?S168) ?x417)) boolTrue) (= (U_2_bool (MapType0Select ?S168 (int_2_U (Type__WDF_REQUEST_PARAMETERSInv (U_2_int ?x417))))) boolTrue))) :pattern ((MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERS ?S168) ?x417)) )) (forall ((?x418 boogieU) (?S169 boogieU)) (! (=> (and (= (type ?x418) intType) (= (type ?S169) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S169) ?x418)) boolTrue) (= (U_2_bool (MapType0Select ?S169 (int_2_U (Type__WDF_REQUEST_PARAMETERS (U_2_int ?x418))))) boolTrue))) :pattern ((MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S169) ?x418)) )) (forall ((?x419 boogieU) (?S170 boogieU)) (! (=> (and (= (type ?x419) intType) (= (type ?S170) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S170 ?x419)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERS ?S170) (int_2_U (Type__WDF_REQUEST_PARAMETERS (U_2_int ?x419))))) boolTrue))) :pattern ((MapType0Select ?S170 ?x419) (x_S_Type__WDF_REQUEST_PARAMETERS ?S170)) )) (forall ((?x420 boogieU) (?S171 boogieU)) (! (=> (and (= (type ?x420) intType) (= (type ?S171) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S171 ?x420)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S171) (int_2_U (Type__WDF_REQUEST_PARAMETERSInv (U_2_int ?x420))))) boolTrue))) :pattern ((MapType0Select ?S171 ?x420) (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S171)) )) (forall ((?x421 Int)) (! (= (Type__WDF_REQUEST_PARAMETERS ?x421) (+ ?x421 4)) :pattern ((Type__WDF_REQUEST_PARAMETERS ?x421)) )) (forall ((?x422 Int)) (! (= (Type__WDF_REQUEST_PARAMETERSInv ?x422) (- ?x422 4)) :pattern ((Type__WDF_REQUEST_PARAMETERSInv ?x422)) )) (forall ((?x423 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x423 4 1) (Type__WDF_REQUEST_PARAMETERSInv ?x423)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x423 4 1)) )) (forall ((?x424 Int)) (! (= (MINUS_LEFT_PTR ?x424 1 4) (Type__WDF_REQUEST_PARAMETERSInv ?x424)) :pattern ((MINUS_LEFT_PTR ?x424 1 4)) )) (forall ((?x425 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x425)) ?x425) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x425))) )) (forall ((?x426 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x426)) ?x426) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x426)) )) (forall ((?x427 boogieU) (?S172 boogieU)) (! (=> (and (= (type ?x427) intType) (= (type ?S172) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S172) ?x427)) boolTrue) (= (U_2_bool (MapType0Select ?S172 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x427))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S172) ?x427)) )) (forall ((?x428 boogieU) (?S173 boogieU)) (! (=> (and (= (type ?x428) intType) (= (type ?S173) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S173) ?x428)) boolTrue) (= (U_2_bool (MapType0Select ?S173 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x428))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S173) ?x428)) )) (forall ((?x429 boogieU) (?S174 boogieU)) (! (=> (and (= (type ?x429) intType) (= (type ?S174) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S174 ?x429)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S174) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x429))))) boolTrue))) :pattern ((MapType0Select ?S174 ?x429) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S174)) )) (forall ((?x430 boogieU) (?S175 boogieU)) (! (=> (and (= (type ?x430) intType) (= (type ?S175) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S175 ?x430)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S175) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x430))))) boolTrue))) :pattern ((MapType0Select ?S175 ?x430) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S175)) )) (forall ((?x431 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x431) (+ ?x431 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x431)) )) (forall ((?x432 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x432) (- ?x432 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x432)) )) (forall ((?x433 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x433 12 1) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x433)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x433 12 1)) )) (forall ((?x434 Int)) (! (= (MINUS_LEFT_PTR ?x434 1 12) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x434)) :pattern ((MINUS_LEFT_PTR ?x434 1 12)) )) (forall ((?x435 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x435)) ?x435) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x435))) )) (forall ((?x436 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x436)) ?x436) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x436)) )) (forall ((?x437 boogieU) (?S176 boogieU)) (! (=> (and (= (type ?x437) intType) (= (type ?S176) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S176) ?x437)) boolTrue) (= (U_2_bool (MapType0Select ?S176 (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (U_2_int ?x437))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S176) ?x437)) )) (forall ((?x438 boogieU) (?S177 boogieU)) (! (=> (and (= (type ?x438) intType) (= (type ?S177) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S177) ?x438)) boolTrue) (= (U_2_bool (MapType0Select ?S177 (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (U_2_int ?x438))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S177) ?x438)) )) (forall ((?x439 boogieU) (?S178 boogieU)) (! (=> (and (= (type ?x439) intType) (= (type ?S178) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S178 ?x439)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S178) (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (U_2_int ?x439))))) boolTrue))) :pattern ((MapType0Select ?S178 ?x439) (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S178)) )) (forall ((?x440 boogieU) (?S179 boogieU)) (! (=> (and (= (type ?x440) intType) (= (type ?S179) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S179 ?x440)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S179) (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (U_2_int ?x440))))) boolTrue))) :pattern ((MapType0Select ?S179 ?x440) (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S179)) )) (forall ((?x441 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x441) (+ ?x441 0)) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x441)) )) (forall ((?x442 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x442) (- ?x442 0)) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x442)) )) (forall ((?x443 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x443 0 1) (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x443)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x443 0 1)) )) (forall ((?x444 Int)) (! (= (MINUS_LEFT_PTR ?x444 1 0) (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x444)) :pattern ((MINUS_LEFT_PTR ?x444 1 0)) )) (forall ((?x445 Int)) (! (= (UrbHeader___unnamed_96_e511a626Inv (UrbHeader___unnamed_96_e511a626 ?x445)) ?x445) :pattern ((UrbHeader___unnamed_96_e511a626Inv (UrbHeader___unnamed_96_e511a626 ?x445))) )) (forall ((?x446 Int)) (! (= (UrbHeader___unnamed_96_e511a626 (UrbHeader___unnamed_96_e511a626Inv ?x446)) ?x446) :pattern ((UrbHeader___unnamed_96_e511a626Inv ?x446)) )) (forall ((?x447 boogieU) (?S180 boogieU)) (! (=> (and (= (type ?x447) intType) (= (type ?S180) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626 ?S180) ?x447)) boolTrue) (= (U_2_bool (MapType0Select ?S180 (int_2_U (UrbHeader___unnamed_96_e511a626Inv (U_2_int ?x447))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbHeader___unnamed_96_e511a626 ?S180) ?x447)) )) (forall ((?x448 boogieU) (?S181 boogieU)) (! (=> (and (= (type ?x448) intType) (= (type ?S181) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626Inv ?S181) ?x448)) boolTrue) (= (U_2_bool (MapType0Select ?S181 (int_2_U (UrbHeader___unnamed_96_e511a626 (U_2_int ?x448))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbHeader___unnamed_96_e511a626Inv ?S181) ?x448)) )) (forall ((?x449 boogieU) (?S182 boogieU)) (! (=> (and (= (type ?x449) intType) (= (type ?S182) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S182 ?x449)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626 ?S182) (int_2_U (UrbHeader___unnamed_96_e511a626 (U_2_int ?x449))))) boolTrue))) :pattern ((MapType0Select ?S182 ?x449) (x_S_UrbHeader___unnamed_96_e511a626 ?S182)) )) (forall ((?x450 boogieU) (?S183 boogieU)) (! (=> (and (= (type ?x450) intType) (= (type ?S183) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S183 ?x450)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626Inv ?S183) (int_2_U (UrbHeader___unnamed_96_e511a626Inv (U_2_int ?x450))))) boolTrue))) :pattern ((MapType0Select ?S183 ?x450) (x_S_UrbHeader___unnamed_96_e511a626Inv ?S183)) )) (forall ((?x451 Int)) (! (= (UrbHeader___unnamed_96_e511a626 ?x451) (+ ?x451 0)) :pattern ((UrbHeader___unnamed_96_e511a626 ?x451)) )) (forall ((?x452 Int)) (! (= (UrbHeader___unnamed_96_e511a626Inv ?x452) (- ?x452 0)) :pattern ((UrbHeader___unnamed_96_e511a626Inv ?x452)) )) (forall ((?x453 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x453 0 1) (UrbHeader___unnamed_96_e511a626Inv ?x453)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x453 0 1)) )) (forall ((?x454 Int)) (! (= (MINUS_LEFT_PTR ?x454 1 0) (UrbHeader___unnamed_96_e511a626Inv ?x454)) :pattern ((MINUS_LEFT_PTR ?x454 1 0)) )) (forall ((?x455 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626Inv (UrbIsochronousTransfer___unnamed_96_e511a626 ?x455)) ?x455) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626Inv (UrbIsochronousTransfer___unnamed_96_e511a626 ?x455))) )) (forall ((?x456 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626 (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x456)) ?x456) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x456)) )) (forall ((?x457 boogieU) (?S184 boogieU)) (! (=> (and (= (type ?x457) intType) (= (type ?S184) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S184) ?x457)) boolTrue) (= (U_2_bool (MapType0Select ?S184 (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626Inv (U_2_int ?x457))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S184) ?x457)) )) (forall ((?x458 boogieU) (?S185 boogieU)) (! (=> (and (= (type ?x458) intType) (= (type ?S185) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S185) ?x458)) boolTrue) (= (U_2_bool (MapType0Select ?S185 (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626 (U_2_int ?x458))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S185) ?x458)) )) (forall ((?x459 boogieU) (?S186 boogieU)) (! (=> (and (= (type ?x459) intType) (= (type ?S186) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S186 ?x459)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S186) (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626 (U_2_int ?x459))))) boolTrue))) :pattern ((MapType0Select ?S186 ?x459) (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S186)) )) (forall ((?x460 boogieU) (?S187 boogieU)) (! (=> (and (= (type ?x460) intType) (= (type ?S187) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S187 ?x460)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S187) (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626Inv (U_2_int ?x460))))) boolTrue))) :pattern ((MapType0Select ?S187 ?x460) (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S187)) )) (forall ((?x461 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626 ?x461) (+ ?x461 0)) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626 ?x461)) )) (forall ((?x462 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x462) (- ?x462 0)) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x462)) )) (forall ((?x463 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1) (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x463)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1)) )) (forall ((?x464 Int)) (! (= (MINUS_LEFT_PTR ?x464 1 0) (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x464)) :pattern ((MINUS_LEFT_PTR ?x464 1 0)) )) (forall ((?x465 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x465)) ?x465) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x465))) )) (forall ((?x466 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x466)) ?x466) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x466)) )) (forall ((?x467 boogieU) (?S188 boogieU)) (! (=> (and (= (type ?x467) intType) (= (type ?S188) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S188) ?x467)) boolTrue) (= (U_2_bool (MapType0Select ?S188 (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x467))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S188) ?x467)) )) (forall ((?x468 boogieU) (?S189 boogieU)) (! (=> (and (= (type ?x468) intType) (= (type ?S189) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S189) ?x468)) boolTrue) (= (U_2_bool (MapType0Select ?S189 (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x468))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S189) ?x468)) )) (forall ((?x469 boogieU) (?S190 boogieU)) (! (=> (and (= (type ?x469) intType) (= (type ?S190) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S190 ?x469)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S190) (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x469))))) boolTrue))) :pattern ((MapType0Select ?S190 ?x469) (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S190)) )) (forall ((?x470 boogieU) (?S191 boogieU)) (! (=> (and (= (type ?x470) intType) (= (type ?S191) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S191 ?x470)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S191) (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x470))))) boolTrue))) :pattern ((MapType0Select ?S191 ?x470) (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S191)) )) (forall ((?x471 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x471) (+ ?x471 36)) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x471)) )) (forall ((?x472 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x472) (- ?x472 36)) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x472)) )) (forall ((?x473 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x473 36 1) (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x473)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x473 36 1)) )) (forall ((?x474 Int)) (! (= (MINUS_LEFT_PTR ?x474 1 36) (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x474)) :pattern ((MINUS_LEFT_PTR ?x474 1 36)) )) (forall ((?x475 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFERInv (UrbLink__URB_ISOCH_TRANSFER ?x475)) ?x475) :pattern ((UrbLink__URB_ISOCH_TRANSFERInv (UrbLink__URB_ISOCH_TRANSFER ?x475))) )) (forall ((?x476 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFER (UrbLink__URB_ISOCH_TRANSFERInv ?x476)) ?x476) :pattern ((UrbLink__URB_ISOCH_TRANSFERInv ?x476)) )) (forall ((?x477 boogieU) (?S192 boogieU)) (! (=> (and (= (type ?x477) intType) (= (type ?S192) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFER ?S192) ?x477)) boolTrue) (= (U_2_bool (MapType0Select ?S192 (int_2_U (UrbLink__URB_ISOCH_TRANSFERInv (U_2_int ?x477))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFER ?S192) ?x477)) )) (forall ((?x478 boogieU) (?S193 boogieU)) (! (=> (and (= (type ?x478) intType) (= (type ?S193) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S193) ?x478)) boolTrue) (= (U_2_bool (MapType0Select ?S193 (int_2_U (UrbLink__URB_ISOCH_TRANSFER (U_2_int ?x478))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S193) ?x478)) )) (forall ((?x479 boogieU) (?S194 boogieU)) (! (=> (and (= (type ?x479) intType) (= (type ?S194) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S194 ?x479)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFER ?S194) (int_2_U (UrbLink__URB_ISOCH_TRANSFER (U_2_int ?x479))))) boolTrue))) :pattern ((MapType0Select ?S194 ?x479) (x_S_UrbLink__URB_ISOCH_TRANSFER ?S194)) )) (forall ((?x480 boogieU) (?S195 boogieU)) (! (=> (and (= (type ?x480) intType) (= (type ?S195) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S195 ?x480)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S195) (int_2_U (UrbLink__URB_ISOCH_TRANSFERInv (U_2_int ?x480))))) boolTrue))) :pattern ((MapType0Select ?S195 ?x480) (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S195)) )) (forall ((?x481 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFER ?x481) (+ ?x481 36)) :pattern ((UrbLink__URB_ISOCH_TRANSFER ?x481)) )) (forall ((?x482 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFERInv ?x482) (- ?x482 36)) :pattern ((UrbLink__URB_ISOCH_TRANSFERInv ?x482)) )) (forall ((?x483 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x483 36 1) (UrbLink__URB_ISOCH_TRANSFERInv ?x483)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x483 36 1)) )) (forall ((?x484 Int)) (! (= (MINUS_LEFT_PTR ?x484 1 36) (UrbLink__URB_ISOCH_TRANSFERInv ?x484)) :pattern ((MINUS_LEFT_PTR ?x484 1 36)) )) (forall ((?x485 Int)) (! (= (UrbMemory__REQUEST_CONTEXTInv (UrbMemory__REQUEST_CONTEXT ?x485)) ?x485) :pattern ((UrbMemory__REQUEST_CONTEXTInv (UrbMemory__REQUEST_CONTEXT ?x485))) )) (forall ((?x486 Int)) (! (= (UrbMemory__REQUEST_CONTEXT (UrbMemory__REQUEST_CONTEXTInv ?x486)) ?x486) :pattern ((UrbMemory__REQUEST_CONTEXTInv ?x486)) )) (forall ((?x487 boogieU) (?S196 boogieU)) (! (=> (and (= (type ?x487) intType) (= (type ?S196) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXT ?S196) ?x487)) boolTrue) (= (U_2_bool (MapType0Select ?S196 (int_2_U (UrbMemory__REQUEST_CONTEXTInv (U_2_int ?x487))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbMemory__REQUEST_CONTEXT ?S196) ?x487)) )) (forall ((?x488 boogieU) (?S197 boogieU)) (! (=> (and (= (type ?x488) intType) (= (type ?S197) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXTInv ?S197) ?x488)) boolTrue) (= (U_2_bool (MapType0Select ?S197 (int_2_U (UrbMemory__REQUEST_CONTEXT (U_2_int ?x488))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbMemory__REQUEST_CONTEXTInv ?S197) ?x488)) )) (forall ((?x489 boogieU) (?S198 boogieU)) (! (=> (and (= (type ?x489) intType) (= (type ?S198) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S198 ?x489)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXT ?S198) (int_2_U (UrbMemory__REQUEST_CONTEXT (U_2_int ?x489))))) boolTrue))) :pattern ((MapType0Select ?S198 ?x489) (x_S_UrbMemory__REQUEST_CONTEXT ?S198)) )) (forall ((?x490 boogieU) (?S199 boogieU)) (! (=> (and (= (type ?x490) intType) (= (type ?S199) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S199 ?x490)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXTInv ?S199) (int_2_U (UrbMemory__REQUEST_CONTEXTInv (U_2_int ?x490))))) boolTrue))) :pattern ((MapType0Select ?S199 ?x490) (x_S_UrbMemory__REQUEST_CONTEXTInv ?S199)) )) (forall ((?x491 Int)) (! (= (UrbMemory__REQUEST_CONTEXT ?x491) (+ ?x491 0)) :pattern ((UrbMemory__REQUEST_CONTEXT ?x491)) )) (forall ((?x492 Int)) (! (= (UrbMemory__REQUEST_CONTEXTInv ?x492) (- ?x492 0)) :pattern ((UrbMemory__REQUEST_CONTEXTInv ?x492)) )) (forall ((?x493 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x493 0 1) (UrbMemory__REQUEST_CONTEXTInv ?x493)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x493 0 1)) )) (forall ((?x494 Int)) (! (= (MINUS_LEFT_PTR ?x494 1 0) (UrbMemory__REQUEST_CONTEXTInv ?x494)) :pattern ((MINUS_LEFT_PTR ?x494 1 0)) )) (forall ((?x495 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXTInv (UsbConfigurationDescriptor__DEVICE_CONTEXT ?x495)) ?x495) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXTInv (UsbConfigurationDescriptor__DEVICE_CONTEXT ?x495))) )) (forall ((?x496 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXT (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x496)) ?x496) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x496)) )) (forall ((?x497 boogieU) (?S200 boogieU)) (! (=> (and (= (type ?x497) intType) (= (type ?S200) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S200) ?x497)) boolTrue) (= (U_2_bool (MapType0Select ?S200 (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXTInv (U_2_int ?x497))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S200) ?x497)) )) (forall ((?x498 boogieU) (?S201 boogieU)) (! (=> (and (= (type ?x498) intType) (= (type ?S201) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S201) ?x498)) boolTrue) (= (U_2_bool (MapType0Select ?S201 (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXT (U_2_int ?x498))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S201) ?x498)) )) (forall ((?x499 boogieU) (?S202 boogieU)) (! (=> (and (= (type ?x499) intType) (= (type ?S202) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S202 ?x499)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S202) (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXT (U_2_int ?x499))))) boolTrue))) :pattern ((MapType0Select ?S202 ?x499) (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S202)) )) (forall ((?x500 boogieU) (?S203 boogieU)) (! (=> (and (= (type ?x500) intType) (= (type ?S203) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S203 ?x500)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S203) (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXTInv (U_2_int ?x500))))) boolTrue))) :pattern ((MapType0Select ?S203 ?x500) (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S203)) )) (forall ((?x501 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXT ?x501) (+ ?x501 20)) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXT ?x501)) )) (forall ((?x502 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x502) (- ?x502 20)) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x502)) )) (forall ((?x503 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x503 20 1) (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x503)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x503 20 1)) )) (forall ((?x504 Int)) (! (= (MINUS_LEFT_PTR ?x504 1 20) (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x504)) :pattern ((MINUS_LEFT_PTR ?x504 1 20)) )) (forall ((?x505 Int)) (! (= (UsbInterface__DEVICE_CONTEXTInv (UsbInterface__DEVICE_CONTEXT ?x505)) ?x505) :pattern ((UsbInterface__DEVICE_CONTEXTInv (UsbInterface__DEVICE_CONTEXT ?x505))) )) (forall ((?x506 Int)) (! (= (UsbInterface__DEVICE_CONTEXT (UsbInterface__DEVICE_CONTEXTInv ?x506)) ?x506) :pattern ((UsbInterface__DEVICE_CONTEXTInv ?x506)) )) (forall ((?x507 boogieU) (?S204 boogieU)) (! (=> (and (= (type ?x507) intType) (= (type ?S204) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXT ?S204) ?x507)) boolTrue) (= (U_2_bool (MapType0Select ?S204 (int_2_U (UsbInterface__DEVICE_CONTEXTInv (U_2_int ?x507))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbInterface__DEVICE_CONTEXT ?S204) ?x507)) )) (forall ((?x508 boogieU) (?S205 boogieU)) (! (=> (and (= (type ?x508) intType) (= (type ?S205) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXTInv ?S205) ?x508)) boolTrue) (= (U_2_bool (MapType0Select ?S205 (int_2_U (UsbInterface__DEVICE_CONTEXT (U_2_int ?x508))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbInterface__DEVICE_CONTEXTInv ?S205) ?x508)) )) (forall ((?x509 boogieU) (?S206 boogieU)) (! (=> (and (= (type ?x509) intType) (= (type ?S206) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S206 ?x509)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXT ?S206) (int_2_U (UsbInterface__DEVICE_CONTEXT (U_2_int ?x509))))) boolTrue))) :pattern ((MapType0Select ?S206 ?x509) (x_S_UsbInterface__DEVICE_CONTEXT ?S206)) )) (forall ((?x510 boogieU) (?S207 boogieU)) (! (=> (and (= (type ?x510) intType) (= (type ?S207) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S207 ?x510)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXTInv ?S207) (int_2_U (UsbInterface__DEVICE_CONTEXTInv (U_2_int ?x510))))) boolTrue))) :pattern ((MapType0Select ?S207 ?x510) (x_S_UsbInterface__DEVICE_CONTEXTInv ?S207)) )) (forall ((?x511 Int)) (! (= (UsbInterface__DEVICE_CONTEXT ?x511) (+ ?x511 36)) :pattern ((UsbInterface__DEVICE_CONTEXT ?x511)) )) (forall ((?x512 Int)) (! (= (UsbInterface__DEVICE_CONTEXTInv ?x512) (- ?x512 36)) :pattern ((UsbInterface__DEVICE_CONTEXTInv ?x512)) )) (forall ((?x513 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x513 36 1) (UsbInterface__DEVICE_CONTEXTInv ?x513)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x513 36 1)) )) (forall ((?x514 Int)) (! (= (MINUS_LEFT_PTR ?x514 1 36) (UsbInterface__DEVICE_CONTEXTInv ?x514)) :pattern ((MINUS_LEFT_PTR ?x514 1 36)) )) (forall ((?x515 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXTInv (UserRequest__SUB_REQUEST_CONTEXT ?x515)) ?x515) :pattern ((UserRequest__SUB_REQUEST_CONTEXTInv (UserRequest__SUB_REQUEST_CONTEXT ?x515))) )) (forall ((?x516 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXT (UserRequest__SUB_REQUEST_CONTEXTInv ?x516)) ?x516) :pattern ((UserRequest__SUB_REQUEST_CONTEXTInv ?x516)) )) (forall ((?x517 boogieU) (?S208 boogieU)) (! (=> (and (= (type ?x517) intType) (= (type ?S208) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S208) ?x517)) boolTrue) (= (U_2_bool (MapType0Select ?S208 (int_2_U (UserRequest__SUB_REQUEST_CONTEXTInv (U_2_int ?x517))))) boolTrue))) :pattern ((MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S208) ?x517)) )) (forall ((?x518 boogieU) (?S209 boogieU)) (! (=> (and (= (type ?x518) intType) (= (type ?S209) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S209) ?x518)) boolTrue) (= (U_2_bool (MapType0Select ?S209 (int_2_U (UserRequest__SUB_REQUEST_CONTEXT (U_2_int ?x518))))) boolTrue))) :pattern ((MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S209) ?x518)) )) (forall ((?x519 boogieU) (?S210 boogieU)) (! (=> (and (= (type ?x519) intType) (= (type ?S210) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S210 ?x519)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S210) (int_2_U (UserRequest__SUB_REQUEST_CONTEXT (U_2_int ?x519))))) boolTrue))) :pattern ((MapType0Select ?S210 ?x519) (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S210)) )) (forall ((?x520 boogieU) (?S211 boogieU)) (! (=> (and (= (type ?x520) intType) (= (type ?S211) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S211 ?x520)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S211) (int_2_U (UserRequest__SUB_REQUEST_CONTEXTInv (U_2_int ?x520))))) boolTrue))) :pattern ((MapType0Select ?S211 ?x520) (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S211)) )) (forall ((?x521 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXT ?x521) (+ ?x521 0)) :pattern ((UserRequest__SUB_REQUEST_CONTEXT ?x521)) )) (forall ((?x522 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXTInv ?x522) (- ?x522 0)) :pattern ((UserRequest__SUB_REQUEST_CONTEXTInv ?x522)) )) (forall ((?x523 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1) (UserRequest__SUB_REQUEST_CONTEXTInv ?x523)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1)) )) (forall ((?x524 Int)) (! (= (MINUS_LEFT_PTR ?x524 1 0) (UserRequest__SUB_REQUEST_CONTEXTInv ?x524)) :pattern ((MINUS_LEFT_PTR ?x524 1 0)) )) (forall ((?x525 Int)) (! (= (VirtualAddress__REQUEST_CONTEXTInv (VirtualAddress__REQUEST_CONTEXT ?x525)) ?x525) :pattern ((VirtualAddress__REQUEST_CONTEXTInv (VirtualAddress__REQUEST_CONTEXT ?x525))) )) (forall ((?x526 Int)) (! (= (VirtualAddress__REQUEST_CONTEXT (VirtualAddress__REQUEST_CONTEXTInv ?x526)) ?x526) :pattern ((VirtualAddress__REQUEST_CONTEXTInv ?x526)) )) (forall ((?x527 boogieU) (?S212 boogieU)) (! (=> (and (= (type ?x527) intType) (= (type ?S212) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXT ?S212) ?x527)) boolTrue) (= (U_2_bool (MapType0Select ?S212 (int_2_U (VirtualAddress__REQUEST_CONTEXTInv (U_2_int ?x527))))) boolTrue))) :pattern ((MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXT ?S212) ?x527)) )) (forall ((?x528 boogieU) (?S213 boogieU)) (! (=> (and (= (type ?x528) intType) (= (type ?S213) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S213) ?x528)) boolTrue) (= (U_2_bool (MapType0Select ?S213 (int_2_U (VirtualAddress__REQUEST_CONTEXT (U_2_int ?x528))))) boolTrue))) :pattern ((MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S213) ?x528)) )) (forall ((?x529 boogieU) (?S214 boogieU)) (! (=> (and (= (type ?x529) intType) (= (type ?S214) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S214 ?x529)) boolTrue) (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXT ?S214) (int_2_U (VirtualAddress__REQUEST_CONTEXT (U_2_int ?x529))))) boolTrue))) :pattern ((MapType0Select ?S214 ?x529) (x_S_VirtualAddress__REQUEST_CONTEXT ?S214)) )) (forall ((?x530 boogieU) (?S215 boogieU)) (! (=> (and (= (type ?x530) intType) (= (type ?S215) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S215 ?x530)) boolTrue) (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S215) (int_2_U (VirtualAddress__REQUEST_CONTEXTInv (U_2_int ?x530))))) boolTrue))) :pattern ((MapType0Select ?S215 ?x530) (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S215)) )) (forall ((?x531 Int)) (! (= (VirtualAddress__REQUEST_CONTEXT ?x531) (+ ?x531 16)) :pattern ((VirtualAddress__REQUEST_CONTEXT ?x531)) )) (forall ((?x532 Int)) (! (= (VirtualAddress__REQUEST_CONTEXTInv ?x532) (- ?x532 16)) :pattern ((VirtualAddress__REQUEST_CONTEXTInv ?x532)) )) (forall ((?x533 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x533 16 1) (VirtualAddress__REQUEST_CONTEXTInv ?x533)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x533 16 1)) )) (forall ((?x534 Int)) (! (= (MINUS_LEFT_PTR ?x534 1 16) (VirtualAddress__REQUEST_CONTEXTInv ?x534)) :pattern ((MINUS_LEFT_PTR ?x534 1 16)) )) (forall ((?x535 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXTInv (WdfUsbTargetDevice__DEVICE_CONTEXT ?x535)) ?x535) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXTInv (WdfUsbTargetDevice__DEVICE_CONTEXT ?x535))) )) (forall ((?x536 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXT (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x536)) ?x536) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x536)) )) (forall ((?x537 boogieU) (?S216 boogieU)) (! (=> (and (= (type ?x537) intType) (= (type ?S216) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S216) ?x537)) boolTrue) (= (U_2_bool (MapType0Select ?S216 (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXTInv (U_2_int ?x537))))) boolTrue))) :pattern ((MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S216) ?x537)) )) (forall ((?x538 boogieU) (?S217 boogieU)) (! (=> (and (= (type ?x538) intType) (= (type ?S217) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S217) ?x538)) boolTrue) (= (U_2_bool (MapType0Select ?S217 (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXT (U_2_int ?x538))))) boolTrue))) :pattern ((MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S217) ?x538)) )) (forall ((?x539 boogieU) (?S218 boogieU)) (! (=> (and (= (type ?x539) intType) (= (type ?S218) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S218 ?x539)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S218) (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXT (U_2_int ?x539))))) boolTrue))) :pattern ((MapType0Select ?S218 ?x539) (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S218)) )) (forall ((?x540 boogieU) (?S219 boogieU)) (! (=> (and (= (type ?x540) intType) (= (type ?S219) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S219 ?x540)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S219) (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXTInv (U_2_int ?x540))))) boolTrue))) :pattern ((MapType0Select ?S219 ?x540) (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S219)) )) (forall ((?x541 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXT ?x541) (+ ?x541 24)) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXT ?x541)) )) (forall ((?x542 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x542) (- ?x542 24)) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x542)) )) (forall ((?x543 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x543 24 1) (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x543)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x543 24 1)) )) (forall ((?x544 Int)) (! (= (MINUS_LEFT_PTR ?x544 1 24) (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x544)) :pattern ((MINUS_LEFT_PTR ?x544 1 24)) )) (forall ((?x545 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x545)) ?x545) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x545))) )) (forall ((?x546 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x546)) ?x546) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x546)) )) (forall ((?x547 boogieU) (?S220 boogieU)) (! (=> (and (= (type ?x547) intType) (= (type ?S220) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S220) ?x547)) boolTrue) (= (U_2_bool (MapType0Select ?S220 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x547))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S220) ?x547)) )) (forall ((?x548 boogieU) (?S221 boogieU)) (! (=> (and (= (type ?x548) intType) (= (type ?S221) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S221) ?x548)) boolTrue) (= (U_2_bool (MapType0Select ?S221 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x548))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S221) ?x548)) )) (forall ((?x549 boogieU) (?S222 boogieU)) (! (=> (and (= (type ?x549) intType) (= (type ?S222) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S222 ?x549)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S222) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x549))))) boolTrue))) :pattern ((MapType0Select ?S222 ?x549) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S222)) )) (forall ((?x550 boogieU) (?S223 boogieU)) (! (=> (and (= (type ?x550) intType) (= (type ?S223) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S223 ?x550)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S223) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x550))))) boolTrue))) :pattern ((MapType0Select ?S223 ?x550) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S223)) )) (forall ((?x551 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x551) (+ ?x551 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x551)) )) (forall ((?x552 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x552) (- ?x552 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x552)) )) (forall ((?x553 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x553 0 1) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x553)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x553 0 1)) )) (forall ((?x554 Int)) (! (= (MINUS_LEFT_PTR ?x554 1 0) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x554)) :pattern ((MINUS_LEFT_PTR ?x554 1 0)) )) (forall ((?x555 Int)) (! (= (x__unnamed_96_e511a626__URBInv (x__unnamed_96_e511a626__URB ?x555)) ?x555) :pattern ((x__unnamed_96_e511a626__URBInv (x__unnamed_96_e511a626__URB ?x555))) )) (forall ((?x556 Int)) (! (= (x__unnamed_96_e511a626__URB (x__unnamed_96_e511a626__URBInv ?x556)) ?x556) :pattern ((x__unnamed_96_e511a626__URBInv ?x556)) )) (forall ((?x557 boogieU) (?S224 boogieU)) (! (=> (and (= (type ?x557) intType) (= (type ?S224) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URB ?S224) ?x557)) boolTrue) (= (U_2_bool (MapType0Select ?S224 (int_2_U (x__unnamed_96_e511a626__URBInv (U_2_int ?x557))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_96_e511a626__URB ?S224) ?x557)) )) (forall ((?x558 boogieU) (?S225 boogieU)) (! (=> (and (= (type ?x558) intType) (= (type ?S225) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URBInv ?S225) ?x558)) boolTrue) (= (U_2_bool (MapType0Select ?S225 (int_2_U (x__unnamed_96_e511a626__URB (U_2_int ?x558))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_96_e511a626__URBInv ?S225) ?x558)) )) (forall ((?x559 boogieU) (?S226 boogieU)) (! (=> (and (= (type ?x559) intType) (= (type ?S226) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S226 ?x559)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URB ?S226) (int_2_U (x__unnamed_96_e511a626__URB (U_2_int ?x559))))) boolTrue))) :pattern ((MapType0Select ?S226 ?x559) (x_S___unnamed_96_e511a626__URB ?S226)) )) (forall ((?x560 boogieU) (?S227 boogieU)) (! (=> (and (= (type ?x560) intType) (= (type ?S227) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S227 ?x560)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URBInv ?S227) (int_2_U (x__unnamed_96_e511a626__URBInv (U_2_int ?x560))))) boolTrue))) :pattern ((MapType0Select ?S227 ?x560) (x_S___unnamed_96_e511a626__URBInv ?S227)) )) (forall ((?x561 Int)) (! (= (x__unnamed_96_e511a626__URB ?x561) (+ ?x561 0)) :pattern ((x__unnamed_96_e511a626__URB ?x561)) )) (forall ((?x562 Int)) (! (= (x__unnamed_96_e511a626__URBInv ?x562) (- ?x562 0)) :pattern ((x__unnamed_96_e511a626__URBInv ?x562)) )) (forall ((?x563 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x563 0 1) (x__unnamed_96_e511a626__URBInv ?x563)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x563 0 1)) )) (forall ((?x564 Int)) (! (= (MINUS_LEFT_PTR ?x564 1 0) (x__unnamed_96_e511a626__URBInv ?x564)) :pattern ((MINUS_LEFT_PTR ?x564 1 0)) )) (forall ((?x565 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x565)) ?x565) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x565))) )) (forall ((?x566 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTOR (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x566)) ?x566) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x566)) )) (forall ((?x567 boogieU) (?S228 boogieU)) (! (=> (and (= (type ?x567) intType) (= (type ?S228) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S228) ?x567)) boolTrue) (= (U_2_bool (MapType0Select ?S228 (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (U_2_int ?x567))))) boolTrue))) :pattern ((MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S228) ?x567)) )) (forall ((?x568 boogieU) (?S229 boogieU)) (! (=> (and (= (type ?x568) intType) (= (type ?S229) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S229) ?x568)) boolTrue) (= (U_2_bool (MapType0Select ?S229 (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTOR (U_2_int ?x568))))) boolTrue))) :pattern ((MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S229) ?x568)) )) (forall ((?x569 boogieU) (?S230 boogieU)) (! (=> (and (= (type ?x569) intType) (= (type ?S230) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S230 ?x569)) boolTrue) (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S230) (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTOR (U_2_int ?x569))))) boolTrue))) :pattern ((MapType0Select ?S230 ?x569) (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S230)) )) (forall ((?x570 boogieU) (?S231 boogieU)) (! (=> (and (= (type ?x570) intType) (= (type ?S231) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S231 ?x570)) boolTrue) (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S231) (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (U_2_int ?x570))))) boolTrue))) :pattern ((MapType0Select ?S231 ?x570) (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S231)) )) (forall ((?x571 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x571) (+ ?x571 2)) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x571)) )) (forall ((?x572 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x572) (- ?x572 2)) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x572)) )) (forall ((?x573 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x573 2 1) (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x573)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x573 2 1)) )) (forall ((?x574 Int)) (! (= (MINUS_LEFT_PTR ?x574 1 2) (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x574)) :pattern ((MINUS_LEFT_PTR ?x574 1 2)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= ReadWriteCompletion 0)) (not (= ReadWriteWorkItem 0)) (not (= SubRequestCompletionRoutine 0)) (not (= UsbSamp_EvtRequestCancel 0)) (not (= WdfDriverGlobals 0)) (not (= x_WDF_DEVICE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_FILE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_SUB_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_WORKITEM_CONTEXT_TYPE_INFO 0)) (not (= hbuffer 0)) (not (= hdctx 0)) (not (= hdevcollection_count 0)) (not (= hdevice 0)) (not (= hln 0)) (not (= hlock 0)) (not (= hmdl 0)) (not (= hqctx 0)) (not (= hqueue 0)) (not (= hrctx 0)) (not (= hrequest 0)) (not (= htctx 0)) (not (= htimer 0)) (not (= hwork_item 0)) (not (= notused_4hbuffer 0)) (not (= notused_4hfileobj 0)) (not (= notused_4hmdl 0)) (not (= notused_4hwork_item 0)) (not (= notused_4wdfobject1 0)) (not (= notused_4wdmobject1 0)) (not (= notused_ctx 0)) (not (= notused_hrequest 0)) (not (= pnotused 0))))
(assert (let ((?v_1 (MapType0Type intType intType)) (?v_0 (MapType0Type intType nameType))) (and (= (type alloc.50) ?v_0) (= (type alloc.49) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.4) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.14) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.13) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.4) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.14) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.13) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.4) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.4) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3) ?v_0) (= (type Mem_s_1_T.PWDFREQUEST__) ?v_1) (= (type alloc.34) ?v_0) (= (type alloc.48) ?v_0) (= (type alloc.42) ?v_0) (= (type alloc.47) ?v_0) (= (type alloc.41) ?v_0) (= (type alloc.46) ?v_0) (= (type alloc.45) ?v_0) (= (type alloc.43) ?v_0) (= (type alloc.44) ?v_0) (= (type alloc.39) ?v_0) (= (type alloc.38) ?v_0) (= (type alloc.40) ?v_0) (= (type alloc.37) ?v_0) (= (type alloc.36) ?v_0) (= (type alloc.35) ?v_0) (= (type alloc.32) ?v_0) (= (type alloc.33) ?v_0) (= (type Mem_0_T.PWDFREQUEST__) ?v_1) (= (type alloc.6) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc) ?v_0) (= (type Mem_1_T.PWDFREQUEST__) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc) ?v_0) (= (type alloc.2) ?v_0) (= (type alloc.0) ?v_0) (= (type alloc.3) ?v_0) (= (type alloc.4) ?v_0) (= (type alloc.5) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.12) ?v_1) (= (type alloc.31) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.12) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2) ?v_0) (= (type alloc.1) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.11) ?v_1) (= (type alloc.30) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.11) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1) ?v_0) (= (type alloc.17) ?v_0) (= (type alloc.28) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.8) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.8) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.10) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.10) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.9) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.9) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.7) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.7) ?v_1) (= (type alloc.7) ?v_0) (= (type alloc.8) ?v_0) (= (type alloc.9) ?v_0) (= (type alloc.10) ?v_0) (= (type alloc.11) ?v_0) (= (type alloc.12) ?v_0) (= (type alloc.13) ?v_0) (= (type alloc.14) ?v_0) (= (type alloc.15) ?v_0) (= (type alloc.16) ?v_0) (= (type alloc.29) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.6) ?v_1) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.6) ?v_1) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.3) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.3) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.5) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.5) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.4) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.4) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.2) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.1) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.1) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.2) ?v_1) (= (type alloc.27) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.0) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.0) ?v_1) (= (type alloc.18) ?v_0) (= (type alloc.19) ?v_0) (= (type alloc.20) ?v_0) (= (type alloc.21) ?v_0) (= (type alloc.22) ?v_0) (= (type alloc.23) ?v_0) (= (type alloc.24) ?v_0) (= (type alloc.25) ?v_0) (= (type alloc.26) ?v_0) (= (type alloc) ?v_0))))
(assert (let ((?v_1082 (int_2_U notused_4wdfobject1)) (?v_1288 (int_2_U notused_hrequest)) (?v_0 (= 0 0)) (?v_1424 (= errorReached.45 errorReached.45))) (let ((?v_1995 (=> ?v_0 (= reqCompleted_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0))) (?v_1 (= 0 1))) (let ((?v_1996 (=> ?v_1 (= reqCompleted_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0))) (?v_1997 (=> ?v_0 (= lockStatus_0.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0))) (?v_1998 (=> ?v_1 (= lockStatus_1.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0))) (?v_1999 (=> ?v_0 (= reqCancelSet_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0))) (?v_2000 (=> ?v_1 (= reqCancelSet_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0))) (?v_2001 (=> ?v_0 (= reqCancelStarted_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0))) (?v_2002 (=> ?v_1 (= reqCancelStarted_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0))) (?v_2003 (=> ?v_0 (= reqCompleteSet_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0))) (?v_2004 (=> ?v_1 (= reqCompleteSet_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0))) (?v_2005 (=> ?v_0 (= reqSent_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0))) (?v_2006 (=> ?v_1 (= reqSent_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0))) (?v_1166 (=> false true))) (let ((?v_2008 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.4 (PLUS inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.2 1 1)) (=> true (and ?v_0 (=> ?v_0 (and ?v_1424 (=> ?v_1424 (and ?v_0 (=> ?v_0 (and ?v_1995 (=> ?v_1995 (and ?v_1996 (=> ?v_1996 (and ?v_1997 (=> ?v_1997 (and ?v_1998 (=> ?v_1998 (and ?v_1999 (=> ?v_1999 (and ?v_2000 (=> ?v_2000 (and ?v_2001 (=> ?v_2001 (and ?v_2002 (=> ?v_2002 (and ?v_2003 (=> ?v_2003 (and ?v_2004 (=> ?v_2004 (and ?v_2005 (=> ?v_2005 (and ?v_2006 (=> ?v_2006 (=> (forall ((?f3 Int)) (! (let ((?v_2821 (MapType0Select alloc.29 (int_2_U (Base ?f3))))) (or (= ?v_2821 UNALLOCATED) (= ?v_2821 ?v_2821))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f3)))) )) ?v_1166))))))))))))))))))))))))))))))))))) (?v_2007 (< inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4)) (?v_2009 (< inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.2 call36342formal.ret.0)) (?v_1425 (=> ?v_0 (= reqCompleted_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0))) (?v_1426 (=> ?v_1 (= reqCompleted_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0))) (?v_1427 (=> ?v_0 (= lockStatus_0.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0))) (?v_1428 (=> ?v_1 (= lockStatus_1.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0))) (?v_1429 (=> ?v_0 (= reqCancelSet_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0))) (?v_1430 (=> ?v_1 (= reqCancelSet_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0))) (?v_1431 (=> ?v_0 (= reqCancelStarted_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0))) (?v_1432 (=> ?v_1 (= reqCancelStarted_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0))) (?v_1433 (=> ?v_0 (= reqCompleteSet_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0))) (?v_1434 (=> ?v_1 (= reqCompleteSet_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0))) (?v_1435 (=> ?v_0 (= reqSent_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0))) (?v_1436 (=> ?v_1 (= reqSent_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0)))) (let ((?v_1438 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.1 (PLUS inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.0 1 1)) (=> true (and ?v_0 (=> ?v_0 (and ?v_1424 (=> ?v_1424 (and ?v_0 (=> ?v_0 (and ?v_1425 (=> ?v_1425 (and ?v_1426 (=> ?v_1426 (and ?v_1427 (=> ?v_1427 (and ?v_1428 (=> ?v_1428 (and ?v_1429 (=> ?v_1429 (and ?v_1430 (=> ?v_1430 (and ?v_1431 (=> ?v_1431 (and ?v_1432 (=> ?v_1432 (and ?v_1433 (=> ?v_1433 (and ?v_1434 (=> ?v_1434 (and ?v_1435 (=> ?v_1435 (and ?v_1436 (=> ?v_1436 (=> (forall ((?f4 Int)) (! (let ((?v_2822 (MapType0Select alloc.29 (int_2_U (Base ?f4))))) (or (= ?v_2822 UNALLOCATED) (= ?v_2822 ?v_2822))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f4)))) )) ?v_1166))))))))))))))))))))))))))))))))))) (?v_1437 (< inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2)) (?v_1439 (< inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.0 call34831formal.ret.0)) (?v_842 (= errorReached.63 errorReached.63)) (?v_1154 (=> ?v_0 (= reqCompleted_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0))) (?v_1155 (=> ?v_1 (= reqCompleted_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0))) (?v_1156 (=> ?v_0 (= lockStatus_0.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0))) (?v_1157 (=> ?v_1 (= lockStatus_1.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0))) (?v_1158 (=> ?v_0 (= reqCancelSet_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0))) (?v_1159 (=> ?v_1 (= reqCancelSet_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0))) (?v_1160 (=> ?v_0 (= reqCancelStarted_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0))) (?v_1161 (=> ?v_1 (= reqCancelStarted_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0))) (?v_1162 (=> ?v_0 (= reqCompleteSet_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0))) (?v_1163 (=> ?v_1 (= reqCompleteSet_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0))) (?v_1164 (=> ?v_0 (= reqSent_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0))) (?v_1165 (=> ?v_1 (= reqSent_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0)))) (let ((?v_1169 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.4 (PLUS inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.2 1 1)) (=> true (and ?v_0 (=> ?v_0 (and ?v_842 (=> ?v_842 (and ?v_0 (=> ?v_0 (and ?v_1154 (=> ?v_1154 (and ?v_1155 (=> ?v_1155 (and ?v_1156 (=> ?v_1156 (and ?v_1157 (=> ?v_1157 (and ?v_1158 (=> ?v_1158 (and ?v_1159 (=> ?v_1159 (and ?v_1160 (=> ?v_1160 (and ?v_1161 (=> ?v_1161 (and ?v_1162 (=> ?v_1162 (and ?v_1163 (=> ?v_1163 (and ?v_1164 (=> ?v_1164 (and ?v_1165 (=> ?v_1165 (=> (forall ((?f5 Int)) (! (let ((?v_2823 (MapType0Select alloc.28 (int_2_U (Base ?f5))))) (or (= ?v_2823 UNALLOCATED) (= ?v_2823 ?v_2823))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f5)))) )) ?v_1166))))))))))))))))))))))))))))))))))) (?v_1171 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4)) (?v_1172 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5)) (?v_1170 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4 0)) (?v_1168 (PLUS inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4)) (?v_1167 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5 0)) (?v_1173 (< inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.2 call32139formal.ret.0)) (?v_843 (=> ?v_0 (= reqCompleted_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0))) (?v_844 (=> ?v_1 (= reqCompleted_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0))) (?v_845 (=> ?v_0 (= lockStatus_0.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0))) (?v_846 (=> ?v_1 (= lockStatus_1.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0))) (?v_847 (=> ?v_0 (= reqCancelSet_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0))) (?v_848 (=> ?v_1 (= reqCancelSet_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0))) (?v_849 (=> ?v_0 (= reqCancelStarted_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0))) (?v_850 (=> ?v_1 (= reqCancelStarted_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0))) (?v_851 (=> ?v_0 (= reqCompleteSet_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0))) (?v_852 (=> ?v_1 (= reqCompleteSet_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0))) (?v_853 (=> ?v_0 (= reqSent_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0))) (?v_854 (=> ?v_1 (= reqSent_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0)))) (let ((?v_859 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.1 (PLUS inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.0 1 1)) (=> true (and ?v_0 (=> ?v_0 (and ?v_842 (=> ?v_842 (and ?v_0 (=> ?v_0 (and ?v_843 (=> ?v_843 (and ?v_844 (=> ?v_844 (and ?v_845 (=> ?v_845 (and ?v_846 (=> ?v_846 (and ?v_847 (=> ?v_847 (and ?v_848 (=> ?v_848 (and ?v_849 (=> ?v_849 (and ?v_850 (=> ?v_850 (and ?v_851 (=> ?v_851 (and ?v_852 (=> ?v_852 (and ?v_853 (=> ?v_853 (and ?v_854 (=> ?v_854 (=> (forall ((?f6 Int)) (! (let ((?v_2824 (MapType0Select alloc.28 (int_2_U (Base ?f6))))) (or (= ?v_2824 UNALLOCATED) (= ?v_2824 ?v_2824))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f6)))) )) ?v_1166))))))))))))))))))))))))))))))))))) (?v_861 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.1 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.0)) (?v_862 (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.2)) (?v_863 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.1 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.0)) (?v_864 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.1 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.0)) (?v_865 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2)) (?v_866 (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..1 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..0)) (?v_867 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.0)) (?v_868 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2)) (?v_869 (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..1 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..0)) (?v_870 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.1 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.0)) (?v_860 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2 0)) (?v_858 (PLUS inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2)) (?v_857 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2 0))) (let ((?v_856 (=> true (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.16 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.11) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.3 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.11) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.36) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.36) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..1 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2) (=> ?v_868 (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..1 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.39 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.36) ?v_859))))))))))))))) (?v_855 (<= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.36)) (?v_871 (< inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.0 call30532formal.ret.0)) (?v_15 (not (not (= errorReached.105 0))))) (let ((?v_17 (=> true (=> (= Mem_0_T.PWDFREQUEST__.13 Mem_s_1_T.PWDFREQUEST__) (=> (= reqCompleted_0.24 reqCompleted_s_1) (=> (= lockStatus_0.23 lockStatus_s_1) (=> (= reqCancelSet_0.30 reqCancelSet_s_1) (=> (= reqCancelStarted_0.1 reqCancelStarted_s_1) (=> (= reqCompleteSet_0.15 reqCompleteSet_s_1) (=> (= reqSent_0.15 reqSent_s_1) (and ?v_15 (=> ?v_15 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.10 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.9) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..2 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..5 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..4) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.5 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.4) (=> (= inline.IsListEmpty.8.myNondetVar_0.5 inline.IsListEmpty.8.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..3) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2) (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..3 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..2) (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.3 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2) (=> (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.4 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.4) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..3 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..2) (=> (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1) (=> (= alloc.50 alloc.49) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3) (=> (= inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.0) (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..3 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..2) (=> (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.4) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..2) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.0) (=> (= inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.InitializeListHead.0.myNondetVar_0.3 inline.InitializeListHead.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.3 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.65 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.64) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.2 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.1 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..3 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.3) (=> (= raiseException.0 0) (=> (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.4) (=> (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..1 inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.3 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2) (=> (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.2) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..1 inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..0) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..0) (=> (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.3 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.1) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..3 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.IsListEmpty.1.myNondetVar_0.5 inline.IsListEmpty.1.myNondetVar_0.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..5 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..4) (=> (= inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..4 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..6 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5) (=> (= inline.GetFileContext.2.myNondetVar_0.2 inline.GetFileContext.2.myNondetVar_0.1) (=> (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..3 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2) (=> (= inline.RemoveHeadList.2.myNondetVar_0.5 inline.RemoveHeadList.2.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..1 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.5 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2) (=> (= inline.GetFileContext.1.myNondetVar_0.3 inline.GetFileContext.1.myNondetVar_0.2) (=> (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..2 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..1) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..2 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.2 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3) (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..3 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.3) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= reqCompleted_0.25 reqCompleted_0.24) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..3 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= x.result.nondet.8830.0.4..0 call37244formal.ret.0) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.2) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.InsertTailList.0.myNondetVar_0.4 inline.InsertTailList.0.myNondetVar_0.3) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.4) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.3 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..3 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..2) (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..3 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.4 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.3) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.6 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.2 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.1) (=> (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..3 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..3 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..2) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..3 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.2) (=> (= inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0) (=> (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..2 inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..1) (=> (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.2 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.1) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.13 inline.DoSubRequestCleanup.1.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.1 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1) (=> (= inline.GetDeviceContext.1.myNondetVar_0.4 inline.GetDeviceContext.1.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3) (=> (= inline.InsertTailList.2.myNondetVar_0.3 inline.InsertTailList.2.myNondetVar_0.2) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.5 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.4) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.3 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2) (=> (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.3 inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..2 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.4 inline.ReadWriteCompletion.0.myNondetVar_2.3) (=> (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..3 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..4 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..3) (=> (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.3 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.2) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..5 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..5 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..4) (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.1..Handle.1.107.0.GetFileContext.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..6 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..5) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..3 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..2) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1) (=> (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0) (=> (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.13 inline.DoSubRequestCleanup.0.myNondetVar_0.12) (=> (= reqCancelStarted_1.2 reqCancelStarted_1.1) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.4) (=> (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..3 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..2) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.0) (=> (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.2 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.1) (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.3 inline.GetFileContext.3..Handle.1.107.0.GetFileContext.2) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.3 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.2) (=> (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.1) (=> (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.0) (=> (= inline.GetFileContext.4.myNondetVar_0.4 inline.GetFileContext.4.myNondetVar_0.3) (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.3 inline.ResetPipe.0..status.2.461.22.ResetPipe.2) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.2 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.1) (=> (= inline.RemoveHeadList.3.myNondetVar_0.7 inline.RemoveHeadList.3.myNondetVar_0.6) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.4) (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..3 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..2) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.1 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.12 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.11) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.2) (=> (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..3 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.4) (=> (= Mem_0_T.PWDFREQUEST__.14 Mem_0_T.PWDFREQUEST__.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= reqCancelStarted_0.2 reqCancelStarted_0.1) (=> (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..2) (=> (= inline.GetDeviceContext.0.myNondetVar_0.2 inline.GetDeviceContext.0.myNondetVar_0.1) (=> (= reqCompleteSet_0.16 reqCompleteSet_0.15) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2) (=> (= inline.InitializeListHead.1.myNondetVar_0.3 inline.InitializeListHead.1.myNondetVar_0.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..3 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..2) (=> (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..1) (=> (= inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.0) (=> (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..3 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..2) (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.6 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.5) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..2) (=> (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.1 inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.0) (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.9 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.3 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..3 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..6 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..5) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..3 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..3 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.4) (=> (= inline.RemoveHeadList.1.myNondetVar_0.5 inline.RemoveHeadList.1.myNondetVar_0.4) (=> (= inline.GetSubRequestContext.1.myNondetVar_0.4 inline.GetSubRequestContext.1.myNondetVar_0.3) (=> (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.1) (=> (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.1) (=> (= inline.GetRequestContext.1.myNondetVar_0.3 inline.GetRequestContext.1.myNondetVar_0.2) (=> (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..2 inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.30 inline.PerformFullSpeedIsochTransfer.0.myVar_0.29) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.3 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.4) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..3 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..2) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.3 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2) (=> (= inline.IsListEmpty.5.myNondetVar_0.4 inline.IsListEmpty.5.myNondetVar_0.3) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.6 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.5) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..2) (=> (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..4 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..3 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..2) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.4) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.6 inline.ReadWriteBulkEndPoints.0.tempBoogie0.5) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.8 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.7) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.2 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1) (=> (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.1 inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.0) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..2 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2) (=> (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..2) (=> (= reqCancelSet_1.31 reqCancelSet_1.30) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.3 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.2) (=> (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.0) (=> (= inline.IsListEmpty.2.myNondetVar_0.6 inline.IsListEmpty.2.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..3 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..2) (=> (= inline.RemoveHeadList.4.myNondetVar_0.4 inline.RemoveHeadList.4.myNondetVar_0.3) (=> (= inline.IsListEmpty.9.myNondetVar_0.6 inline.IsListEmpty.9.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..3) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..4 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..3) (=> (= inline.InitializeListHead.2.myNondetVar_0.3 inline.InitializeListHead.2.myNondetVar_0.2) (=> (= inline.GetFileContext.1..result.GetFileContext.107.0.1..2 inline.GetFileContext.1..result.GetFileContext.107.0.1..1) (=> (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..2 inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..3 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..2) (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..3 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2) (=> (= inline.IsListEmpty.11.myNondetVar_0.3 inline.IsListEmpty.11.myNondetVar_0.2) (=> (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.GetFileContext.3.myNondetVar_0.4 inline.GetFileContext.3.myNondetVar_0.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..2) (=> (= lockStatus_0.24 lockStatus_0.23) (=> (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.1 inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..2) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..5 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..4) (=> (= inline.UsbSamp_EvtIoRead.0.myNondetVar_0.9 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.8) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..2 inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..1) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..3 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2) (=> (= inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..2) (=> (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.0) (=> (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.6 inline.PerformFullSpeedIsochTransfer.0.myVar_1.5) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.4 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.3) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.6 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5) (=> (= reqCompleted_1.25 reqCompleted_1.24) (=> (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..3 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..2) (=> (= inline.GetRequestContext.2.myNondetVar_0.3 inline.GetRequestContext.2.myNondetVar_0.2) (=> (= x.result.nondet.8849.2.6..0 call37294formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.2 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.1) (=> (= inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..3 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..2) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.2) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.29 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.28) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.8) (=> (= inline.IsListEmpty.4.myNondetVar_0.4 inline.IsListEmpty.4.myNondetVar_0.3) (=> (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..2 inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..4 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.3) (=> (= inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.5 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3) (=> (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..2 inline.GetRequestContext.0..result.GetRequestContext.127.0.1..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.4 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..3 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.4 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.4 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.3) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.7 inline.QueuePassiveLevelCallback.0.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.3) (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.5 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.4) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.2) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..4 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..3) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.17 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.16) (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..2 inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..1) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.4 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.3) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.4) (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.3 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.2) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..3 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..2) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..4 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3) (=> (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..2 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..1) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.3 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.2) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..1) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.4) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2) (=> (= errorReached.106 errorReached.105) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.2 inline.ReadWriteCompletion.0.havoc_stringTemp.1) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..3 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.4) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..3 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..2) (=> (= inline.GetSubRequestContext.2.myNondetVar_0.3 inline.GetSubRequestContext.2.myNondetVar_0.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.4) (=> (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.0) (=> (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..3 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..2) (=> (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..3 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.8 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.7) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3) (=> (= reqCompleteSet_1.16 reqCompleteSet_1.15) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..3 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2) (=> (= inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.3 inline.GetFileContext.4..Handle.1.107.0.GetFileContext.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.3 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.2) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.2 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.1) (=> (= reqCancelSet_0.31 reqCancelSet_0.30) (=> (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0.1) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.3 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.2) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1) (=> (= lockStatus_1.24 lockStatus_1.23) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..4) (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.3 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.2) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.6 inline.ReadWriteCompletion.0.tempBoogie0.5) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.3 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.5 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.4) (=> (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.4) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.4) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..3 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.3 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.4 inline.ReadWriteCompletion.0.myNondetVar_1.3) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.4 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3) (=> (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..3 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..2) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.3 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2) (=> (= inline.IsListEmpty.3.myNondetVar_0.4 inline.IsListEmpty.3.myNondetVar_0.3) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.4 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.51 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.50) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.4 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.8 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.7) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.0) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.4 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.3) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.3 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..6 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..5) (=> (= inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..1 inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2) (=> (= inline.GetDeviceContext.2.myNondetVar_0.3 inline.GetDeviceContext.2.myNondetVar_0.2) (=> (= Mem_1_T.PWDFREQUEST__.14 Mem_1_T.PWDFREQUEST__.13) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..3) (=> (= inline.IsListEmpty.10.myNondetVar_0.3 inline.IsListEmpty.10.myNondetVar_0.2) (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= reqSent_1.16 reqSent_1.15) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..3 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.7) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..2) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.1 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0) (=> (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..3 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..2) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.3 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..3 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.4) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..3 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= x.result.nondet.8813.0.2..0 call37202formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.3) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..3 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.3) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..3 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..3 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2) (=> (= inline.RemoveHeadList.0.myNondetVar_0.7 inline.RemoveHeadList.0.myNondetVar_0.6) (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.3 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.2) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.3 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.3) (=> (= reqSent_0.16 reqSent_0.15) (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.3 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.2) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.5 inline.GetWorkItemContext.0.myNondetVar_0.4) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.3 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.2) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.6 inline.PerformHighSpeedIsochTransfer.0.myVar_1.5) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.4) (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..4 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..4 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..3) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.6 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.5) (=> (= inline.IsListEmpty.0.myNondetVar_0.5 inline.IsListEmpty.0.myNondetVar_0.4) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..4) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..4 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.4) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.3 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.4 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3) (=> (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..2 inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5) (=> (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1) (=> (= inline.InsertTailList.1.myNondetVar_0.4 inline.InsertTailList.1.myNondetVar_0.3) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.3) (=> (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..3 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..3 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.2) (=> (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..2 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.6) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.6 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.5) (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..3 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.3) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.4 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.12 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.11) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.3) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.6 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.5) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..2 inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..1) (=> (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..1) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.2 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.5 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.IsListEmpty.7.myNondetVar_0.5 inline.IsListEmpty.7.myNondetVar_0.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..2) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.1) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..5 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..4) (=> (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..2 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.2 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.1) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..4 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..3) (=> (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..4 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..3) (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..3 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.3 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.2) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..3 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.2 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.6) (=> (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.3 inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.26 inline.ReadWriteCompletion.0.myNondetVar_0.25) (=> (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.1 inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.0) (=> (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2) (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..3 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.3) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.3 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.2) (=> (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..2 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..3 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..2 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..1) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.3) (=> (= inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.2 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..4 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..3) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.1 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0) (=> (= inline.IsListEmpty.6.myNondetVar_0.4 inline.IsListEmpty.6.myNondetVar_0.3) (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..5 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..4) (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..1) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.3 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.2) (=> (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..2 inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.7) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..4 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..3) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..3 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..4 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3) (=> (= k.0 0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.8 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.7) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.3) (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..5 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..4) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..3 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3) (=> (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.2..Handle.1.107.0.GetFileContext.0) (=> (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..4 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..3) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..3 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.30 inline.PerformHighSpeedIsochTransfer.0.myVar_0.29) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2) (=> (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.1 inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.1) (=> (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..4 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..3) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.3) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..3) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.4 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3) (=> (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..3 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..3 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..2) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.1 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0) (=> (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..3 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..2) (=> (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..3 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..2) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.0) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.3 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.1) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.4 inline.GetSubRequestContext.0.myNondetVar_0.3) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.7 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6) (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.5 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.1 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.3 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.3 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.2) (=> (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..2 inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..1) (=> (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..1) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..2 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..1) (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.9 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.8) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.6) (=> (= inline.GetRequestContext.0.myNondetVar_0.3 inline.GetRequestContext.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.3 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.2) (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.2 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..5 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5) (=> (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.5 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.4) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..1) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.0) (=> (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.1 inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.0) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..2) (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.20 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.19) (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.3 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) true)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_16 (= call37294formal.ret.0 0))) (let ((?v_32 (and (=> true (=> (not ?v_16) ?v_17)) (=> true (=> ?v_16 ?v_17))))) (let ((?v_34 (=> true (=> (= inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0 call37434formal.new.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.25 inline.ReadWriteCompletion.0.myNondetVar_0.24) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..2) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= reqCancelSet_0.30 reqCancelSet_0.29) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0 hrequest) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.0 hrequest) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.3 inline.ReadWriteCompletion.0.myNondetVar_2.2) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.3 inline.ReadWriteCompletion.0.myNondetVar_1.2) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..1) (=> (= reqCompleted_0.24 reqCompleted_0.23) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= reqCompleteSet_0.15 reqCompleteSet_0.14) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.0 hrequest) (=> (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0.0) (=> (= reqCompleteSet_1.15 reqCompleteSet_1.14) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0 call37349formal.new.0) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0 call37388formal.new.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..2) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2) (=> (= reqCompleted_1.24 reqCompleted_1.23) (=> (= reqCancelSet_1.30 reqCancelSet_1.29) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0 call37349formal.new.0) (=> (= reqSent_0.15 reqSent_0.14) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.6 inline.QueuePassiveLevelCallback.0.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0 hrequest) (=> (= inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0 call37352formal.new.0) (=> (= reqSent_1.15 reqSent_1.14) (=> (= inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0 call37349formal.new.0) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0 hrequest) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.5 inline.ReadWriteCompletion.0.tempBoogie0.4) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= errorReached.105 errorReached.104) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0 call37388formal.new.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0 hrequest) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.4 inline.GetWorkItemContext.0.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0 call37434formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1) (=> (= alloc.49 alloc.48) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.1 inline.ReadWriteCompletion.0.havoc_stringTemp.0) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..1) (=> true (=> true (=> true (=> true (=> true ?v_32))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_47 (=> true (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..0) (=> (= reqCompleted_0.23 reqCompleted_0.22) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= alloc.48 alloc.47) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0) (=> (= reqCancelSet_0.29 reqCancelSet_0.28) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0) (=> (= reqSent_0.14 reqSent_0.13) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.24 inline.ReadWriteCompletion.0.myNondetVar_0.23) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.2 inline.ReadWriteCompletion.0.myNondetVar_1.1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.2 inline.ReadWriteCompletion.0.myNondetVar_2.1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.3 inline.GetWorkItemContext.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0) (=> (= reqCompleteSet_0.14 reqCompleteSet_0.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..0) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0) (=> (= errorReached.104 errorReached.103) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0) (=> (= reqCancelSet_1.29 reqCancelSet_1.28) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.5 inline.QueuePassiveLevelCallback.0.myNondetVar_0.4) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.4 inline.ReadWriteCompletion.0.tempBoogie0.3) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= reqSent_1.14 reqSent_1.13) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4) (=> (= reqCompleted_1.23 reqCompleted_1.22) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0) (=> (= reqCompleteSet_1.14 reqCompleteSet_1.13) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1) (=> true (=> true (=> true ?v_34)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_24 (= hrequest hrequest))) (let ((?v_56 (not ?v_24)) (?v_35 (=> true (=> (= reqCancelSet_0.28 reqCancelSet_0.27) (=> (= errorReached.103 errorReached.102) (=> (= reqCompleted_1.22 reqCompleted_1.21) (=> (= reqCancelSet_1.28 reqCancelSet_1.27) (=> (= reqCompleted_0.22 reqCompleted_0.21) ?v_47)))))))) (let ((?v_38 (=> true ?v_35)) (?v_36 (= reqCancelSet_0.27 reqCancelSet_0.26)) (?v_37 (= reqCancelSet_1.27 reqCancelSet_1.26)) (?v_41 (not ?v_1)) (?v_39 (not ?v_0))) (let ((?v_40 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.27 0) (=> ?v_37 ?v_35))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_36 (=> (= reqCancelSet_1.27 0) ?v_38))))) (=> true (=> ?v_41 (=> true (=> ?v_36 (=> ?v_37 ?v_38)))))))))) (?v_42 (= reqCompleted_1.21 reqCompleted_1.20))) (let ((?v_43 (=> (= reqCompleted_0.21 reqCompleted_0.20) (=> true (=> true ?v_40))))) (let ((?v_46 (and (=> true (=> ?v_0 (=> true (=> ?v_42 (=> (= reqCompleted_0.21 1) ?v_40))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleted_1.21 1) ?v_43)))) (=> true (=> ?v_41 (=> true (=> ?v_42 ?v_43))))))))) (?v_44 (= reqCompleted_0.20 0))) (let ((?v_53 (=> ?v_0 ?v_44)) (?v_45 (= reqCompleted_1.20 0))) (let ((?v_54 (=> ?v_1 ?v_45)) (?v_28 (=> ?v_0 (not ?v_44))) (?v_29 (=> ?v_1 (not ?v_45)))) (let ((?v_118 (and (=> true (=> ?v_24 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.102 1) ?v_46))))) (=> true (=> ?v_53 (=> ?v_54 (=> true (=> (= errorReached.102 errorReached.101) (=> true ?v_46))))))))) (=> true (=> ?v_56 (=> true (=> (= reqCancelSet_0.28 reqCancelSet_0.26) (=> (= errorReached.103 errorReached.101) (=> (= reqCompleted_1.22 reqCompleted_1.20) (=> (= reqCancelSet_1.28 reqCancelSet_1.26) (=> (= reqCompleted_0.22 reqCompleted_0.20) (=> true (=> true (=> true ?v_47)))))))))))))) (let ((?v_181 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_118))))))))))))))))) (?v_154 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5.)) (?v_155 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_156 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_120 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8.)) (?v_121 (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_144 (= inline.ReadWriteCompletion.0.myNondetVar_2.1 inline.ReadWriteCompletion.0.myNondetVar_2)) (?v_157 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3.)) (?v_122 (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_123 (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2.)) (?v_124 (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_125 (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend)) (?v_158 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_126 (= reqSent_1.13 reqSent_1.10)) (?v_127 (= reqSent_0.13 reqSent_0.10)) (?v_159 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_145 (= inline.ReadWriteCompletion.0.myNondetVar_1.1 inline.ReadWriteCompletion.0.myNondetVar_1)) (?v_173 (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.ReadWriteCompletion.0.myNondetVar_0.3)) (?v_128 (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_174 (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion)) (?v_160 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6.)) (?v_129 (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2.)) (?v_130 (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_161 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0)) (?v_131 (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus)) (?v_132 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10.)) (?v_162 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_163 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_164 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_146 (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_165 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3.)) (?v_133 (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1.)) (?v_134 (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3.)) (?v_175 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_176 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0)) (?v_135 (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1.)) (?v_136 (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_177 (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7.)) (?v_178 (= reqCompleteSet_0.13 reqCompleteSet_0.10)) (?v_179 (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_180 (= reqCompleteSet_1.13 reqCompleteSet_1.10))) (let ((?v_191 (=> true (=> ?v_154 (=> ?v_155 (=> ?v_156 (=> ?v_120 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_121 (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0 call38718formal.new.0) (=> ?v_144 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> ?v_157 (=> ?v_122 (=> ?v_123 (=> ?v_124 (=> ?v_125 (=> ?v_158 (=> (= alloc.47 alloc.46) (=> ?v_126 (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0 call38770formal.new.0) (=> ?v_127 (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> ?v_159 (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0 call38770formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0 call38788formal.ret.0) (=> ?v_145 (=> ?v_173 (=> ?v_128 (=> (= inline.GetWorkItemContext.0.myNondetVar_0.2 inline.GetWorkItemContext.0.myNondetVar_0.1) (=> ?v_174 (=> ?v_160 (=> ?v_129 (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0 call38724formal.new.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_130 (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0) (=> ?v_161 (=> ?v_131 (=> ?v_132 (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> ?v_162 (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0 call38788formal.ret.0) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0 call38721formal.new.0) (=> (= errorReached.101 errorReached.94) (=> ?v_163 (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.3) (=> ?v_164 (=> ?v_146 (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.4 inline.QueuePassiveLevelCallback.0.myNondetVar_0.3) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.3 inline.ReadWriteCompletion.0.tempBoogie0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> ?v_165 (=> ?v_133 (=> ?v_134 (=> ?v_175 (=> ?v_176 (=> ?v_135 (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0 call38724formal.new.0) (=> ?v_136 (=> ?v_177 (=> ?v_178 (=> ?v_179 (=> ?v_180 (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0) ?v_181))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_190 (<= 0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1))) (let ((?v_184 (=> true (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= errorReached.94 errorReached.93) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.1 inline.GetWorkItemContext.0.myNondetVar_0.0) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.3 inline.QueuePassiveLevelCallback.0.myNondetVar_0.2) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0 0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) ?v_191)))))))))))) (let ((?v_187 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_184)))))))))))))))))) (?v_186 (= errorReached.93 errorReached.89)) (?v_189 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 hdevice)) (?v_188 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 hqueue)) (?v_185 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 htimer)) (?v_183 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 hrequest)) (?v_182 (=> true (=> (= errorReached.93 errorReached.92) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_184))))) (let ((?v_193 (and (=> true (=> ?v_190 (and (=> true (=> ?v_183 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.92 1) ?v_182))))) (=> true (=> ?v_53 (=> ?v_54 (=> true (=> (= errorReached.92 errorReached.89) (=> true ?v_182))))))))) (=> true (=> (not ?v_183) (and (=> true (=> ?v_185 (=> true (=> ?v_186 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_187))))) (=> true (=> (not ?v_185) (and (=> true (=> ?v_188 (=> true (=> ?v_186 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_187))))) (=> true (=> (not ?v_188) (and (=> true (=> ?v_189 (=> true (=> ?v_186 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_187))))) (=> true (=> (not ?v_189) (=> true (=> ?v_186 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_187))))))))))))))))) (=> true (=> (not ?v_190) (=> true (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1) (=> (= errorReached.94 errorReached.89) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.1 inline.GetWorkItemContext.0.myNondetVar_0) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.3 inline.QueuePassiveLevelCallback.0.myNondetVar_0.0) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> true (=> true (=> true ?v_191))))))))))))))))) (?v_192 (= call38788formal.ret.0 0)) (?v_873 (- 0 1073741823)) (?v_22 (>= 0 0)) (?v_172 (int_2_U call38770formal.new.0)) (?v_8 (>= 32 0)) (?v_168 (int_2_U call38718formal.new.0)) (?v_11 (>= 4 0)) (?v_169 (int_2_U call38721formal.new.0)) (?v_170 (>= 12 0)) (?v_171 (int_2_U call38724formal.new.0)) (?v_167 (<= 0 inline.ReadWriteCompletion.0.myNondetVar_0.3)) (?v_74 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_75 (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback)) (?v_77 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_78 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call37718formal.new.0)) (?v_81 (= alloc.47 alloc.42)) (?v_82 (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0.myNondetVar_0.5)) (?v_83 (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1.)) (?v_84 (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2.)) (?v_86 (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT)) (?v_87 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 call37718formal.new.0)) (?v_88 (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2.)) (?v_90 (= inline.GetWorkItemContext.0.myNondetVar_0.2 inline.GetWorkItemContext.0.myNondetVar_0)) (?v_93 (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1.)) (?v_94 (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1)) (?v_95 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_96 (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1)) (?v_98 (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback)) (?v_100 (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate)) (?v_101 (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1.)) (?v_102 (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback)) (?v_104 (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0)) (?v_108 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.4 inline.QueuePassiveLevelCallback.0.myNondetVar_0)) (?v_147 (= inline.ReadWriteCompletion.0.tempBoogie0.3 inline.ReadWriteCompletion.0.tempBoogie0.0)) (?v_110 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 0)) (?v_114 (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback)) (?v_116 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_117 (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext))) (let ((?v_137 (=> ?v_178 (=> ?v_179 (=> ?v_180 (=> ?v_116 (=> ?v_117 ?v_181))))))) (let ((?v_148 (=> ?v_135 (=> ?v_114 (=> ?v_136 (=> ?v_177 ?v_137)))))) (let ((?v_166 (=> ?v_133 (=> ?v_134 (=> ?v_175 (=> ?v_176 ?v_148))))) (?v_91 (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0)) (?v_143 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_119 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_71 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0)) (?v_72 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_73 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_76 (= inline.ReadWriteCompletion.0.myNondetVar_2.1 inline.ReadWriteCompletion.0.myNondetVar_2.0)) (?v_79 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0)) (?v_80 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_85 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_89 (= inline.ReadWriteCompletion.0.myNondetVar_1.1 inline.ReadWriteCompletion.0.myNondetVar_1.0)) (?v_92 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0)) (?v_97 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3)) (?v_99 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_103 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_105 (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.21)) (?v_106 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_107 (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.)) (?v_109 (= inline.ReadWriteCompletion.0.tempBoogie0.3 inline.ReadWriteCompletion.0.tempBoogie0.2)) (?v_111 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0)) (?v_112 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_113 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3)) (?v_115 (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.)) (?v_478 (- 0 1073741670)) (?v_70 (<= 0 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.))) (let ((?v_50 (=> true (=> ?v_71 (=> ?v_72 (=> ?v_73 (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0 call38295formal.ret.0) (=> ?v_74 (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.0 hrequest) (=> ?v_75 (=> ?v_76 (=> ?v_77 (=> ?v_78 (=> ?v_79 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 hrequest) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..0 call38454formal.ret.0) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.0 call38295formal.ret.0) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.0 hrequest) (=> ?v_80 (=> ?v_81 (=> (= reqSent_1.13 reqSent_1.12) (=> ?v_82 (=> ?v_83 (=> (= reqSent_0.13 reqSent_0.12) (=> ?v_84 (=> ?v_85 (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_89 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 hrequest) (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..0 call38295formal.ret.0) (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 hrequest) (=> ?v_96 (=> ?v_97 (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.0 call38454formal.ret.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_98 (=> ?v_99 (=> ?v_100 (=> ?v_101 (=> ?v_102 (=> (= errorReached.101 errorReached.100) (=> ?v_103 (=> ?v_104 (=> ?v_105 (=> ?v_106 (=> ?v_107 (=> ?v_108 (=> ?v_109 (=> ?v_110 (=> ?v_111 (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_112 (=> ?v_113 (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..0 call38295formal.ret.0) (=> ?v_114 (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.0 hrequest) (=> ?v_115 (=> (= reqCompleteSet_0.13 reqCompleteSet_0.12) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= reqCompleteSet_1.13 reqCompleteSet_1.12) (=> ?v_116 (=> ?v_117 ?v_118))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_49 (- 0 1073741637)) (?v_48 (= call38454formal.ret.0 0))) (let ((?v_52 (=> true (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_50))) (?v_51 (= call38454formal.ret.0 1))) (let ((?v_55 (and (=> true (=> (not ?v_48) (=> (not ?v_51) ?v_52))) (=> true (=> ?v_48 (=> true (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_50)))))))))))))) (=> true (=> ?v_51 (=> true ?v_52)))))) (let ((?v_57 (=> true (=> (= errorReached.100 errorReached.99) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_55)))))))))) (?v_33 (= call38295formal.ret.0 0))) (let ((?v_31 (not ?v_33))) (let ((?v_62 (and (=> true (=> ?v_31 (=> true (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.1 hrequest) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 hrequest) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 hrequest) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2.) (=> (= reqCompleted_0.23 reqCompleted_0.20) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.1 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0) (=> (= alloc.48 alloc.42) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0.myNondetVar_0.5) (=> (= reqCancelSet_0.29 reqCancelSet_0.26) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1.) (=> (= reqSent_0.14 reqSent_0.12) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2.) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.24 inline.ReadWriteCompletion.0.myNondetVar_0.21) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.2 inline.ReadWriteCompletion.0.myNondetVar_1.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.2 inline.ReadWriteCompletion.0.myNondetVar_2.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 call37718formal.new.0) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.3 inline.GetWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..1 call38295formal.ret.0) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1.) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1) (=> (= reqCompleteSet_0.14 reqCompleteSet_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.1 call38295formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call37718formal.new.0) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1.) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback) (=> (= errorReached.104 errorReached.99) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10.) (=> (= reqCancelSet_1.29 reqCancelSet_1.26) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.5 inline.QueuePassiveLevelCallback.0.myNondetVar_0) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.4 inline.ReadWriteCompletion.0.tempBoogie0.2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1.) (=> (= reqSent_1.14 reqSent_1.12) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3) (=> (= reqCompleted_1.23 reqCompleted_1.20) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..1 call38295formal.ret.0) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1 call38295formal.ret.0) (=> (= reqCompleteSet_1.14 reqCompleteSet_1.12) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext) ?v_34)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_33 (and (=> true (=> ?v_24 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.100 1) ?v_55))))) (=> true (=> ?v_53 (=> ?v_54 ?v_57)))))) (=> true (=> ?v_56 ?v_57)))))))) (let ((?v_64 (=> (= reqSent_1.12 reqSent_1.10) (=> (= reqSent_0.12 reqSent_0.10) (=> true (=> true (=> true (=> true (=> true ?v_62)))))))) (?v_61 (= errorReached.99 errorReached.98))) (let ((?v_58 (=> true (=> ?v_61 (=> (= reqSent_1.12 reqSent_1.11) (=> (= reqSent_0.12 reqSent_0.11) ?v_62))))) (?v_59 (= reqSent_1.11 reqSent_1.10))) (let ((?v_60 (=> (= reqSent_0.11 reqSent_0.10) (=> true ?v_58)))) (let ((?v_63 (and (=> true (=> ?v_31 (and (=> true (=> ?v_0 (=> true (=> ?v_59 (=> (= reqSent_0.11 1) ?v_58))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqSent_1.11 1) ?v_60)))) (=> true (=> ?v_41 (=> true (=> ?v_59 ?v_60)))))))))) (=> true (=> ?v_33 (=> true (=> ?v_61 ?v_64))))))) (let ((?v_69 (and (=> true (=> ?v_24 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.98 1) ?v_63))))) (=> true (=> ?v_53 (=> ?v_54 (=> true (=> (= errorReached.98 errorReached.97) (=> true ?v_63))))))))) (=> true (=> ?v_56 (=> true (=> (= errorReached.99 errorReached.97) ?v_64))))))) (let ((?v_65 (=> true (=> (= errorReached.97 errorReached.96) (=> (= reqCompleteSet_1.12 reqCompleteSet_1.11) (=> (= reqCompleteSet_0.12 reqCompleteSet_0.11) ?v_69))))) (?v_66 (= reqCompleteSet_1.11 reqCompleteSet_1.10))) (let ((?v_67 (=> (= reqCompleteSet_0.11 reqCompleteSet_0.10) (=> true ?v_65)))) (let ((?v_68 (and (=> true (=> ?v_0 (=> true (=> ?v_66 (=> (= reqCompleteSet_0.11 1) ?v_65))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleteSet_1.11 1) ?v_67)))) (=> true (=> ?v_41 (=> true (=> ?v_66 ?v_67)))))))))) (let ((?v_142 (=> true (=> (= inline.ReadWriteCompletion.0.tempBoogie0.1 (PLUS inline.ReadWriteCompletion.0.myNondetVar_0.19 1 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0)) (=> true (=> (= inline.ReadWriteCompletion.0.tempBoogie0.2 (MINUS_BOTH_PTR_OR_BOTH_INT inline.ReadWriteCompletion.0.myNondetVar_0.20 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 1)) (and (=> true (=> ?v_70 (and (=> true (=> ?v_24 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.96 1) ?v_68))))) (=> true (=> ?v_53 (=> ?v_54 (=> true (=> (= errorReached.96 errorReached.95) (=> true ?v_68))))))))) (=> true (=> ?v_56 (=> true (=> (= errorReached.97 errorReached.95) (=> (= reqCompleteSet_1.12 reqCompleteSet_1.10) (=> (= reqCompleteSet_0.12 reqCompleteSet_0.10) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_69)))))))))))))))))))))))))) (=> true (=> (not ?v_70) (=> true (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.1 ?v_478) (=> true (=> ?v_71 (=> ?v_72 (=> ?v_73 (=> ?v_120 (=> ?v_74 (=> ?v_121 (=> ?v_75 (=> ?v_76 (=> ?v_77 (=> ?v_78 (=> ?v_79 (=> ?v_122 (=> ?v_123 (=> ?v_124 (=> ?v_125 (=> ?v_80 (=> ?v_81 (=> ?v_126 (=> ?v_82 (=> ?v_83 (=> ?v_127 (=> ?v_84 (=> ?v_85 (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_89 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.1) (=> ?v_128 (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> ?v_129 (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> ?v_130 (=> ?v_96 (=> ?v_97 (=> ?v_131 (=> ?v_132 (=> ?v_98 (=> ?v_99 (=> ?v_100 (=> ?v_101 (=> ?v_102 (=> (= errorReached.101 errorReached.95) (=> ?v_103 (=> ?v_104 (=> ?v_105 (=> ?v_106 (=> ?v_107 (=> ?v_108 (=> ?v_109 (=> ?v_110 (=> ?v_111 (=> ?v_133 (=> ?v_134 (=> ?v_112 (=> ?v_113 (=> ?v_135 (=> ?v_114 (=> ?v_136 (=> ?v_115 ?v_137)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_150 (and (=> true (=> ?v_143 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0 call37860formal.ret.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call37860formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2) (=> (= errorReached.95 errorReached.90) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3.) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.17 inline.ReadWriteCompletion.0.myNondetVar_0.15) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_142))))))))))))))))))))))))))) (=> true (=> (not ?v_143) (=> true (=> ?v_154 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest) (=> ?v_156 (=> ?v_120 (=> ?v_74 (=> ?v_121 (=> ?v_75 (=> ?v_144 (=> ?v_77 (=> ?v_78 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1 call37860formal.ret.0) (=> ?v_122 (=> ?v_123 (=> ?v_124 (=> ?v_125 (=> ?v_158 (=> ?v_81 (=> ?v_126 (=> ?v_82 (=> ?v_83 (=> ?v_127 (=> ?v_84 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call37860formal.ret.0) (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_145 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_128 (=> ?v_90 (=> ?v_91 (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_129 (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> ?v_130 (=> ?v_96 (=> ?v_161 (=> ?v_131 (=> ?v_132 (=> ?v_98 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_100 (=> ?v_101 (=> ?v_102 (=> (= errorReached.101 errorReached.90) (=> ?v_163 (=> ?v_104 (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.15) (=> ?v_164 (=> ?v_146 (=> ?v_108 (=> ?v_147 (=> ?v_110 (=> ?v_165 (=> ?v_133 (=> ?v_134 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2) ?v_148))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_149 (= call37860formal.ret.0 0))) (let ((?v_151 (and (=> true (=> (not ?v_149) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_49) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.0) ?v_150))))))) (=> true (=> ?v_149 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_150))))))))))))) (let ((?v_152 (=> true (=> (= errorReached.90 errorReached.89) (=> true (=> true (=> true ?v_151)))))) (?v_139 (and (=> true (=> ?v_119 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call37974formal.ret.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3.) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0) (=> (= errorReached.95 errorReached.91) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0 call37974formal.ret.0) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.17 inline.ReadWriteCompletion.0.myNondetVar_0.16) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) ?v_142)))))))))))))))))))) (=> true (=> (not ?v_119) (=> true (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_155 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest) (=> ?v_120 (=> ?v_74 (=> ?v_121 (=> ?v_75 (=> ?v_144 (=> ?v_77 (=> ?v_78 (=> ?v_157 (=> ?v_122 (=> ?v_123 (=> ?v_124 (=> ?v_125 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call37974formal.ret.0) (=> ?v_81 (=> ?v_126 (=> ?v_82 (=> ?v_83 (=> ?v_127 (=> ?v_84 (=> ?v_159 (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_145 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_128 (=> ?v_90 (=> ?v_91 (=> ?v_160 (=> ?v_129 (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> ?v_130 (=> ?v_96 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2) (=> ?v_131 (=> ?v_132 (=> ?v_98 (=> ?v_162 (=> ?v_100 (=> ?v_101 (=> ?v_102 (=> (= errorReached.101 errorReached.91) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest) (=> ?v_104 (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.16) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_146 (=> ?v_108 (=> ?v_147 (=> ?v_110 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1 call37974formal.ret.0) ?v_166))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_138 (= call37974formal.ret.0 0))) (let ((?v_140 (and (=> true (=> (not ?v_138) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_49) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) ?v_139))))))) (=> true (=> ?v_138 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_139))))))))))))) (let ((?v_141 (=> true (=> (= errorReached.91 errorReached.89) (=> true (=> true (=> true ?v_140))))))) (let ((?v_153 (and (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.16 3) (and (=> true (=> ?v_24 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.91 1) ?v_140))))) (=> true (=> ?v_53 (=> ?v_54 ?v_141)))))) (=> true (=> ?v_56 ?v_141))))) (=> true (=> (not (= inline.ReadWriteCompletion.0.myNondetVar_0.15 3)) (and (=> true (=> ?v_24 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.90 1) ?v_151))))) (=> true (=> ?v_53 (=> ?v_54 ?v_152)))))) (=> true (=> ?v_56 ?v_152))))))) (?v_30 (int_2_U call37718formal.new.0))) (let ((?v_195 (and (=> true (=> ?v_167 (=> true (and ?v_22 (=> ?v_22 (=> (> call37718formal.new.0 0) (=> (forall ((?x583 Int)) (! (=> (and (<= call37718formal.new.0 ?x583) (< ?x583 (+ call37718formal.new.0 0))) (= (Base ?x583) call37718formal.new.0)) :pattern ((Base ?x583)) )) (=> (forall ((?x584 boogieU)) (! (=> (= (type ?x584) intType) (or (= (U_2_int ?x584) call37718formal.new.0) (= (MapType0Select alloc.41 ?x584) (MapType0Select alloc.42 ?x584)))) :pattern ((MapType0Select alloc.42 ?x584)) )) (=> (and (= (MapType0Select alloc.41 ?v_30) UNALLOCATED) (= (MapType0Select alloc.42 ?v_30) ALLOCATED)) (=> true (=> (= inline.ReadWriteCompletion.0.tempBoogie0.0 (PLUS inline.ReadWriteCompletion.0.myNondetVar_0.6 1 inline.ReadWriteCompletion.0.myNondetVar_0.5)) (and (=> true (=> (not (= inline.ReadWriteCompletion.0.myNondetVar_0.7 0)) (and (=> true (=> (< 256 inline.ReadWriteCompletion.0.myNondetVar_0.8) (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.13 inline.ReadWriteCompletion.0.myNondetVar_0.8) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 256) ?v_153))))) (=> true (=> (not (< 256 inline.ReadWriteCompletion.0.myNondetVar_0.9)) (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.13 inline.ReadWriteCompletion.0.myNondetVar_0.12) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0.myNondetVar_0.12) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_153))))))))))))))) (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.10 0) (=> true (=> ?v_154 (=> ?v_155 (=> ?v_156 (=> ?v_120 (=> ?v_74 (=> ?v_121 (=> ?v_75 (=> ?v_144 (=> ?v_77 (=> ?v_78 (=> ?v_157 (=> ?v_122 (=> ?v_123 (=> ?v_124 (=> ?v_125 (=> ?v_158 (=> ?v_81 (=> ?v_126 (=> ?v_82 (=> ?v_83 (=> ?v_127 (=> ?v_84 (=> ?v_159 (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_145 (=> ?v_173 (=> ?v_128 (=> ?v_90 (=> ?v_174 (=> ?v_160 (=> ?v_129 (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> ?v_130 (=> ?v_96 (=> ?v_161 (=> ?v_131 (=> ?v_132 (=> ?v_98 (=> ?v_162 (=> ?v_100 (=> ?v_101 (=> ?v_102 (=> (= errorReached.101 errorReached.89) (=> ?v_163 (=> ?v_104 (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.11) (=> ?v_164 (=> ?v_146 (=> ?v_108 (=> ?v_147 (=> ?v_110 (=> ?v_165 ?v_166))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_167) (=> true (and ?v_8 (=> ?v_8 (=> (> call38718formal.new.0 0) (=> (forall ((?x577 Int)) (! (=> (and (<= call38718formal.new.0 ?x577) (< ?x577 (+ call38718formal.new.0 32))) (= (Base ?x577) call38718formal.new.0)) :pattern ((Base ?x577)) )) (=> (forall ((?x578 boogieU)) (! (=> (= (type ?x578) intType) (or (= (U_2_int ?x578) call38718formal.new.0) (= (MapType0Select alloc.41 ?x578) (MapType0Select alloc.43 ?x578)))) :pattern ((MapType0Select alloc.43 ?x578)) )) (=> (and (= (MapType0Select alloc.41 ?v_168) UNALLOCATED) (= (MapType0Select alloc.43 ?v_168) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call38721formal.new.0 0) (=> (forall ((?x579 Int)) (! (=> (and (<= call38721formal.new.0 ?x579) (< ?x579 (+ call38721formal.new.0 4))) (= (Base ?x579) call38721formal.new.0)) :pattern ((Base ?x579)) )) (=> (forall ((?x580 boogieU)) (! (=> (= (type ?x580) intType) (or (= (U_2_int ?x580) call38721formal.new.0) (= (MapType0Select alloc.43 ?x580) (MapType0Select alloc.44 ?x580)))) :pattern ((MapType0Select alloc.44 ?x580)) )) (=> (and (= (MapType0Select alloc.43 ?v_169) UNALLOCATED) (= (MapType0Select alloc.44 ?v_169) ALLOCATED)) (and ?v_170 (=> ?v_170 (=> (> call38724formal.new.0 0) (=> (forall ((?x581 Int)) (! (=> (and (<= call38724formal.new.0 ?x581) (< ?x581 (+ call38724formal.new.0 12))) (= (Base ?x581) call38724formal.new.0)) :pattern ((Base ?x581)) )) (=> (forall ((?x582 boogieU)) (! (=> (= (type ?x582) intType) (or (= (U_2_int ?x582) call38724formal.new.0) (= (MapType0Select alloc.44 ?x582) (MapType0Select alloc.45 ?x582)))) :pattern ((MapType0Select alloc.45 ?x582)) )) (=> (and (= (MapType0Select alloc.44 ?v_171) UNALLOCATED) (= (MapType0Select alloc.45 ?v_171) ALLOCATED)) (=> true (and ?v_22 (=> ?v_22 (=> (> call38770formal.new.0 0) (=> (forall ((?x575 Int)) (! (=> (and (<= call38770formal.new.0 ?x575) (< ?x575 (+ call38770formal.new.0 0))) (= (Base ?x575) call38770formal.new.0)) :pattern ((Base ?x575)) )) (=> (forall ((?x576 boogieU)) (! (=> (= (type ?x576) intType) (or (= (U_2_int ?x576) call38770formal.new.0) (= (MapType0Select alloc.45 ?x576) (MapType0Select alloc.46 ?x576)))) :pattern ((MapType0Select alloc.46 ?x576)) )) (=> (and (= (MapType0Select alloc.45 ?v_172) UNALLOCATED) (= (MapType0Select alloc.46 ?v_172) ALLOCATED)) (and (=> true (=> (not ?v_192) (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..0 ?v_873) (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..0) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.0) ?v_193))))))) (=> true (=> ?v_192 (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1 0) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_193)))))))))))))))))))))))))))))))))))))))))) (let ((?v_198 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_195)))))))))))) (?v_197 (= errorReached.89 errorReached.87)) (?v_200 (= hrequest hdevice))) (let ((?v_471 (not ?v_200)) (?v_199 (= hrequest hqueue))) (let ((?v_470 (not ?v_199)) (?v_196 (= hrequest htimer))) (let ((?v_468 (not ?v_196)) (?v_194 (=> true (=> (= errorReached.89 errorReached.88) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_195))))) (let ((?v_202 (and (=> true (=> ?v_24 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.88 1) ?v_194))))) (=> true (=> ?v_53 (=> ?v_54 (=> true (=> (= errorReached.88 errorReached.87) (=> true ?v_194))))))))) (=> true (=> ?v_56 (and (=> true (=> ?v_196 (=> true (=> ?v_197 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_198))))) (=> true (=> ?v_468 (and (=> true (=> ?v_199 (=> true (=> ?v_197 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_198))))) (=> true (=> ?v_470 (and (=> true (=> ?v_200 (=> true (=> ?v_197 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_198))))) (=> true (=> ?v_471 (=> true (=> ?v_197 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_198)))))))))))))))) (?v_26 (>= 1 0)) (?v_201 (int_2_U call37502formal.new.0)) (?v_27 (int_2_U call37510formal.new.0)) (?v_25 (int_2_U call37434formal.new.0))) (let ((?v_203 (=> true (and ?v_22 (=> ?v_22 (=> (> call37434formal.new.0 0) (=> (forall ((?x589 Int)) (! (=> (and (<= call37434formal.new.0 ?x589) (< ?x589 (+ call37434formal.new.0 0))) (= (Base ?x589) call37434formal.new.0)) :pattern ((Base ?x589)) )) (=> (forall ((?x590 boogieU)) (! (=> (= (type ?x590) intType) (or (= (U_2_int ?x590) call37434formal.new.0) (= (MapType0Select alloc.37 ?x590) (MapType0Select alloc.38 ?x590)))) :pattern ((MapType0Select alloc.38 ?x590)) )) (=> (and (= (MapType0Select alloc.37 ?v_25) UNALLOCATED) (= (MapType0Select alloc.38 ?v_25) ALLOCATED)) (and (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.0 3) (=> true (and ?v_26 (=> ?v_26 (=> (> call37510formal.new.0 0) (=> (forall ((?x587 Int)) (! (=> (and (<= call37510formal.new.0 ?x587) (< ?x587 (+ call37510formal.new.0 1))) (= (Base ?x587) call37510formal.new.0)) :pattern ((Base ?x587)) )) (=> (forall ((?x588 boogieU)) (! (=> (= (type ?x588) intType) (or (= (U_2_int ?x588) call37510formal.new.0) (= (MapType0Select alloc.38 ?x588) (MapType0Select alloc.39 ?x588)))) :pattern ((MapType0Select alloc.39 ?x588)) )) (=> (and (= (MapType0Select alloc.38 ?v_27) UNALLOCATED) (= (MapType0Select alloc.39 ?v_27) ALLOCATED)) (=> true (=> (= alloc.41 alloc.39) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.0 call37510formal.new.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.2 inline.ReadWriteCompletion.0.myNondetVar_0.0) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0 call37510formal.new.0) ?v_202)))))))))))))) (=> true (=> (not (= inline.ReadWriteCompletion.0.myNondetVar_0.1 3)) (=> true (and ?v_26 (=> ?v_26 (=> (> call37502formal.new.0 0) (=> (forall ((?x585 Int)) (! (=> (and (<= call37502formal.new.0 ?x585) (< ?x585 (+ call37502formal.new.0 1))) (= (Base ?x585) call37502formal.new.0)) :pattern ((Base ?x585)) )) (=> (forall ((?x586 boogieU)) (! (=> (= (type ?x586) intType) (or (= (U_2_int ?x586) call37502formal.new.0) (= (MapType0Select alloc.38 ?x586) (MapType0Select alloc.40 ?x586)))) :pattern ((MapType0Select alloc.40 ?x586)) )) (=> (and (= (MapType0Select alloc.38 ?v_201) UNALLOCATED) (= (MapType0Select alloc.40 ?v_201) ALLOCATED)) (=> true (=> (= alloc.41 alloc.40) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.0 call37502formal.new.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.2 inline.ReadWriteCompletion.0.myNondetVar_0.1) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0 call37502formal.new.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_202))))))))))))))))))))))))))))))) (let ((?v_204 (=> true (=> (= errorReached.87 errorReached.86) ?v_203))) (?v_23 (int_2_U call37388formal.new.0)) (?v_19 (>= 24 0)) (?v_20 (int_2_U call37349formal.new.0)) (?v_21 (int_2_U call37352formal.new.0)) (?v_18 (= call37244formal.ret.0 0))) (let ((?v_208 (and (=> true (=> (not ?v_18) (=> true (=> (= inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0 inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.25 inline.ReadWriteCompletion.0.myNondetVar_0) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3.) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1.) (=> (= reqCancelSet_0.30 reqCancelSet_0.26) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.3 inline.ReadWriteCompletion.0.myNondetVar_2) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.3 inline.ReadWriteCompletion.0.myNondetVar_1) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3.) (=> (= reqCompleted_0.24 reqCompleted_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCompleteSet_0.15 reqCompleteSet_0.10) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1) (=> (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0) (=> (= reqCompleteSet_1.15 reqCompleteSet_1.10) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1.) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7.) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6.) (=> (= reqCompleted_1.24 reqCompleted_1.20) (=> (= reqCancelSet_1.30 reqCancelSet_1.26) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5.) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1) (=> (= reqSent_0.15 reqSent_0.10) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.6 inline.QueuePassiveLevelCallback.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion) (=> (= inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion) (=> (= reqSent_1.15 reqSent_1.10) (=> (= inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.5 inline.ReadWriteCompletion.0.tempBoogie0) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1.) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= errorReached.105 errorReached.86) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1.) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.4 inline.GetWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1.) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10.) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate) (=> (= alloc.49 alloc.34) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.1 inline.ReadWriteCompletion.0.havoc_stringTemp) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2.) ?v_32)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_18 (=> true (=> (=> ?v_0 (and (not (= reqCompleteSet_0.10 0)) (not (= reqSent_0.10 0)))) (=> (=> ?v_1 (and (not (= reqCompleteSet_1.10 0)) (not (= reqSent_1.10 0)))) (=> true (and ?v_19 (=> ?v_19 (=> (> call37349formal.new.0 0) (=> (forall ((?x593 Int)) (! (=> (and (<= call37349formal.new.0 ?x593) (< ?x593 (+ call37349formal.new.0 24))) (= (Base ?x593) call37349formal.new.0)) :pattern ((Base ?x593)) )) (=> (forall ((?x594 boogieU)) (! (=> (= (type ?x594) intType) (or (= (U_2_int ?x594) call37349formal.new.0) (= (MapType0Select alloc.34 ?x594) (MapType0Select alloc.35 ?x594)))) :pattern ((MapType0Select alloc.35 ?x594)) )) (=> (and (= (MapType0Select alloc.34 ?v_20) UNALLOCATED) (= (MapType0Select alloc.35 ?v_20) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call37352formal.new.0 0) (=> (forall ((?x595 Int)) (! (=> (and (<= call37352formal.new.0 ?x595) (< ?x595 (+ call37352formal.new.0 4))) (= (Base ?x595) call37352formal.new.0)) :pattern ((Base ?x595)) )) (=> (forall ((?x596 boogieU)) (! (=> (= (type ?x596) intType) (or (= (U_2_int ?x596) call37352formal.new.0) (= (MapType0Select alloc.35 ?x596) (MapType0Select alloc.36 ?x596)))) :pattern ((MapType0Select alloc.36 ?x596)) )) (=> (and (= (MapType0Select alloc.35 ?v_21) UNALLOCATED) (= (MapType0Select alloc.36 ?v_21) ALLOCATED)) (=> true (and ?v_22 (=> ?v_22 (=> (> call37388formal.new.0 0) (=> (forall ((?x591 Int)) (! (=> (and (<= call37388formal.new.0 ?x591) (< ?x591 (+ call37388formal.new.0 0))) (= (Base ?x591) call37388formal.new.0)) :pattern ((Base ?x591)) )) (=> (forall ((?x592 boogieU)) (! (=> (= (type ?x592) intType) (or (= (U_2_int ?x592) call37388formal.new.0) (= (MapType0Select alloc.36 ?x592) (MapType0Select alloc.37 ?x592)))) :pattern ((MapType0Select alloc.37 ?x592)) )) (=> (and (= (MapType0Select alloc.36 ?v_23) UNALLOCATED) (= (MapType0Select alloc.37 ?v_23) ALLOCATED)) (and (=> true (=> ?v_24 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.87 1) ?v_203))))) (=> true (=> ?v_53 (=> ?v_54 ?v_204)))))) (=> true (=> ?v_56 ?v_204))))))))))))))))))))))))))))))) (let ((?v_237 (=> true (=> (= inline.InsertTailList.2.myNondetVar_0.2 inline.InsertTailList.2.myNondetVar_0.1) (=> (= reqCancelStarted_0.1 reqCancelStarted_0.0) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..0) (=> (= reqCancelStarted_1.1 reqCancelStarted_1.0) (=> (= lockStatus_1.23 lockStatus_1.22) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..1 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..0) (=> (= inline.IsListEmpty.10.myNondetVar_0.2 inline.IsListEmpty.10.myNondetVar_0.1) (=> (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..0) (=> (= alloc.34 alloc.33) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0 call39064formal.new.0) (=> (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..0) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..1 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..0) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= lockStatus_0.23 lockStatus_0.22) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.IsListEmpty.11.myNondetVar_0.2 inline.IsListEmpty.11.myNondetVar_0.1) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.0) (=> (= inline.InitializeListHead.2.myNondetVar_0.2 inline.InitializeListHead.2.myNondetVar_0.1) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..1 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..0) (=> (= errorReached.86 errorReached.85) (=> (= inline.GetSubRequestContext.2.myNondetVar_0.2 inline.GetSubRequestContext.2.myNondetVar_0.1) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1) (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..1) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..0) (=> (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0.2) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5) (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..1) (=> (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..0) (=> true (=> true (=> true (=> true (=> true ?v_208)))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_274 (=> true (=> true (=> true ?v_237)))) (?v_260 (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel)) (?v_261 (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..0 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5.)) (?v_262 (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..0 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7.)) (?v_263 (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty)) (?v_264 (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1.)) (?v_265 (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..0 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6.)) (?v_266 (= inline.IsListEmpty.11.myNondetVar_0.1 inline.IsListEmpty.11.myNondetVar_0)) (?v_267 (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.)) (?v_268 (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..0 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4.)) (?v_269 (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList)) (?v_270 (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1.)) (?v_271 (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0)) (?v_272 (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1)) (?v_273 (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..0 inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_210 (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.0 call39064formal.new.0)) (?v_211 (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0 notused_4wdfobject1)) (?v_212 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2)) (?v_213 (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0 notused_4wdfobject1)) (?v_214 (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_215 (= inline.IsListEmpty.10.myNondetVar_0.1 inline.IsListEmpty.10.myNondetVar_0.0)) (?v_216 (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_217 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_218 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4)) (?v_219 (= lockStatus_1.22 lockStatus_1.21)) (?v_220 (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_221 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4)) (?v_222 (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..0 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0)) (?v_223 (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.0 call39064formal.new.0)) (?v_224 (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..0 notused_4wdfobject1)) (?v_225 (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.0 notused_4wdfobject1)) (?v_226 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4wdfobject1)) (?v_227 (= lockStatus_0.22 lockStatus_0.21)) (?v_228 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2)) (?v_229 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4wdfobject1)) (?v_230 (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.0 notused_4wdfobject1)) (?v_231 (= errorReached.85 errorReached.84)) (?v_232 (= inline.InitializeListHead.2.myNondetVar_0.1 inline.InitializeListHead.2.myNondetVar_0.0)) (?v_233 (= inline.GetSubRequestContext.2.myNondetVar_0.1 inline.GetSubRequestContext.2.myNondetVar_0.0)) (?v_234 (= inline.InsertTailList.2.myNondetVar_0.1 inline.InsertTailList.2.myNondetVar_0.0)) (?v_235 (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4)) (?v_236 (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0))) (let ((?v_239 (=> true (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> ?v_210 (=> ?v_211 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..0 notused_4wdfobject1) (=> ?v_212 (=> ?v_213 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..0 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0) (=> ?v_214 (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> ?v_218 (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.0 call39064formal.new.0) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0 inline.WdfRequestCancelSentRequest.0..callresult..747.98.2.) (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..0 inline.WdfRequestCancelSentRequest.0..callresult..747.98.2.) (=> ?v_225 (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> (= inline.IsListEmpty.11.myNondetVar_0.1 inline.IsListEmpty.11.myNondetVar_0.0) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> ?v_232 (=> ?v_233 (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.0) (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0) (=> ?v_234 (=> (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0.1) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.0 call39064formal.new.0) (=> ?v_235 (=> ?v_236 (=> (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..0 notused_4wdfobject1) ?v_274)))))))))))))))))))))))))))))))))))))))))))) (?v_238 (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_241 (=> true (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.11.myNondetVar_0.0 call39064formal.new.0))) (and (=> true (=> (not ?v_238) ?v_239)) (=> true (=> ?v_238 (=> true (=> ?v_39 ?v_239)))))))) (?v_240 (= inline.WdfRequestCancelSentRequest.0..callresult..747.98.2. 0)) (?v_209 (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_246 (=> true (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.10.myNondetVar_0.0 call39064formal.new.0))) (and (=> true (=> (not ?v_209) (=> true (=> ?v_260 (=> ?v_210 (=> ?v_211 (=> ?v_261 (=> ?v_212 (=> ?v_213 (=> ?v_262 (=> ?v_214 (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> ?v_218 (=> ?v_263 (=> ?v_264 (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_265 (=> ?v_225 (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> ?v_266 (=> ?v_267 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> ?v_268 (=> ?v_232 (=> ?v_233 (=> ?v_269 (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_270 (=> ?v_234 (=> ?v_271 (=> ?v_272 (=> ?v_235 (=> ?v_236 (=> ?v_273 ?v_237))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_209 (=> true (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.0 (MINUS_LEFT_PTR inline.RemoveHeadList.4.myNondetVar_0.0 1 12)) (and (=> true (=> (not ?v_240) ?v_241)) (=> true (=> ?v_240 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_241)))))))))))))))))))) (?v_245 (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4 hlock))) (let ((?v_242 (=> true (=> (= lockStatus_1.21 lockStatus_1.20) (=> (= lockStatus_0.21 lockStatus_0.20) ?v_246)))) (?v_243 (= lockStatus_1.20 lockStatus_1.19))) (let ((?v_244 (=> (= lockStatus_0.20 lockStatus_0.19) (=> true ?v_242)))) (let ((?v_249 (and (=> true (=> ?v_245 (and (=> true (=> ?v_0 (=> true (=> ?v_243 (=> (= lockStatus_0.20 0) ?v_242))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.20 0) ?v_244)))) (=> true (=> ?v_41 (=> true (=> ?v_243 ?v_244)))))))))) (=> true (=> (not ?v_245) (=> true (=> (= lockStatus_1.21 lockStatus_1.19) (=> (= lockStatus_0.21 lockStatus_0.19) (=> true (=> true (=> true (=> true (=> true (=> true ?v_246)))))))))))))) (let ((?v_252 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_249))))))))))))))))))))))))))))))) (?v_251 (= errorReached.84 errorReached.82)) (?v_254 (= notused_4wdfobject1 hdevice)) (?v_253 (= notused_4wdfobject1 hqueue)) (?v_250 (= notused_4wdfobject1 htimer)) (?v_248 (= notused_4wdfobject1 hrequest)) (?v_247 (=> true (=> (= errorReached.84 errorReached.83) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_249))))) (let ((?v_259 (and (=> true (=> ?v_248 (and (=> true (=> ?v_28 (=> ?v_29 (=> true (=> (= errorReached.83 1) ?v_247))))) (=> true (=> ?v_53 (=> ?v_54 (=> true (=> (= errorReached.83 errorReached.82) (=> true ?v_247))))))))) (=> true (=> (not ?v_248) (and (=> true (=> ?v_250 (=> true (=> ?v_251 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_252))))) (=> true (=> (not ?v_250) (and (=> true (=> ?v_253 (=> true (=> ?v_251 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_252))))) (=> true (=> (not ?v_253) (and (=> true (=> ?v_254 (=> true (=> ?v_251 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_252))))) (=> true (=> (not ?v_254) (=> true (=> ?v_251 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_252)))))))))))))))) (?v_258 (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2 hlock))) (let ((?v_255 (=> true (=> (= lockStatus_1.19 lockStatus_1.18) (=> (= lockStatus_0.19 lockStatus_0.18) ?v_259)))) (?v_256 (= lockStatus_1.18 lockStatus_1.17))) (let ((?v_257 (=> (= lockStatus_0.18 lockStatus_0.17) (=> true ?v_255))) (?v_206 (>= 8 0)) (?v_207 (int_2_U call39064formal.new.0))) (let ((?v_275 (=> true (and ?v_206 (=> ?v_206 (=> (> call39064formal.new.0 0) (=> (forall ((?x597 Int)) (! (=> (and (<= call39064formal.new.0 ?x597) (< ?x597 (+ call39064formal.new.0 8))) (= (Base ?x597) call39064formal.new.0)) :pattern ((Base ?x597)) )) (=> (forall ((?x598 boogieU)) (! (=> (= (type ?x598) intType) (or (= (U_2_int ?x598) call39064formal.new.0) (= (MapType0Select alloc.32 ?x598) (MapType0Select alloc.33 ?x598)))) :pattern ((MapType0Select alloc.33 ?x598)) )) (=> (and (= (MapType0Select alloc.32 ?v_207) UNALLOCATED) (= (MapType0Select alloc.33 ?v_207) ALLOCATED)) (and (=> true (=> (not (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.1 0)) (and (=> true (=> ?v_258 (=> true (=> (=> ?v_0 (= lockStatus_0.17 0)) (=> (=> ?v_1 (= lockStatus_1.17 0)) (and (=> true (=> ?v_0 (=> true (=> ?v_256 (=> (= lockStatus_0.18 1) ?v_255))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.18 1) ?v_257)))) (=> true (=> ?v_41 (=> true (=> ?v_256 ?v_257))))))))))))) (=> true (=> (not ?v_258) (=> true (=> (= lockStatus_1.19 lockStatus_1.17) (=> (= lockStatus_0.19 lockStatus_0.17) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_259)))))))))))))))))))))))))) (=> true (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.0 0) (=> true (=> ?v_260 (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1.) (=> ?v_261 (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel) (=> ?v_262 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..0 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2.) (=> (= inline.IsListEmpty.10.myNondetVar_0.1 inline.IsListEmpty.10.myNondetVar_0) (=> (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..0 inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> ?v_263 (=> ?v_264 (=> (= lockStatus_1.22 lockStatus_1.17) (=> (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..0 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3.) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..0 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1.) (=> ?v_265 (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.0 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= lockStatus_0.22 lockStatus_0.17) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> ?v_266 (=> ?v_267 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.0 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext) (=> (= errorReached.85 errorReached.82) (=> ?v_268 (=> (= inline.InitializeListHead.2.myNondetVar_0.1 inline.InitializeListHead.2.myNondetVar_0) (=> (= inline.GetSubRequestContext.2.myNondetVar_0.1 inline.GetSubRequestContext.2.myNondetVar_0) (=> ?v_269 (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel) (=> ?v_270 (=> (= inline.InsertTailList.2.myNondetVar_0.1 inline.InsertTailList.2.myNondetVar_0) (=> ?v_271 (=> ?v_272 (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.0) (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1.) (=> ?v_273 ?v_274))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_278 (=> true (=> true (=> true ?v_275)))) (?v_276 (= reqCancelStarted_0.0 reqCancelStarted_0)) (?v_277 (= reqCancelStarted_1.0 reqCancelStarted_1)) (?v_205 (= call37202formal.ret.0 0))) (let ((?v_526 (and (=> true (=> (not ?v_205) (=> true (=> (= inline.InsertTailList.2.myNondetVar_0.2 inline.InsertTailList.2.myNondetVar_0) (=> (= reqCancelStarted_0.1 reqCancelStarted_0) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.7.) (=> (= reqCancelStarted_1.1 reqCancelStarted_1) (=> (= lockStatus_1.23 lockStatus_1.17) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2..1 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.2.) (=> (= inline.IsListEmpty.10.myNondetVar_0.2 inline.IsListEmpty.10.myNondetVar_0) (=> (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1.) (=> (= alloc.34 alloc.32) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1.) (=> (= inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel) (=> (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.3.) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.1.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6..1 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.6.) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= lockStatus_0.23 lockStatus_0.17) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.IsListEmpty.11.myNondetVar_0.2 inline.IsListEmpty.11.myNondetVar_0) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext) (=> (= inline.InitializeListHead.2.myNondetVar_0.2 inline.InitializeListHead.2.myNondetVar_0) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4..1 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.4.) (=> (= errorReached.86 errorReached.82) (=> (= inline.GetSubRequestContext.2.myNondetVar_0.2 inline.GetSubRequestContext.2.myNondetVar_0) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel) (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.5.) (=> (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0) (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1.) (=> (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1.) ?v_208))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_205 (=> true (=> (=> ?v_0 (not (= reqCancelSet_0.26 0))) (=> (=> ?v_1 (not (= reqCancelSet_1.26 0))) (and (=> true (=> ?v_0 (=> true (=> (= reqCancelStarted_0.0 1) (=> ?v_277 ?v_275))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_276 (=> (= reqCancelStarted_1.0 1) ?v_278))))) (=> true (=> ?v_41 (=> true (=> ?v_276 (=> ?v_277 ?v_278)))))))))))))))) (?v_2229 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7.)) (?v_2230 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_2231 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_2232 (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.4 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0)) (?v_2233 (= inline.IsListEmpty.8.myNondetVar_0.4 inline.IsListEmpty.8.myNondetVar_0)) (?v_2234 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3.)) (?v_2235 (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer)) (?v_2236 (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2237 (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2.)) (?v_2238 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer)) (?v_2239 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet)) (?v_2240 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_2241 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k)) (?v_2242 (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer)) (?v_2243 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2244 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_2245 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2246 (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer)) (?v_2247 (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2248 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..2 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_2249 (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints)) (?v_2250 (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer)) (?v_2251 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_2252 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_2253 (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup)) (?v_2254 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet)) (?v_2255 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.2 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_2256 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2257 (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1.)) (?v_2258 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException)) (?v_2259 (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2260 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_2261 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2262 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty)) (?v_2263 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_2264 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1)) (?v_2265 (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer)) (?v_2266 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2267 (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2268 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException)) (?v_2269 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..4 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18.)) (?v_2270 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2271 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2272 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.2 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_2273 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_2274 (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2275 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3.)) (?v_2276 (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..0 inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2.)) (?v_2277 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException)) (?v_2278 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2279 (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer)) (?v_2280 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted)) (?v_2281 (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl)) (?v_2282 (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer)) (?v_2283 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2284 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_2285 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.)) (?v_2286 (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0)) (?v_2287 (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2.)) (?v_2288 (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2289 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9.)) (?v_2290 (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer)) (?v_2291 (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..5 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1.)) (?v_2292 (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..0 inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4.)) (?v_2293 (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_2294 (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0)) (?v_2295 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_2296 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_2297 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_2298 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_2299 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3.)) (?v_2300 (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_2301 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_2302 (= inline.GetFileContext.1.myNondetVar_0.2 inline.GetFileContext.1.myNondetVar_0)) (?v_2303 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3.)) (?v_2304 (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext)) (?v_2305 (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..3 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1.)) (?v_2306 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_2307 (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_2308 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2309 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer)) (?v_2310 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2311 (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints)) (?v_2312 (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2313 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_2314 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..4 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.)) (?v_2315 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_2316 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer)) (?v_2317 (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2.)) (?v_2318 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2319 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent)) (?v_2320 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2321 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.1..Handle.1.107.0.GetFileContext1)) (?v_2322 (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer)) (?v_2323 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet)) (?v_2324 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached)) (?v_2325 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2326 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.28 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0)) (?v_2327 (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer)) (?v_2328 (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2.)) (?v_2329 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup)) (?v_2330 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2331 (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext)) (?v_2332 (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..2 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2.)) (?v_2333 (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..2 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15.)) (?v_2334 (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_2335 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11.)) (?v_2336 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_2337 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_2338 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer)) (?v_2339 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_2340 (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.0 inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1)) (?v_2341 (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2342 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2343 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20.)) (?v_2344 (= inline.DoSubRequestCleanup.1.myNondetVar_0.12 inline.DoSubRequestCleanup.1.myNondetVar_0)) (?v_2345 (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.2 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_2346 (= inline.GetDeviceContext.1.myNondetVar_0.3 inline.GetDeviceContext.1.myNondetVar_0)) (?v_2347 (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.4 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0)) (?v_2348 (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_2349 (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints)) (?v_2350 (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_2351 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_2352 (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.19 inline.ReadWriteBulkEndPoints.0.myNondetVar_0)) (?v_2353 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted)) (?v_2354 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_2355 (= inline.InitializeListHead.0.myNondetVar_0.2 inline.InitializeListHead.0.myNondetVar_0)) (?v_2356 (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.2 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_2357 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..4 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.)) (?v_2358 (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer)) (?v_2359 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2360 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_2361 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_2362 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException)) (?v_2363 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer)) (?v_2364 (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer)) (?v_2365 (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_2366 (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_2367 (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints)) (?v_2368 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..4 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19.)) (?v_2369 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14.)) (?v_2370 (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2371 (= inline.DoSubRequestCleanup.0.myNondetVar_0.12 inline.DoSubRequestCleanup.0.myNondetVar_0)) (?v_2372 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2373 (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.4 inline.sdv_WdfCollectionAdd.0.myNondetVar_0)) (?v_2374 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2375 (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..2 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1.)) (?v_2376 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted)) (?v_2377 (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_2378 (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints)) (?v_2379 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1)) (?v_2380 (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer)) (?v_2381 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_2382 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2383 (= inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints)) (?v_2384 (= inline.GetFileContext.4.myNondetVar_0.3 inline.GetFileContext.4.myNondetVar_0)) (?v_2385 (= inline.ResetPipe.0..status.2.461.22.ResetPipe.2 inline.ResetPipe.0..status.2.461.22.ResetPipe)) (?v_2386 (= inline.GetFileContext.1..result.GetFileContext.107.0.1..1 inline.GetFileContext.1..result.GetFileContext.107.0.1.)) (?v_2387 (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2388 (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2.)) (?v_2389 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_2390 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2391 (= inline.RemoveHeadList.3.myNondetVar_0.6 inline.RemoveHeadList.3.myNondetVar_0)) (?v_2392 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent)) (?v_2393 (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..2 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_2394 (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.0 inline.GetFileContext.2..Handle.1.107.0.GetFileContext1)) (?v_2395 (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.11 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer)) (?v_2396 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_2397 (= inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints)) (?v_2398 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.1..Handle.1.107.0.GetFileContext)) (?v_2399 (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer)) (?v_2400 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus)) (?v_2401 (= Mem_0_T.PWDFREQUEST__.13 Mem_0_T.PWDFREQUEST__)) (?v_2402 (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..1 inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9.)) (?v_2403 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k)) (?v_2404 (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer)) (?v_2405 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3.)) (?v_2406 (= inline.GetDeviceContext.0.myNondetVar_0.1 inline.GetDeviceContext.0.myNondetVar_0)) (?v_2800 (= reqCompleteSet_0.10 reqCompleteSet_0)) (?v_2407 (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_2408 (= inline.InitializeListHead.1.myNondetVar_0.2 inline.InitializeListHead.1.myNondetVar_0)) (?v_2409 (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_2410 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23.)) (?v_2411 (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..1 inline.GetRequestContext.0..result.GetRequestContext.127.0.1.)) (?v_2412 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7.)) (?v_2413 (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer)) (?v_2414 (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.5 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints)) (?v_2415 (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.8 inline.ReadWriteIsochEndPoints.0.myNondetVar_0)) (?v_2416 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21.)) (?v_2417 (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2.)) (?v_2418 (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.)) (?v_2419 (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer)) (?v_2420 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_2421 (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2.)) (?v_2422 (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer)) (?v_2423 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1)) (?v_2424 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted)) (?v_2425 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_2426 (= inline.GetSubRequestContext.1.myNondetVar_0.3 inline.GetSubRequestContext.1.myNondetVar_0)) (?v_2427 (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl)) (?v_2428 (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_2429 (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0)) (?v_2430 (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..1 inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6.)) (?v_2431 (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2432 (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2433 (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2434 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4)) (?v_2435 (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..2 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13.)) (?v_2436 (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer)) (?v_2437 (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0)) (?v_2438 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.5 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1)) (?v_2439 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_2440 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_2441 (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer)) (?v_2442 (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1)) (?v_2443 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27.)) (?v_2444 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13.)) (?v_2445 (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2446 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted)) (?v_2447 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_2448 (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.5 inline.ReadWriteBulkEndPoints.0.tempBoogie0)) (?v_2449 (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer)) (?v_2450 (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1)) (?v_2451 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_2452 (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1.)) (?v_2453 (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..2 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3.)) (?v_2454 (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.0 inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1)) (?v_2455 (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0)) (?v_2456 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..2 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3.)) (?v_2457 (= inline.IsListEmpty.9.myNondetVar_0.5 inline.IsListEmpty.9.myNondetVar_0)) (?v_2458 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3.)) (?v_2459 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..3 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1.)) (?v_2460 (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_2461 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2462 (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2463 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.4..Handle.1.107.0.GetFileContext)) (?v_2464 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent)) (?v_2465 (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1)) (?v_2466 (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2467 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2)) (?v_2468 (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1.)) (?v_2469 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5.)) (?v_2470 (= inline.GetFileContext.3.myNondetVar_0.3 inline.GetFileContext.3.myNondetVar_0)) (?v_2471 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21.)) (?v_2472 (= lockStatus_0.17 lockStatus_0)) (?v_2801 (= alloc.32 alloc.0)) (?v_2473 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5)) (?v_2474 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10.)) (?v_2475 (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer)) (?v_2476 (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..1 inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3.)) (?v_2477 (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints)) (?v_2478 (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_2479 (= inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints)) (?v_2480 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4.)) (?v_2481 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted)) (?v_2482 (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints)) (?v_2483 (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1.)) (?v_2484 (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myVar_1)) (?v_2485 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14.)) (?v_2486 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22.)) (?v_2487 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_2488 (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2489 (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer)) (?v_2490 (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer)) (?v_2491 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_2492 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2493 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_2494 (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2.)) (?v_2495 (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0)) (?v_2496 (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1)) (?v_2497 (= inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints)) (?v_2498 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28.)) (?v_2499 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_2500 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2501 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_2502 (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..1 inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2.)) (?v_2503 (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0)) (?v_2504 (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..1 inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1.)) (?v_2505 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8.)) (?v_2506 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_2507 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached)) (?v_2508 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.29 inline.PerformHighSpeedIsochTransfer.0.myVar_0)) (?v_2509 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_2510 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc)) (?v_2511 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc)) (?v_2512 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2513 (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer)) (?v_2514 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3)) (?v_2515 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2)) (?v_522 (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2516 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer)) (?v_2517 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3)) (?v_2518 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2519 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2520 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2521 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_2522 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend)) (?v_2523 (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..3 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5.)) (?v_2524 (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.16 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0)) (?v_2525 (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..1 inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2.)) (?v_2526 (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.0 inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext)) (?v_2527 (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..1 inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1.)) (?v_2528 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup)) (?v_2802 (= reqCompleteSet_1.10 reqCompleteSet_1)) (?v_2529 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_2530 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_2531 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_2532 (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2533 (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2.)) (?v_2534 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.2 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext)) (?v_2535 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2.)) (?v_2536 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet)) (?v_2537 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_2538 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2539 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet)) (?v_2540 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_2541 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2542 (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2.)) (?v_2543 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus)) (?v_2544 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_2545 (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..2 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13.)) (?v_2546 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent)) (?v_2547 (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..2 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2.)) (?v_2548 (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_2549 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.29 inline.PerformFullSpeedIsochTransfer.0.myVar_0)) (?v_2550 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.11 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer)) (?v_2551 (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0)) (?v_2552 (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_2553 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2554 (= inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_2555 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_2556 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3.)) (?v_2557 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2558 (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer)) (?v_2559 (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2560 (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1)) (?v_2561 (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.8 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints)) (?v_2562 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1)) (?v_2563 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_2564 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_2565 (= lockStatus_1.17 lockStatus_1)) (?v_2566 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2567 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.)) (?v_2568 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_2569 (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints)) (?v_2570 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..2 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3.)) (?v_2571 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2572 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_2573 (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1.)) (?v_2574 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_2575 (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1)) (?v_2576 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer)) (?v_2577 (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer)) (?v_2578 (= inline.GetFileContext.2.myNondetVar_0.1 inline.GetFileContext.2.myNondetVar_0)) (?v_2579 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet)) (?v_2580 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24.)) (?v_2581 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted)) (?v_2582 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2583 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11.)) (?v_2584 (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer)) (?v_2585 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_2586 (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer)) (?v_2587 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1)) (?v_2588 (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_2589 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2590 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3.)) (?v_2591 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1)) (?v_2592 (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0)) (?v_2593 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2594 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.5 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1)) (?v_2595 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0)) (?v_2596 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.7 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub)) (?v_2597 (= inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..0 inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_2598 (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer)) (?v_2599 (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_2600 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_2601 (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup)) (?v_2602 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.2 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_2603 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_2604 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_2605 (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..5 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18.)) (?v_2606 (= inline.GetDeviceContext.2.myNondetVar_0.2 inline.GetDeviceContext.2.myNondetVar_0)) (?v_2607 (= Mem_1_T.PWDFREQUEST__.13 Mem_1_T.PWDFREQUEST__)) (?v_2608 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2609 (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2803 (= reqSent_1.10 reqSent_1)) (?v_2610 (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_2611 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26.)) (?v_2612 (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..3 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1.)) (?v_2613 (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2614 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11.)) (?v_2615 (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_2616 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.3..Handle.1.107.0.GetFileContext)) (?v_2617 (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..2 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15.)) (?v_2618 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus)) (?v_2619 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5.)) (?v_2620 (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..2 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20.)) (?v_2621 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.64 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0)) (?v_2622 (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..2 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2.)) (?v_2623 (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer)) (?v_2624 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..2 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_2625 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached)) (?v_2626 (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext.0 inline.GetFileContext.2..Handle.1.107.0.GetFileContext)) (?v_2627 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc)) (?v_2628 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_2629 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1)) (?v_2630 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.2 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1)) (?v_2631 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2632 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k)) (?v_2804 (= reqSent_0.10 reqSent_0)) (?v_2633 (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.2 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints)) (?v_2634 (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2.)) (?v_2635 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.2 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_2636 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2637 (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myVar_1)) (?v_2638 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus)) (?v_2639 (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..3 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5.)) (?v_2640 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8.)) (?v_2641 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2642 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1)) (?v_2643 (= inline.IsListEmpty.0.myNondetVar_0.4 inline.IsListEmpty.0.myNondetVar_0)) (?v_2644 (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..2 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19.)) (?v_2645 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet)) (?v_2646 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k)) (?v_2647 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_2648 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2649 (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.0 inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1)) (?v_2650 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2651 (= inline.InsertTailList.1.myNondetVar_0.3 inline.InsertTailList.1.myNondetVar_0)) (?v_2652 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2653 (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2.)) (?v_2654 (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_2655 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_2656 (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2.)) (?v_2657 (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints)) (?v_2658 (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2659 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3.)) (?v_2660 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2661 (= inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints)) (?v_2662 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2663 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2664 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.5 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub)) (?v_2665 (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..2 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2.)) (?v_2666 (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl)) (?v_2667 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2668 (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..1 inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10.)) (?v_2669 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1)) (?v_2670 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_2671 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4)) (?v_2672 (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.0 inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1)) (?v_524 (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2673 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_2674 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_2675 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2676 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2677 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.5 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub)) (?v_2678 (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..1 inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5.)) (?v_2679 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10.)) (?v_2680 (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext)) (?v_2681 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted)) (?v_2682 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2683 (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2.)) (?v_2684 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2685 (= inline.IsListEmpty.7.myNondetVar_0.4 inline.IsListEmpty.7.myNondetVar_0)) (?v_2686 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23.)) (?v_2687 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_2688 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..4 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17.)) (?v_2689 (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer)) (?v_2690 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..3 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29.)) (?v_2691 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1.)) (?v_2692 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_2693 (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2.)) (?v_2694 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7.)) (?v_2695 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1)) (?v_2696 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0)) (?v_2697 (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints)) (?v_2698 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0)) (?v_2699 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2700 (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_2701 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_2702 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc)) (?v_2703 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_2704 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_2705 (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.0 inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1)) (?v_2706 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer)) (?v_2707 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_2708 (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer)) (?v_2709 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4.)) (?v_2710 (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2711 (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer)) (?v_2712 (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2.)) (?v_2713 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2714 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_2715 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5)) (?v_2716 (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2.)) (?v_2717 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext)) (?v_2718 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1.)) (?v_2719 (= inline.GetRequestContext.0.myNondetVar_0.2 inline.GetRequestContext.0.myNondetVar_0)) (?v_2720 (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0)) (?v_2721 (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..4 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_2722 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext)) (?v_2723 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext)) (?v_2724 (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer)) (?v_2725 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2726 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..3 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1.)) (?v_2727 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4.)) (?v_2728 (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer)) (?v_2729 (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..1 inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2.)) (?v_2730 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.7 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1)) (?v_2731 (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..4 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_2732 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22.)) (?v_2733 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2734 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_2735 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2736 (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.0 inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1)) (?v_2737 (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer)) (?v_2738 (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints)) (?v_2739 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..3 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28.)) (?v_2740 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached)) (?v_2741 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_2742 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_2743 (= inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints)) (?v_2744 (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_2745 (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer)) (?v_2746 (= inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints)) (?v_2747 (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2.)) (?v_2748 (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..2 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_2749 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25.)) (?v_2750 (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2.)) (?v_2751 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_2752 (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..2 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2.)) (?v_2753 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2754 (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_2755 (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2756 (= inline.GetSubRequestContext.0.myNondetVar_0.3 inline.GetSubRequestContext.0.myNondetVar_0)) (?v_2757 (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.4 inline.sdv_WdfCollectionAdd.1.myNondetVar_0)) (?v_2758 (= inline.InsertTailList.0.myNondetVar_0.3 inline.InsertTailList.0.myNondetVar_0)) (?v_2759 (= inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints)) (?v_2760 (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0)) (?v_2761 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_2762 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_2763 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2764 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty)) (?v_2765 (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2766 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2767 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_2768 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer)) (?v_2769 (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1)) (?v_2770 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..4 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17.)) (?v_2771 (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer)) (?v_2772 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1)) (?v_2773 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0)) (?v_2774 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_2775 (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2776 (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints)) (?v_2777 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1)) (?v_2778 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_2779 (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.0 inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1)) (?v_2780 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_2781 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2782 (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2783 (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer)) (?v_2784 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9.)) (?v_2785 (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2786 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2787 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_2788 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet))) (let ((?v_2789 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_526))))))))))) (let ((?v_2805 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2715 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2731 (=> ?v_2732 (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_2737 (=> ?v_2738 (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> ?v_2748 (=> ?v_2749 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> ?v_2754 (=> ?v_2755 (=> ?v_2756 (=> ?v_2757 (=> ?v_2758 (=> ?v_2759 (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> ?v_2763 (=> ?v_2764 (=> ?v_2765 (=> ?v_2766 (=> ?v_2767 (=> ?v_2768 (=> ?v_2769 (=> ?v_2770 (=> ?v_2771 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> ?v_2782 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> ?v_2787 (=> ?v_2788 ?v_2789)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2814 (=> true (=> ?v_2229 (=> ?v_2230 (=> ?v_2231 (=> ?v_2232 (=> ?v_2233 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2237 (=> ?v_2238 (=> ?v_2239 (=> ?v_2240 (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> ?v_2253 (=> ?v_2254 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> ?v_2261 (=> ?v_2262 (=> ?v_2263 (=> ?v_2264 (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> ?v_2268 (=> ?v_2269 (=> ?v_2270 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_2275 (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 (=> ?v_2283 (=> ?v_2284 (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> (= reqCompleted_0.20 reqCompleted_0.1) (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2321 (=> ?v_2322 (=> ?v_2323 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> ?v_2334 (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> ?v_2342 (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> ?v_2352 (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> ?v_2368 (=> ?v_2369 (=> ?v_2370 (=> ?v_2371 (=> ?v_2372 (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> ?v_2385 (=> ?v_2386 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2800 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> (= reqCancelSet_1.26 reqCancelSet_1.1) (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2801 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> (= inline.UsbSamp_EvtIoRead.0.myNondetVar_0.8 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.0) (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> (= reqCompleted_1.20 reqCompleted_1.1) (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> ?v_522 (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2802 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> (= errorReached.82 errorReached.4) (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> (= reqCancelSet_0.26 reqCancelSet_0.1) (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2803 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2804 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> ?v_524 (=> ?v_2673 (=> ?v_2674 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) ?v_2805)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2806 (=> true (=> (= errorReached.4 errorReached.3) (=> (= reqCancelSet_0.1 reqCancelSet_0.0) (=> (= reqCompleted_1.1 reqCompleted_1.0) (=> (= reqCancelSet_1.1 reqCancelSet_1.0) (=> (= reqCompleted_0.1 reqCompleted_0.0) ?v_2814)))))))) (let ((?v_2809 (=> true ?v_2806)) (?v_2807 (= reqCancelSet_0.0 reqCancelSet_0)) (?v_2808 (= reqCancelSet_1.0 reqCancelSet_1))) (let ((?v_2810 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.0 0) (=> ?v_2808 ?v_2806))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_2807 (=> (= reqCancelSet_1.0 0) ?v_2809))))) (=> true (=> ?v_41 (=> true (=> ?v_2807 (=> ?v_2808 ?v_2809)))))))))) (?v_2811 (= reqCompleted_1.0 reqCompleted_1))) (let ((?v_2812 (=> (= reqCompleted_0.0 reqCompleted_0) (=> true (=> true ?v_2810))))) (let ((?v_2813 (and (=> true (=> ?v_0 (=> true (=> ?v_2811 (=> (= reqCompleted_0.0 1) ?v_2810))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleted_1.0 1) ?v_2812)))) (=> true (=> ?v_41 (=> true (=> ?v_2811 ?v_2812))))))))) (?v_4 (= reqCompleted_0 0))) (let ((?v_290 (=> ?v_0 ?v_4)) (?v_5 (= reqCompleted_1 0))) (let ((?v_291 (=> ?v_1 ?v_5)) (?v_6 (=> ?v_0 (not ?v_4))) (?v_7 (=> ?v_1 (not ?v_5))) (?v_2799 (= inline.UsbSamp_EvtIoRead.0.myNondetVar_0.0 0)) (?v_523 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_525 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation))) (let ((?v_2798 (=> true (=> ?v_2229 (=> ?v_2230 (=> ?v_2231 (=> ?v_2232 (=> ?v_2233 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2237 (=> ?v_2238 (=> ?v_2239 (=> ?v_2240 (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> ?v_2253 (=> ?v_2254 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> ?v_2261 (=> ?v_2262 (=> ?v_2263 (=> ?v_2264 (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> ?v_2268 (=> ?v_2269 (=> ?v_2270 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_2275 (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 (=> ?v_2283 (=> ?v_2284 (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> (= reqCompleted_0.20 reqCompleted_0.3) (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2321 (=> ?v_2322 (=> ?v_2323 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> ?v_2334 (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> ?v_2342 (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> ?v_2352 (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> ?v_2368 (=> ?v_2369 (=> ?v_2370 (=> ?v_2371 (=> ?v_2372 (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> ?v_2385 (=> ?v_2386 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2800 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> (= reqCancelSet_1.26 reqCancelSet_1.3) (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2801 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> (= inline.UsbSamp_EvtIoRead.0.myNondetVar_0.8 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.4) (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> (= reqCompleted_1.20 reqCompleted_1.3) (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2802 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> (= errorReached.82 errorReached.7) (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> (= reqCancelSet_0.26 reqCancelSet_0.3) (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2803 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2804 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_523 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> ?v_2673 (=> ?v_2674 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> ?v_525 ?v_2805)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2790 (=> true (=> (= errorReached.7 errorReached.5) (=> (= reqCancelSet_0.3 reqCancelSet_0.2) (=> (= reqCompleted_1.3 reqCompleted_1.2) (=> (= reqCancelSet_1.3 reqCancelSet_1.2) (=> (= reqCompleted_0.3 reqCompleted_0.2) ?v_2798)))))))) (let ((?v_2793 (=> true ?v_2790)) (?v_2791 (= reqCancelSet_0.2 reqCancelSet_0)) (?v_2792 (= reqCancelSet_1.2 reqCancelSet_1))) (let ((?v_2794 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.2 0) (=> ?v_2792 ?v_2790))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_2791 (=> (= reqCancelSet_1.2 0) ?v_2793))))) (=> true (=> ?v_41 (=> true (=> ?v_2791 (=> ?v_2792 ?v_2793)))))))))) (?v_2795 (= reqCompleted_1.2 reqCompleted_1))) (let ((?v_2796 (=> (= reqCompleted_0.2 reqCompleted_0) (=> true (=> true ?v_2794))))) (let ((?v_2797 (and (=> true (=> ?v_0 (=> true (=> ?v_2795 (=> (= reqCompleted_0.2 1) ?v_2794))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleted_1.2 1) ?v_2796)))) (=> true (=> ?v_41 (=> true (=> ?v_2795 ?v_2796))))))))) (?v_759 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..1) (=> ?v_2230 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.4 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.3) (=> (= inline.IsListEmpty.8.myNondetVar_0.4 inline.IsListEmpty.8.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.6) (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.3) (=> ?v_2240 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.0) (=> ?v_2243 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.7) (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..2 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..1) (=> ?v_2249 (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.0) (=> ?v_2251 (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.3) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.2 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.1) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.2) (=> ?v_2259 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4) (=> ?v_2264 (=> (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.0) (=> ?v_2266 (=> (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..4 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.2 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..0) (=> (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..0 hdevice) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.2) (=> ?v_2278 (=> (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.3) (=> (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0.3) (=> ?v_2287 (=> (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..5 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..4) (=> (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..0 notused_4hfileobj) (=> (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1) (=> (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> ?v_2298 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..2) (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1) (=> ?v_2301 (=> ?v_2302 (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..1) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..3 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2) (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= reqCompleted_0.20 reqCompleted_0.16) (=> ?v_2311 (=> (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..4 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..3) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2321 (=> (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.28 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.27) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.0) (=> (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..1) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.0) (=> (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..2 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..2 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..1) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1) (=> ?v_2335 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4) (=> ?v_2337 (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.0 hrequest) (=> (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_2342 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..1) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.12 inline.DoSubRequestCleanup.1.myNondetVar_0.11) (=> (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.2 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.1) (=> (= inline.GetDeviceContext.1.myNondetVar_0.3 inline.GetDeviceContext.1.myNondetVar_0.2) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.4 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.3) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1) (=> ?v_2349 (=> ?v_2350 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1) (=> ?v_2352 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.3) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3) (=> (= inline.InitializeListHead.0.myNondetVar_0.2 inline.InitializeListHead.0.myNondetVar_0.1) (=> (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.2 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.1) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..4 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> ?v_2360 (=> ?v_2361 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.2) (=> ?v_2365 (=> (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 hrequest) (=> ?v_2367 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..4 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.12 inline.DoSubRequestCleanup.0.myNondetVar_0.11) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1) (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.4 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.3) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..2 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.3) (=> (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..1) (=> ?v_2378 (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.0) (=> ?v_2381 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2383 (=> (= inline.GetFileContext.4.myNondetVar_0.3 inline.GetFileContext.4.myNondetVar_0.2) (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.2 inline.ResetPipe.0..status.2.461.22.ResetPipe.1) (=> ?v_2386 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2388 (=> ?v_2389 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.RemoveHeadList.3.myNondetVar_0.6 inline.RemoveHeadList.3.myNondetVar_0.5) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.3) (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..2 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..1) (=> (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.0 notused_4hfileobj) (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.11 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.10) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> ?v_2397 (=> ?v_2398 (=> (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.3) (=> (= Mem_0_T.PWDFREQUEST__.13 Mem_0_T.PWDFREQUEST__.12) (=> ?v_2402 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..1) (=> (= inline.GetDeviceContext.0.myNondetVar_0.1 inline.GetDeviceContext.0.myNondetVar_0.0) (=> (= reqCompleteSet_0.10 reqCompleteSet_0.8) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1) (=> (= inline.InitializeListHead.1.myNondetVar_0.2 inline.InitializeListHead.1.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..1) (=> ?v_2411 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.5 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.4) (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.8 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..1) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..1) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..4) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.0) (=> ?v_2420 (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.0) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.3) (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..1) (=> (= inline.GetSubRequestContext.1.myNondetVar_0.3 inline.GetSubRequestContext.1.myNondetVar_0.2) (=> ?v_2427 (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1) (=> (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0.1) (=> ?v_2430 (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..2 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.0) (=> (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0.2) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.5 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.4) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.6) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..1) (=> ?v_2444 (=> (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.3) (=> ?v_2447 (=> ?v_2448 (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.6) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0) (=> ?v_2451 (=> ?v_2452 (=> (= reqCancelSet_1.26 reqCancelSet_1.22) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..2 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..1) (=> (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.0 hdevice) (=> (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..2 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..1) (=> (= inline.IsListEmpty.9.myNondetVar_0.5 inline.IsListEmpty.9.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..2) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..3 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..2) (=> ?v_2460 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.4..Handle.1.107.0.GetFileContext.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.0) (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.2) (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..1) (=> (= inline.GetFileContext.3.myNondetVar_0.3 inline.GetFileContext.3.myNondetVar_0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..1) (=> (= lockStatus_0.17 lockStatus_0.16) (=> (= alloc.32 alloc.31) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.UsbSamp_EvtIoRead.0.myNondetVar_0.8 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.5) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..1 inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..0) (=> ?v_2477 (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1) (=> ?v_2479 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.3) (=> (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.0 3) (=> (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myVar_1.4) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.5) (=> ?v_2488 (=> (= reqCompleted_1.20 reqCompleted_1.16) (=> (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.0) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3) (=> ?v_2492 (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.0) (=> ?v_2497 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> ?v_2502 (=> (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0.2) (=> ?v_2504 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.29 inline.PerformHighSpeedIsochTransfer.0.myVar_0.28) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.2) (=> ?v_522 (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.4) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..3 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.16 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.15) (=> ?v_2525 (=> (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.0 hdevice) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..1 inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..0) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.2) (=> (= reqCompleteSet_1.10 reqCompleteSet_1.8) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4) (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.1) (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.2 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1) (=> ?v_2535 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.3) (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.1) (=> (= errorReached.82 errorReached.77) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.3) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..2 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.3) (=> (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..2 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..1) (=> (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.29 inline.PerformFullSpeedIsochTransfer.0.myVar_0.28) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.11 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.10) (=> (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0.3) (=> (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2) (=> (= inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 hdevice) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> ?v_2556 (=> ?v_2557 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4hfileobj) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.0) (=> (= reqCancelSet_0.26 reqCancelSet_0.22) (=> ?v_2561 (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4) (=> ?v_2564 (=> (= lockStatus_1.17 lockStatus_1.16) (=> ?v_2566 (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3) (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.0 hrequest) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..2 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.GetFileContext.2.myNondetVar_0.1 inline.GetFileContext.2.myNondetVar_0.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.0) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2) (=> (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1) (=> ?v_2590 (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1) (=> (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0.2) (=> ?v_2593 (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.5 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.4) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.49) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.7 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.6) (=> (= inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..0 notused_4hfileobj) (=> (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 hrequest) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.2) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.2 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.1) (=> ?v_2603 (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..5 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..4) (=> (= inline.GetDeviceContext.2.myNondetVar_0.2 inline.GetDeviceContext.2.myNondetVar_0.1) (=> (= Mem_1_T.PWDFREQUEST__.13 Mem_1_T.PWDFREQUEST__.12) (=> ?v_2608 (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= reqSent_1.10 reqSent_1.8) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..1) (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..3 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..2) (=> (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..1) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1) (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.3..Handle.1.107.0.GetFileContext.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..2 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..2 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.64 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.63) (=> (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..2 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..2 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.2) (=> (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext.0 notused_4hfileobj) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2) (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.1) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.2 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.2) (=> (= reqSent_0.10 reqSent_0.8) (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.2 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.1) (=> (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.2 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myVar_1.4) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.3) (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..3 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.4) (=> (= inline.IsListEmpty.0.myNondetVar_0.4 inline.IsListEmpty.0.myNondetVar_0.3) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..2 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.3) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.2) (=> ?v_2647 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.0 3) (=> ?v_2650 (=> (= inline.InsertTailList.1.myNondetVar_0.3 inline.InsertTailList.1.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..1) (=> ?v_2655 (=> (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..1) (=> ?v_2657 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hdevice) (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..1) (=> ?v_523 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.0 myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.5 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.4) (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..2 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..1) (=> (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> ?v_2668 (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.2) (=> (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.0 myNondetVar_0.0) (=> ?v_524 (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> ?v_2675 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.5 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.4) (=> ?v_2678 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..1) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_2683 (=> ?v_2684 (=> (= inline.IsListEmpty.7.myNondetVar_0.4 inline.IsListEmpty.7.myNondetVar_0.3) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..1) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..4 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..3 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..2) (=> (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..2) (=> ?v_2692 (=> (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..1) (=> ?v_2694 (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.5) (=> ?v_2697 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_2700 (=> ?v_525 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2) (=> ?v_2704 (=> ?v_2705 (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.1) (=> ?v_2707 (=> (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hdevice) (=> (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.2) (=> (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..1) (=> ?v_2717 (=> (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..2) (=> ?v_2719 (=> (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0.2) (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..4 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..3) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..3 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..2) (=> ?v_2727 (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..1 inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.7 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.6) (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..4 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1) (=> ?v_2736 (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.0) (=> ?v_2738 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..3 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.2) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..2) (=> (= inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.0 call26475formal.new.0) (=> (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.0) (=> ?v_2746 (=> (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..2 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..1) (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..1) (=> ?v_2751 (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..2 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..1) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1) (=> ?v_2754 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4hfileobj) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.3 inline.GetSubRequestContext.0.myNondetVar_0.2) (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.4 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.3) (=> (= inline.InsertTailList.0.myNondetVar_0.3 inline.InsertTailList.0.myNondetVar_0.2) (=> ?v_2759 (=> (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..1) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.8) (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..4 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.5) (=> ?v_2774 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.0 myNondetVar_0.0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> ?v_2779 (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..2) (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> ?v_2787 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.3) ?v_2789)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1670 (=> true (=> true (=> true ?v_759)))) (?v_1441 (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..2 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5.)) (?v_1442 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7.)) (?v_1443 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_1444 (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.3 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0)) (?v_1445 (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2.)) (?v_1446 (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1447 (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2.)) (?v_1448 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer)) (?v_1449 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet)) (?v_1450 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..1 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3.)) (?v_1451 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k)) (?v_1452 (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer)) (?v_1453 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1454 (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer)) (?v_1455 (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer)) (?v_1456 (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2.)) (?v_1457 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23.)) (?v_1458 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1459 (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_1460 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_1461 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty)) (?v_1462 (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1463 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.1 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_1464 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_1465 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4)) (?v_1466 (= inline.GetFileContext.3.myNondetVar_0.2 inline.GetFileContext.3.myNondetVar_0)) (?v_1467 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11.)) (?v_1468 (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer)) (?v_1469 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_1470 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.)) (?v_1471 (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0)) (?v_1472 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9.)) (?v_1473 (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..4 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1.)) (?v_1474 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_1475 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_1476 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_1477 (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_1478 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3.)) (?v_1479 (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext)) (?v_1480 (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..2 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1.)) (?v_1481 (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_1482 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_1483 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer)) (?v_1484 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_1485 (= inline.GetDeviceContext.1.myNondetVar_0.2 inline.GetDeviceContext.1.myNondetVar_0)) (?v_1486 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1487 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent)) (?v_1488 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1489 (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer)) (?v_1490 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached)) (?v_1491 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.27 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0)) (?v_1492 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1493 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup)) (?v_1494 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.4 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1)) (?v_1495 (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..1 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2.)) (?v_1496 (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..1 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15.)) (?v_1497 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_1498 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1499 (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.1 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_1500 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1501 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.1 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_1502 (= inline.InitializeListHead.0.myNondetVar_0.1 inline.InitializeListHead.0.myNondetVar_0)) (?v_1503 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..3 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.)) (?v_1504 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException)) (?v_1505 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer)) (?v_1506 (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer)) (?v_1507 (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer)) (?v_1508 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..3 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19.)) (?v_1509 (= inline.DoSubRequestCleanup.0.myNondetVar_0.11 inline.DoSubRequestCleanup.0.myNondetVar_0)) (?v_1510 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_1511 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer)) (?v_1512 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted)) (?v_1513 (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_1514 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.0 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1)) (?v_1515 (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer)) (?v_1516 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..3 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17.)) (?v_1517 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_1518 (= inline.ResetPipe.0..status.2.461.22.ResetPipe.1 inline.ResetPipe.0..status.2.461.22.ResetPipe.0)) (?v_1519 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent)) (?v_1520 (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer)) (?v_1521 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k)) (?v_1522 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3.)) (?v_1523 (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.4 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints)) (?v_1524 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14.)) (?v_1525 (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2.)) (?v_1526 (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..1 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1.)) (?v_1527 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.10 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer)) (?v_1528 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted)) (?v_1529 (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1530 (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_1531 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0)) (?v_1532 (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_1533 (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1534 (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..1 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13.)) (?v_1535 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.4 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1)) (?v_1536 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_1537 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26.)) (?v_1538 (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer)) (?v_1539 (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1)) (?v_1540 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_1541 (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..1 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3.)) (?v_1542 (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0)) (?v_1543 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3.)) (?v_1544 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..2 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1.)) (?v_1545 (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.0 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1)) (?v_1546 (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1547 (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1.)) (?v_1548 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21.)) (?v_1549 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5)) (?v_1550 (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer)) (?v_1551 (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.3 inline.sdv_WdfCollectionAdd.0.myNondetVar_0)) (?v_1552 (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_1553 (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1554 (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0)) (?v_1555 (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup)) (?v_1556 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_1557 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28.)) (?v_1558 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus)) (?v_1559 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_1560 (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0)) (?v_1561 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached)) (?v_1562 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 inline.PerformHighSpeedIsochTransfer.0.myVar_0)) (?v_1563 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc)) (?v_1564 (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer)) (?v_1565 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2)) (?v_1566 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer)) (?v_1567 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3)) (?v_1568 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1569 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext)) (?v_1570 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet)) (?v_1571 (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2.)) (?v_1572 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_1573 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_1574 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_1575 (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer)) (?v_1576 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.)) (?v_1577 (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2.)) (?v_1578 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_1579 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_1580 (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer)) (?v_1581 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24.)) (?v_1582 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted)) (?v_1583 (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer)) (?v_1584 (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer)) (?v_1585 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1)) (?v_1586 (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_1587 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1)) (?v_1588 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_1589 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.6 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub)) (?v_1590 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_1591 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_1592 (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..4 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18.)) (?v_1593 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted)) (?v_1594 (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..1 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20.)) (?v_1595 (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_1596 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.3..Handle.1.107.0.GetFileContext)) (?v_1597 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus)) (?v_1598 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5.)) (?v_1599 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.63 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0)) (?v_1600 (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..1 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2.)) (?v_1601 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..1 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_1602 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_1603 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc)) (?v_1604 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1)) (?v_1605 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1)) (?v_1606 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1607 (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.2)) (?v_1608 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_1609 (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.4 inline.PerformHighSpeedIsochTransfer.0.myVar_1)) (?v_1610 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8.)) (?v_1611 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1612 (= inline.IsListEmpty.0.myNondetVar_0.3 inline.IsListEmpty.0.myNondetVar_0)) (?v_1613 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet)) (?v_1614 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1615 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext)) (?v_1616 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_1617 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1618 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.4 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub)) (?v_1619 (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..1 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2.)) (?v_1620 (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl)) (?v_1621 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1622 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_1623 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1.)) (?v_1624 (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.0 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1)) (?v_1625 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1626 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.4 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub)) (?v_1627 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10.)) (?v_1628 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_1629 (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer)) (?v_1630 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_1631 (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.)) (?v_1632 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29.)) (?v_1633 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_1634 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1635 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_1636 (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0)) (?v_1637 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4.)) (?v_1638 (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer)) (?v_1639 (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.)) (?v_1640 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1641 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_1642 (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..3 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_1643 (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer)) (?v_1644 (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer)) (?v_1645 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.6 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1)) (?v_1646 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException)) (?v_1647 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22.)) (?v_1648 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_1649 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_1650 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_1651 (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_1652 (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..1 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_1653 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1654 (= inline.GetSubRequestContext.0.myNondetVar_0.2 inline.GetSubRequestContext.0.myNondetVar_0)) (?v_1655 (= inline.InsertTailList.0.myNondetVar_0.2 inline.InsertTailList.0.myNondetVar_0)) (?v_1656 (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0)) (?v_1657 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_1658 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_1659 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1660 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer)) (?v_1661 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0)) (?v_1662 (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1663 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1)) (?v_1664 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_1665 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1666 (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1667 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer)) (?v_1668 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1669 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet))) (let ((?v_1674 (=> true (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1) (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..0) (=> ?v_1451 (=> ?v_1452 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> ?v_1453 (=> ?v_1454 (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..1 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..0) (=> ?v_1455 (=> ?v_1456 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.2) (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> ?v_1461 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2) (=> ?v_1462 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.1) (=> (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_1463 (=> ?v_1464 (=> (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..0 hdevice) (=> (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> ?v_1465 (=> ?v_1466 (=> (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.0 call32391formal.new.0) (=> ?v_1467 (=> (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.0) (=> ?v_1468 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..3 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..2) (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0) (=> (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0.2) (=> ?v_1475 (=> ?v_1476 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1) (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1) (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= reqCompleted_0.16 reqCompleted_0.10) (=> ?v_1484 (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..3 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..2) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1) (=> ?v_1485 (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..0) (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.2) (=> ?v_1490 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> ?v_1491 (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.0 call32406formal.new.0) (=> (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..0) (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.0 hdevice) (=> ?v_1495 (=> ?v_1496 (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0) (=> ?v_1497 (=> ?v_1498 (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.0) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..0 call32882formal.ret.0) (=> (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.0 call32882formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..0) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.11 inline.DoSubRequestCleanup.1.myNondetVar_0.10) (=> ?v_1499 (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.3 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.2) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0) (=> ?v_1500 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_1501 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.2) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2) (=> ?v_1502 (=> (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.1 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.0) (=> ?v_1503 (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.0 3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_1510 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> (= inline.GetFileContext.4.myNondetVar_0.2 inline.GetFileContext.4.myNondetVar_0.1) (=> ?v_1518 (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.0 3) (=> (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0.4) (=> ?v_1519 (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..1 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..0) (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.10 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9) (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> ?v_1520 (=> (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.2) (=> (= Mem_0_T.PWDFREQUEST__.12 Mem_0_T.PWDFREQUEST__.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_1521 (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.0 hrequest) (=> ?v_1522 (=> (= reqCompleteSet_0.8 reqCompleteSet_0.4) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0) (=> (= inline.InitializeListHead.1.myNondetVar_0.1 inline.InitializeListHead.1.myNondetVar_0.0) (=> (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 hdevice) (=> (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..0) (=> ?v_1523 (=> ?v_1524 (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..0) (=> ?v_1525 (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..3) (=> ?v_1526 (=> ?v_1527 (=> (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.0 call32397formal.new.0) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.0) (=> ?v_1528 (=> ?v_1529 (=> (= inline.GetSubRequestContext.1.myNondetVar_0.2 inline.GetSubRequestContext.1.myNondetVar_0.1) (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.1) (=> ?v_1534 (=> (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.0 call32394formal.new.0) (=> (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0.1) (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..2 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.6 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.5) (=> ?v_1539 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.1) (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..1 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..0) (=> (= inline.IsListEmpty.9.myNondetVar_0.4 inline.IsListEmpty.9.myNondetVar_0.3) (=> ?v_1543 (=> ?v_1544 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.4..Handle.1.107.0.GetFileContext.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.2) (=> ?v_1545 (=> ?v_1546 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.1) (=> ?v_1547 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..0) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_1548 (=> (= lockStatus_0.16 lockStatus_0.8) (=> (= alloc.31 alloc.29) (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.0 call32415formal.new.0) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..0 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1552 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..0 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..0) (=> ?v_1553 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.4 inline.PerformFullSpeedIsochTransfer.0.myVar_1.3) (=> ?v_1554 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..0) (=> ?v_1555 (=> (= reqCompleted_1.16 reqCompleted_1.10) (=> (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.0 call32409formal.new.0) (=> ?v_1556 (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.0 hrequest) (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1) (=> ?v_1561 (=> ?v_1562 (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1) (=> ?v_1563 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> ?v_1568 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..2 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.15 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.14) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..0 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.1) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3) (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.0) (=> (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..0) (=> ?v_1569 (=> ?v_1570 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hdevice) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.2) (=> (= errorReached.77 errorReached.58) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_1571 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.2) (=> ?v_1572 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..1 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.2) (=> (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..1 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..0) (=> (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..0) (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.6 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.5) (=> ?v_1573 (=> (= reqCompleteSet_1.8 reqCompleteSet_1.4) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_1574 (=> ?v_1575 (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.0 hrequest) (=> (= reqCancelSet_0.22 reqCancelSet_0.13) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3) (=> (= lockStatus_1.16 lockStatus_1.8) (=> ?v_1576 (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> ?v_1577 (=> ?v_1578 (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_1579 (=> (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0) (=> ?v_1580 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.2) (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> ?v_1584 (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.0 call32412formal.new.0) (=> ?v_1585 (=> ?v_1586 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> ?v_1587 (=> ?v_1588 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..3 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.49 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48) (=> ?v_1589 (=> ?v_1590 (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.1) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.1 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.0) (=> ?v_1591 (=> ?v_1592 (=> (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0.0) (=> (= Mem_1_T.PWDFREQUEST__.12 Mem_1_T.PWDFREQUEST__.6) (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= reqSent_1.8 reqSent_1.4) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..0) (=> ?v_1593 (=> (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_1594 (=> ?v_1595 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..0) (=> ?v_1596 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..1 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..0) (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1) (=> ?v_1601 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.1) (=> ?v_1602 (=> ?v_1603 (=> (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.1) (=> ?v_1607 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.2) (=> ?v_1608 (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.1 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.0) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.0) (=> ?v_1609 (=> (= reqSent_0.8 reqSent_0.4) (=> ?v_1610 (=> ?v_1611 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3) (=> ?v_1612 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..1 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..0) (=> ?v_1613 (=> ?v_1614 (=> (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.1) (=> (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..0) (=> ?v_1615 (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..0) (=> ?v_1616 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.1) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..0) (=> ?v_1622 (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.0 hrequest) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_1628 (=> ?v_1629 (=> (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..0) (=> ?v_1630 (=> ?v_1631 (=> (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.0) (=> ?v_1632 (=> (= reqCancelSet_1.22 reqCancelSet_1.13) (=> ?v_1633 (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.0 myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4) (=> ?v_1634 (=> ?v_1635 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1) (=> (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..0 call32870formal.new.0) (=> ?v_1636 (=> (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.0 call32388formal.new.0) (=> ?v_1637 (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..0) (=> ?v_1638 (=> ?v_1639 (=> ?v_1640 (=> ?v_1641 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.1) (=> (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1) (=> (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..1) (=> (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0.1) (=> ?v_1642 (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.0) (=> ?v_1643 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..2 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..1) (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..3 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..2) (=> ?v_1647 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_1648 (=> ?v_1649 (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.1) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2) (=> ?v_1650 (=> ?v_1651 (=> (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.0 call32403formal.new.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.0) (=> ?v_1652 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..0) (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..1 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..0) (=> ?v_1653 (=> ?v_1654 (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.3 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.2) (=> ?v_1655 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.28 inline.PerformFullSpeedIsochTransfer.0.myVar_0.27) (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hdevice) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1) (=> ?v_1660 (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.0 hdevice) (=> (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.0) (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.0 call32400formal.new.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1) (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_1668 (=> ?v_1669 ?v_1670)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1684 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..0)) (?v_1672 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_1721 (= errorReached.58 errorReached.53)) (?v_1722 (= reqCompleted_1.10 reqCompleted_1)) (?v_1685 (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0.3)) (?v_1723 (= reqCancelSet_1.13 reqCancelSet_1.8)) (?v_1686 (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0.1)) (?v_1687 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..2 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..1)) (?v_1673 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_1688 (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.0)) (?v_1689 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0)) (?v_1724 (= reqCompleted_0.10 reqCompleted_0)) (?v_1690 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0)) (?v_1725 (= reqCancelSet_0.13 reqCancelSet_0.8)) (?v_1691 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.1)) (?v_1692 (= lockStatus_1.8 lockStatus_1.7)) (?v_1693 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..1 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..0)) (?v_1694 (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.2 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.1)) (?v_1695 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.1)) (?v_1696 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0)) (?v_1697 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.0)) (?v_1698 (= lockStatus_0.8 lockStatus_0.7)) (?v_1699 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_1700 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0)) (?v_1701 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0)) (?v_1702 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0)) (?v_1703 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0)) (?v_1704 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0)) (?v_1705 (= inline.DoSubRequestCleanup.1.myNondetVar_0.10 inline.DoSubRequestCleanup.1.myNondetVar_0.9)) (?v_1706 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1)) (?v_1707 (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..1 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..0)) (?v_1708 (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0.1)) (?v_1709 (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..2)) (?v_1710 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation))) (let ((?v_1711 (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..1 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.IsListEmpty.9.myNondetVar_0.3 inline.IsListEmpty.9.myNondetVar_0.2) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1) (=> true (=> true (=> true ?v_1674))))))))) (let ((?v_1726 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_1710 ?v_1711)))))))))))))) (let ((?v_1720 (=> true (=> ?v_1684 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> (= errorReached.58 errorReached.57) (=> (= reqCompleted_1.10 reqCompleted_1.9) (=> ?v_1685 (=> (= reqCancelSet_1.13 reqCancelSet_1.12) (=> ?v_1686 (=> ?v_1687 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_1688 (=> ?v_1689 (=> (= reqCompleted_0.10 reqCompleted_0.9) (=> ?v_1690 (=> (= reqCancelSet_0.13 reqCancelSet_0.12) (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.47) ?v_1726)))))))))))))))))))))))))) (let ((?v_1712 (=> true (=> (= reqCancelSet_0.12 reqCancelSet_0.11) (=> (= errorReached.57 errorReached.56) (=> (= reqCompleted_1.9 reqCompleted_1.8) (=> (= reqCompleted_0.9 reqCompleted_0.8) (=> (= reqCancelSet_1.12 reqCancelSet_1.11) ?v_1720)))))))) (let ((?v_1715 (=> true ?v_1712)) (?v_1713 (= reqCancelSet_0.11 reqCancelSet_0.8)) (?v_1714 (= reqCancelSet_1.11 reqCancelSet_1.8))) (let ((?v_1716 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.11 0) (=> ?v_1714 ?v_1712))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_1713 (=> (= reqCancelSet_1.11 0) ?v_1715))))) (=> true (=> ?v_41 (=> true (=> ?v_1713 (=> ?v_1714 ?v_1715)))))))))) (?v_1717 (= reqCompleted_1.8 reqCompleted_1))) (let ((?v_1718 (=> (= reqCompleted_0.8 reqCompleted_0) (=> true (=> true ?v_1716))))) (let ((?v_1719 (and (=> true (=> ?v_0 (=> true (=> ?v_1717 (=> (= reqCompleted_0.8 1) ?v_1716))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleted_1.8 1) ?v_1718)))) (=> true (=> ?v_41 (=> true (=> ?v_1717 ?v_1718))))))))) (?v_1683 (=> true (=> ?v_1684 (=> ?v_1672 (=> (= errorReached.58 errorReached.55) (=> (= reqCompleted_1.10 reqCompleted_1.7) (=> ?v_1685 (=> (= reqCancelSet_1.13 reqCancelSet_1.10) (=> ?v_1686 (=> ?v_1687 (=> ?v_1673 (=> ?v_1688 (=> ?v_1689 (=> (= reqCompleted_0.10 reqCompleted_0.7) (=> ?v_1690 (=> (= reqCancelSet_0.13 reqCancelSet_0.10) (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.45) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) ?v_1711)))))))))))))))))))))))))))))))))))))) (let ((?v_1675 (=> true (=> (= reqCancelSet_0.10 reqCancelSet_0.9) (=> (= errorReached.55 errorReached.54) (=> (= reqCompleted_1.7 reqCompleted_1.6) (=> (= reqCompleted_0.7 reqCompleted_0.6) (=> (= reqCancelSet_1.10 reqCancelSet_1.9) ?v_1683)))))))) (let ((?v_1678 (=> true ?v_1675)) (?v_1676 (= reqCancelSet_0.9 reqCancelSet_0.8)) (?v_1677 (= reqCancelSet_1.9 reqCancelSet_1.8))) (let ((?v_1679 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.9 0) (=> ?v_1677 ?v_1675))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_1676 (=> (= reqCancelSet_1.9 0) ?v_1678))))) (=> true (=> ?v_41 (=> true (=> ?v_1676 (=> ?v_1677 ?v_1678)))))))))) (?v_1680 (= reqCompleted_1.6 reqCompleted_1))) (let ((?v_1681 (=> (= reqCompleted_0.6 reqCompleted_0) (=> true (=> true ?v_1679))))) (let ((?v_1682 (and (=> true (=> ?v_0 (=> true (=> ?v_1680 (=> (= reqCompleted_0.6 1) ?v_1679))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleted_1.6 1) ?v_1681)))) (=> true (=> ?v_41 (=> true (=> ?v_1680 ?v_1681)))))))))) (let ((?v_1744 (and (=> true (=> (not (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.42 0)) (and (=> true (=> (< 0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.44) (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.54 1) ?v_1682))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.54 errorReached.53) (=> true ?v_1682))))))))) (=> true (=> ?v_56 (=> true (=> (= reqCancelSet_0.10 reqCancelSet_0.8) (=> (= errorReached.55 errorReached.53) (=> (= reqCompleted_1.7 reqCompleted_1) (=> (= reqCompleted_0.7 reqCompleted_0) (=> (= reqCancelSet_1.10 reqCancelSet_1.8) (=> true (=> true (=> true ?v_1683)))))))))))))) (=> true (=> (not (< 0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.46)) (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.56 1) ?v_1719))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.56 errorReached.53) (=> true ?v_1719))))))))) (=> true (=> ?v_56 (=> true (=> (= reqCancelSet_0.12 reqCancelSet_0.8) (=> (= errorReached.57 errorReached.53) (=> (= reqCompleted_1.9 reqCompleted_1) (=> (= reqCompleted_0.9 reqCompleted_0) (=> (= reqCancelSet_1.12 reqCancelSet_1.8) (=> true (=> true (=> true ?v_1720))))))))))))))))) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.43 0) (=> true (=> ?v_1684 (=> ?v_1672 (=> ?v_1721 (=> ?v_1722 (=> ?v_1685 (=> ?v_1723 (=> ?v_1686 (=> ?v_1687 (=> ?v_1673 (=> ?v_1688 (=> ?v_1689 (=> ?v_1724 (=> ?v_1690 (=> ?v_1725 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.43) ?v_1726))))))))))))))))))))))))))))) (let ((?v_1728 (=> true (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.9 inline.DoSubRequestCleanup.1.myNondetVar_0.8) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 call32409formal.new.0) (=> (= inline.IsListEmpty.9.myNondetVar_0.2 inline.IsListEmpty.9.myNondetVar_0.1) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0.2) (=> (= lockStatus_1.7 lockStatus_1.6) (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..0 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..0 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..1 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..0) (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.DoSubRequestCleanup.1.myNondetVar_0.8) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.DoSubRequestCleanup.1.myNondetVar_0.8) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 call32409formal.new.0) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 call32409formal.new.0) (=> (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0.0) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..0 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.DoSubRequestCleanup.1.myNondetVar_0.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.41 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.40) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.DoSubRequestCleanup.1.myNondetVar_0.0) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..1) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 call32409formal.new.0) (=> (= lockStatus_0.7 lockStatus_0.6) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.1 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0) ?v_1744))))))))))))))))))))))))))) (?v_1727 (< 0 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0))) (let ((?v_1733 (and (=> true (=> ?v_1727 ?v_1728)) (=> true (=> (not ?v_1727) (=> true (=> true (=> true ?v_1728))))))) (?v_1732 (= inline.DoSubRequestCleanup.1.myNondetVar_0.8 hlock))) (let ((?v_1729 (=> true (=> (= lockStatus_1.6 lockStatus_1.5) (=> (= lockStatus_0.6 lockStatus_0.5) ?v_1733)))) (?v_1730 (= lockStatus_1.5 lockStatus_1.4))) (let ((?v_1731 (=> (= lockStatus_0.5 lockStatus_0.4) (=> true ?v_1729)))) (let ((?v_1735 (and (=> true (=> ?v_1732 (and (=> true (=> ?v_0 (=> true (=> ?v_1730 (=> (= lockStatus_0.5 0) ?v_1729))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.5 0) ?v_1731)))) (=> true (=> ?v_41 (=> true (=> ?v_1730 ?v_1731)))))))))) (=> true (=> (not ?v_1732) (=> true (=> (= lockStatus_1.6 lockStatus_1.4) (=> (= lockStatus_0.6 lockStatus_0.4) (=> true (=> true (=> true (=> true ?v_1733)))))))))))) (let ((?v_1737 (=> true (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..0 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.0 call32409formal.new.0) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.9.myNondetVar_0.1 inline.IsListEmpty.9.myNondetVar_0.0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0.1) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.6 inline.DoSubRequestCleanup.1.myNondetVar_0.5) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.0 call32409formal.new.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1735))))))))))))))))))))) (?v_1736 (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1738 (=> true (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.9.myNondetVar_0.0 call32409formal.new.0))) (and (=> true (=> (not ?v_1736) ?v_1737)) (=> true (=> ?v_1736 (=> true (=> ?v_39 ?v_1737)))))))) (?v_1734 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1743 (=> true (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.8.myNondetVar_0.0 call32409formal.new.0))) (and (=> true (=> (not ?v_1734) (=> true (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..0 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.9.myNondetVar_0.1 inline.IsListEmpty.9.myNondetVar_0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.6 inline.DoSubRequestCleanup.1.myNondetVar_0.0) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1) ?v_1735)))))))))) (=> true (=> ?v_1734 (and (=> true (=> (not (= inline.DoSubRequestCleanup.1.myNondetVar_0.3 0)) (=> true (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.5 inline.DoSubRequestCleanup.1.myNondetVar_0.4) ?v_1738)))) (=> true (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.2 0) (=> true (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.5 inline.DoSubRequestCleanup.1.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1738)))))))))))))))))))) (?v_1742 (= inline.DoSubRequestCleanup.1.myNondetVar_0.0 hlock))) (let ((?v_1739 (=> true (=> (= lockStatus_1.4 lockStatus_1.3) (=> (= lockStatus_0.4 lockStatus_0.3) ?v_1743)))) (?v_1740 (= lockStatus_1.3 lockStatus_1.2))) (let ((?v_1741 (=> (= lockStatus_0.3 lockStatus_0.2) (=> true ?v_1739)))) (let ((?v_1746 (and (=> true (=> (not (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.40 0)) (and (=> true (=> ?v_1742 (=> true (=> (=> ?v_0 (= lockStatus_0.2 0)) (=> (=> ?v_1 (= lockStatus_1.2 0)) (and (=> true (=> ?v_0 (=> true (=> ?v_1740 (=> (= lockStatus_0.3 1) ?v_1739))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.3 1) ?v_1741)))) (=> true (=> ?v_41 (=> true (=> ?v_1740 ?v_1741))))))))))))) (=> true (=> (not ?v_1742) (=> true (=> (= lockStatus_1.4 lockStatus_1.2) (=> (= lockStatus_0.4 lockStatus_0.2) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1743)))))))))))))) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.39 0) (=> true (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.9 inline.DoSubRequestCleanup.1.myNondetVar_0) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1) (=> (= inline.IsListEmpty.9.myNondetVar_0.2 inline.IsListEmpty.9.myNondetVar_0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0) (=> (= lockStatus_1.7 lockStatus_1.2) (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..0 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1.) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..0 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1.) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..1 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.) (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..0 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5.) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.41 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.39) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup) (=> (= lockStatus_0.7 lockStatus_0.2) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.1 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0) (=> true ?v_1744))))))))))))))))))))))))))))))) (?v_1745 (<= 0 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2)) (?v_1671 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1879 (and (=> true (=> ?v_1745 (=> true (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.7.myNondetVar_0.0 call32409formal.new.0))) (and (=> true (=> (not ?v_1671) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> ?v_1672 (=> ?v_1721 (=> ?v_1722 (=> (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0) (=> ?v_1723 (=> (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..2 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.) (=> ?v_1673 (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1) (=> ?v_1724 (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 call32409formal.new.0) (=> ?v_1725 (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty) (=> (= lockStatus_1.8 lockStatus_1.2) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..1 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1.) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.2 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup) (=> (= lockStatus_0.8 lockStatus_0.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38) (=> ?v_1699 (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 call32409formal.new.0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.10 inline.DoSubRequestCleanup.1.myNondetVar_0) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.) (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..1 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1.) (=> (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0.0) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.) (=> ?v_1710 (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..1 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5.) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.IsListEmpty.9.myNondetVar_0.3 inline.IsListEmpty.9.myNondetVar_0) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) ?v_1674)))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1671 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..0 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0.0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 call32409formal.new.0) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 call32409formal.new.0) ?v_1746))))))))))))) (=> true (=> (not ?v_1745) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..0 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28.) (=> (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1) (=> true (=> true (=> true ?v_1746)))))))))))))) (let ((?v_1950 (=> true ?v_1879)) (?v_2131 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11.)) (?v_2104 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.0 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1)) (?v_2039 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus)) (?v_1969 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2040 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached)) (?v_2041 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException)) (?v_2132 (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2.)) (?v_2181 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2023 (= reqCompleteSet_1.4 reqCompleteSet_1)) (?v_1970 (= reqCancelSet_0.8 reqCancelSet_0)) (?v_1759 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_2042 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1)) (?v_2043 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached)) (?v_2044 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..2 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17.)) (?v_2045 (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer)) (?v_2105 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 inline.PerformFullSpeedIsochTransfer.0.myVar_0)) (?v_2046 (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_2159 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_2047 (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..0 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19.)) (?v_2106 (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..0 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1.)) (?v_2133 (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..0 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2.)) (?v_2134 (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2048 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet)) (?v_2024 (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.0 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_2025 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_2088 (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..0 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2.)) (?v_2182 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.0 inline.GetFileContext.4..Handle.1.107.0.GetFileContext)) (?v_2026 (= reqCompleteSet_0.4 reqCompleteSet_0)) (?v_2049 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k)) (?v_2135 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer)) (?v_1971 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..0 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21.)) (?v_2107 (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1884 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_2136 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.0 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_1885 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_2183 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7.)) (?v_2027 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_2051 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet)) (?v_1787 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_2052 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5)) (?v_1790 (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2184 (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..0 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_1935 (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_1936 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22.)) (?v_2137 (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_1972 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_2108 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14.)) (?v_2053 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted)) (?v_1937 (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2.)) (?v_2185 (= inline.GetFileContext.4.myNondetVar_0.1 inline.GetFileContext.4.myNondetVar_0)) (?v_2054 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus)) (?v_1973 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2055 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc)) (?v_2056 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc)) (?v_2160 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3.)) (?v_2139 (= Mem_1_T.PWDFREQUEST__.6 Mem_1_T.PWDFREQUEST__.1)) (?v_2057 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4)) (?v_1891 (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0)) (?v_2186 (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer)) (?v_2058 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException)) (?v_2028 (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..0 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2.)) (?v_1892 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_2090 (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer)) (?v_2161 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_2059 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted)) (?v_2187 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_2162 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0)) (?v_2109 (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_1974 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_2060 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted)) (?v_2061 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent)) (?v_2110 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2029 (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..2 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_2062 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..2 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18.)) (?v_1820 (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2.)) (?v_2188 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_2163 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8.)) (?v_1823 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25.)) (?v_2063 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2)) (?v_1940 (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer)) (?v_2064 (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer)) (?v_2189 (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.0 0)) (?v_2164 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_2140 (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_2091 (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..0 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15.)) (?v_2111 (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2.)) (?v_1894 (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0)) (?v_2065 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet)) (?v_2066 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.0 myNondetVar_0.0)) (?v_1941 (= reqSent_1.4 reqSent_1)) (?v_2165 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3.)) (?v_1975 (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0)) (?v_2166 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9.)) (?v_2112 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.0 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext)) (?v_2167 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0)) (?v_1942 (= reqSent_0.4 reqSent_0)) (?v_2190 (= errorReached.53 errorReached.37)) (?v_2168 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_1943 (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1.)) (?v_2031 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20.)) (?v_1976 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_2113 (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1 0)) (?v_1899 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..0 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27.)) (?v_2114 (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_2092 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1.)) (?v_2141 (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2169 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2067 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k)) (?v_2115 (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..0 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13.)) (?v_2068 (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.3 inline.PerformFullSpeedIsochTransfer.0.myVar_1)) (?v_2191 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1851 (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2069 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet)) (?v_2116 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1977 (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0)) (?v_2142 (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..0 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2.)) (?v_2170 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_1945 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_2070 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted)) (?v_2117 (= inline.GetSubRequestContext.1.myNondetVar_0.1 inline.GetSubRequestContext.1.myNondetVar_0)) (?v_2143 (= Mem_0_T.PWDFREQUEST__.6 Mem_0_T.PWDFREQUEST__.1)) (?v_2093 (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.0 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl)) (?v_2144 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.0 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_2118 (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2.)) (?v_2032 (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.2 inline.sdv_WdfCollectionAdd.1.myNondetVar_0)) (?v_2119 (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1978 (= reqCancelSet_1.8 reqCancelSet_1)) (?v_2120 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2121 (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.14 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0)) (?v_1869 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_1947 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend)) (?v_2171 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2122 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3)) (?v_1875 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3.)) (?v_1948 (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..0 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_1949 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23.))) (let ((?v_2033 (=> ?v_1949 ?v_1950))) (let ((?v_2124 (=> ?v_1948 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent) ?v_2033)))) (let ((?v_2145 (=> ?v_1875 (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..0 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1.) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10.) ?v_2124))))) (let ((?v_2172 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) ?v_2145))) (let ((?v_2192 (=> ?v_2093 (=> ?v_2144 (=> ?v_2118 (=> ?v_2032 (=> ?v_2119 (=> ?v_1978 (=> ?v_2120 (=> ?v_2121 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> ?v_1869 (=> ?v_1947 (=> ?v_2171 (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.0 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1) (=> ?v_2122 (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer) ?v_2172)))))))))))))))) (?v_2180 (<= 0 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1764 (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.0 call33027formal.ret.0)) (?v_1771 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..0 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1778 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..0 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1789 (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1805 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..0 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1813 (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..0 call33027formal.ret.0)) (?v_1829 (= lockStatus_1.2 lockStatus_1.1)) (?v_1859 (= lockStatus_0.2 lockStatus_0.1)) (?v_2158 (<= 0 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1756 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4hfileobj)) (?v_1776 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.0 notused_4hfileobj)) (?v_1784 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..0 notused_4hfileobj)) (?v_1791 (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..0 notused_4hfileobj)) (?v_1796 (= inline.GetFileContext.4.myNondetVar_0.1 inline.GetFileContext.4.myNondetVar_0.0)) (?v_2138 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.4)) (?v_1803 (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2)) (?v_1810 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 hrequest)) (?v_1821 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 hrequest)) (?v_1826 (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.1)) (?v_1850 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4hfileobj)) (?v_1868 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1871 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.0 notused_4hfileobj)) (?v_2123 (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1)) (?v_2130 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_2103 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_1749 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..0 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1755 (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..0 call33795formal.ret.0)) (?v_1766 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_1769 (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..0 call33680formal.ret.0)) (?v_1770 (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.0 call33795formal.ret.0)) (?v_2050 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0 call33680formal.ret.0)) (?v_1783 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.0 call32406formal.new.0)) (?v_1792 (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 call33680formal.ret.0)) (?v_2089 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.7)) (?v_1801 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..0)) (?v_1939 (= Mem_1_T.PWDFREQUEST__.6 Mem_1_T.PWDFREQUEST__.3)) (?v_1808 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_1811 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.3)) (?v_1822 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..0)) (?v_1827 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_1828 (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 call33680formal.ret.0)) (?v_1834 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..0)) (?v_1836 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..0)) (?v_1838 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.3)) (?v_1839 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_1845 (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1846 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1855 (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..0 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1856 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1946 (= Mem_0_T.PWDFREQUEST__.6 Mem_0_T.PWDFREQUEST__.3)) (?v_1861 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.0 call32406formal.new.0)) (?v_1870 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1874 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1876 (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..0 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1877 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..0 call33680formal.ret.0))) (let ((?v_2094 (=> ?v_2121 (=> ?v_1868 (=> ?v_1869 (=> ?v_1947 (=> ?v_1870 (=> ?v_1871 (=> ?v_2122 (=> ?v_2123 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 ?v_2124))))))))))))) (?v_2087 (<= 0 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1750 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.2)) (?v_1768 (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1782 (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.0 call34097formal.ret.0)) (?v_1794 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..0 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1812 (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1817 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1831 (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1837 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.2)) (?v_2030 (= errorReached.53 errorReached.45)) (?v_1944 (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1843 (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1848 (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1853 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.2)) (?v_1858 (= inline.GetSubRequestContext.1.myNondetVar_0.1 inline.GetSubRequestContext.1.myNondetVar_0.0)) (?v_1862 (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..0 call34097formal.ret.0)) (?v_1864 (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1866 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.2))) (let ((?v_2071 (=> ?v_1861 (=> ?v_1862 (=> ?v_2032 (=> ?v_1864 (=> ?v_1978 (=> ?v_1866 ?v_2094)))))))) (let ((?v_2072 (=> true (=> ?v_1749 (=> ?v_1750 (=> ?v_2039 (=> ?v_1969 (=> ?v_2040 (=> ?v_2041 (=> ?v_1755 (=> ?v_1756 (=> ?v_2023 (=> ?v_1970 (=> ?v_1759 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_1764 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 inline.PerformFullSpeedIsochTransfer.0.myVar_0.5) (=> ?v_2046 (=> ?v_1766 (=> ?v_2047 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_2048 (=> ?v_2024 (=> ?v_2025 (=> ?v_2088 (=> ?v_1776 (=> ?v_2026 (=> ?v_1778 (=> ?v_2049 (=> ?v_2050 (=> ?v_1971 (=> ?v_1782 (=> ?v_1884 (=> ?v_1783 (=> ?v_1885 (=> ?v_1784 (=> ?v_2027 (=> ?v_2051 (=> ?v_1787 (=> ?v_2052 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1935 (=> ?v_1936 (=> ?v_1792 (=> ?v_1972 (=> ?v_1794 (=> ?v_2053 (=> ?v_1937 (=> ?v_1796 (=> ?v_2054 (=> ?v_1973 (=> ?v_2089 (=> ?v_2055 (=> ?v_2056 (=> ?v_1801 (=> ?v_1939 (=> ?v_2057 (=> ?v_1891 (=> ?v_1803 (=> ?v_2058 (=> ?v_1805 (=> ?v_2028 (=> ?v_1892 (=> ?v_2090 (=> ?v_1808 (=> ?v_2059 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1974 (=> ?v_2060 (=> ?v_2061 (=> ?v_1817 (=> ?v_2029 (=> ?v_2062 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_2063 (=> ?v_1940 (=> ?v_2064 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_2091 (=> ?v_1831 (=> ?v_1894 (=> ?v_2065 (=> ?v_2066 (=> ?v_1941 (=> ?v_1834 (=> ?v_1975 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1942 (=> ?v_2030 (=> ?v_1839 (=> ?v_1943 (=> ?v_2031 (=> ?v_1976 (=> ?v_1944 (=> ?v_1899 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1843 (=> ?v_2092 (=> ?v_1845 (=> ?v_1846 (=> ?v_2067 (=> ?v_1848 (=> ?v_2068 (=> ?v_1850 (=> ?v_1851 (=> ?v_2069 (=> ?v_1853 (=> ?v_1977 (=> ?v_1855 (=> ?v_1856 (=> ?v_1945 (=> ?v_2070 (=> ?v_1858 (=> ?v_1946 (=> ?v_1859 (=> ?v_2093 ?v_2071))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2073 (=> true (=> true (=> true (=> true (=> true (=> true ?v_2072))))))) (?v_1417 (int_2_U call32406formal.new.0))) (let ((?v_1955 (U_2_int (MapType0Select Mem_1_T.PWDFREQUEST__.3 ?v_1417))) (?v_1440 (U_2_int (MapType0Select Mem_0_T.PWDFREQUEST__.3 ?v_1417))) (?v_2038 (<= 0 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1775 (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..0 call34224formal.ret.0)) (?v_1807 (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.0 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0)) (?v_1830 (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..0 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0)) (?v_1844 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0)) (?v_1860 (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.0 call34224formal.ret.0))) (let ((?v_2034 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.1 ?v_478) (=> true (=> ?v_1749 (=> ?v_1750 (=> ?v_2039 (=> ?v_1969 (=> ?v_2040 (=> ?v_2041 (=> ?v_1755 (=> ?v_1756 (=> ?v_2023 (=> ?v_1970 (=> ?v_1759 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_1764 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 inline.PerformFullSpeedIsochTransfer.0.myVar_0.8) (=> ?v_2046 (=> ?v_1766 (=> ?v_2047 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_2048 (=> ?v_2024 (=> ?v_2025 (=> ?v_1775 (=> ?v_1776 (=> ?v_2026 (=> ?v_1778 (=> ?v_2049 (=> ?v_2050 (=> ?v_1971 (=> ?v_1782 (=> ?v_1884 (=> ?v_1783 (=> ?v_1885 (=> ?v_1784 (=> ?v_2027 (=> ?v_2051 (=> ?v_1787 (=> ?v_2052 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1935 (=> ?v_1936 (=> ?v_1792 (=> ?v_1972 (=> ?v_1794 (=> ?v_2053 (=> ?v_1937 (=> ?v_1796 (=> ?v_2054 (=> ?v_1973 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.8) (=> ?v_2055 (=> ?v_2056 (=> ?v_1801 (=> ?v_1939 (=> ?v_2057 (=> ?v_1891 (=> ?v_1803 (=> ?v_2058 (=> ?v_1805 (=> ?v_2028 (=> ?v_1892 (=> ?v_1807 (=> ?v_1808 (=> ?v_2059 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1974 (=> ?v_2060 (=> ?v_2061 (=> ?v_1817 (=> ?v_2029 (=> ?v_2062 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_2063 (=> ?v_1940 (=> ?v_2064 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1894 (=> ?v_2065 (=> ?v_2066 (=> ?v_1941 (=> ?v_1834 (=> ?v_1975 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1942 (=> ?v_2030 (=> ?v_1839 (=> ?v_1943 (=> ?v_2031 (=> ?v_1976 (=> ?v_1944 (=> ?v_1899 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.1) (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_2067 (=> ?v_1848 (=> ?v_2068 (=> ?v_1850 (=> ?v_1851 (=> ?v_2069 (=> ?v_1853 (=> ?v_1977 (=> ?v_1855 (=> ?v_1856 (=> ?v_1945 (=> ?v_2070 (=> ?v_1858 (=> ?v_1946 (=> ?v_1859 (=> ?v_1860 ?v_2071))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2035 (=> true (=> true (=> true (=> true (=> true (=> true ?v_2034))))))) (?v_1423 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0 0)) (?v_1751 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.1)) (?v_1753 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.0)) (?v_1754 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.0)) (?v_1761 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.0)) (?v_1762 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..2 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..1)) (?v_1763 (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.3)) (?v_1765 (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2.)) (?v_1767 (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..0 inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2.)) (?v_1772 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.1)) (?v_1779 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.0)) (?v_1780 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.0)) (?v_1786 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.1)) (?v_1788 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.0)) (?v_1795 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.1)) (?v_1797 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.1)) (?v_1938 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.34)) (?v_1799 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0)) (?v_1800 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0)) (?v_1802 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.0)) (?v_1804 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.0)) (?v_1809 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.1)) (?v_1815 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.1)) (?v_1816 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.1)) (?v_1819 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..2 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..1)) (?v_1824 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.0)) (?v_1825 (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.3)) (?v_1832 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.1)) (?v_1833 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1)) (?v_1847 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.0)) (?v_1849 (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.3 inline.PerformFullSpeedIsochTransfer.0.myVar_1.2)) (?v_1852 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.1)) (?v_1857 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.1)) (?v_1867 (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.14 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.10)) (?v_1872 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.0)) (?v_1878 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.1))) (let ((?v_1979 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1948 (=> ?v_1878 ?v_2033)))))))) (let ((?v_1980 (=> true (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1969 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_2023 (=> ?v_1970 (=> ?v_1759 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.1) (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 inline.PerformFullSpeedIsochTransfer.0.myVar_0.20) (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_2024 (=> ?v_2025 (=> ?v_1775 (=> ?v_1776 (=> ?v_2026 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1971 (=> ?v_1782 (=> ?v_1884 (=> ?v_1783 (=> ?v_1885 (=> ?v_1784 (=> ?v_2027 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1935 (=> ?v_1936 (=> ?v_1792 (=> ?v_1972 (=> ?v_1794 (=> ?v_1795 (=> ?v_1937 (=> ?v_1796 (=> ?v_1797 (=> ?v_1973 (=> ?v_1938 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1939 (=> ?v_1802 (=> ?v_1891 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_2028 (=> ?v_1892 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1974 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_2029 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1940 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1894 (=> ?v_1832 (=> ?v_1833 (=> ?v_1941 (=> ?v_1834 (=> ?v_1975 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1942 (=> ?v_2030 (=> ?v_1839 (=> ?v_1943 (=> ?v_2031 (=> ?v_1976 (=> ?v_1944 (=> ?v_1899 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2.) (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1977 (=> ?v_1855 (=> ?v_1856 (=> ?v_1945 (=> ?v_1857 (=> ?v_1858 (=> ?v_1946 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_2032 (=> ?v_1864 (=> ?v_1978 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1947 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.5) ?v_1979))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1981 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1980))))))))))))) (?v_1968 (<= 0 inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2.)) (?v_1757 (= reqCompleteSet_1.4 reqCompleteSet_1.3)) (?v_1760 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.2)) (?v_1773 (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.0 call35237formal.ret.0)) (?v_1774 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.11)) (?v_1777 (= reqCompleteSet_0.4 reqCompleteSet_0.3)) (?v_1785 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.11)) (?v_1806 (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..0 call35237formal.ret.0)) (?v_1818 (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..2 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_1840 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..0 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_1842 (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_1863 (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.2 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.1)) (?v_1873 (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.7))) (let ((?v_1951 (=> true (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1969 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1970 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 inline.PerformFullSpeedIsochTransfer.0.myVar_0.17) (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1971 (=> ?v_1782 (=> ?v_1884 (=> ?v_1783 (=> ?v_1885 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1935 (=> ?v_1936 (=> ?v_1792 (=> ?v_1972 (=> ?v_1794 (=> ?v_1795 (=> ?v_1937 (=> ?v_1796 (=> ?v_1797 (=> ?v_1973 (=> ?v_1938 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1939 (=> ?v_1802 (=> ?v_1891 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1892 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1974 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1940 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1894 (=> ?v_1832 (=> ?v_1833 (=> ?v_1941 (=> ?v_1834 (=> ?v_1975 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1942 (=> (= errorReached.53 errorReached.47) (=> ?v_1839 (=> ?v_1943 (=> ?v_1840 (=> ?v_1976 (=> ?v_1944 (=> ?v_1899 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1977 (=> ?v_1855 (=> ?v_1856 (=> ?v_1945 (=> ?v_1857 (=> ?v_1858 (=> ?v_1946 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1978 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1947 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 ?v_1979))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1952 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1951))))))))))))) (?v_1934 (<= 0 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_1752 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest)) (?v_1758 (= reqCancelSet_0.8 reqCancelSet_0.7)) (?v_1781 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..0 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0)) (?v_1886 (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.0 call35626formal.ret.0)) (?v_1887 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..0 notused_4wdfobject1)) (?v_1793 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 call32409formal.new.0)) (?v_1888 (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..0 call35626formal.ret.0)) (?v_1798 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest)) (?v_1889 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.37)) (?v_1890 (= Mem_1_T.PWDFREQUEST__.6 Mem_1_T.PWDFREQUEST__.5)) (?v_1814 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0)) (?v_1893 (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.37)) (?v_1895 (= reqSent_1.4 reqSent_1.3)) (?v_1835 (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0.0)) (?v_1896 (= reqSent_0.4 reqSent_0.3)) (?v_1897 (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..0 call35626formal.ret.0)) (?v_1841 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 call32409formal.new.0)) (?v_1898 (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.0)) (?v_1854 (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0.0)) (?v_1900 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.23)) (?v_1901 (= Mem_0_T.PWDFREQUEST__.6 Mem_0_T.PWDFREQUEST__.5)) (?v_1865 (= reqCancelSet_1.8 reqCancelSet_1.7)) (?v_1902 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.23)) (?v_1903 (=> ?v_1876 (=> ?v_1877 (=> (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..0 notused_4wdfobject1) (=> ?v_1878 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..0 call35626formal.ret.0) ?v_1950))))))) (let ((?v_1905 (=> true (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.26) (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 inline.PerformFullSpeedIsochTransfer.0.myVar_0.26) (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1884 (=> ?v_1783 (=> ?v_1885 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1788 (=> ?v_1789 (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1791 (=> ?v_1886 (=> ?v_1887 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1888 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1889 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1890 (=> ?v_1802 (=> ?v_1891 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1892 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..0 call35818formal.ret.0) (=> ?v_1821 (=> ?v_1822 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..0 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1824 (=> ?v_1893 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1894 (=> ?v_1832 (=> ?v_1833 (=> ?v_1895 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1896 (=> (= errorReached.53 errorReached.52) (=> ?v_1839 (=> ?v_1897 (=> ?v_1840 (=> ?v_1841 (=> ?v_1898 (=> ?v_1899 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.0 call35818formal.ret.0) (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1900 (=> ?v_1857 (=> ?v_1858 (=> ?v_1901 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.26) (=> ?v_1902 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) ?v_1903)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1904 (= call35818formal.ret.0 0))) (let ((?v_1907 (=> true (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_1905))) (?v_1906 (= call35818formal.ret.0 1))) (let ((?v_1908 (and (=> true (=> (not ?v_1904) (=> (not ?v_1906) ?v_1907))) (=> true (=> ?v_1904 (=> true (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1905)))))))))))))) (=> true (=> ?v_1906 (=> true ?v_1907)))))) (let ((?v_1910 (=> true (=> (= errorReached.52 errorReached.51) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1908)))))))))) (?v_1909 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.26 hrequest))) (let ((?v_1911 (and (=> true (=> ?v_1909 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.52 1) ?v_1908))))) (=> true (=> ?v_290 (=> ?v_291 ?v_1910)))))) (=> true (=> (not ?v_1909) ?v_1910))))) (let ((?v_1912 (=> true (=> true (=> true (=> true ?v_1911))))) (?v_1921 (U_2_int (MapType0Select Mem_1_T.PWDFREQUEST__.5 ?v_1417))) (?v_1883 (U_2_int (MapType0Select Mem_0_T.PWDFREQUEST__.5 ?v_1417))) (?v_1882 (= call35626formal.ret.0 0)) (?v_1881 (=> true (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 inline.PerformFullSpeedIsochTransfer.0.myVar_0.23) (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> ?v_1783 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 call32409formal.new.0) (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1886 (=> ?v_1887 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1888 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1889 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1890 (=> ?v_1802 (=> (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0.0) (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 call32409formal.new.0) (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1893 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0.1) (=> ?v_1832 (=> ?v_1833 (=> ?v_1895 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1896 (=> (= errorReached.53 errorReached.51) (=> ?v_1839 (=> ?v_1897 (=> ?v_1840 (=> ?v_1841 (=> ?v_1898 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..0 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1900 (=> ?v_1857 (=> ?v_1858 (=> ?v_1901 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1902 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 ?v_1903)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1880 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1748 (not ?v_1882))) (let ((?v_1917 (and (=> true (=> ?v_1748 (=> true (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.6.myNondetVar_0.0 call32409formal.new.0))) (and (=> true (=> (not ?v_1880) ?v_1881)) (=> true (=> ?v_1880 (=> true (=> ?v_39 ?v_1881))))))))) (=> true (=> ?v_1882 (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.25 ?v_1883) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.26 inline.PerformFullSpeedIsochTransfer.0.myVar_0.25) ?v_1911))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.24 ?v_1921) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.26 inline.PerformFullSpeedIsochTransfer.0.myVar_0.24) ?v_1912))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.26 inline.PerformFullSpeedIsochTransfer.0.myVar_0.23) ?v_1912))))))))))))) (let ((?v_1920 (=> (= reqSent_1.3 reqSent_1) (=> (= reqSent_0.3 reqSent_0) (=> true (=> true (=> true (=> true (=> true ?v_1917)))))))) (?v_1919 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 hrequest)) (?v_1916 (= errorReached.51 errorReached.50))) (let ((?v_1913 (=> true (=> ?v_1916 (=> (= reqSent_1.3 reqSent_1.2) (=> (= reqSent_0.3 reqSent_0.2) ?v_1917))))) (?v_1914 (= reqSent_1.2 reqSent_1))) (let ((?v_1915 (=> (= reqSent_0.2 reqSent_0) (=> true ?v_1913)))) (let ((?v_1918 (and (=> true (=> ?v_1748 (and (=> true (=> ?v_0 (=> true (=> ?v_1914 (=> (= reqSent_0.2 1) ?v_1913))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqSent_1.2 1) ?v_1915)))) (=> true (=> ?v_41 (=> true (=> ?v_1914 ?v_1915)))))))))) (=> true (=> ?v_1882 (=> true (=> ?v_1916 ?v_1920))))))) (let ((?v_1922 (and (=> true (=> ?v_1919 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.50 1) ?v_1918))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.50 errorReached.49) (=> true ?v_1918))))))))) (=> true (=> (not ?v_1919) (=> true (=> (= errorReached.51 errorReached.49) ?v_1920))))))) (let ((?v_1923 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1922))))))))) (let ((?v_1924 (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.21 ?v_1883) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 inline.PerformFullSpeedIsochTransfer.0.myVar_0.21) ?v_1922))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.22 ?v_1921) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 inline.PerformFullSpeedIsochTransfer.0.myVar_0.22) ?v_1923))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 inline.PerformFullSpeedIsochTransfer.0.myVar_0.14) ?v_1923)))))))))) (let ((?v_1927 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1924)))))))))) (?v_1925 (= Mem_0_T.PWDFREQUEST__.5 Mem_0_T.PWDFREQUEST__.3)) (?v_1926 (= Mem_1_T.PWDFREQUEST__.5 Mem_1_T.PWDFREQUEST__.3)) (?v_1747 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1933 (=> true (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.5.myNondetVar_0.0 call32409formal.new.0))) (and (=> true (=> (not ?v_1747) (=> true (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 inline.PerformFullSpeedIsochTransfer.0.myVar_0.14) (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1884 (=> ?v_1783 (=> ?v_1885 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1935 (=> ?v_1936 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1937 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1938 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1939 (=> ?v_1802 (=> ?v_1891 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1892 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1940 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1894 (=> ?v_1832 (=> ?v_1833 (=> ?v_1941 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1942 (=> (= errorReached.53 errorReached.49) (=> ?v_1839 (=> ?v_1943 (=> ?v_1840 (=> ?v_1841 (=> ?v_1944 (=> ?v_1899 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1945 (=> ?v_1857 (=> ?v_1858 (=> ?v_1946 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1947 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1948 (=> ?v_1878 (=> ?v_1949 ?v_1879)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1747 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.0 (MINUS_LEFT_PTR inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.37 1 12)) (and (=> true (=> ?v_0 (=> (= Mem_0_T.PWDFREQUEST__.4 (MapType0Store Mem_0_T.PWDFREQUEST__.3 ?v_1417 ?v_1082)) (=> true (=> (= Mem_0_T.PWDFREQUEST__.5 Mem_0_T.PWDFREQUEST__.4) (=> ?v_1926 ?v_1924)))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= Mem_1_T.PWDFREQUEST__.4 (MapType0Store Mem_1_T.PWDFREQUEST__.3 ?v_1417 ?v_1082)) (=> true (=> ?v_1925 (=> (= Mem_1_T.PWDFREQUEST__.5 Mem_1_T.PWDFREQUEST__.4) ?v_1927)))))) (=> true (=> ?v_41 (=> true (=> ?v_1925 (=> ?v_1926 ?v_1927)))))))))))))))))) (let ((?v_1928 (=> true (=> (= errorReached.49 errorReached.48) (=> (= reqCancelSet_0.7 reqCancelSet_0.6) (=> (= reqCancelSet_1.7 reqCancelSet_1.6) ?v_1933)))))) (let ((?v_1931 (=> true ?v_1928)) (?v_1929 (= reqCancelSet_0.6 reqCancelSet_0)) (?v_1930 (= reqCancelSet_1.6 reqCancelSet_1))) (let ((?v_1932 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.6 1) (=> ?v_1930 ?v_1928))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_1929 (=> (= reqCancelSet_1.6 1) ?v_1931))))) (=> true (=> ?v_41 (=> true (=> ?v_1929 (=> ?v_1930 ?v_1931))))))))))) (let ((?v_1954 (and (=> true (=> ?v_1934 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.48 1) ?v_1932))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.48 errorReached.47) (=> true ?v_1932))))))))) (=> true (=> ?v_56 (=> true (=> (= errorReached.49 errorReached.47) (=> (= reqCancelSet_0.7 reqCancelSet_0) (=> (= reqCancelSet_1.7 reqCancelSet_1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1933))))))))))))))) (=> true (=> (not ?v_1934) (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.15 ?v_1440) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myVar_0.15) ?v_1951))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.16 ?v_1955) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myVar_0.16) ?v_1952))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myVar_0.14) ?v_1952)))))))))))) (?v_1953 (= call35237formal.ret.0 0))) (let ((?v_1956 (and (=> true (=> (not ?v_1953) (=> true (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..0 ?v_873) (=> true (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..0) (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.1 inline.sdv_WdfCollectionAdd.1.myNondetVar_0) ?v_1954))))))) (=> true (=> ?v_1953 (=> true (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1 0) (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.1 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_1954))))))))))))) (let ((?v_1957 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1956))))))))) (let ((?v_1959 (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.12 ?v_1440) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.14 inline.PerformFullSpeedIsochTransfer.0.myVar_0.12) ?v_1956))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.13 ?v_1955) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.14 inline.PerformFullSpeedIsochTransfer.0.myVar_0.13) ?v_1957))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.14 inline.PerformFullSpeedIsochTransfer.0.myVar_0.11) ?v_1957))))))))) (?v_1422 (MULT inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 255))) (let ((?v_1958 (< ?v_1422 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1))) (let ((?v_1965 (and (=> true (=> ?v_1958 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.6 ?v_1422) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.6) ?v_1959)))))) (=> true (=> (not ?v_1958) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1) (=> true ?v_1959))))))) (?v_1964 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.11 hrequest))) (let ((?v_1960 (=> true (=> (= errorReached.47 errorReached.46) (=> (= reqCompleteSet_1.3 reqCompleteSet_1.2) (=> (= reqCompleteSet_0.3 reqCompleteSet_0.2) ?v_1965))))) (?v_1961 (= reqCompleteSet_1.2 reqCompleteSet_1))) (let ((?v_1962 (=> (= reqCompleteSet_0.2 reqCompleteSet_0) (=> true ?v_1960)))) (let ((?v_1963 (and (=> true (=> ?v_0 (=> true (=> ?v_1961 (=> (= reqCompleteSet_0.2 1) ?v_1960))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleteSet_1.2 1) ?v_1962)))) (=> true (=> ?v_41 (=> true (=> ?v_1961 ?v_1962)))))))))) (let ((?v_1966 (and (=> true (=> ?v_1964 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.46 1) ?v_1963))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.46 errorReached.45) (=> true ?v_1963))))))))) (=> true (=> (not ?v_1964) (=> true (=> (= errorReached.47 errorReached.45) (=> (= reqCompleteSet_1.3 reqCompleteSet_1) (=> (= reqCompleteSet_0.3 reqCompleteSet_0) (=> true (=> true (=> true (=> true ?v_1965))))))))))))) (let ((?v_1967 (=> true (=> true (=> true (=> true ?v_1966)))))) (let ((?v_1982 (and (=> true (=> ?v_1968 (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.10 ?v_1440) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.11 inline.PerformFullSpeedIsochTransfer.0.myVar_0.10) ?v_1966))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.9 ?v_1955) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.11 inline.PerformFullSpeedIsochTransfer.0.myVar_0.9) ?v_1967))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.11 inline.PerformFullSpeedIsochTransfer.0.myVar_0.2) ?v_1967)))))))))) (=> true (=> (not ?v_1968) (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.19 ?v_1440) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.20 inline.PerformFullSpeedIsochTransfer.0.myVar_0.19) ?v_1980))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.18 ?v_1955) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.20 inline.PerformFullSpeedIsochTransfer.0.myVar_0.18) ?v_1981))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.20 inline.PerformFullSpeedIsochTransfer.0.myVar_0.2) ?v_1981))))))))))))) (let ((?v_1983 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1982)))))))))))) (let ((?v_2010 (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.1 ?v_1440) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.2 inline.PerformFullSpeedIsochTransfer.0.myVar_1.1) ?v_1982))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.0 ?v_1955) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.2 inline.PerformFullSpeedIsochTransfer.0.myVar_1.0) ?v_1983))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.2 inline.PerformFullSpeedIsochTransfer.0.myVar_1) ?v_1983)))))))))) (let ((?v_2011 (=> true (and ?v_0 (=> ?v_0 (and ?v_1424 (=> ?v_1424 (and ?v_0 (=> ?v_0 (and ?v_1995 (=> ?v_1995 (and ?v_1996 (=> ?v_1996 (and ?v_1997 (=> ?v_1997 (and ?v_1998 (=> ?v_1998 (and ?v_1999 (=> ?v_1999 (and ?v_2000 (=> ?v_2000 (and ?v_2001 (=> ?v_2001 (and ?v_2002 (=> ?v_2002 (and ?v_2003 (=> ?v_2003 (and ?v_2004 (=> ?v_2004 (and ?v_2005 (=> ?v_2005 (and ?v_2006 (=> ?v_2006 (=> (forall ((?f8 Int)) (! (let ((?v_2825 (MapType0Select alloc.29 (int_2_U (Base ?f8))))) (or (= ?v_2825 UNALLOCATED) (= ?v_2825 ?v_2825))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f8)))) )) (=> true (=> ?v_0 (=> ?v_1424 (=> ?v_0 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> (forall ((?f7 Int)) (! (let ((?v_2826 (MapType0Select alloc.29 (int_2_U (Base ?f7))))) (or (= ?v_2826 UNALLOCATED) (= ?v_2826 ?v_2826))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f7)))) )) (and (=> true (=> ?v_2009 (and (=> true (=> ?v_2007 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.11 (PLUS inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.2 1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.12 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 1)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.8 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.12) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.36 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.35) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.13 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.12) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.11) ?v_2008))))))))))) (=> true (=> (not ?v_2007) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.9 (PLUS inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.2 1 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.8 0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.36 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.32) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.13 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.9) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.9) ?v_2008)))))))))))) (=> true (=> (not ?v_2009) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..1 call36342formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..1 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17.) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.10 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.8) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.0 0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0 alloc.29) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.0 0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.33 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.30) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.0 errorReached.45) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc) (=> true ?v_2010))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2012 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 reqSent_0) ?v_2011)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 reqSent_1) ?v_2011)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent) ?v_2011)))))))))) (let ((?v_2013 (=> true ?v_2012))) (let ((?v_2014 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 reqCompleted_0) ?v_2012)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 reqCompleted_1) ?v_2013)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted) ?v_2013)))))))))) (let ((?v_2015 (=> true ?v_2014))) (let ((?v_2016 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 reqCompleteSet_0) ?v_2014)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 reqCompleteSet_1) ?v_2015)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet) ?v_2015)))))))))) (let ((?v_2017 (=> true ?v_2016))) (let ((?v_2018 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 reqCancelStarted_0) ?v_2016)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 reqCancelStarted_1) ?v_2017)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted) ?v_2017)))))))))) (let ((?v_2019 (=> true ?v_2018))) (let ((?v_2020 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 reqCancelSet_0) ?v_2018)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 reqCancelSet_1) ?v_2019)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet) ?v_2019)))))))))) (let ((?v_2021 (=> true ?v_2020)) (?v_1984 (=> true (and ?v_0 (=> ?v_0 (and ?v_1424 (=> ?v_1424 (and ?v_0 (=> ?v_0 (and ?v_1425 (=> ?v_1425 (and ?v_1426 (=> ?v_1426 (and ?v_1427 (=> ?v_1427 (and ?v_1428 (=> ?v_1428 (and ?v_1429 (=> ?v_1429 (and ?v_1430 (=> ?v_1430 (and ?v_1431 (=> ?v_1431 (and ?v_1432 (=> ?v_1432 (and ?v_1433 (=> ?v_1433 (and ?v_1434 (=> ?v_1434 (and ?v_1435 (=> ?v_1435 (and ?v_1436 (=> ?v_1436 (=> (forall ((?f10 Int)) (! (let ((?v_2827 (MapType0Select alloc.29 (int_2_U (Base ?f10))))) (or (= ?v_2827 UNALLOCATED) (= ?v_2827 ?v_2827))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f10)))) )) (=> true (=> ?v_0 (=> ?v_1424 (=> ?v_0 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> (forall ((?f9 Int)) (! (let ((?v_2828 (MapType0Select alloc.29 (int_2_U (Base ?f9))))) (or (= ?v_2828 UNALLOCATED) (= ?v_2828 ?v_2828))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f9)))) )) (and (=> true (=> ?v_1439 (and (=> true (=> ?v_1437 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.4 (PLUS inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.0 1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.5 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 1)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.5) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.7 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.5) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.4) ?v_1438)))))))))) (=> true (=> (not ?v_1437) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.6 (PLUS inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.0 1 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.3 0) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.7 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.6) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.6) ?v_1438))))))))))) (=> true (=> (not ?v_1439) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.0 errorReached.45) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..1 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18.) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..1 call34831formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.10 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.3) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.0 0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.0 0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.33 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.27) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0 alloc.29) ?v_2010)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1985 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 reqSent_0) ?v_1984)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 reqSent_1) ?v_1984)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent) ?v_1984)))))))))) (let ((?v_1986 (=> true ?v_1985))) (let ((?v_1987 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 reqCompleted_0) ?v_1985)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 reqCompleted_1) ?v_1986)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted) ?v_1986)))))))))) (let ((?v_1988 (=> true ?v_1987))) (let ((?v_1989 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 reqCompleteSet_0) ?v_1987)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 reqCompleteSet_1) ?v_1988)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet) ?v_1988)))))))))) (let ((?v_1990 (=> true ?v_1989))) (let ((?v_1991 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 reqCancelStarted_0) ?v_1989)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 reqCancelStarted_1) ?v_1990)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted) ?v_1990)))))))))) (let ((?v_1992 (=> true ?v_1991))) (let ((?v_1993 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 reqCancelSet_0) ?v_1991)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 reqCancelSet_1) ?v_1992)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet) ?v_1992)))))))))) (let ((?v_1994 (=> true ?v_1993))) (let ((?v_2022 (=> true (=> (forall ((?r Int)) (! (= (or (not (= (BIT_BAND inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.0 ?r) 0)) (not (= (BIT_BAND 4 ?r) 0))) (not (= (BIT_BAND (BIT_BOR inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.0 4) ?r) 0))) :pattern ((BIT_BAND (BIT_BOR inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.0 4) ?r)) )) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.2 (BIT_BOR inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.1 4)) (and (=> true (=> (not (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.26 0)) (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 lockStatus_0.1) ?v_1993)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 lockStatus_1.1) ?v_1994)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus) ?v_1994)))))))))) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.25 0) (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 lockStatus_0.1) ?v_2020)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 lockStatus_1.1) ?v_2021)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus) ?v_2021)))))))))))))))) (let ((?v_2037 (and (=> true (=> (not ?v_1423) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.0 (PLUS call33680formal.ret.0 1 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT myNondetVar_0.0 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1 1)) (and (=> true (=> (not (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.15 0)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.16) ?v_2022)))) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.13 0) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.14) (=> true (=> true ?v_2022))))))))))))) (=> true (=> ?v_1423 (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.6 ?v_1440) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.8 inline.PerformFullSpeedIsochTransfer.0.myVar_0.6) ?v_2034))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.7 ?v_1955) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.8 inline.PerformFullSpeedIsochTransfer.0.myVar_0.7) ?v_2035))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.8 inline.PerformFullSpeedIsochTransfer.0.myVar_0.2) ?v_2035)))))))))))) (?v_2036 (= call34224formal.ret.0 0))) (let ((?v_2075 (and (=> true (=> ?v_2038 (and (=> true (=> (not ?v_2036) (=> true (=> ?v_1423 ?v_2037)))) (=> true (=> ?v_2036 (=> true (=> (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0 notused_4wdmobject1) (=> true (=> true (=> true (=> true (=> true ?v_2037)))))))))))) (=> true (=> (not ?v_2038) (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.3 ?v_1440) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 inline.PerformFullSpeedIsochTransfer.0.myVar_0.3) ?v_2072))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.4 ?v_1955) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 inline.PerformFullSpeedIsochTransfer.0.myVar_0.4) ?v_2073))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 inline.PerformFullSpeedIsochTransfer.0.myVar_0.2) ?v_2073)))))))))))) (?v_2074 (= call34097formal.ret.0 0))) (let ((?v_2077 (=> true (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_2075))) (?v_2076 (= call34097formal.ret.0 1))) (let ((?v_2080 (and (=> true (=> (not ?v_2074) (=> (not ?v_2076) ?v_2077))) (=> true (=> ?v_2074 (=> true (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2075))))))))))))))) (=> true (=> ?v_2076 (=> true ?v_2077)))))) (let ((?v_2082 (=> (= errorReached.45 errorReached.43) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2080))))))))))))))))))))))))))))) (?v_2084 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 hdevice)) (?v_2083 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 hqueue)) (?v_2081 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 htimer)) (?v_2079 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 hrequest)) (?v_2078 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.45 errorReached.44) ?v_2080))))) (let ((?v_2085 (and (=> true (=> ?v_2079 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.44 1) ?v_2078))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.44 errorReached.43) (=> true ?v_2078))))))))) (=> true (=> (not ?v_2079) (and (=> true (=> ?v_2081 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2082)))) (=> true (=> (not ?v_2081) (and (=> true (=> ?v_2083 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2082)))) (=> true (=> (not ?v_2083) (and (=> true (=> ?v_2084 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2082)))) (=> true (=> (not ?v_2084) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2082)))))))))))))))) (let ((?v_2086 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2085))))))))) (let ((?v_2096 (and (=> true (=> ?v_2087 (and (=> true (=> ?v_0 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.1 ?v_1440) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 inline.PerformFullSpeedIsochTransfer.0.myVar_0.1) ?v_2085))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.0 ?v_1955) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 inline.PerformFullSpeedIsochTransfer.0.myVar_0.0) ?v_2086))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 inline.PerformFullSpeedIsochTransfer.0.myVar_0) ?v_2086)))))))))) (=> true (=> (not ?v_2087) (=> true (=> ?v_1749 (=> ?v_2104 (=> ?v_2039 (=> ?v_1969 (=> ?v_2040 (=> ?v_2041 (=> ?v_1755 (=> ?v_1756 (=> ?v_2023 (=> ?v_1970 (=> ?v_1759 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_1764 (=> ?v_2105 (=> ?v_2046 (=> ?v_1766 (=> ?v_2047 (=> ?v_2106 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_2048 (=> ?v_2024 (=> ?v_2025 (=> ?v_2088 (=> ?v_1776 (=> ?v_2026 (=> ?v_1778 (=> ?v_2049 (=> ?v_2050 (=> ?v_1971 (=> ?v_2107 (=> ?v_1884 (=> ?v_1783 (=> ?v_1885 (=> ?v_1784 (=> ?v_2027 (=> ?v_2051 (=> ?v_1787 (=> ?v_2052 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1935 (=> ?v_1936 (=> ?v_1792 (=> ?v_1972 (=> ?v_2108 (=> ?v_2053 (=> ?v_1937 (=> ?v_1796 (=> ?v_2054 (=> ?v_1973 (=> ?v_2089 (=> ?v_2055 (=> ?v_2056 (=> ?v_1801 (=> ?v_1939 (=> ?v_2057 (=> ?v_1891 (=> ?v_1803 (=> ?v_2058 (=> ?v_1805 (=> ?v_2028 (=> ?v_1892 (=> ?v_2090 (=> ?v_1808 (=> ?v_2059 (=> ?v_1810 (=> ?v_1811 (=> ?v_2109 (=> ?v_1813 (=> ?v_1974 (=> ?v_2060 (=> ?v_2061 (=> ?v_2110 (=> ?v_2029 (=> ?v_2062 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_2063 (=> ?v_1940 (=> ?v_2064 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_2091 (=> ?v_2111 (=> ?v_1894 (=> ?v_2065 (=> ?v_2066 (=> ?v_1941 (=> ?v_1834 (=> ?v_1975 (=> ?v_1836 (=> ?v_2112 (=> ?v_1838 (=> ?v_1942 (=> (= errorReached.53 errorReached.43) (=> ?v_1839 (=> ?v_1943 (=> ?v_2031 (=> ?v_1976 (=> ?v_2113 (=> ?v_1899 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_2114 (=> ?v_2092 (=> ?v_1845 (=> ?v_1846 (=> ?v_2067 (=> ?v_2115 (=> ?v_2068 (=> ?v_1850 (=> ?v_1851 (=> ?v_2069 (=> ?v_2116 (=> ?v_1977 (=> ?v_1855 (=> ?v_1856 (=> ?v_1945 (=> ?v_2070 (=> ?v_2117 (=> ?v_1946 (=> ?v_1859 (=> ?v_2093 (=> ?v_1861 (=> ?v_2118 (=> ?v_2032 (=> ?v_2119 (=> ?v_1978 (=> ?v_2120 ?v_2094))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2095 (= call33795formal.ret.0 0))) (let ((?v_2098 (=> true (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_2096))) (?v_2097 (= call33795formal.ret.0 1))) (let ((?v_2099 (and (=> true (=> (not ?v_2095) (=> (not ?v_2097) ?v_2098))) (=> true (=> ?v_2095 (=> true (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2096))))))))))))))) (=> true (=> ?v_2097 (=> true ?v_2098)))))) (let ((?v_2102 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2099))))))))) (?v_2100 (= Mem_0_T.PWDFREQUEST__.3 Mem_0_T.PWDFREQUEST__.1)) (?v_2101 (= Mem_1_T.PWDFREQUEST__.3 Mem_1_T.PWDFREQUEST__.1))) (let ((?v_2129 (and (=> true (=> ?v_0 (=> (= Mem_0_T.PWDFREQUEST__.2 (MapType0Store Mem_0_T.PWDFREQUEST__.1 ?v_1417 ?v_1288)) (=> true (=> (= Mem_0_T.PWDFREQUEST__.3 Mem_0_T.PWDFREQUEST__.2) (=> ?v_2101 ?v_2099)))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= Mem_1_T.PWDFREQUEST__.2 (MapType0Store Mem_1_T.PWDFREQUEST__.1 ?v_1417 ?v_1288)) (=> true (=> ?v_2100 (=> (= Mem_1_T.PWDFREQUEST__.3 Mem_1_T.PWDFREQUEST__.2) ?v_2102)))))) (=> true (=> ?v_41 (=> true (=> ?v_2100 (=> ?v_2101 ?v_2102))))))))))) (let ((?v_2147 (and (=> true (=> ?v_2130 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8.) (=> (= errorReached.43 errorReached.42) (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call33453formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..0 call33453formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2129)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_2130) (=> true (=> ?v_2131 (=> ?v_2104 (=> ?v_2039 (=> ?v_1969 (=> ?v_2040 (=> ?v_2041 (=> ?v_2132 (=> ?v_1756 (=> ?v_2023 (=> ?v_1970 (=> ?v_1759 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_1764 (=> ?v_2105 (=> ?v_2046 (=> ?v_2159 (=> ?v_2047 (=> ?v_2106 (=> ?v_2133 (=> ?v_2134 (=> ?v_1771 (=> ?v_2048 (=> ?v_2024 (=> ?v_2025 (=> ?v_2088 (=> ?v_1776 (=> ?v_2026 (=> ?v_1778 (=> ?v_2049 (=> ?v_2135 (=> ?v_1971 (=> ?v_2107 (=> ?v_1884 (=> ?v_2136 (=> ?v_1885 (=> ?v_1784 (=> ?v_2027 (=> ?v_2051 (=> ?v_1787 (=> ?v_2052 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1935 (=> ?v_1936 (=> ?v_2137 (=> ?v_1972 (=> ?v_2108 (=> ?v_2053 (=> ?v_1937 (=> ?v_1796 (=> ?v_2054 (=> ?v_1973 (=> ?v_2138 (=> ?v_2055 (=> ?v_2056 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1 call33453formal.ret.0) (=> ?v_2139 (=> ?v_2057 (=> ?v_1891 (=> ?v_1803 (=> ?v_2058 (=> ?v_1805 (=> ?v_2028 (=> ?v_1892 (=> ?v_2090 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_2059 (=> ?v_1810 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2) (=> ?v_2109 (=> ?v_1813 (=> ?v_1974 (=> ?v_2060 (=> ?v_2061 (=> ?v_2110 (=> ?v_2029 (=> ?v_2062 (=> ?v_1820 (=> ?v_1821 (=> ?v_2163 (=> ?v_1823 (=> ?v_2063 (=> ?v_1940 (=> ?v_2064 (=> ?v_1826 (=> ?v_2164 (=> ?v_2140 (=> ?v_1829 (=> ?v_2091 (=> ?v_2111 (=> ?v_1894 (=> ?v_2065 (=> ?v_2066 (=> ?v_1941 (=> ?v_2165 (=> ?v_1975 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_2112 (=> ?v_2167 (=> ?v_1942 (=> (= errorReached.53 errorReached.42) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest) (=> ?v_1943 (=> ?v_2031 (=> ?v_1976 (=> ?v_2113 (=> ?v_1899 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_2114 (=> ?v_2092 (=> ?v_2141 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call33453formal.ret.0) (=> ?v_2067 (=> ?v_2115 (=> ?v_2068 (=> ?v_1850 (=> ?v_1851 (=> ?v_2069 (=> ?v_2116 (=> ?v_1977 (=> ?v_2142 (=> ?v_2170 (=> ?v_1945 (=> ?v_2070 (=> ?v_2117 (=> ?v_2143 (=> ?v_1859 (=> ?v_2093 (=> ?v_2144 (=> ?v_2118 (=> ?v_2032 (=> ?v_2119 (=> ?v_1978 (=> ?v_2120 (=> ?v_2121 (=> ?v_1868 (=> ?v_1869 (=> ?v_1947 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest) (=> ?v_1871 (=> ?v_2122 (=> ?v_2123 ?v_2172))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2146 (= call33453formal.ret.0 0))) (let ((?v_2148 (and (=> true (=> (not ?v_2146) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_49) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) ?v_2147))))))) (=> true (=> ?v_2146 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_2147))))))))))))) (let ((?v_2149 (=> true (=> (= errorReached.42 errorReached.40) (=> true (=> true (=> true ?v_2148)))))) (?v_380 (= 3 3))) (let ((?v_499 (not ?v_380)) (?v_2126 (and (=> true (=> ?v_2103 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= errorReached.43 errorReached.41) (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..0 call33567formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call33567formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) ?v_2129))))))))))))))))))) (=> true (=> (not ?v_2103) (=> true (=> ?v_2131 (=> ?v_2104 (=> ?v_2039 (=> ?v_1969 (=> ?v_2040 (=> ?v_2041 (=> ?v_2132 (=> ?v_1756 (=> ?v_2023 (=> ?v_1970 (=> ?v_1759 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_1764 (=> ?v_2105 (=> ?v_2046 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest) (=> ?v_2047 (=> ?v_2106 (=> ?v_2133 (=> ?v_2134 (=> ?v_1771 (=> ?v_2048 (=> ?v_2024 (=> ?v_2025 (=> ?v_2088 (=> ?v_1776 (=> ?v_2026 (=> ?v_1778 (=> ?v_2049 (=> ?v_2135 (=> ?v_1971 (=> ?v_2107 (=> ?v_1884 (=> ?v_2136 (=> ?v_1885 (=> ?v_1784 (=> ?v_2027 (=> ?v_2051 (=> ?v_1787 (=> ?v_2052 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1935 (=> ?v_1936 (=> ?v_2137 (=> ?v_1972 (=> ?v_2108 (=> ?v_2053 (=> ?v_1937 (=> ?v_1796 (=> ?v_2054 (=> ?v_1973 (=> ?v_2138 (=> ?v_2055 (=> ?v_2056 (=> ?v_2160 (=> ?v_2139 (=> ?v_2057 (=> ?v_1891 (=> ?v_1803 (=> ?v_2058 (=> ?v_1805 (=> ?v_2028 (=> ?v_1892 (=> ?v_2090 (=> ?v_2161 (=> ?v_2059 (=> ?v_1810 (=> ?v_2162 (=> ?v_2109 (=> ?v_1813 (=> ?v_1974 (=> ?v_2060 (=> ?v_2061 (=> ?v_2110 (=> ?v_2029 (=> ?v_2062 (=> ?v_1820 (=> ?v_1821 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_1823 (=> ?v_2063 (=> ?v_1940 (=> ?v_2064 (=> ?v_1826 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_2140 (=> ?v_1829 (=> ?v_2091 (=> ?v_2111 (=> ?v_1894 (=> ?v_2065 (=> ?v_2066 (=> ?v_1941 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1 call33567formal.ret.0) (=> ?v_1975 (=> ?v_2166 (=> ?v_2112 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2) (=> ?v_1942 (=> (= errorReached.53 errorReached.41) (=> ?v_2168 (=> ?v_1943 (=> ?v_2031 (=> ?v_1976 (=> ?v_2113 (=> ?v_1899 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_2114 (=> ?v_2092 (=> ?v_2141 (=> ?v_2169 (=> ?v_2067 (=> ?v_2115 (=> ?v_2068 (=> ?v_1850 (=> ?v_1851 (=> ?v_2069 (=> ?v_2116 (=> ?v_1977 (=> ?v_2142 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest) (=> ?v_1945 (=> ?v_2070 (=> ?v_2117 (=> ?v_2143 (=> ?v_1859 (=> ?v_2093 (=> ?v_2144 (=> ?v_2118 (=> ?v_2032 (=> ?v_2119 (=> ?v_1978 (=> ?v_2120 (=> ?v_2121 (=> ?v_1868 (=> ?v_1869 (=> ?v_1947 (=> ?v_2171 (=> ?v_1871 (=> ?v_2122 (=> ?v_2123 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call33567formal.ret.0) ?v_2145)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2125 (= call33567formal.ret.0 0))) (let ((?v_2127 (and (=> true (=> (not ?v_2125) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_49) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) ?v_2126))))))) (=> true (=> ?v_2125 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_2126))))))))))))) (let ((?v_2128 (=> true (=> (= errorReached.41 errorReached.40) (=> true (=> true (=> true ?v_2127))))))) (let ((?v_2151 (and (=> true (=> ?v_380 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.41 1) ?v_2127))))) (=> true (=> ?v_290 (=> ?v_291 ?v_2128)))))) (=> true (=> ?v_56 ?v_2128))))) (=> true (=> ?v_499 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.42 1) ?v_2148))))) (=> true (=> ?v_290 (=> ?v_291 ?v_2149)))))) (=> true (=> ?v_56 ?v_2149))))))) (?v_2150 (< ?v_1422 myNondetVar_0.0))) (let ((?v_2153 (and (=> true (=> ?v_2150 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.0 ?v_1422) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.0) ?v_2151)))))) (=> true (=> (not ?v_2150) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1 myNondetVar_0.0) (=> true (=> true (=> true (=> true ?v_2151))))))))))) (let ((?v_2155 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2153)))))))))))))))))))))))))))))))) (?v_2154 (= errorReached.40 errorReached.38)) (?v_515 (= notused_4hfileobj hdevice))) (let ((?v_1354 (not ?v_515)) (?v_514 (= notused_4hfileobj hqueue))) (let ((?v_1353 (not ?v_514)) (?v_511 (= notused_4hfileobj htimer))) (let ((?v_1350 (not ?v_511)) (?v_378 (= notused_4hfileobj hrequest))) (let ((?v_1348 (not ?v_378)) (?v_2152 (=> true (=> (= errorReached.40 errorReached.39) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2153))))) (let ((?v_2156 (and (=> true (=> ?v_378 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.39 1) ?v_2152))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.39 errorReached.38) (=> true ?v_2152))))))))) (=> true (=> ?v_1348 (and (=> true (=> ?v_511 (=> true (=> ?v_2154 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2155))))) (=> true (=> ?v_1350 (and (=> true (=> ?v_514 (=> true (=> ?v_2154 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2155))))) (=> true (=> ?v_1353 (and (=> true (=> ?v_515 (=> true (=> ?v_2154 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2155))))) (=> true (=> ?v_1354 (=> true (=> ?v_2154 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2155))))))))))))))))) (let ((?v_2157 (=> true (=> (= errorReached.38 errorReached.37) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2156))))))))))))))) (let ((?v_2174 (and (=> true (=> ?v_2158 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.38 1) ?v_2156))))) (=> true (=> ?v_290 (=> ?v_291 ?v_2157)))))) (=> true (=> ?v_56 ?v_2157))))) (=> true (=> (not ?v_2158) (=> true (=> ?v_2131 (=> ?v_2104 (=> ?v_2039 (=> ?v_1969 (=> ?v_2040 (=> ?v_2041 (=> ?v_2132 (=> ?v_2181 (=> ?v_2023 (=> ?v_1970 (=> ?v_1759 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_1764 (=> ?v_2105 (=> ?v_2046 (=> ?v_2159 (=> ?v_2047 (=> ?v_2106 (=> ?v_2133 (=> ?v_2134 (=> ?v_1771 (=> ?v_2048 (=> ?v_2024 (=> ?v_2025 (=> ?v_2088 (=> ?v_2182 (=> ?v_2026 (=> ?v_1778 (=> ?v_2049 (=> ?v_2135 (=> ?v_1971 (=> ?v_2107 (=> ?v_1884 (=> ?v_2136 (=> ?v_1885 (=> ?v_2183 (=> ?v_2027 (=> ?v_2051 (=> ?v_1787 (=> ?v_2052 (=> ?v_1789 (=> ?v_1790 (=> ?v_2184 (=> ?v_1935 (=> ?v_1936 (=> ?v_2137 (=> ?v_1972 (=> ?v_2108 (=> ?v_2053 (=> ?v_1937 (=> ?v_2185 (=> ?v_2054 (=> ?v_1973 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.0) (=> ?v_2055 (=> ?v_2056 (=> ?v_2160 (=> ?v_2139 (=> ?v_2057 (=> ?v_1891 (=> ?v_2186 (=> ?v_2058 (=> ?v_1805 (=> ?v_2028 (=> ?v_1892 (=> ?v_2090 (=> ?v_2161 (=> ?v_2059 (=> ?v_2187 (=> ?v_2162 (=> ?v_2109 (=> ?v_1813 (=> ?v_1974 (=> ?v_2060 (=> ?v_2061 (=> ?v_2110 (=> ?v_2029 (=> ?v_2062 (=> ?v_1820 (=> ?v_2188 (=> ?v_2163 (=> ?v_1823 (=> ?v_2063 (=> ?v_1940 (=> ?v_2064 (=> ?v_2189 (=> ?v_2164 (=> ?v_2140 (=> ?v_1829 (=> ?v_2091 (=> ?v_2111 (=> ?v_1894 (=> ?v_2065 (=> ?v_2066 (=> ?v_1941 (=> ?v_2165 (=> ?v_1975 (=> ?v_2166 (=> ?v_2112 (=> ?v_2167 (=> ?v_1942 (=> ?v_2190 (=> ?v_2168 (=> ?v_1943 (=> ?v_2031 (=> ?v_1976 (=> ?v_2113 (=> ?v_1899 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_2114 (=> ?v_2092 (=> ?v_2141 (=> ?v_2169 (=> ?v_2067 (=> ?v_2115 (=> ?v_2068 (=> ?v_2191 (=> ?v_1851 (=> ?v_2069 (=> ?v_2116 (=> ?v_1977 (=> ?v_2142 (=> ?v_2170 (=> ?v_1945 (=> ?v_2070 (=> ?v_2117 (=> ?v_2143 (=> ?v_1859 ?v_2192)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2173 (= call33027formal.ret.0 0))) (let ((?v_2176 (=> true (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_2174))) (?v_2175 (= call33027formal.ret.0 1))) (let ((?v_2177 (and (=> true (=> (not ?v_2173) (=> (not ?v_2175) ?v_2176))) (=> true (=> ?v_2173 (=> true (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2174))))))))))))))) (=> true (=> ?v_2175 (=> true ?v_2176))))) (?v_2178 (= lockStatus_1.1 lockStatus_1))) (let ((?v_2179 (=> (= lockStatus_0.1 lockStatus_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2177))))))))))) (let ((?v_2194 (and (=> true (=> ?v_2180 (and (=> true (=> ?v_0 (=> true (=> ?v_2178 (=> (= lockStatus_0.1 0) ?v_2177))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.1 0) ?v_2179)))) (=> true (=> ?v_41 (=> true (=> ?v_2178 ?v_2179)))))))))) (=> true (=> (not ?v_2180) (=> true (=> ?v_2131 (=> ?v_2104 (=> ?v_2039 (=> ?v_1969 (=> ?v_2040 (=> ?v_2041 (=> ?v_2132 (=> ?v_2181 (=> ?v_2023 (=> ?v_1970 (=> ?v_1759 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus) (=> ?v_2105 (=> ?v_2046 (=> ?v_2159 (=> ?v_2047 (=> ?v_2106 (=> ?v_2133 (=> ?v_2134 (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..0 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3.) (=> ?v_2048 (=> ?v_2024 (=> ?v_2025 (=> ?v_2088 (=> ?v_2182 (=> ?v_2026 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5.) (=> ?v_2049 (=> ?v_2135 (=> ?v_1971 (=> ?v_2107 (=> ?v_1884 (=> ?v_2136 (=> ?v_1885 (=> ?v_2183 (=> ?v_2027 (=> ?v_2051 (=> ?v_1787 (=> ?v_2052 (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1.) (=> ?v_1790 (=> ?v_2184 (=> ?v_1935 (=> ?v_1936 (=> ?v_2137 (=> ?v_1972 (=> ?v_2108 (=> ?v_2053 (=> ?v_1937 (=> ?v_2185 (=> ?v_2054 (=> ?v_1973 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0) (=> ?v_2055 (=> ?v_2056 (=> ?v_2160 (=> ?v_2139 (=> ?v_2057 (=> ?v_1891 (=> ?v_2186 (=> ?v_2058 (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..0 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1.) (=> ?v_2028 (=> ?v_1892 (=> ?v_2090 (=> ?v_2161 (=> ?v_2059 (=> ?v_2187 (=> ?v_2162 (=> ?v_2109 (=> (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2.) (=> ?v_1974 (=> ?v_2060 (=> ?v_2061 (=> ?v_2110 (=> ?v_2029 (=> ?v_2062 (=> ?v_1820 (=> ?v_2188 (=> ?v_2163 (=> ?v_1823 (=> ?v_2063 (=> ?v_1940 (=> ?v_2064 (=> ?v_2189 (=> ?v_2164 (=> ?v_2140 (=> (= lockStatus_1.2 lockStatus_1) (=> ?v_2091 (=> ?v_2111 (=> ?v_1894 (=> ?v_2065 (=> ?v_2066 (=> ?v_1941 (=> ?v_2165 (=> ?v_1975 (=> ?v_2166 (=> ?v_2112 (=> ?v_2167 (=> ?v_1942 (=> ?v_2190 (=> ?v_2168 (=> ?v_1943 (=> ?v_2031 (=> ?v_1976 (=> ?v_2113 (=> ?v_1899 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_2114 (=> ?v_2092 (=> ?v_2141 (=> ?v_2169 (=> ?v_2067 (=> ?v_2115 (=> ?v_2068 (=> ?v_2191 (=> ?v_1851 (=> ?v_2069 (=> ?v_2116 (=> ?v_1977 (=> ?v_2142 (=> ?v_2170 (=> ?v_1945 (=> ?v_2070 (=> ?v_2117 (=> ?v_2143 (=> (= lockStatus_0.2 lockStatus_0) ?v_2192)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2193 (= call32882formal.ret.0 0))) (let ((?v_2196 (=> true (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_2194))) (?v_2195 (= call32882formal.ret.0 1)) (?v_1421 (int_2_U call32870formal.new.0))) (let ((?v_2199 (=> true (and ?v_22 (=> ?v_22 (=> (> call32870formal.new.0 0) (=> (forall ((?x599 Int)) (! (=> (and (<= call32870formal.new.0 ?x599) (< ?x599 (+ call32870formal.new.0 0))) (= (Base ?x599) call32870formal.new.0)) :pattern ((Base ?x599)) )) (=> (forall ((?x600 boogieU)) (! (=> (= (type ?x600) intType) (or (= (U_2_int ?x600) call32870formal.new.0) (= (MapType0Select alloc.27 ?x600) (MapType0Select alloc.29 ?x600)))) :pattern ((MapType0Select alloc.29 ?x600)) )) (=> (and (= (MapType0Select alloc.27 ?v_1421) UNALLOCATED) (= (MapType0Select alloc.29 ?v_1421) ALLOCATED)) (and (=> true (=> (not ?v_2193) (=> (not ?v_2195) ?v_2196))) (=> true (=> ?v_2193 (=> true (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2194))))))))))))))) (=> true (=> ?v_2195 (=> true ?v_2196))))))))))))) (let ((?v_2202 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2199))))))))))))))))))) (?v_2201 (= errorReached.37 errorReached.35)) (?v_1405 (= hdevice hdevice))) (let ((?v_2204 (not ?v_1405)) (?v_1404 (= hdevice hqueue))) (let ((?v_2203 (not ?v_1404)) (?v_1401 (= hdevice htimer))) (let ((?v_2200 (not ?v_1401)) (?v_838 (= hdevice hrequest))) (let ((?v_2198 (not ?v_838)) (?v_2197 (=> true (=> (= errorReached.37 errorReached.36) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2199))))) (let ((?v_2205 (and (=> true (=> ?v_838 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.36 1) ?v_2197))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.36 errorReached.35) (=> true ?v_2197))))))))) (=> true (=> ?v_2198 (and (=> true (=> ?v_1401 (=> true (=> ?v_2201 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2202))))) (=> true (=> ?v_2200 (and (=> true (=> ?v_1404 (=> true (=> ?v_2201 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2202))))) (=> true (=> ?v_2203 (and (=> true (=> ?v_1405 (=> true (=> ?v_2201 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2202))))) (=> true (=> ?v_2204 (=> true (=> ?v_2201 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2202))))))))))))))))) (let ((?v_2207 (and (=> true (=> ?v_380 ?v_2205)) (=> true (=> ?v_499 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2205))))))))))))))))))) (let ((?v_2209 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2207)))))))))) (?v_2208 (= errorReached.35 errorReached.24)) (?v_2206 (=> true (=> (= errorReached.35 errorReached.34) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2207))))) (let ((?v_2211 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.34 1) ?v_2206))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.34 errorReached.24) (=> true ?v_2206))))))))) (=> true (=> ?v_56 (and (=> true (=> ?v_196 (=> true (=> ?v_2208 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2209))))) (=> true (=> ?v_468 (and (=> true (=> ?v_199 (=> true (=> ?v_2208 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2209))))) (=> true (=> ?v_470 (and (=> true (=> ?v_200 (=> true (=> ?v_2208 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2209))))) (=> true (=> ?v_471 (=> true (=> ?v_2208 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2209))))))))))))))))) (let ((?v_2214 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2211)))))))))))))))))))))))) (?v_2212 (= Mem_0_T.PWDFREQUEST__.1 Mem_0_T.PWDFREQUEST__)) (?v_2213 (= Mem_1_T.PWDFREQUEST__.1 Mem_1_T.PWDFREQUEST__)) (?v_2210 (int_2_U 0)) (?v_1411 (int_2_U call32388formal.new.0)) (?v_1412 (int_2_U call32391formal.new.0)) (?v_1413 (int_2_U call32394formal.new.0)) (?v_1414 (int_2_U call32397formal.new.0)) (?v_2 (>= 20 0)) (?v_1415 (int_2_U call32400formal.new.0)) (?v_1416 (int_2_U call32403formal.new.0)) (?v_1418 (int_2_U call32409formal.new.0)) (?v_1419 (int_2_U call32412formal.new.0)) (?v_1420 (int_2_U call32415formal.new.0)) (?v_549 (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0)) (?v_550 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3.)) (?v_551 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11.)) (?v_552 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_553 (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1.)) (?v_554 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..1 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_555 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet)) (?v_556 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_557 (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer)) (?v_558 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException)) (?v_559 (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2.)) (?v_560 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_561 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_562 (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus)) (?v_563 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3.)) (?v_564 (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_565 (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer)) (?v_566 (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl)) (?v_567 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_568 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..3 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18.)) (?v_569 (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_570 (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0)) (?v_571 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_572 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3.)) (?v_573 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_574 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_575 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..3 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.)) (?v_576 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_577 (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2.)) (?v_578 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet)) (?v_579 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_580 (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer)) (?v_581 (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2.)) (?v_582 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_583 (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.0 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext)) (?v_584 (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_585 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer)) (?v_586 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_587 (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2.)) (?v_588 (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus)) (?v_589 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20.)) (?v_590 (= inline.DoSubRequestCleanup.1.myNondetVar_0.11 inline.DoSubRequestCleanup.1.myNondetVar_0)) (?v_591 (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.3 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0)) (?v_592 (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_593 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_594 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted)) (?v_595 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_596 (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.1 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_597 (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer)) (?v_598 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_599 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_600 (= inline.GetFileContext.4.myNondetVar_0.2 inline.GetFileContext.4.myNondetVar_0)) (?v_601 (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.0 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1)) (?v_602 (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0)) (?v_603 (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..1 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_604 (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.10 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer)) (?v_605 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_606 (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1.)) (?v_607 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus)) (?v_608 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_609 (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer)) (?v_610 (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_611 (= inline.InitializeListHead.1.myNondetVar_0.1 inline.InitializeListHead.1.myNondetVar_0)) (?v_612 (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_613 (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1.)) (?v_614 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_615 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21.)) (?v_616 (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.)) (?v_617 (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer)) (?v_618 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1)) (?v_619 (= inline.GetSubRequestContext.1.myNondetVar_0.2 inline.GetSubRequestContext.1.myNondetVar_0)) (?v_620 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14.)) (?v_621 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4)) (?v_622 (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer)) (?v_623 (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0)) (?v_624 (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..2 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1.)) (?v_625 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27.)) (?v_626 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted)) (?v_627 (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.6 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer)) (?v_628 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException)) (?v_629 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..1 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3.)) (?v_630 (= inline.IsListEmpty.9.myNondetVar_0.4 inline.IsListEmpty.9.myNondetVar_0)) (?v_631 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_632 (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus)) (?v_633 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.4..Handle.1.107.0.GetFileContext)) (?v_634 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent)) (?v_635 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2)) (?v_636 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5.)) (?v_637 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_638 (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer)) (?v_639 (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..0 inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3.)) (?v_640 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4.)) (?v_641 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7.)) (?v_642 (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.4 inline.PerformFullSpeedIsochTransfer.0.myVar_1)) (?v_643 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22.)) (?v_644 (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer)) (?v_645 (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer)) (?v_646 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_647 (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2.)) (?v_648 (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0)) (?v_649 (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.0 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1)) (?v_650 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8.)) (?v_651 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_652 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1)) (?v_653 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc)) (?v_654 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_655 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_656 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_657 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend)) (?v_658 (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..2 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5.)) (?v_659 (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.15 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0)) (?v_660 (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..0 inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1.)) (?v_661 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup)) (?v_662 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_663 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_664 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_665 (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2.)) (?v_666 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_667 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet)) (?v_668 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_669 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus)) (?v_670 (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..1 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13.)) (?v_671 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent)) (?v_672 (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..1 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2.)) (?v_673 (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_674 (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.6 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer)) (?v_675 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_676 (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1)) (?v_677 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_678 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_679 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_680 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer)) (?v_681 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet)) (?v_682 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_683 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_684 (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer)) (?v_685 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_686 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..3 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17.)) (?v_687 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.49 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0)) (?v_688 (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup)) (?v_689 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.1 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_690 (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0)) (?v_691 (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1.)) (?v_692 (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_693 (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus)) (?v_694 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10.)) (?v_695 (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..1 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15.)) (?v_696 (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer)) (?v_697 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached)) (?v_698 (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus)) (?v_699 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k)) (?v_700 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted)) (?v_701 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.1 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_702 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1)) (?v_703 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1)) (?v_704 (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..1 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19.)) (?v_705 (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0)) (?v_706 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k)) (?v_707 (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2.)) (?v_708 (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_709 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3.)) (?v_710 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_711 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3)) (?v_712 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_713 (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2.)) (?v_714 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_715 (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext)) (?v_716 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted)) (?v_717 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_718 (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0)) (?v_719 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23.)) (?v_720 (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer)) (?v_721 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.0 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1)) (?v_722 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0)) (?v_723 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0)) (?v_724 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc)) (?v_725 (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..0 inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2.)) (?v_726 (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer)) (?v_727 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_728 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5)) (?v_729 (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2.)) (?v_730 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_731 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1.)) (?v_732 (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0)) (?v_733 (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1.)) (?v_734 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext)) (?v_735 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_736 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..2 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1.)) (?v_737 (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..3 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_738 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_739 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1)) (?v_740 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28.)) (?v_741 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached)) (?v_742 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_743 (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer)) (?v_744 (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer)) (?v_745 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25.)) (?v_746 (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1.)) (?v_747 (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..1 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2.)) (?v_748 (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.3 inline.sdv_WdfCollectionAdd.1.myNondetVar_0)) (?v_749 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.28 inline.PerformFullSpeedIsochTransfer.0.myVar_0)) (?v_750 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty)) (?v_751 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_752 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_753 (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.0 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1)) (?v_754 (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer)) (?v_755 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_756 (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer)) (?v_757 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9.)) (?v_758 (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1.))) (let ((?v_763 (=> true (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..2 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.3 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.2) (=> ?v_549 (=> ?v_550 (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..0) (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.2) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..1 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..0) (=> ?v_551 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.0 call27238formal.new.0) (=> ?v_552 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6) (=> ?v_553 (=> ?v_554 (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.0 call27268formal.new.0) (=> (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..0) (=> ?v_555 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..0) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_1459 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1) (=> ?v_556 (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1) (=> ?v_557 (=> (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_558 (=> ?v_559 (=> ?v_560 (=> ?v_561 (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.1 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.1) (=> (= inline.GetFileContext.3.myNondetVar_0.2 inline.GetFileContext.3.myNondetVar_0.1) (=> ?v_565 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..0) (=> ?v_566 (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.0 call27262formal.new.0) (=> ?v_567 (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0.2) (=> ?v_568 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..4 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..3) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3) (=> ?v_569 (=> ?v_570 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2) (=> ?v_571 (=> ?v_572 (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..0) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..2 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..1) (=> ?v_573 (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0) (=> ?v_574 (=> (= reqCompleted_0.16 reqCompleted_0.15) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> ?v_575 (=> ?v_576 (=> (= inline.GetDeviceContext.1.myNondetVar_0.2 inline.GetDeviceContext.1.myNondetVar_0.1) (=> ?v_577 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.0 call27247formal.new.0) (=> ?v_578 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.1) (=> ?v_579 (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.27 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26) (=> ?v_580 (=> ?v_581 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.1) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.4 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.3) (=> ?v_582 (=> ?v_583 (=> (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..1 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..1 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..0) (=> ?v_584 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_585 (=> ?v_586 (=> ?v_587 (=> ?v_588 (=> ?v_589 (=> ?v_590 (=> (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.1 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.0) (=> ?v_591 (=> ?v_592 (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_593 (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.1 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.0) (=> ?v_594 (=> ?v_595 (=> (= inline.InitializeListHead.0.myNondetVar_0.1 inline.InitializeListHead.0.myNondetVar_0.0) (=> ?v_596 (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..3 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..2) (=> ?v_597 (=> ?v_598 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.0 3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..3 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..2) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.11 inline.DoSubRequestCleanup.0.myNondetVar_0.10) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_599 (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.2) (=> (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.0 myNondetVar_0.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.0 hrequest) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..3 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..2) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1) (=> ?v_600 (=> ?v_1518 (=> ?v_601 (=> ?v_602 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.2) (=> ?v_603 (=> ?v_604 (=> ?v_605 (=> (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.0) (=> ?v_606 (=> ?v_607 (=> (= Mem_0_T.PWDFREQUEST__.12 Mem_0_T.PWDFREQUEST__.11) (=> ?v_608 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.1) (=> ?v_609 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..0) (=> (= reqCompleteSet_0.8 reqCompleteSet_0.7) (=> ?v_610 (=> ?v_611 (=> ?v_612 (=> ?v_613 (=> ?v_1523 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..0) (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.6) (=> ?v_614 (=> ?v_615 (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..0) (=> ?v_616 (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..1 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.10 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9) (=> ?v_617 (=> ?v_618 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.2) (=> (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_619 (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0) (=> (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0.0) (=> ?v_1532 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> ?v_620 (=> ?v_621 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..1 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..0) (=> ?v_622 (=> ?v_623 (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.4 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.3) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.5) (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0 hrequest) (=> ?v_628 (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.0) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..1 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..0) (=> (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0.3) (=> ?v_629 (=> ?v_630 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..2 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..1) (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_634 (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.0 3) (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_635 (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0) (=> ?v_636 (=> ?v_637 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..0) (=> (= lockStatus_0.16 lockStatus_0.15) (=> (= alloc.31 alloc.30) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.0 call27241formal.new.0) (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.3 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.2) (=> ?v_638 (=> ?v_639 (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0) (=> ?v_640 (=> ?v_641 (=> (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_642 (=> (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0.2) (=> ?v_643 (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.1) (=> (= reqCompleted_1.16 reqCompleted_1.15) (=> ?v_644 (=> ?v_645 (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2) (=> ?v_646 (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0.1) (=> ?v_650 (=> ?v_651 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 inline.PerformHighSpeedIsochTransfer.0.myVar_0.27) (=> ?v_652 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1) (=> ?v_653 (=> ?v_654 (=> (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.0 call27250formal.new.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.1) (=> ?v_655 (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_656 (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> ?v_660 (=> ?v_661 (=> ?v_662 (=> ?v_663 (=> ?v_664 (=> ?v_665 (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.2) (=> ?v_666 (=> ?v_667 (=> (= errorReached.77 errorReached.76) (=> ?v_668 (=> (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..0) (=> ?v_669 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> ?v_670 (=> ?v_671 (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1) (=> (= reqCompleteSet_1.8 reqCompleteSet_1.7) (=> ?v_675 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.0) (=> ?v_676 (=> (= reqCancelSet_0.22 reqCancelSet_0.21) (=> ?v_677 (=> (= lockStatus_1.16 lockStatus_1.15) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2) (=> ?v_678 (=> (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> ?v_679 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> ?v_680 (=> (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.0 call27244formal.new.0) (=> ?v_681 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.0 call27259formal.new.0) (=> ?v_682 (=> (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.0) (=> ?v_683 (=> ?v_684 (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1) (=> (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..0) (=> ?v_685 (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0) (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0) (=> ?v_686 (=> ?v_687 (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.6 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.5) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_688 (=> ?v_689 (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..4 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..3) (=> ?v_690 (=> (= Mem_1_T.PWDFREQUEST__.12 Mem_1_T.PWDFREQUEST__.11) (=> ?v_691 (=> (= reqSent_1.8 reqSent_1.7) (=> ?v_692 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.2) (=> ?v_693 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..1 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..0) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0) (=> ?v_694 (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.3..Handle.1.107.0.GetFileContext.0) (=> ?v_695 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.63 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62) (=> (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..1 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..0) (=> ?v_696 (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..1 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..0) (=> ?v_697 (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1) (=> ?v_698 (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.0) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_699 (=> ?v_1607 (=> ?v_700 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4) (=> ?v_701 (=> ?v_702 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.4 inline.PerformHighSpeedIsochTransfer.0.myVar_1.3) (=> (= reqSent_0.8 reqSent_0.7) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_703 (=> (= inline.IsListEmpty.0.myNondetVar_0.3 inline.IsListEmpty.0.myNondetVar_0.2) (=> ?v_704 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> ?v_708 (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0) (=> ?v_709 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> ?v_710 (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.4 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.3) (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..1 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..0) (=> (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1) (=> ?v_714 (=> (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.4 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..0) (=> ?v_715 (=> ?v_716 (=> ?v_717 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.0 call27253formal.new.0) (=> ?v_718 (=> ?v_719 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0) (=> ?v_1631 (=> ?v_720 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..1) (=> (= reqCancelSet_1.22 reqCancelSet_1.21) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> ?v_724 (=> ?v_725 (=> (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0.1) (=> ?v_726 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..0) (=> ?v_727 (=> (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.0 call27256formal.new.0) (=> ?v_1639 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..3 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..2) (=> ?v_733 (=> ?v_734 (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.5) (=> ?v_735 (=> ?v_736 (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.0 call27265formal.new.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.6 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.1) (=> ?v_737 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..0) (=> ?v_738 (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1) (=> (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..0) (=> ?v_743 (=> ?v_744 (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..1 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..0) (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.2 inline.GetSubRequestContext.0.myNondetVar_0.1) (=> ?v_748 (=> (= inline.InsertTailList.0.myNondetVar_0.2 inline.InsertTailList.0.myNondetVar_0.1) (=> ?v_749 (=> (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..0) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7) (=> ?v_753 (=> ?v_754 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1) (=> ?v_755 (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.1) (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.2) ?v_1670)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_773 (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0.1)) (?v_774 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2)) (?v_812 (= reqCompleted_1.15 reqCompleted_1)) (?v_813 (= reqCancelSet_1.21 reqCancelSet_1.16)) (?v_775 (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.0)) (?v_776 (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0.3)) (?v_777 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..0)) (?v_778 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0)) (?v_779 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0)) (?v_780 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0)) (?v_814 (= reqCancelSet_0.21 reqCancelSet_0.16)) (?v_781 (= lockStatus_1.15 lockStatus_1.14)) (?v_782 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.0)) (?v_783 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0)) (?v_784 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1)) (?v_785 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0)) (?v_786 (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.2 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.1)) (?v_787 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..2 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..1)) (?v_761 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_788 (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..1 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..0)) (?v_815 (= reqCompleted_0.15 reqCompleted_0)) (?v_789 (= lockStatus_0.15 lockStatus_0.14)) (?v_790 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0)) (?v_791 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0)) (?v_762 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_816 (= errorReached.76 errorReached.71)) (?v_792 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_793 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1)) (?v_794 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1)) (?v_795 (= inline.IsListEmpty.0.myNondetVar_0.2 inline.IsListEmpty.0.myNondetVar_0.1)) (?v_796 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..1 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..0)) (?v_797 (= inline.DoSubRequestCleanup.0.myNondetVar_0.10 inline.DoSubRequestCleanup.0.myNondetVar_0.9)) (?v_798 (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..1 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..0)) (?v_799 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0)) (?v_800 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_801 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1))) (let ((?v_802 (=> (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> true (=> true (=> true ?v_763))))))) (let ((?v_811 (=> true (=> ?v_773 (=> ?v_774 (=> (= reqCompleted_1.15 reqCompleted_1.12) (=> (= reqCancelSet_1.21 reqCancelSet_1.18) (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> (= reqCancelSet_0.21 reqCancelSet_0.18) (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> ?v_788 (=> (= reqCompleted_0.15 reqCompleted_0.12) (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> (= errorReached.76 errorReached.73) (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.59) ?v_802)))))))))))))))))))))))))))))))))))))))) (let ((?v_803 (=> true (=> (= reqCancelSet_0.18 reqCancelSet_0.17) (=> (= errorReached.73 errorReached.72) (=> (= reqCompleted_1.12 reqCompleted_1.11) (=> (= reqCompleted_0.12 reqCompleted_0.11) (=> (= reqCancelSet_1.18 reqCancelSet_1.17) ?v_811)))))))) (let ((?v_806 (=> true ?v_803)) (?v_804 (= reqCancelSet_0.17 reqCancelSet_0.16)) (?v_805 (= reqCancelSet_1.17 reqCancelSet_1.16))) (let ((?v_807 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.17 0) (=> ?v_805 ?v_803))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_804 (=> (= reqCancelSet_1.17 0) ?v_806))))) (=> true (=> ?v_41 (=> true (=> ?v_804 (=> ?v_805 ?v_806)))))))))) (?v_808 (= reqCompleted_1.11 reqCompleted_1))) (let ((?v_809 (=> (= reqCompleted_0.11 reqCompleted_0) (=> true (=> true ?v_807))))) (let ((?v_810 (and (=> true (=> ?v_0 (=> true (=> ?v_808 (=> (= reqCompleted_0.11 1) ?v_807))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleted_1.11 1) ?v_809)))) (=> true (=> ?v_41 (=> true (=> ?v_808 ?v_809))))))))) (?v_772 (=> true (=> ?v_773 (=> ?v_774 (=> (= reqCompleted_1.15 reqCompleted_1.14) (=> (= reqCancelSet_1.21 reqCancelSet_1.20) (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> (= reqCancelSet_0.21 reqCancelSet_0.20) (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_761 (=> ?v_788 (=> (= reqCompleted_0.15 reqCompleted_0.14) (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_762 (=> (= errorReached.76 errorReached.75) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> ?v_801 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.61) ?v_802)))))))))))))))))))))))))))))))))))))))) (let ((?v_764 (=> true (=> (= reqCancelSet_0.20 reqCancelSet_0.19) (=> (= errorReached.75 errorReached.74) (=> (= reqCompleted_1.14 reqCompleted_1.13) (=> (= reqCompleted_0.14 reqCompleted_0.13) (=> (= reqCancelSet_1.20 reqCancelSet_1.19) ?v_772)))))))) (let ((?v_767 (=> true ?v_764)) (?v_765 (= reqCancelSet_0.19 reqCancelSet_0.16)) (?v_766 (= reqCancelSet_1.19 reqCancelSet_1.16))) (let ((?v_768 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.19 0) (=> ?v_766 ?v_764))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_765 (=> (= reqCancelSet_1.19 0) ?v_767))))) (=> true (=> ?v_41 (=> true (=> ?v_765 (=> ?v_766 ?v_767)))))))))) (?v_769 (= reqCompleted_1.13 reqCompleted_1))) (let ((?v_770 (=> (= reqCompleted_0.13 reqCompleted_0) (=> true (=> true ?v_768))))) (let ((?v_771 (and (=> true (=> ?v_0 (=> true (=> ?v_769 (=> (= reqCompleted_0.13 1) ?v_768))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleted_1.13 1) ?v_770)))) (=> true (=> ?v_41 (=> true (=> ?v_769 ?v_770)))))))))) (let ((?v_834 (and (=> true (=> (not (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.57 0)) (and (=> true (=> (< 0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.60) (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.74 1) ?v_771))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.74 errorReached.71) (=> true ?v_771))))))))) (=> true (=> ?v_56 (=> true (=> (= reqCancelSet_0.20 reqCancelSet_0.16) (=> (= errorReached.75 errorReached.71) (=> (= reqCompleted_1.14 reqCompleted_1) (=> (= reqCompleted_0.14 reqCompleted_0) (=> (= reqCancelSet_1.20 reqCancelSet_1.16) (=> true (=> true (=> true ?v_772)))))))))))))) (=> true (=> (not (< 0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.58)) (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.72 1) ?v_810))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.72 errorReached.71) (=> true ?v_810))))))))) (=> true (=> ?v_56 (=> true (=> (= reqCancelSet_0.18 reqCancelSet_0.16) (=> (= errorReached.73 errorReached.71) (=> (= reqCompleted_1.12 reqCompleted_1) (=> (= reqCompleted_0.12 reqCompleted_0) (=> (= reqCancelSet_1.18 reqCancelSet_1.16) (=> true (=> true (=> true ?v_811))))))))))))))))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.56 0) (=> true (=> ?v_773 (=> ?v_774 (=> ?v_812 (=> ?v_813 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_814 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_761 (=> ?v_788 (=> ?v_815 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_762 (=> ?v_816 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.56) ?v_802))))))))))))))))))))))))))))))))))))))))))) (let ((?v_818 (=> true (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 call27262formal.new.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.DoSubRequestCleanup.0.myNondetVar_0.0) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 call27262formal.new.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.55 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.54) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.9 inline.DoSubRequestCleanup.0.myNondetVar_0.8) (=> (= lockStatus_1.14 lockStatus_1.13) (=> (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.DoSubRequestCleanup.0.myNondetVar_0.8) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.DoSubRequestCleanup.0.myNondetVar_0.8) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..1 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..0) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.1 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.DoSubRequestCleanup.0.myNondetVar_0.0) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> (= lockStatus_0.14 lockStatus_0.13) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 call27262formal.new.0) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..0 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 call27262formal.new.0) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..0 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0.0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0.2) (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..0 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0) (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0) ?v_834))))))))))))))))))))))))))) (?v_817 (< 0 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0))) (let ((?v_823 (and (=> true (=> ?v_817 ?v_818)) (=> true (=> (not ?v_817) (=> true (=> true (=> true ?v_818))))))) (?v_822 (= inline.DoSubRequestCleanup.0.myNondetVar_0.8 hlock))) (let ((?v_819 (=> true (=> (= lockStatus_1.13 lockStatus_1.12) (=> (= lockStatus_0.13 lockStatus_0.12) ?v_823)))) (?v_820 (= lockStatus_1.12 lockStatus_1.11))) (let ((?v_821 (=> (= lockStatus_0.12 lockStatus_0.11) (=> true ?v_819)))) (let ((?v_825 (and (=> true (=> ?v_822 (and (=> true (=> ?v_0 (=> true (=> ?v_820 (=> (= lockStatus_0.12 0) ?v_819))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.12 0) ?v_821)))) (=> true (=> ?v_41 (=> true (=> ?v_820 ?v_821)))))))))) (=> true (=> (not ?v_822) (=> true (=> (= lockStatus_1.13 lockStatus_1.11) (=> (= lockStatus_0.13 lockStatus_0.11) (=> true (=> true (=> true (=> true ?v_823)))))))))))) (let ((?v_827 (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.6 inline.DoSubRequestCleanup.0.myNondetVar_0.5) (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0.1) (=> (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 call27262formal.new.0) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..0 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 call27262formal.new.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_825))))))))))))))))))))) (?v_826 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_828 (=> true (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.2.myNondetVar_0.0 call27262formal.new.0))) (and (=> true (=> (not ?v_826) ?v_827)) (=> true (=> ?v_826 (=> true (=> ?v_39 ?v_827)))))))) (?v_824 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_833 (=> true (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.1.myNondetVar_0.0 call27262formal.new.0))) (and (=> true (=> (not ?v_824) (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.6 inline.DoSubRequestCleanup.0.myNondetVar_0.0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0) (=> (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..0 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty) ?v_825)))))))))) (=> true (=> ?v_824 (and (=> true (=> (not (= inline.DoSubRequestCleanup.0.myNondetVar_0.2 0)) (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.5 inline.DoSubRequestCleanup.0.myNondetVar_0.3) ?v_828)))) (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.4 0) (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.5 inline.DoSubRequestCleanup.0.myNondetVar_0.4) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_828)))))))))))))))))))) (?v_832 (= inline.DoSubRequestCleanup.0.myNondetVar_0.0 hlock))) (let ((?v_829 (=> true (=> (= lockStatus_1.11 lockStatus_1.10) (=> (= lockStatus_0.11 lockStatus_0.10) ?v_833)))) (?v_830 (= lockStatus_1.10 lockStatus_1.9))) (let ((?v_831 (=> (= lockStatus_0.10 lockStatus_0.9) (=> true ?v_829)))) (let ((?v_836 (and (=> true (=> (not (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.54 0)) (and (=> true (=> ?v_832 (=> true (=> (=> ?v_0 (= lockStatus_0.9 0)) (=> (=> ?v_1 (= lockStatus_1.9 0)) (and (=> true (=> ?v_0 (=> true (=> ?v_830 (=> (= lockStatus_0.10 1) ?v_829))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.10 1) ?v_831)))) (=> true (=> ?v_41 (=> true (=> ?v_830 ?v_831))))))))))))) (=> true (=> (not ?v_832) (=> true (=> (= lockStatus_1.11 lockStatus_1.9) (=> (= lockStatus_0.11 lockStatus_0.9) (=> true (=> true (=> true (=> true (=> true (=> true ?v_833)))))))))))))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.53 0) (=> true (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.55 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.53) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.9 inline.DoSubRequestCleanup.0.myNondetVar_0) (=> (= lockStatus_1.14 lockStatus_1.9) (=> (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..1 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.1 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.) (=> (= lockStatus_0.14 lockStatus_0.9) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..0 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1.) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..0 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1.) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0) (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..0 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5.) (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup) (=> true ?v_834))))))))))))))))))))))))))))))) (?v_835 (<= 0 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6)) (?v_760 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_899 (and (=> true (=> ?v_835 (=> true (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.0.myNondetVar_0.0 call27262formal.new.0))) (and (=> true (=> (not ?v_760) (=> true (=> (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.) (=> ?v_812 (=> ?v_813 (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup) (=> (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1 call27262formal.new.0) (=> ?v_814 (=> (= lockStatus_1.15 lockStatus_1.9) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.2 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..2 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.) (=> ?v_761 (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..1 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5.) (=> ?v_815 (=> (= lockStatus_0.15 lockStatus_0.9) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1 call27262formal.new.0) (=> ?v_762 (=> ?v_816 (=> ?v_792 (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.0.myNondetVar_0.2 inline.IsListEmpty.0.myNondetVar_0.0) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..1 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1.) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.10 inline.DoSubRequestCleanup.0.myNondetVar_0) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..1 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1.) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty) (=> ?v_800 (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52) (=> (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) ?v_763)))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_760 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..0 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 call27262formal.new.0) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0.0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 call27262formal.new.0) ?v_836))))))))))))) (=> true (=> (not ?v_835) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..0 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29.) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty) (=> true (=> true (=> true ?v_836)))))))))))))) (let ((?v_1394 (=> true ?v_899)) (?v_874 (= reqSent_0.7 reqSent_0)) (?v_1264 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_903 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hdevice)) (?v_1094 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_1265 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14.)) (?v_1326 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_1187 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.3 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub)) (?v_1266 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1125 (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..2 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_1267 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 inline.PerformHighSpeedIsochTransfer.0.myVar_0)) (?v_1268 (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2.)) (?v_1358 (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..0 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_875 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_1269 (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_876 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23.)) (?v_1359 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_914 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..0 hdevice)) (?v_1384 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..0 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3.)) (?v_877 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_1238 (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..0 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2.)) (?v_1296 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10.)) (?v_1360 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.0 inline.GetFileContext.3..Handle.1.107.0.GetFileContext)) (?v_1188 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc)) (?v_1126 (= reqCompleteSet_0.7 reqCompleteSet_0)) (?v_1270 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer)) (?v_1189 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached)) (?v_878 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..0 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28.)) (?v_922 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0 hdevice)) (?v_879 (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..0 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_880 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_1361 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer)) (?v_1297 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_1385 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..0 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_1127 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_1128 (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.0 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_1190 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..2 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17.)) (?v_1271 (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1.)) (?v_1272 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1)) (?v_881 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_1362 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer)) (?v_932 (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_882 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_1298 (= Mem_0_T.PWDFREQUEST__.11 Mem_0_T.PWDFREQUEST__)) (?v_1363 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_1191 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k)) (?v_1299 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1192 (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.3 inline.PerformHighSpeedIsochTransfer.0.myVar_1)) (?v_883 (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2.)) (?v_1300 (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1327 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_1097 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_1328 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8.)) (?v_1301 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_1098 (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0)) (?v_1364 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1365 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1129 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_1193 (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..3 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18.)) (?v_1302 (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2.)) (?v_1194 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted)) (?v_1195 (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..3 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1.)) (?v_1196 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent)) (?v_1197 (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer)) (?v_1198 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2)) (?v_953 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1199 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1)) (?v_1200 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent)) (?v_1201 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet)) (?v_957 (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..0 call28443formal.new.0)) (?v_1329 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_1099 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_884 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3.)) (?v_1202 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet)) (?v_1100 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..0 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22.)) (?v_1203 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.5 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub)) (?v_1303 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer)) (?v_1204 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4)) (?v_1304 (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..0 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2.)) (?v_1366 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer)) (?v_967 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 call28455formal.ret.0)) (?v_1205 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k)) (?v_1386 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.)) (?v_1101 (= reqCancelSet_1.16 reqCancelSet_1)) (?v_1130 (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..0 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2.)) (?v_972 (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 hdevice)) (?v_1305 (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1330 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_975 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_885 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_1206 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted)) (?v_1387 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0)) (?v_886 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_887 (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0)) (?v_888 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_1207 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus)) (?v_1306 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_979 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 call28455formal.ret.0)) (?v_1208 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.3 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1)) (?v_981 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1367 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7.)) (?v_1274 (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1209 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached)) (?v_1368 (= inline.GetFileContext.3.myNondetVar_0.1 inline.GetFileContext.3.myNondetVar_0)) (?v_1307 (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..0 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_1275 (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..0 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13.)) (?v_1276 (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1308 (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..0 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2.)) (?v_1309 (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_1210 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5)) (?v_1211 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted)) (?v_1388 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1212 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3)) (?v_889 (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0)) (?v_1213 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet)) (?v_1310 (= Mem_1_T.PWDFREQUEST__.11 Mem_1_T.PWDFREQUEST__)) (?v_1311 (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_1214 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.3 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1)) (?v_1131 (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.2 inline.sdv_WdfCollectionAdd.0.myNondetVar_0)) (?v_1389 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5.)) (?v_1390 (= errorReached.71 errorReached.30)) (?v_1312 (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer)) (?v_1216 (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..0 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20.)) (?v_1104 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_1369 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.0 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1)) (?v_1005 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hdevice)) (?v_1370 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer)) (?v_1217 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..2 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19.)) (?v_1218 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc)) (?v_1313 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.0 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_1219 (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer)) (?v_1105 (= reqCancelSet_0.16 reqCancelSet_0)) (?v_1391 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1241 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1.)) (?v_1220 (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_1132 (= reqCompleteSet_1.7 reqCompleteSet_1)) (?v_890 (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer)) (?v_891 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_892 (= reqSent_1.7 reqSent_1)) (?v_893 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24.)) (?v_1221 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet)) (?v_1017 (= inline.GetDeviceContext.1.myNondetVar_0.1 inline.GetDeviceContext.1.myNondetVar_0.0)) (?v_1242 (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..0 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15.)) (?v_1277 (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2.)) (?v_1333 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0)) (?v_1021 (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_894 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_1278 (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_1222 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.3 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub)) (?v_1223 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException)) (?v_1371 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer)) (?v_1279 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1224 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus)) (?v_1048 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0 hdevice)) (?v_895 (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1.)) (?v_896 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_1314 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.0 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_1372 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_1106 (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0)) (?v_897 (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1373 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0)) (?v_1281 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext)) (?v_1315 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11.)) (?v_1316 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_1244 (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.0 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl)) (?v_1374 (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer)) (?v_1107 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_1059 (= alloc.30 alloc.28)) (?v_1225 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException)) (?v_898 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26.)) (?v_1282 (= inline.GetSubRequestContext.0.myNondetVar_0.1 inline.GetSubRequestContext.0.myNondetVar_0)) (?v_1335 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3.)) (?v_1392 (= lockStatus_1.9 lockStatus_1)) (?v_1245 (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer)) (?v_1137 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21.)) (?v_1226 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.0 myNondetVar_0.0)) (?v_1317 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9.)) (?v_1318 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_1229 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted)) (?v_1393 (= lockStatus_0.9 lockStatus_0)) (?v_1383 (<= 0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_915 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..0 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_925 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..0 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_969 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 call28588formal.ret.0)) (?v_993 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 call28588formal.ret.0)) (?v_1000 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..0 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1012 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1135 (= lockStatus_1.9 lockStatus_1.0))) (let ((?v_1230 (=> (= lockStatus_0.9 lockStatus_0.0) ?v_1394))) (let ((?v_1319 (=> ?v_1229 ?v_1230))) (let ((?v_1375 (=> ?v_1135 (=> ?v_1245 (=> ?v_1137 (=> ?v_1226 (=> ?v_1317 (=> ?v_1318 ?v_1319))))))) (?v_1357 (<= 0 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_911 (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..0 notused_4hfileobj)) (?v_913 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4hfileobj)) (?v_918 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.0 notused_4hfileobj)) (?v_923 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0)) (?v_931 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0)) (?v_933 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 hrequest)) (?v_943 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4hfileobj)) (?v_944 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1240 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1)) (?v_1331 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.4)) (?v_982 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..0 notused_4hfileobj)) (?v_985 (= inline.GetFileContext.3.myNondetVar_0.1 inline.GetFileContext.3.myNondetVar_0.0)) (?v_1004 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.0 notused_4hfileobj)) (?v_1332 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1)) (?v_1243 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1)) (?v_1050 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 hrequest)) (?v_1334 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1)) (?v_1057 (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2)) (?v_1325 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_1295 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_906 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_917 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..0 call29302formal.ret.0)) (?v_924 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3)) (?v_1096 (= Mem_0_T.PWDFREQUEST__.11 Mem_0_T.PWDFREQUEST__.8)) (?v_935 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_937 (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.0 call29443formal.ret.0)) (?v_938 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_940 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..0)) (?v_941 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_947 (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..0 call29443formal.ret.0)) (?v_958 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_1239 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0 call29302formal.ret.0)) (?v_965 (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..0 call29302formal.ret.0)) (?v_973 (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_974 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1273 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.7)) (?v_978 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_986 (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..0 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_989 (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..0 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_990 (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 call29302formal.ret.0)) (?v_1103 (= Mem_1_T.PWDFREQUEST__.11 Mem_1_T.PWDFREQUEST__.8)) (?v_996 (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 call29302formal.ret.0)) (?v_1001 (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0)) (?v_1006 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.2)) (?v_1009 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.0 call27259formal.new.0)) (?v_1020 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.3)) (?v_1049 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.0 call27259formal.new.0)) (?v_1280 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3)) (?v_1054 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..0 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1055 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0)) (?v_1134 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..0)) (?v_1227 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..0)) (?v_1228 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0))) (let ((?v_1246 (=> ?v_1137 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 ?v_1319)))))) (let ((?v_1283 (=> ?v_1134 (=> ?v_1135 (=> ?v_1245 ?v_1246)))) (?v_1263 (<= 0 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_902 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.2)) (?v_905 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..0 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_908 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_910 (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..0 call29745formal.ret.0)) (?v_912 (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1095 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_929 (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_930 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.2)) (?v_983 (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.0 call29745formal.ret.0)) (?v_987 (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_988 (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1215 (= errorReached.71 errorReached.63)) (?v_1019 (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1042 (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1046 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.2)) (?v_1053 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.2)) (?v_1133 (= inline.GetSubRequestContext.0.myNondetVar_0.1 inline.GetSubRequestContext.0.myNondetVar_0.0))) (let ((?v_1247 (=> true (=> ?v_874 (=> ?v_902 (=> ?v_903 (=> ?v_1094 (=> ?v_905 (=> ?v_906 (=> ?v_1187 (=> ?v_908 (=> ?v_1125 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 inline.PerformHighSpeedIsochTransfer.0.myVar_0.5) (=> ?v_910 (=> ?v_911 (=> ?v_875 (=> ?v_912 (=> ?v_876 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_877 (=> ?v_1238 (=> ?v_917 (=> ?v_918 (=> ?v_1188 (=> ?v_1126 (=> ?v_1095 (=> ?v_1189 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_1127 (=> ?v_1128 (=> ?v_1190 (=> ?v_929 (=> ?v_930 (=> ?v_881 (=> ?v_931 (=> ?v_932 (=> ?v_882 (=> ?v_1096 (=> ?v_933 (=> ?v_1191 (=> ?v_935 (=> ?v_1192 (=> ?v_883 (=> ?v_937 (=> ?v_938 (=> ?v_1097 (=> ?v_940 (=> ?v_941 (=> ?v_1098 (=> ?v_943 (=> ?v_944 (=> ?v_1129 (=> ?v_1193 (=> ?v_947 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_953 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_957 (=> ?v_958 (=> ?v_1099 (=> ?v_884 (=> ?v_1202 (=> ?v_1100 (=> ?v_1203 (=> ?v_1239 (=> ?v_1204 (=> ?v_965 (=> ?v_1240 (=> ?v_967 (=> ?v_1205 (=> ?v_969 (=> ?v_1101 (=> ?v_1130 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_885 (=> ?v_1206 (=> ?v_1273 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_1207 (=> ?v_978 (=> ?v_979 (=> ?v_1208 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_1209 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_1210 (=> ?v_1211 (=> ?v_993 (=> ?v_1212 (=> ?v_889 (=> ?v_1213 (=> ?v_1103 (=> ?v_996 (=> ?v_1214 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1131 (=> ?v_1000 (=> ?v_1215 (=> ?v_1001 (=> ?v_1216 (=> ?v_1104 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1217 (=> ?v_1218 (=> ?v_1009 (=> ?v_1219 (=> ?v_1105 (=> ?v_1012 (=> ?v_1241 (=> ?v_1220 (=> ?v_1132 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1221 (=> ?v_1017 (=> ?v_1242 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_894 (=> ?v_1042 (=> ?v_1222 (=> ?v_1223 (=> ?v_1243 (=> ?v_1046 (=> ?v_1224 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1049 (=> ?v_1050 (=> ?v_1106 (=> ?v_897 (=> ?v_1280 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1244 (=> ?v_1057 (=> ?v_1107 (=> ?v_1059 (=> ?v_1225 (=> ?v_898 (=> ?v_1133 ?v_1283)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1248 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1247))))))) (?v_545 (int_2_U call27259formal.new.0))) (let ((?v_1113 (U_2_int (MapType0Select Mem_1_T.PWDFREQUEST__.8 ?v_545))) (?v_872 (U_2_int (MapType0Select Mem_0_T.PWDFREQUEST__.8 ?v_545))) (?v_1237 (<= 0 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_916 (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..0 call29917formal.ret.0)) (?v_1013 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0)) (?v_1018 (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..0 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0)) (?v_1056 (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.0 call29917formal.ret.0)) (?v_1136 (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.0 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0))) (let ((?v_1231 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.5 ?v_478) (=> true (=> ?v_874 (=> ?v_902 (=> ?v_903 (=> ?v_1094 (=> ?v_905 (=> ?v_906 (=> ?v_1187 (=> ?v_908 (=> ?v_1125 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 inline.PerformHighSpeedIsochTransfer.0.myVar_0.8) (=> ?v_910 (=> ?v_911 (=> ?v_875 (=> ?v_912 (=> ?v_876 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_877 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_1188 (=> ?v_1126 (=> ?v_1095 (=> ?v_1189 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_1127 (=> ?v_1128 (=> ?v_1190 (=> ?v_929 (=> ?v_930 (=> ?v_881 (=> ?v_931 (=> ?v_932 (=> ?v_882 (=> ?v_1096 (=> ?v_933 (=> ?v_1191 (=> ?v_935 (=> ?v_1192 (=> ?v_883 (=> ?v_937 (=> ?v_938 (=> ?v_1097 (=> ?v_940 (=> ?v_941 (=> ?v_1098 (=> ?v_943 (=> ?v_944 (=> ?v_1129 (=> ?v_1193 (=> ?v_947 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_953 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_957 (=> ?v_958 (=> ?v_1099 (=> ?v_884 (=> ?v_1202 (=> ?v_1100 (=> ?v_1203 (=> ?v_1239 (=> ?v_1204 (=> ?v_965 (=> ?v_1240 (=> ?v_967 (=> ?v_1205 (=> ?v_969 (=> ?v_1101 (=> ?v_1130 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_885 (=> ?v_1206 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.12) (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_1207 (=> ?v_978 (=> ?v_979 (=> ?v_1208 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_1209 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_1210 (=> ?v_1211 (=> ?v_993 (=> ?v_1212 (=> ?v_889 (=> ?v_1213 (=> ?v_1103 (=> ?v_996 (=> ?v_1214 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.5) (=> ?v_1131 (=> ?v_1000 (=> ?v_1215 (=> ?v_1001 (=> ?v_1216 (=> ?v_1104 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1217 (=> ?v_1218 (=> ?v_1009 (=> ?v_1219 (=> ?v_1105 (=> ?v_1012 (=> ?v_1013 (=> ?v_1220 (=> ?v_1132 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1221 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_894 (=> ?v_1042 (=> ?v_1222 (=> ?v_1223 (=> ?v_1243 (=> ?v_1046 (=> ?v_1224 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1049 (=> ?v_1050 (=> ?v_1106 (=> ?v_897 (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.6) (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1107 (=> ?v_1059 (=> ?v_1225 (=> ?v_898 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 ?v_1246))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1232 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1231))))))) (?v_841 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0 0)) (?v_907 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.3 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.2)) (?v_919 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0)) (?v_921 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.0)) (?v_928 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..2 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..1)) (?v_934 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.0)) (?v_936 (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.3 inline.PerformHighSpeedIsochTransfer.0.myVar_1.2)) (?v_946 (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..3 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..2)) (?v_948 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.1)) (?v_949 (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..3 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..2)) (?v_950 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.1)) (?v_951 (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.3)) (?v_952 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.0)) (?v_955 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.1)) (?v_956 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.1)) (?v_960 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.1)) (?v_962 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.5 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.4)) (?v_963 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.7)) (?v_964 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.0)) (?v_966 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.6)) (?v_968 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.0)) (?v_976 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.1)) (?v_1102 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.42)) (?v_977 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.1)) (?v_980 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.3 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.2)) (?v_984 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.0)) (?v_991 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.0)) (?v_992 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.1)) (?v_994 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.0)) (?v_995 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.1)) (?v_997 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.3 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.2)) (?v_1002 (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..0 inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2.)) (?v_1007 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..2 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..1)) (?v_1008 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0)) (?v_1010 (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.3)) (?v_1014 (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2.)) (?v_1016 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.1)) (?v_1043 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.3 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.2)) (?v_1044 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.0)) (?v_1045 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.5)) (?v_1047 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.1)) (?v_1052 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.18)) (?v_1060 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.0)) (?v_1138 (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.8) (=> ?v_1227 (=> ?v_1228 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.1) ?v_1230)))))) (let ((?v_1139 (=> true (=> ?v_874 (=> ?v_902 (=> ?v_903 (=> ?v_1094 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_1125 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 inline.PerformHighSpeedIsochTransfer.0.myVar_0.14) (=> ?v_910 (=> ?v_911 (=> ?v_875 (=> ?v_912 (=> ?v_876 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_877 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_1126 (=> ?v_1095 (=> ?v_921 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_1127 (=> ?v_1128 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_881 (=> ?v_931 (=> ?v_932 (=> ?v_882 (=> ?v_1096 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_883 (=> ?v_937 (=> ?v_938 (=> ?v_1097 (=> ?v_940 (=> ?v_941 (=> ?v_1098 (=> ?v_943 (=> ?v_944 (=> ?v_1129 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.3) (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_1099 (=> ?v_884 (=> ?v_960 (=> ?v_1100 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_1101 (=> ?v_1130 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_885 (=> ?v_976 (=> ?v_1102 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_889 (=> ?v_995 (=> ?v_1103 (=> ?v_996 (=> ?v_997 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2.) (=> ?v_1131 (=> ?v_1000 (=> ?v_1215 (=> ?v_1001 (=> ?v_1002 (=> ?v_1104 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1105 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1132 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_894 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1049 (=> ?v_1050 (=> ?v_1106 (=> ?v_897 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1107 (=> ?v_1059 (=> ?v_1060 (=> ?v_898 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 ?v_1138)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1140 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1139))))))))))))) (?v_1124 (<= 0 inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2.)) (?v_909 (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..2 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_920 (= reqCompleteSet_0.7 reqCompleteSet_0.6)) (?v_926 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.12)) (?v_927 (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.0 call31024formal.ret.0)) (?v_945 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.12)) (?v_954 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.4)) (?v_971 (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..0 call31024formal.ret.0)) (?v_998 (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_999 (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.2 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.1)) (?v_1015 (= reqCompleteSet_1.7 reqCompleteSet_1.6)) (?v_1061 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..0 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1) ?v_1138))))))) (let ((?v_1108 (=> ?v_1059 (=> ?v_1060 (=> ?v_898 ?v_1061))))) (let ((?v_1109 (=> true (=> ?v_874 (=> ?v_902 (=> ?v_903 (=> ?v_1094 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 inline.PerformHighSpeedIsochTransfer.0.myVar_0.20) (=> ?v_910 (=> ?v_911 (=> ?v_875 (=> ?v_912 (=> ?v_876 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_877 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_1095 (=> ?v_921 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_881 (=> ?v_931 (=> ?v_932 (=> ?v_882 (=> ?v_1096 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_883 (=> ?v_937 (=> ?v_938 (=> ?v_1097 (=> ?v_940 (=> ?v_941 (=> ?v_1098 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_1099 (=> ?v_884 (=> ?v_960 (=> ?v_1100 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_1101 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_885 (=> ?v_976 (=> ?v_1102 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_889 (=> ?v_995 (=> ?v_1103 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> (= errorReached.71 errorReached.65) (=> ?v_1001 (=> ?v_1002 (=> ?v_1104 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1105 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_894 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1049 (=> ?v_1050 (=> ?v_1106 (=> ?v_897 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1107 ?v_1108)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1110 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1109))))))))))))) (?v_1093 (<= 0 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_1027 (= reqSent_0.7 reqSent_0.6)) (?v_904 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 call27262formal.new.0)) (?v_1028 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 call31413formal.ret.0)) (?v_1029 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..0 notused_4wdfobject1)) (?v_1030 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.23)) (?v_1031 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.0)) (?v_1032 (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..0 notused_4wdfobject1)) (?v_1033 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 call31413formal.ret.0)) (?v_1034 (= Mem_0_T.PWDFREQUEST__.11 Mem_0_T.PWDFREQUEST__.10)) (?v_939 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest)) (?v_942 (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0.0)) (?v_959 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0)) (?v_961 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..0 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0)) (?v_970 (= reqCancelSet_1.16 reqCancelSet_1.15)) (?v_1035 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.51)) (?v_1036 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 call31413formal.ret.0)) (?v_1037 (= Mem_1_T.PWDFREQUEST__.11 Mem_1_T.PWDFREQUEST__.10)) (?v_1003 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest)) (?v_1011 (= reqCancelSet_0.16 reqCancelSet_0.15)) (?v_1038 (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.51)) (?v_1039 (= reqSent_1.7 reqSent_1.6)) (?v_1040 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..0 call31413formal.ret.0)) (?v_1041 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.23)) (?v_1051 (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0.0)) (?v_1058 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 call27262formal.new.0))) (let ((?v_1063 (=> true (=> ?v_1027 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 inline.PerformHighSpeedIsochTransfer.0.myVar_0.26) (=> ?v_910 (=> ?v_911 (=> ?v_1028 (=> ?v_912 (=> ?v_1029 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_1030 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_1031 (=> ?v_921 (=> ?v_878 (=> ?v_922 (=> ?v_1032 (=> ?v_880 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_1033 (=> ?v_931 (=> ?v_932 (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1034 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..0 call31605formal.ret.0) (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_885 (=> ?v_976 (=> ?v_1035 (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.26) (=> ?v_887 (=> ?v_1036 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_889 (=> ?v_995 (=> ?v_1037 (=> ?v_996 (=> ?v_997 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_999 (=> ?v_1000 (=> (= errorReached.71 errorReached.70) (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1038 (=> ?v_891 (=> ?v_1039 (=> ?v_1040 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.26) (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.0 call31605formal.ret.0) (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..0 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) ?v_1061)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1062 (= call31605formal.ret.0 0))) (let ((?v_1065 (=> true (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_1063))) (?v_1064 (= call31605formal.ret.0 1))) (let ((?v_1066 (and (=> true (=> (not ?v_1062) (=> (not ?v_1064) ?v_1065))) (=> true (=> ?v_1062 (=> true (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1063))))))))))))))))))))) (=> true (=> ?v_1064 (=> true ?v_1065)))))) (let ((?v_1068 (=> true (=> (= errorReached.70 errorReached.69) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1066)))))))))) (?v_1067 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.26 hrequest))) (let ((?v_1069 (and (=> true (=> ?v_1067 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.70 1) ?v_1066))))) (=> true (=> ?v_290 (=> ?v_291 ?v_1068)))))) (=> true (=> (not ?v_1067) ?v_1068))))) (let ((?v_1070 (=> true (=> true (=> true (=> true ?v_1069))))) (?v_1079 (U_2_int (MapType0Select Mem_1_T.PWDFREQUEST__.10 ?v_545))) (?v_1026 (U_2_int (MapType0Select Mem_0_T.PWDFREQUEST__.10 ?v_545))) (?v_1025 (= call31413formal.ret.0 0)) (?v_1022 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_897 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 ?v_1108)))))))))))))))))))))) (let ((?v_1024 (=> true (=> ?v_1027 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 inline.PerformHighSpeedIsochTransfer.0.myVar_0.23) (=> ?v_910 (=> ?v_911 (=> ?v_1028 (=> ?v_912 (=> ?v_1029 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_1030 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_1031 (=> ?v_921 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..0 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) (=> ?v_922 (=> ?v_1032 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 call27262formal.new.0) (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_1033 (=> ?v_931 (=> ?v_932 (=> ?v_882 (=> ?v_1034 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_883 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_884 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) (=> ?v_976 (=> ?v_1035 (=> ?v_886 (=> (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0.1) (=> ?v_1036 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0.0) (=> ?v_995 (=> ?v_1037 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> (= errorReached.71 errorReached.69) (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1038 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 call27262formal.new.0) (=> ?v_1039 (=> ?v_1040 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1041 ?v_1022))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1023 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 0)) (?v_901 (not ?v_1025))) (let ((?v_1075 (and (=> true (=> ?v_901 (=> true (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.4.myNondetVar_0.0 call27262formal.new.0))) (and (=> true (=> (not ?v_1023) ?v_1024)) (=> true (=> ?v_1023 (=> true (=> ?v_39 ?v_1024))))))))) (=> true (=> ?v_1025 (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.24 ?v_1026) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.26 inline.PerformHighSpeedIsochTransfer.0.myVar_0.24) ?v_1069))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.25 ?v_1079) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.26 inline.PerformHighSpeedIsochTransfer.0.myVar_0.25) ?v_1070))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.26 inline.PerformHighSpeedIsochTransfer.0.myVar_0.23) ?v_1070))))))))))))) (let ((?v_1078 (=> (= reqSent_1.6 reqSent_1) (=> (= reqSent_0.6 reqSent_0) (=> true (=> true (=> true (=> true (=> true ?v_1075)))))))) (?v_1077 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.23 hrequest)) (?v_1074 (= errorReached.69 errorReached.68))) (let ((?v_1071 (=> true (=> ?v_1074 (=> (= reqSent_1.6 reqSent_1.5) (=> (= reqSent_0.6 reqSent_0.5) ?v_1075))))) (?v_1072 (= reqSent_1.5 reqSent_1))) (let ((?v_1073 (=> (= reqSent_0.5 reqSent_0) (=> true ?v_1071)))) (let ((?v_1076 (and (=> true (=> ?v_901 (and (=> true (=> ?v_0 (=> true (=> ?v_1072 (=> (= reqSent_0.5 1) ?v_1071))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqSent_1.5 1) ?v_1073)))) (=> true (=> ?v_41 (=> true (=> ?v_1072 ?v_1073)))))))))) (=> true (=> ?v_1025 (=> true (=> ?v_1074 ?v_1078))))))) (let ((?v_1080 (and (=> true (=> ?v_1077 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.68 1) ?v_1076))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.68 errorReached.67) (=> true ?v_1076))))))))) (=> true (=> (not ?v_1077) (=> true (=> (= errorReached.69 errorReached.67) ?v_1078))))))) (let ((?v_1081 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1080))))))))) (let ((?v_1083 (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.22 ?v_1026) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.23 inline.PerformHighSpeedIsochTransfer.0.myVar_0.22) ?v_1080))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.21 ?v_1079) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.23 inline.PerformHighSpeedIsochTransfer.0.myVar_0.21) ?v_1081))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.23 inline.PerformHighSpeedIsochTransfer.0.myVar_0.17) ?v_1081)))))))))) (let ((?v_1086 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1083)))))))))) (?v_1084 (= Mem_0_T.PWDFREQUEST__.10 Mem_0_T.PWDFREQUEST__.8)) (?v_1085 (= Mem_1_T.PWDFREQUEST__.10 Mem_1_T.PWDFREQUEST__.8)) (?v_900 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1092 (=> true (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.3.myNondetVar_0.0 call27262formal.new.0))) (and (=> true (=> (not ?v_900) (=> true (=> ?v_874 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 inline.PerformHighSpeedIsochTransfer.0.myVar_0.17) (=> ?v_910 (=> ?v_911 (=> ?v_875 (=> ?v_912 (=> ?v_876 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_877 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_1095 (=> ?v_921 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_881 (=> ?v_931 (=> ?v_932 (=> ?v_882 (=> ?v_1096 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_883 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_884 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_885 (=> ?v_976 (=> ?v_1102 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_889 (=> ?v_995 (=> ?v_1103 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> (= errorReached.71 errorReached.67) (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_894 ?v_1022)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_900 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.0 (MINUS_LEFT_PTR inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.51 1 12)) (and (=> true (=> ?v_0 (=> (= Mem_0_T.PWDFREQUEST__.9 (MapType0Store Mem_0_T.PWDFREQUEST__.8 ?v_545 ?v_1082)) (=> true (=> (= Mem_0_T.PWDFREQUEST__.10 Mem_0_T.PWDFREQUEST__.9) (=> ?v_1085 ?v_1083)))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= Mem_1_T.PWDFREQUEST__.9 (MapType0Store Mem_1_T.PWDFREQUEST__.8 ?v_545 ?v_1082)) (=> true (=> ?v_1084 (=> (= Mem_1_T.PWDFREQUEST__.10 Mem_1_T.PWDFREQUEST__.9) ?v_1086)))))) (=> true (=> ?v_41 (=> true (=> ?v_1084 (=> ?v_1085 ?v_1086)))))))))))))))))) (let ((?v_1087 (=> true (=> (= reqCancelSet_0.15 reqCancelSet_0.14) (=> (= errorReached.67 errorReached.66) (=> (= reqCancelSet_1.15 reqCancelSet_1.14) ?v_1092)))))) (let ((?v_1090 (=> true ?v_1087)) (?v_1088 (= reqCancelSet_0.14 reqCancelSet_0)) (?v_1089 (= reqCancelSet_1.14 reqCancelSet_1))) (let ((?v_1091 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.14 1) (=> ?v_1089 ?v_1087))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_1088 (=> (= reqCancelSet_1.14 1) ?v_1090))))) (=> true (=> ?v_41 (=> true (=> ?v_1088 (=> ?v_1089 ?v_1090))))))))))) (let ((?v_1112 (and (=> true (=> ?v_1093 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.66 1) ?v_1091))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.66 errorReached.65) (=> true ?v_1091))))))))) (=> true (=> ?v_56 (=> true (=> (= reqCancelSet_0.15 reqCancelSet_0) (=> (= errorReached.67 errorReached.65) (=> (= reqCancelSet_1.15 reqCancelSet_1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1092))))))))))))))) (=> true (=> (not ?v_1093) (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.18 ?v_872) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.20 inline.PerformHighSpeedIsochTransfer.0.myVar_0.18) ?v_1109))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.19 ?v_1113) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.20 inline.PerformHighSpeedIsochTransfer.0.myVar_0.19) ?v_1110))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.20 inline.PerformHighSpeedIsochTransfer.0.myVar_0.17) ?v_1110)))))))))))) (?v_1111 (= call31024formal.ret.0 0))) (let ((?v_1114 (and (=> true (=> (not ?v_1111) (=> true (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..0 ?v_873) (=> true (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..0) (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.1 inline.sdv_WdfCollectionAdd.0.myNondetVar_0) ?v_1112))))))) (=> true (=> ?v_1111 (=> true (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1 0) (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.1 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_1112))))))))))))) (let ((?v_1115 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1114))))))))) (let ((?v_1121 (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.15 ?v_872) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 inline.PerformHighSpeedIsochTransfer.0.myVar_0.15) ?v_1114))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.16 ?v_1113) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 inline.PerformHighSpeedIsochTransfer.0.myVar_0.16) ?v_1115))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 inline.PerformHighSpeedIsochTransfer.0.myVar_0.12) ?v_1115))))))))) (?v_1120 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.12 hrequest))) (let ((?v_1116 (=> true (=> (= errorReached.65 errorReached.64) (=> (= reqCompleteSet_1.6 reqCompleteSet_1.5) (=> (= reqCompleteSet_0.6 reqCompleteSet_0.5) ?v_1121))))) (?v_1117 (= reqCompleteSet_1.5 reqCompleteSet_1))) (let ((?v_1118 (=> (= reqCompleteSet_0.5 reqCompleteSet_0) (=> true ?v_1116)))) (let ((?v_1119 (and (=> true (=> ?v_0 (=> true (=> ?v_1117 (=> (= reqCompleteSet_0.5 1) ?v_1116))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleteSet_1.5 1) ?v_1118)))) (=> true (=> ?v_41 (=> true (=> ?v_1117 ?v_1118)))))))))) (let ((?v_1122 (and (=> true (=> ?v_1120 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.64 1) ?v_1119))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.64 errorReached.63) (=> true ?v_1119))))))))) (=> true (=> (not ?v_1120) (=> true (=> (= errorReached.65 errorReached.63) (=> (= reqCompleteSet_1.6 reqCompleteSet_1) (=> (= reqCompleteSet_0.6 reqCompleteSet_0) (=> true (=> true (=> true (=> true ?v_1121))))))))))))) (let ((?v_1123 (=> true (=> true (=> true (=> true ?v_1122)))))) (let ((?v_1141 (and (=> true (=> ?v_1124 (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.10 ?v_872) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.12 inline.PerformHighSpeedIsochTransfer.0.myVar_0.10) ?v_1122))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.11 ?v_1113) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.12 inline.PerformHighSpeedIsochTransfer.0.myVar_0.11) ?v_1123))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.12 inline.PerformHighSpeedIsochTransfer.0.myVar_0.2) ?v_1123)))))))))) (=> true (=> (not ?v_1124) (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.9 ?v_872) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.14 inline.PerformHighSpeedIsochTransfer.0.myVar_0.9) ?v_1139))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.13 ?v_1113) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.14 inline.PerformHighSpeedIsochTransfer.0.myVar_0.13) ?v_1140))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.14 inline.PerformHighSpeedIsochTransfer.0.myVar_0.2) ?v_1140))))))))))))) (let ((?v_1142 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1141)))))))))))) (let ((?v_1174 (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.0 ?v_872) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.2 inline.PerformHighSpeedIsochTransfer.0.myVar_1.0) ?v_1141))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.1 ?v_1113) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.2 inline.PerformHighSpeedIsochTransfer.0.myVar_1.1) ?v_1142))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.2 inline.PerformHighSpeedIsochTransfer.0.myVar_1) ?v_1142)))))))))) (let ((?v_1175 (=> true (and ?v_0 (=> ?v_0 (and ?v_842 (=> ?v_842 (and ?v_0 (=> ?v_0 (and ?v_1154 (=> ?v_1154 (and ?v_1155 (=> ?v_1155 (and ?v_1156 (=> ?v_1156 (and ?v_1157 (=> ?v_1157 (and ?v_1158 (=> ?v_1158 (and ?v_1159 (=> ?v_1159 (and ?v_1160 (=> ?v_1160 (and ?v_1161 (=> ?v_1161 (and ?v_1162 (=> ?v_1162 (and ?v_1163 (=> ?v_1163 (and ?v_1164 (=> ?v_1164 (and ?v_1165 (=> ?v_1165 (=> (forall ((?f12 Int)) (! (let ((?v_2829 (MapType0Select alloc.28 (int_2_U (Base ?f12))))) (or (= ?v_2829 UNALLOCATED) (= ?v_2829 ?v_2829))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f12)))) )) (=> true (=> ?v_0 (=> ?v_842 (=> ?v_0 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> (forall ((?f11 Int)) (! (let ((?v_2830 (MapType0Select alloc.28 (int_2_U (Base ?f11))))) (or (= ?v_2830 UNALLOCATED) (= ?v_2830 ?v_2830))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f11)))) )) (and (=> true (=> ?v_1173 (and (=> true (=> (not ?v_1167) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.23 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2 1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.7 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5 1 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.24 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.49 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.25 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.24) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.23) (=> ?v_1171 (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.7) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.49) ?v_1169)))))))))))))) (=> true (=> ?v_1167 (and (=> true (=> (not ?v_1170) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.19 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2 1 ?v_1168)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.20 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.46 ?v_1168 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.25 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.20) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.19) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.6 0) (=> ?v_1172 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.46) ?v_1169)))))))))))) (=> true (=> ?v_1170 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.21 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2 1 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.22 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.47 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.25 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.22) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.21) (=> ?v_1171 (=> ?v_1172 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.47) ?v_1169)))))))))))))))))) (=> true (=> (not ?v_1173) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..1 call32139formal.ret.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.40) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.18 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.17) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.0 0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.0 errorReached.63) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.2 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.4 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.2 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0 alloc.28) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..2 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1.) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.2 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.0 0) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.2 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet) (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..2 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18.) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..1 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17.) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.4 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0) (=> true ?v_1174)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1176 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 reqSent_0) ?v_1175)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 reqSent_1) ?v_1175)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent) ?v_1175)))))))))) (let ((?v_1177 (=> true ?v_1176))) (let ((?v_1178 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 reqCompleted_0) ?v_1176)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 reqCompleted_1) ?v_1177)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted) ?v_1177)))))))))) (let ((?v_1179 (=> true ?v_1178))) (let ((?v_1180 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 reqCompleteSet_0) ?v_1178)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 reqCompleteSet_1) ?v_1179)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet) ?v_1179)))))))))) (let ((?v_1181 (=> true ?v_1180))) (let ((?v_1182 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 reqCancelStarted_0) ?v_1180)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 reqCancelStarted_1) ?v_1181)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted) ?v_1181)))))))))) (let ((?v_1183 (=> true ?v_1182))) (let ((?v_1184 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 reqCancelSet_0) ?v_1182)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 reqCancelSet_1) ?v_1183)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet) ?v_1183)))))))))) (let ((?v_1185 (=> true ?v_1184)) (?v_1143 (=> true (and ?v_0 (=> ?v_0 (and ?v_842 (=> ?v_842 (and ?v_0 (=> ?v_0 (and ?v_843 (=> ?v_843 (and ?v_844 (=> ?v_844 (and ?v_845 (=> ?v_845 (and ?v_846 (=> ?v_846 (and ?v_847 (=> ?v_847 (and ?v_848 (=> ?v_848 (and ?v_849 (=> ?v_849 (and ?v_850 (=> ?v_850 (and ?v_851 (=> ?v_851 (and ?v_852 (=> ?v_852 (and ?v_853 (=> ?v_853 (and ?v_854 (=> ?v_854 (=> (forall ((?f14 Int)) (! (let ((?v_2831 (MapType0Select alloc.28 (int_2_U (Base ?f14))))) (or (= ?v_2831 UNALLOCATED) (= ?v_2831 ?v_2831))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f14)))) )) (=> true (=> ?v_0 (=> ?v_842 (=> ?v_0 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> (forall ((?f13 Int)) (! (let ((?v_2832 (MapType0Select alloc.28 (int_2_U (Base ?f13))))) (or (= ?v_2832 UNALLOCATED) (= ?v_2832 ?v_2832))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f13)))) )) (and (=> true (=> ?v_871 (and (=> true (=> (not ?v_857) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.11 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0 1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.3 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2 1 1)) (and (=> true (=> ?v_855 (=> true (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2 0) ?v_856)))) (=> true (=> (not ?v_855) (=> true (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.1 (- 0 1073741675)) (=> true (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.1) (=> true (=> true (=> true (=> true (=> true ?v_856)))))))))))))))))) (=> true (=> ?v_857 (and (=> true (=> (not ?v_860) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.14 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0 1 ?v_858)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.15 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.38 ?v_858 1)) (=> true (=> ?v_861 (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.16 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.15) (=> ?v_862 (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.14) (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.3 0) (=> ?v_869 (=> ?v_870 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.39 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.38) ?v_859)))))))))))))))))))) (=> true (=> ?v_860 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.12 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0 1 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.13 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.37 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1)) (=> true (=> ?v_861 (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.16 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.13) (=> ?v_862 (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.12) (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_869 (=> ?v_870 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.39 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.37) ?v_859)))))))))))))))))))))))))) (=> true (=> (not ?v_871) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.0 errorReached.63) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..1 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19.) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.33) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.18 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.10) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0 alloc.28) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.2 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.2 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..2 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..0) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.2 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.2 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..2 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.0 0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..1 call30532formal.ret.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.0 0) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.4 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted) ?v_1174))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1144 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 reqSent_0) ?v_1143)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 reqSent_1) ?v_1143)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent) ?v_1143)))))))))) (let ((?v_1145 (=> true ?v_1144))) (let ((?v_1146 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 reqCompleted_0) ?v_1144)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 reqCompleted_1) ?v_1145)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted) ?v_1145)))))))))) (let ((?v_1147 (=> true ?v_1146))) (let ((?v_1148 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 reqCompleteSet_0) ?v_1146)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 reqCompleteSet_1) ?v_1147)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet) ?v_1147)))))))))) (let ((?v_1149 (=> true ?v_1148))) (let ((?v_1150 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 reqCancelStarted_0) ?v_1148)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 reqCancelStarted_1) ?v_1149)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted) ?v_1149)))))))))) (let ((?v_1151 (=> true ?v_1150))) (let ((?v_1152 (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 reqCancelSet_0) ?v_1150)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 reqCancelSet_1) ?v_1151)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet) ?v_1151)))))))))) (let ((?v_1153 (=> true ?v_1152))) (let ((?v_1186 (=> true (=> (forall ((?r0 Int)) (! (= (or (not (= (BIT_BAND inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.0 ?r0) 0)) (not (= (BIT_BAND 4 ?r0) 0))) (not (= (BIT_BAND (BIT_BOR inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.0 4) ?r0) 0))) :pattern ((BIT_BAND (BIT_BOR inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.2 4) ?r0)) )) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.9 (BIT_BOR inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.3 4)) (and (=> true (=> (not (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.31 0)) (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 lockStatus_0.0) ?v_1152)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 lockStatus_1.0) ?v_1153)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus) ?v_1153)))))))))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.32 0) (and (=> true (=> ?v_0 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 lockStatus_0.0) ?v_1184)))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 lockStatus_1.0) ?v_1185)))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus) ?v_1185)))))))))))))))) (let ((?v_1234 (and (=> true (=> (not ?v_841) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.7 (PLUS call29302formal.ret.0 1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.14)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.8 (MINUS_BOTH_PTR_OR_BOTH_INT myNondetVar_0.0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.15 1)) (and (=> true (=> (not (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.21 0)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.23 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.22) ?v_1186)))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.19 0) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.23 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.20) (=> true (=> true ?v_1186))))))))))))) (=> true (=> ?v_841 (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.6 ?v_872) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.8 inline.PerformHighSpeedIsochTransfer.0.myVar_0.6) ?v_1231))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.7 ?v_1113) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.8 inline.PerformHighSpeedIsochTransfer.0.myVar_0.7) ?v_1232))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.8 inline.PerformHighSpeedIsochTransfer.0.myVar_0.2) ?v_1232)))))))))))) (?v_1233 (= call29917formal.ret.0 0))) (let ((?v_1236 (and (=> true (=> (not ?v_1233) (=> true (=> ?v_841 ?v_1234)))) (=> true (=> ?v_1233 (=> true (=> (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0 notused_4wdmobject1) (=> true (=> true (=> true (=> true (=> true ?v_1234))))))))))) (?v_1235 (< inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0))) (let ((?v_1250 (and (=> true (=> ?v_1237 (and (=> true (=> ?v_1235 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.4 (PLUS inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.9 1 (MULT inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 1)))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.5 (PLUS inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.10 1 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.6 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.5) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.10) ?v_1236))))))))) (=> true (=> (not ?v_1235) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.6 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.8) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1236))))))))))))))) (=> true (=> (not ?v_1237) (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.3 ?v_872) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 inline.PerformHighSpeedIsochTransfer.0.myVar_0.3) ?v_1247))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.4 ?v_1113) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 inline.PerformHighSpeedIsochTransfer.0.myVar_0.4) ?v_1248))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 inline.PerformHighSpeedIsochTransfer.0.myVar_0.2) ?v_1248)))))))))))) (?v_1249 (= call29745formal.ret.0 0))) (let ((?v_1252 (=> true (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_1250))) (?v_1251 (= call29745formal.ret.0 1))) (let ((?v_1255 (and (=> true (=> (not ?v_1249) (=> (not ?v_1251) ?v_1252))) (=> true (=> ?v_1249 (=> true (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1250))))))))))))))) (=> true (=> ?v_1251 (=> true ?v_1252)))))) (let ((?v_1258 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1255)))))))))))))))))))))))))))) (?v_1257 (= errorReached.63 errorReached.61)) (?v_1260 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 hdevice)) (?v_1259 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 hqueue)) (?v_1256 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 htimer)) (?v_1254 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 hrequest)) (?v_1253 (=> true (=> (= errorReached.63 errorReached.62) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1255))))) (let ((?v_1261 (and (=> true (=> ?v_1254 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.62 1) ?v_1253))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.62 errorReached.61) (=> true ?v_1253))))))))) (=> true (=> (not ?v_1254) (and (=> true (=> ?v_1256 (=> true (=> ?v_1257 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1258))))) (=> true (=> (not ?v_1256) (and (=> true (=> ?v_1259 (=> true (=> ?v_1257 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1258))))) (=> true (=> (not ?v_1259) (and (=> true (=> ?v_1260 (=> true (=> ?v_1257 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1258))))) (=> true (=> (not ?v_1260) (=> true (=> ?v_1257 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1258))))))))))))))))) (let ((?v_1262 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1261))))))))) (let ((?v_1285 (and (=> true (=> ?v_1263 (and (=> true (=> ?v_0 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.0 ?v_872) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 inline.PerformHighSpeedIsochTransfer.0.myVar_0.0) ?v_1261))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.1 ?v_1113) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 inline.PerformHighSpeedIsochTransfer.0.myVar_0.1) ?v_1262))))) (=> true (=> ?v_41 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 inline.PerformHighSpeedIsochTransfer.0.myVar_0) ?v_1262)))))))))) (=> true (=> (not ?v_1263) (=> true (=> ?v_874 (=> ?v_1264 (=> ?v_903 (=> ?v_1094 (=> ?v_1265 (=> ?v_906 (=> ?v_1187 (=> ?v_1266 (=> ?v_1125 (=> ?v_1267 (=> ?v_1268 (=> ?v_911 (=> ?v_875 (=> ?v_1269 (=> ?v_876 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_877 (=> ?v_1238 (=> ?v_917 (=> ?v_918 (=> ?v_1188 (=> ?v_1126 (=> ?v_1270 (=> ?v_1189 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_1127 (=> ?v_1128 (=> ?v_1190 (=> ?v_1271 (=> ?v_1272 (=> ?v_881 (=> ?v_931 (=> ?v_932 (=> ?v_882 (=> ?v_1096 (=> ?v_933 (=> ?v_1191 (=> ?v_935 (=> ?v_1192 (=> ?v_883 (=> ?v_937 (=> ?v_938 (=> ?v_1097 (=> ?v_940 (=> ?v_941 (=> ?v_1098 (=> ?v_943 (=> ?v_944 (=> ?v_1129 (=> ?v_1193 (=> ?v_947 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_953 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_957 (=> ?v_958 (=> ?v_1099 (=> ?v_884 (=> ?v_1202 (=> ?v_1100 (=> ?v_1203 (=> ?v_1239 (=> ?v_1204 (=> ?v_965 (=> ?v_1240 (=> ?v_967 (=> ?v_1205 (=> ?v_969 (=> ?v_1101 (=> ?v_1130 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_885 (=> ?v_1206 (=> ?v_1273 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_1207 (=> ?v_978 (=> ?v_979 (=> ?v_1208 (=> ?v_981 (=> ?v_982 (=> ?v_1274 (=> ?v_1209 (=> ?v_985 (=> ?v_986 (=> ?v_1275 (=> ?v_1276 (=> ?v_989 (=> ?v_990 (=> ?v_1210 (=> ?v_1211 (=> ?v_993 (=> ?v_1212 (=> ?v_889 (=> ?v_1213 (=> ?v_1103 (=> ?v_996 (=> ?v_1214 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1131 (=> ?v_1000 (=> (= errorReached.71 errorReached.61) (=> ?v_1001 (=> ?v_1216 (=> ?v_1104 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1217 (=> ?v_1218 (=> ?v_1009 (=> ?v_1219 (=> ?v_1105 (=> ?v_1012 (=> ?v_1241 (=> ?v_1220 (=> ?v_1132 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1221 (=> ?v_1017 (=> ?v_1242 (=> ?v_1277 (=> ?v_1020 (=> ?v_1021 (=> ?v_894 (=> ?v_1278 (=> ?v_1222 (=> ?v_1223 (=> ?v_1243 (=> ?v_1279 (=> ?v_1224 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1049 (=> ?v_1050 (=> ?v_1106 (=> ?v_897 (=> ?v_1280 (=> ?v_1281 (=> ?v_1054 (=> ?v_1055 (=> ?v_1244 (=> ?v_1057 (=> ?v_1107 (=> ?v_1059 (=> ?v_1225 (=> ?v_898 (=> ?v_1282 ?v_1283)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1284 (= call29443formal.ret.0 0))) (let ((?v_1287 (=> true (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_1285))) (?v_1286 (= call29443formal.ret.0 1))) (let ((?v_1289 (and (=> true (=> (not ?v_1284) (=> (not ?v_1286) ?v_1287))) (=> true (=> ?v_1284 (=> true (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1285))))))))))))))) (=> true (=> ?v_1286 (=> true ?v_1287)))))) (let ((?v_1292 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1289))))))))) (?v_1290 (= Mem_0_T.PWDFREQUEST__.8 Mem_0_T.PWDFREQUEST__)) (?v_1291 (= Mem_1_T.PWDFREQUEST__.8 Mem_1_T.PWDFREQUEST__))) (let ((?v_1294 (and (=> true (=> ?v_0 (=> (= Mem_0_T.PWDFREQUEST__.7 (MapType0Store Mem_0_T.PWDFREQUEST__ ?v_545 ?v_1288)) (=> true (=> (= Mem_0_T.PWDFREQUEST__.8 Mem_0_T.PWDFREQUEST__.7) (=> ?v_1291 ?v_1289)))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= Mem_1_T.PWDFREQUEST__.7 (MapType0Store Mem_1_T.PWDFREQUEST__ ?v_545 ?v_1288)) (=> true (=> ?v_1290 (=> (= Mem_1_T.PWDFREQUEST__.8 Mem_1_T.PWDFREQUEST__.7) ?v_1292)))))) (=> true (=> ?v_41 (=> true (=> ?v_1290 (=> ?v_1291 ?v_1292)))))))))) (?v_1293 (<= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 1024))) (let ((?v_1324 (and (=> true (=> ?v_1293 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.2 0) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1) ?v_1294)))))) (=> true (=> (not ?v_1293) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.2 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 1024 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0 1024) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1294)))))))))))))))))))))))))))))) (let ((?v_1337 (and (=> true (=> ?v_1325 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call29075formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 call29075formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8.) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= errorReached.61 errorReached.59) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1324))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_1325) (=> true (=> ?v_874 (=> ?v_1264 (=> ?v_903 (=> ?v_1094 (=> ?v_1265 (=> ?v_1326 (=> ?v_1187 (=> ?v_1266 (=> ?v_1125 (=> ?v_1267 (=> ?v_1268 (=> ?v_911 (=> ?v_875 (=> ?v_1269 (=> ?v_876 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_877 (=> ?v_1238 (=> ?v_1296 (=> ?v_918 (=> ?v_1188 (=> ?v_1126 (=> ?v_1270 (=> ?v_1189 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_923 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2) (=> ?v_925 (=> ?v_1127 (=> ?v_1128 (=> ?v_1190 (=> ?v_1271 (=> ?v_1272 (=> ?v_881 (=> ?v_931 (=> ?v_932 (=> ?v_882 (=> ?v_1298 (=> ?v_933 (=> ?v_1191 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest) (=> ?v_1192 (=> ?v_883 (=> ?v_1300 (=> ?v_1327 (=> ?v_1097 (=> ?v_1328 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_1098 (=> ?v_943 (=> ?v_944 (=> ?v_1129 (=> ?v_1193 (=> ?v_1302 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_953 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_957 (=> ?v_1329 (=> ?v_1099 (=> ?v_884 (=> ?v_1202 (=> ?v_1100 (=> ?v_1203 (=> ?v_1303 (=> ?v_1204 (=> ?v_1304 (=> ?v_1240 (=> ?v_967 (=> ?v_1205 (=> ?v_969 (=> ?v_1101 (=> ?v_1130 (=> ?v_972 (=> ?v_1305 (=> ?v_1330 (=> ?v_975 (=> ?v_885 (=> ?v_1206 (=> ?v_1331 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_1207 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call29075formal.ret.0) (=> ?v_979 (=> ?v_1208 (=> ?v_981 (=> ?v_982 (=> ?v_1274 (=> ?v_1209 (=> ?v_985 (=> ?v_1307 (=> ?v_1275 (=> ?v_1276 (=> ?v_1308 (=> ?v_1309 (=> ?v_1210 (=> ?v_1211 (=> ?v_993 (=> ?v_1212 (=> ?v_889 (=> ?v_1213 (=> ?v_1310 (=> ?v_1311 (=> ?v_1214 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_1131 (=> ?v_1000 (=> (= errorReached.71 errorReached.59) (=> ?v_1312 (=> ?v_1216 (=> ?v_1104 (=> ?v_1004 (=> ?v_1005 (=> ?v_1332 (=> ?v_1217 (=> ?v_1218 (=> ?v_1313 (=> ?v_1219 (=> ?v_1105 (=> ?v_1012 (=> ?v_1241 (=> ?v_1220 (=> ?v_1132 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1221 (=> ?v_1017 (=> ?v_1242 (=> ?v_1277 (=> ?v_1333 (=> ?v_1021 (=> ?v_894 (=> ?v_1278 (=> ?v_1222 (=> ?v_1223 (=> ?v_1243 (=> ?v_1279 (=> ?v_1224 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1314 (=> ?v_1050 (=> ?v_1106 (=> ?v_897 (=> ?v_1334 (=> ?v_1281 (=> ?v_1315 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 call29075formal.ret.0) (=> ?v_1244 (=> ?v_1057 (=> ?v_1107 (=> ?v_1059 (=> ?v_1225 (=> ?v_898 (=> ?v_1282 (=> ?v_1335 (=> ?v_1135 (=> ?v_1245 (=> ?v_1137 (=> ?v_1226 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest) ?v_1319))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1336 (= call29075formal.ret.0 0))) (let ((?v_1338 (and (=> true (=> (not ?v_1336) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_49) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) ?v_1337))))))) (=> true (=> ?v_1336 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_1337))))))))))))) (let ((?v_1339 (=> true (=> (= errorReached.59 errorReached.33) (=> true (=> true (=> true ?v_1338)))))) (?v_1321 (and (=> true (=> ?v_1295 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..0 call29189formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call29189formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= errorReached.61 errorReached.60) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) ?v_1324))))))))))))))))))) (=> true (=> (not ?v_1295) (=> true (=> ?v_874 (=> ?v_1264 (=> ?v_903 (=> ?v_1094 (=> ?v_1265 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_1187 (=> ?v_1266 (=> ?v_1125 (=> ?v_1267 (=> ?v_1268 (=> ?v_911 (=> ?v_875 (=> ?v_1269 (=> ?v_876 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_877 (=> ?v_1238 (=> ?v_1296 (=> ?v_918 (=> ?v_1188 (=> ?v_1126 (=> ?v_1270 (=> ?v_1189 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_923 (=> ?v_1297 (=> ?v_925 (=> ?v_1127 (=> ?v_1128 (=> ?v_1190 (=> ?v_1271 (=> ?v_1272 (=> ?v_881 (=> ?v_931 (=> ?v_932 (=> ?v_882 (=> ?v_1298 (=> ?v_933 (=> ?v_1191 (=> ?v_1299 (=> ?v_1192 (=> ?v_883 (=> ?v_1300 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest) (=> ?v_1097 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_1301 (=> ?v_1098 (=> ?v_943 (=> ?v_944 (=> ?v_1129 (=> ?v_1193 (=> ?v_1302 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_953 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_957 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest) (=> ?v_1099 (=> ?v_884 (=> ?v_1202 (=> ?v_1100 (=> ?v_1203 (=> ?v_1303 (=> ?v_1204 (=> ?v_1304 (=> ?v_1240 (=> ?v_967 (=> ?v_1205 (=> ?v_969 (=> ?v_1101 (=> ?v_1130 (=> ?v_972 (=> ?v_1305 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call29189formal.ret.0) (=> ?v_975 (=> ?v_885 (=> ?v_1206 (=> ?v_1331 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_1207 (=> ?v_1306 (=> ?v_979 (=> ?v_1208 (=> ?v_981 (=> ?v_982 (=> ?v_1274 (=> ?v_1209 (=> ?v_985 (=> ?v_1307 (=> ?v_1275 (=> ?v_1276 (=> ?v_1308 (=> ?v_1309 (=> ?v_1210 (=> ?v_1211 (=> ?v_993 (=> ?v_1212 (=> ?v_889 (=> ?v_1213 (=> ?v_1310 (=> ?v_1311 (=> ?v_1214 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_1131 (=> ?v_1000 (=> (= errorReached.71 errorReached.60) (=> ?v_1312 (=> ?v_1216 (=> ?v_1104 (=> ?v_1004 (=> ?v_1005 (=> ?v_1332 (=> ?v_1217 (=> ?v_1218 (=> ?v_1313 (=> ?v_1219 (=> ?v_1105 (=> ?v_1012 (=> ?v_1241 (=> ?v_1220 (=> ?v_1132 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1221 (=> ?v_1017 (=> ?v_1242 (=> ?v_1277 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2) (=> ?v_1021 (=> ?v_894 (=> ?v_1278 (=> ?v_1222 (=> ?v_1223 (=> ?v_1243 (=> ?v_1279 (=> ?v_1224 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1314 (=> ?v_1050 (=> ?v_1106 (=> ?v_897 (=> ?v_1334 (=> ?v_1281 (=> ?v_1315 (=> ?v_1316 (=> ?v_1244 (=> ?v_1057 (=> ?v_1107 (=> ?v_1059 (=> ?v_1225 (=> ?v_898 (=> ?v_1282 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1 call29189formal.ret.0) ?v_1375))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1320 (= call29189formal.ret.0 0))) (let ((?v_1322 (and (=> true (=> (not ?v_1320) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_49) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.1) ?v_1321))))))) (=> true (=> ?v_1320 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_1321))))))))))))) (let ((?v_1323 (=> true (=> (= errorReached.60 errorReached.33) (=> true (=> true (=> true ?v_1322))))))) (let ((?v_1342 (and (=> true (=> ?v_380 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.60 1) ?v_1322))))) (=> true (=> ?v_290 (=> ?v_291 ?v_1323)))))) (=> true (=> ?v_56 ?v_1323))))) (=> true (=> ?v_499 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.59 1) ?v_1338))))) (=> true (=> ?v_290 (=> ?v_291 ?v_1339)))))) (=> true (=> ?v_56 ?v_1339)))))))) (let ((?v_1344 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.0) (=> true (=> true (=> true (=> true ?v_1342))))))))) (?v_1343 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0 0)) (?v_1341 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1)) (?v_1340 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2))) (let ((?v_1346 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 (BINARY_BOTH_INT myNondetVar_0.0 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1)) (and (=> true (=> ?v_1340 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1 0) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1) ?v_1342)))))) (=> true (=> (not ?v_1340) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.0 (MINUS_BOTH_PTR_OR_BOTH_INT myNondetVar_0.0 (MULT inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1) 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.0 (BINARY_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.0 ?v_1341)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.0 (MULT inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.0 ?v_1341) 1)) (and (=> true (=> (not ?v_1343) ?v_1344)) (=> true (=> ?v_1343 ?v_1344))))))))))))))) (?v_840 (BINARY_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0 8))) (let ((?v_1345 (= ?v_840 0))) (let ((?v_1349 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0 (BINARY_BOTH_INT (MINUS_BOTH_PTR_OR_BOTH_INT (PLUS myNondetVar_0.0 1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2) 1 1) inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2)) (and (=> true (=> (not ?v_1345) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.0 (PLUS inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0 1 (MINUS_BOTH_PTR_OR_BOTH_INT 8 ?v_840 1))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.0) ?v_1346)))))) (=> true (=> ?v_1345 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0) ?v_1346))))))))) (let ((?v_1352 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1349))))))))))))))))))))))))))))))) (?v_1351 (= errorReached.33 errorReached.31)) (?v_1347 (=> true (=> (= errorReached.33 errorReached.32) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1349))))) (let ((?v_1355 (and (=> true (=> ?v_378 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.32 1) ?v_1347))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.32 errorReached.31) (=> true ?v_1347))))))))) (=> true (=> ?v_1348 (and (=> true (=> ?v_511 (=> true (=> ?v_1351 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1352))))) (=> true (=> ?v_1350 (and (=> true (=> ?v_514 (=> true (=> ?v_1351 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1352))))) (=> true (=> ?v_1353 (and (=> true (=> ?v_515 (=> true (=> ?v_1351 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1352))))) (=> true (=> ?v_1354 (=> true (=> ?v_1351 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1352))))))))))))))))) (let ((?v_1356 (=> true (=> (= errorReached.31 errorReached.30) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1355))))))))))))))) (let ((?v_1377 (and (=> true (=> ?v_1357 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.31 1) ?v_1355))))) (=> true (=> ?v_290 (=> ?v_291 ?v_1356)))))) (=> true (=> ?v_56 ?v_1356))))) (=> true (=> (not ?v_1357) (=> true (=> ?v_874 (=> ?v_1264 (=> ?v_903 (=> ?v_1094 (=> ?v_1265 (=> ?v_1326 (=> ?v_1187 (=> ?v_1266 (=> ?v_1125 (=> ?v_1267 (=> ?v_1268 (=> ?v_1358 (=> ?v_875 (=> ?v_1269 (=> ?v_876 (=> ?v_1359 (=> ?v_914 (=> ?v_915 (=> ?v_877 (=> ?v_1238 (=> ?v_1296 (=> ?v_1360 (=> ?v_1188 (=> ?v_1126 (=> ?v_1270 (=> ?v_1189 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_1361 (=> ?v_1297 (=> ?v_925 (=> ?v_1127 (=> ?v_1128 (=> ?v_1190 (=> ?v_1271 (=> ?v_1272 (=> ?v_881 (=> ?v_1362 (=> ?v_932 (=> ?v_882 (=> ?v_1298 (=> ?v_1363 (=> ?v_1191 (=> ?v_1299 (=> ?v_1192 (=> ?v_883 (=> ?v_1300 (=> ?v_1327 (=> ?v_1097 (=> ?v_1328 (=> ?v_1301 (=> ?v_1098 (=> ?v_1364 (=> ?v_1365 (=> ?v_1129 (=> ?v_1193 (=> ?v_1302 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_953 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_957 (=> ?v_1329 (=> ?v_1099 (=> ?v_884 (=> ?v_1202 (=> ?v_1100 (=> ?v_1203 (=> ?v_1303 (=> ?v_1204 (=> ?v_1304 (=> ?v_1366 (=> ?v_967 (=> ?v_1205 (=> ?v_969 (=> ?v_1101 (=> ?v_1130 (=> ?v_972 (=> ?v_1305 (=> ?v_1330 (=> ?v_975 (=> ?v_885 (=> ?v_1206 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.0) (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_1207 (=> ?v_1306 (=> ?v_979 (=> ?v_1208 (=> ?v_981 (=> ?v_1367 (=> ?v_1274 (=> ?v_1209 (=> ?v_1368 (=> ?v_1307 (=> ?v_1275 (=> ?v_1276 (=> ?v_1308 (=> ?v_1309 (=> ?v_1210 (=> ?v_1211 (=> ?v_993 (=> ?v_1212 (=> ?v_889 (=> ?v_1213 (=> ?v_1310 (=> ?v_1311 (=> ?v_1214 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1131 (=> ?v_1000 (=> ?v_1390 (=> ?v_1312 (=> ?v_1216 (=> ?v_1104 (=> ?v_1369 (=> ?v_1005 (=> ?v_1370 (=> ?v_1217 (=> ?v_1218 (=> ?v_1313 (=> ?v_1219 (=> ?v_1105 (=> ?v_1012 (=> ?v_1241 (=> ?v_1220 (=> ?v_1132 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1221 (=> ?v_1017 (=> ?v_1242 (=> ?v_1277 (=> ?v_1333 (=> ?v_1021 (=> ?v_894 (=> ?v_1278 (=> ?v_1222 (=> ?v_1223 (=> ?v_1371 (=> ?v_1279 (=> ?v_1224 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1314 (=> ?v_1372 (=> ?v_1106 (=> ?v_897 (=> ?v_1373 (=> ?v_1281 (=> ?v_1315 (=> ?v_1316 (=> ?v_1244 (=> ?v_1374 (=> ?v_1107 (=> ?v_1059 (=> ?v_1225 (=> ?v_898 (=> ?v_1282 (=> ?v_1335 ?v_1375))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1376 (= call28588formal.ret.0 0))) (let ((?v_1379 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_1377))) (?v_1378 (= call28588formal.ret.0 1))) (let ((?v_1380 (and (=> true (=> (not ?v_1376) (=> (not ?v_1378) ?v_1379))) (=> true (=> ?v_1376 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1377))))))))))))))) (=> true (=> ?v_1378 (=> true ?v_1379))))) (?v_1381 (= lockStatus_1.0 lockStatus_1))) (let ((?v_1382 (=> (= lockStatus_0.0 lockStatus_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1380))))))))))) (let ((?v_1396 (and (=> true (=> ?v_1383 (and (=> true (=> ?v_0 (=> true (=> ?v_1381 (=> (= lockStatus_0.0 0) ?v_1380))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.0 0) ?v_1382)))) (=> true (=> ?v_41 (=> true (=> ?v_1381 ?v_1382)))))))))) (=> true (=> (not ?v_1383) (=> true (=> ?v_874 (=> ?v_1264 (=> ?v_903 (=> ?v_1094 (=> ?v_1265 (=> ?v_1326 (=> ?v_1187 (=> ?v_1266 (=> ?v_1125 (=> ?v_1267 (=> ?v_1268 (=> ?v_1358 (=> ?v_875 (=> ?v_1269 (=> ?v_876 (=> ?v_1359 (=> ?v_914 (=> ?v_1384 (=> ?v_877 (=> ?v_1238 (=> ?v_1296 (=> ?v_1360 (=> ?v_1188 (=> ?v_1126 (=> ?v_1270 (=> ?v_1189 (=> ?v_878 (=> ?v_922 (=> ?v_879 (=> ?v_880 (=> ?v_1361 (=> ?v_1297 (=> ?v_1385 (=> ?v_1127 (=> ?v_1128 (=> ?v_1190 (=> ?v_1271 (=> ?v_1272 (=> ?v_881 (=> ?v_1362 (=> ?v_932 (=> ?v_882 (=> ?v_1298 (=> ?v_1363 (=> ?v_1191 (=> ?v_1299 (=> ?v_1192 (=> ?v_883 (=> ?v_1300 (=> ?v_1327 (=> ?v_1097 (=> ?v_1328 (=> ?v_1301 (=> ?v_1098 (=> ?v_1364 (=> ?v_1365 (=> ?v_1129 (=> ?v_1193 (=> ?v_1302 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_953 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_957 (=> ?v_1329 (=> ?v_1099 (=> ?v_884 (=> ?v_1202 (=> ?v_1100 (=> ?v_1203 (=> ?v_1303 (=> ?v_1204 (=> ?v_1304 (=> ?v_1366 (=> ?v_967 (=> ?v_1205 (=> ?v_1386 (=> ?v_1101 (=> ?v_1130 (=> ?v_972 (=> ?v_1305 (=> ?v_1330 (=> ?v_975 (=> ?v_885 (=> ?v_1206 (=> ?v_1387 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_1207 (=> ?v_1306 (=> ?v_979 (=> ?v_1208 (=> ?v_981 (=> ?v_1367 (=> ?v_1274 (=> ?v_1209 (=> ?v_1368 (=> ?v_1307 (=> ?v_1275 (=> ?v_1276 (=> ?v_1308 (=> ?v_1309 (=> ?v_1210 (=> ?v_1211 (=> ?v_1388 (=> ?v_1212 (=> ?v_889 (=> ?v_1213 (=> ?v_1310 (=> ?v_1311 (=> ?v_1214 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1131 (=> ?v_1389 (=> ?v_1390 (=> ?v_1312 (=> ?v_1216 (=> ?v_1104 (=> ?v_1369 (=> ?v_1005 (=> ?v_1370 (=> ?v_1217 (=> ?v_1218 (=> ?v_1313 (=> ?v_1219 (=> ?v_1105 (=> ?v_1391 (=> ?v_1241 (=> ?v_1220 (=> ?v_1132 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1221 (=> ?v_1017 (=> ?v_1242 (=> ?v_1277 (=> ?v_1333 (=> ?v_1021 (=> ?v_894 (=> ?v_1278 (=> ?v_1222 (=> ?v_1223 (=> ?v_1371 (=> ?v_1279 (=> ?v_1224 (=> ?v_1048 (=> ?v_895 (=> ?v_896 (=> ?v_1314 (=> ?v_1372 (=> ?v_1106 (=> ?v_897 (=> ?v_1373 (=> ?v_1281 (=> ?v_1315 (=> ?v_1316 (=> ?v_1244 (=> ?v_1374 (=> ?v_1107 (=> ?v_1059 (=> ?v_1225 (=> ?v_898 (=> ?v_1282 (=> ?v_1335 (=> ?v_1392 (=> ?v_1245 (=> ?v_1137 (=> ?v_1226 (=> ?v_1317 (=> ?v_1318 (=> ?v_1229 (=> ?v_1393 ?v_1394))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1395 (= call28455formal.ret.0 0))) (let ((?v_1398 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_1396))) (?v_1397 (= call28455formal.ret.0 1)) (?v_839 (int_2_U call28443formal.new.0))) (let ((?v_1400 (=> true (and ?v_22 (=> ?v_22 (=> (> call28443formal.new.0 0) (=> (forall ((?x621 Int)) (! (=> (and (<= call28443formal.new.0 ?x621) (< ?x621 (+ call28443formal.new.0 0))) (= (Base ?x621) call28443formal.new.0)) :pattern ((Base ?x621)) )) (=> (forall ((?x622 boogieU)) (! (=> (= (type ?x622) intType) (or (= (U_2_int ?x622) call28443formal.new.0) (= (MapType0Select alloc.17 ?x622) (MapType0Select alloc.28 ?x622)))) :pattern ((MapType0Select alloc.28 ?x622)) )) (=> (and (= (MapType0Select alloc.17 ?v_839) UNALLOCATED) (= (MapType0Select alloc.28 ?v_839) ALLOCATED)) (and (=> true (=> (not ?v_1395) (=> (not ?v_1397) ?v_1398))) (=> true (=> ?v_1395 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1396))))))))))))))) (=> true (=> ?v_1397 (=> true ?v_1398))))))))))))) (let ((?v_1403 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1400))))))))))))))))))) (?v_1402 (= errorReached.30 errorReached.26)) (?v_1399 (=> true (=> (= errorReached.30 errorReached.29) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1400)))) (?v_837 (< myNondetVar_0.0 8)) (?v_295 (- 0 1073741811))) (let ((?v_1406 (and (=> true (=> ?v_837 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.0 ?v_295) (=> true (=> ?v_874 (=> ?v_1264 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> ?v_1094 (=> ?v_1265 (=> ?v_1326 (=> ?v_1187 (=> ?v_1266 (=> ?v_1125 (=> ?v_1267 (=> ?v_1268 (=> ?v_1358 (=> ?v_875 (=> ?v_1269 (=> ?v_876 (=> ?v_1359 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3.) (=> ?v_1384 (=> ?v_877 (=> ?v_1238 (=> ?v_1296 (=> ?v_1360 (=> ?v_1188 (=> ?v_1126 (=> ?v_1270 (=> ?v_1189 (=> ?v_878 (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1) (=> ?v_879 (=> ?v_880 (=> ?v_1361 (=> ?v_1297 (=> ?v_1385 (=> ?v_1127 (=> ?v_1128 (=> ?v_1190 (=> ?v_1271 (=> ?v_1272 (=> ?v_881 (=> ?v_1362 (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..0 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3.) (=> ?v_882 (=> ?v_1298 (=> ?v_1363 (=> ?v_1191 (=> ?v_1299 (=> ?v_1192 (=> ?v_883 (=> ?v_1300 (=> ?v_1327 (=> ?v_1097 (=> ?v_1328 (=> ?v_1301 (=> ?v_1098 (=> ?v_1364 (=> ?v_1365 (=> ?v_1129 (=> ?v_1193 (=> ?v_1302 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4.) (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..0 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2.) (=> ?v_1329 (=> ?v_1099 (=> ?v_884 (=> ?v_1202 (=> ?v_1100 (=> ?v_1203 (=> ?v_1303 (=> ?v_1204 (=> ?v_1304 (=> ?v_1366 (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.) (=> ?v_1205 (=> ?v_1386 (=> ?v_1101 (=> ?v_1130 (=> (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1.) (=> ?v_1305 (=> ?v_1330 (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.) (=> ?v_885 (=> ?v_1206 (=> ?v_1387 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_1207 (=> ?v_1306 (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus) (=> ?v_1208 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> ?v_1367 (=> ?v_1274 (=> ?v_1209 (=> ?v_1368 (=> ?v_1307 (=> ?v_1275 (=> ?v_1276 (=> ?v_1308 (=> ?v_1309 (=> ?v_1210 (=> ?v_1211 (=> ?v_1388 (=> ?v_1212 (=> ?v_889 (=> ?v_1213 (=> ?v_1310 (=> ?v_1311 (=> ?v_1214 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.0) (=> ?v_1131 (=> ?v_1389 (=> (= errorReached.71 errorReached.26) (=> ?v_1312 (=> ?v_1216 (=> ?v_1104 (=> ?v_1369 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> ?v_1370 (=> ?v_1217 (=> ?v_1218 (=> ?v_1313 (=> ?v_1219 (=> ?v_1105 (=> ?v_1391 (=> ?v_1241 (=> ?v_1220 (=> ?v_1132 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_1221 (=> (= inline.GetDeviceContext.1.myNondetVar_0.1 inline.GetDeviceContext.1.myNondetVar_0) (=> ?v_1242 (=> ?v_1277 (=> ?v_1333 (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..0 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1.) (=> ?v_894 (=> ?v_1278 (=> ?v_1222 (=> ?v_1223 (=> ?v_1371 (=> ?v_1279 (=> ?v_1224 (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext) (=> ?v_895 (=> ?v_896 (=> ?v_1314 (=> ?v_1372 (=> ?v_1106 (=> ?v_897 (=> ?v_1373 (=> ?v_1281 (=> ?v_1315 (=> ?v_1316 (=> ?v_1244 (=> ?v_1374 (=> ?v_1107 (=> (= alloc.30 alloc.17) (=> ?v_1225 (=> ?v_898 (=> ?v_1282 (=> ?v_1335 (=> ?v_1392 (=> ?v_1245 (=> ?v_1137 (=> ?v_1226 (=> ?v_1317 (=> ?v_1318 (=> ?v_1229 (=> ?v_1393 ?v_899))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_837) (and (=> true (=> ?v_838 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.29 1) ?v_1399))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.29 errorReached.26) (=> true ?v_1399))))))))) (=> true (=> ?v_2198 (and (=> true (=> ?v_1401 (=> true (=> ?v_1402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1403))))) (=> true (=> ?v_2200 (and (=> true (=> ?v_1404 (=> true (=> ?v_1402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1403))))) (=> true (=> ?v_2203 (and (=> true (=> ?v_1405 (=> true (=> ?v_1402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1403))))) (=> true (=> ?v_2204 (=> true (=> ?v_1402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1403)))))))))))))))))))) (let ((?v_1408 (and (=> true (=> ?v_380 ?v_1406)) (=> true (=> ?v_499 (=> true ?v_1406)))))) (let ((?v_1410 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1408)))))))))) (?v_1409 (= errorReached.26 errorReached.24)) (?v_1407 (=> true (=> (= errorReached.26 errorReached.25) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1408)))) (?v_538 (int_2_U call27238formal.new.0)) (?v_539 (int_2_U call27241formal.new.0)) (?v_540 (int_2_U call27244formal.new.0)) (?v_541 (int_2_U call27247formal.new.0)) (?v_542 (int_2_U call27250formal.new.0)) (?v_543 (int_2_U call27253formal.new.0)) (?v_544 (int_2_U call27256formal.new.0)) (?v_546 (int_2_U call27262formal.new.0)) (?v_547 (int_2_U call27265formal.new.0)) (?v_548 (int_2_U call27268formal.new.0))) (let ((?v_2216 (and (=> true (=> (not (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.6 0)) (=> true (and ?v_8 (=> ?v_8 (=> (> call27238formal.new.0 0) (=> (forall ((?x623 Int)) (! (=> (and (<= call27238formal.new.0 ?x623) (< ?x623 (+ call27238formal.new.0 32))) (= (Base ?x623) call27238formal.new.0)) :pattern ((Base ?x623)) )) (=> (forall ((?x624 boogieU)) (! (=> (= (type ?x624) intType) (or (= (U_2_int ?x624) call27238formal.new.0) (= (MapType0Select alloc.1 ?x624) (MapType0Select alloc.7 ?x624)))) :pattern ((MapType0Select alloc.7 ?x624)) )) (=> (and (= (MapType0Select alloc.1 ?v_538) UNALLOCATED) (= (MapType0Select alloc.7 ?v_538) ALLOCATED)) (and ?v_26 (=> ?v_26 (=> (> call27241formal.new.0 0) (=> (forall ((?x625 Int)) (! (=> (and (<= call27241formal.new.0 ?x625) (< ?x625 (+ call27241formal.new.0 1))) (= (Base ?x625) call27241formal.new.0)) :pattern ((Base ?x625)) )) (=> (forall ((?x626 boogieU)) (! (=> (= (type ?x626) intType) (or (= (U_2_int ?x626) call27241formal.new.0) (= (MapType0Select alloc.7 ?x626) (MapType0Select alloc.8 ?x626)))) :pattern ((MapType0Select alloc.8 ?x626)) )) (=> (and (= (MapType0Select alloc.7 ?v_539) UNALLOCATED) (= (MapType0Select alloc.8 ?v_539) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call27244formal.new.0 0) (=> (forall ((?x627 Int)) (! (=> (and (<= call27244formal.new.0 ?x627) (< ?x627 (+ call27244formal.new.0 4))) (= (Base ?x627) call27244formal.new.0)) :pattern ((Base ?x627)) )) (=> (forall ((?x628 boogieU)) (! (=> (= (type ?x628) intType) (or (= (U_2_int ?x628) call27244formal.new.0) (= (MapType0Select alloc.8 ?x628) (MapType0Select alloc.9 ?x628)))) :pattern ((MapType0Select alloc.9 ?x628)) )) (=> (and (= (MapType0Select alloc.8 ?v_540) UNALLOCATED) (= (MapType0Select alloc.9 ?v_540) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call27247formal.new.0 0) (=> (forall ((?x629 Int)) (! (=> (and (<= call27247formal.new.0 ?x629) (< ?x629 (+ call27247formal.new.0 4))) (= (Base ?x629) call27247formal.new.0)) :pattern ((Base ?x629)) )) (=> (forall ((?x630 boogieU)) (! (=> (= (type ?x630) intType) (or (= (U_2_int ?x630) call27247formal.new.0) (= (MapType0Select alloc.9 ?x630) (MapType0Select alloc.10 ?x630)))) :pattern ((MapType0Select alloc.10 ?x630)) )) (=> (and (= (MapType0Select alloc.9 ?v_541) UNALLOCATED) (= (MapType0Select alloc.10 ?v_541) ALLOCATED)) (and ?v_2 (=> ?v_2 (=> (> call27250formal.new.0 0) (=> (forall ((?x631 Int)) (! (=> (and (<= call27250formal.new.0 ?x631) (< ?x631 (+ call27250formal.new.0 20))) (= (Base ?x631) call27250formal.new.0)) :pattern ((Base ?x631)) )) (=> (forall ((?x632 boogieU)) (! (=> (= (type ?x632) intType) (or (= (U_2_int ?x632) call27250formal.new.0) (= (MapType0Select alloc.10 ?x632) (MapType0Select alloc.11 ?x632)))) :pattern ((MapType0Select alloc.11 ?x632)) )) (=> (and (= (MapType0Select alloc.10 ?v_542) UNALLOCATED) (= (MapType0Select alloc.11 ?v_542) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call27253formal.new.0 0) (=> (forall ((?x633 Int)) (! (=> (and (<= call27253formal.new.0 ?x633) (< ?x633 (+ call27253formal.new.0 4))) (= (Base ?x633) call27253formal.new.0)) :pattern ((Base ?x633)) )) (=> (forall ((?x634 boogieU)) (! (=> (= (type ?x634) intType) (or (= (U_2_int ?x634) call27253formal.new.0) (= (MapType0Select alloc.11 ?x634) (MapType0Select alloc.12 ?x634)))) :pattern ((MapType0Select alloc.12 ?x634)) )) (=> (and (= (MapType0Select alloc.11 ?v_543) UNALLOCATED) (= (MapType0Select alloc.12 ?v_543) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call27256formal.new.0 0) (=> (forall ((?x635 Int)) (! (=> (and (<= call27256formal.new.0 ?x635) (< ?x635 (+ call27256formal.new.0 4))) (= (Base ?x635) call27256formal.new.0)) :pattern ((Base ?x635)) )) (=> (forall ((?x636 boogieU)) (! (=> (= (type ?x636) intType) (or (= (U_2_int ?x636) call27256formal.new.0) (= (MapType0Select alloc.12 ?x636) (MapType0Select alloc.13 ?x636)))) :pattern ((MapType0Select alloc.13 ?x636)) )) (=> (and (= (MapType0Select alloc.12 ?v_544) UNALLOCATED) (= (MapType0Select alloc.13 ?v_544) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call27259formal.new.0 0) (=> (forall ((?x637 Int)) (! (=> (and (<= call27259formal.new.0 ?x637) (< ?x637 (+ call27259formal.new.0 4))) (= (Base ?x637) call27259formal.new.0)) :pattern ((Base ?x637)) )) (=> (forall ((?x638 boogieU)) (! (=> (= (type ?x638) intType) (or (= (U_2_int ?x638) call27259formal.new.0) (= (MapType0Select alloc.13 ?x638) (MapType0Select alloc.14 ?x638)))) :pattern ((MapType0Select alloc.14 ?x638)) )) (=> (and (= (MapType0Select alloc.13 ?v_545) UNALLOCATED) (= (MapType0Select alloc.14 ?v_545) ALLOCATED)) (and ?v_206 (=> ?v_206 (=> (> call27262formal.new.0 0) (=> (forall ((?x639 Int)) (! (=> (and (<= call27262formal.new.0 ?x639) (< ?x639 (+ call27262formal.new.0 8))) (= (Base ?x639) call27262formal.new.0)) :pattern ((Base ?x639)) )) (=> (forall ((?x640 boogieU)) (! (=> (= (type ?x640) intType) (or (= (U_2_int ?x640) call27262formal.new.0) (= (MapType0Select alloc.14 ?x640) (MapType0Select alloc.15 ?x640)))) :pattern ((MapType0Select alloc.15 ?x640)) )) (=> (and (= (MapType0Select alloc.14 ?v_546) UNALLOCATED) (= (MapType0Select alloc.15 ?v_546) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call27265formal.new.0 0) (=> (forall ((?x641 Int)) (! (=> (and (<= call27265formal.new.0 ?x641) (< ?x641 (+ call27265formal.new.0 4))) (= (Base ?x641) call27265formal.new.0)) :pattern ((Base ?x641)) )) (=> (forall ((?x642 boogieU)) (! (=> (= (type ?x642) intType) (or (= (U_2_int ?x642) call27265formal.new.0) (= (MapType0Select alloc.15 ?x642) (MapType0Select alloc.16 ?x642)))) :pattern ((MapType0Select alloc.16 ?x642)) )) (=> (and (= (MapType0Select alloc.15 ?v_547) UNALLOCATED) (= (MapType0Select alloc.16 ?v_547) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call27268formal.new.0 0) (=> (forall ((?x643 Int)) (! (=> (and (<= call27268formal.new.0 ?x643) (< ?x643 (+ call27268formal.new.0 4))) (= (Base ?x643) call27268formal.new.0)) :pattern ((Base ?x643)) )) (=> (forall ((?x644 boogieU)) (! (=> (= (type ?x644) intType) (or (= (U_2_int ?x644) call27268formal.new.0) (= (MapType0Select alloc.16 ?x644) (MapType0Select alloc.17 ?x644)))) :pattern ((MapType0Select alloc.17 ?x644)) )) (=> (and (= (MapType0Select alloc.16 ?v_548) UNALLOCATED) (= (MapType0Select alloc.17 ?v_548) ALLOCATED)) (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.25 1) ?v_1407))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.25 errorReached.24) (=> true ?v_1407))))))))) (=> true (=> ?v_56 (and (=> true (=> ?v_196 (=> true (=> ?v_1409 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1410))))) (=> true (=> ?v_468 (and (=> true (=> ?v_199 (=> true (=> ?v_1409 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1410))))) (=> true (=> ?v_470 (and (=> true (=> ?v_200 (=> true (=> ?v_1409 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1410))))) (=> true (=> ?v_471 (=> true (=> ?v_1409 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1410)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.5 0) (=> true (and ?v_8 (=> ?v_8 (=> (> call32388formal.new.0 0) (=> (forall ((?x601 Int)) (! (=> (and (<= call32388formal.new.0 ?x601) (< ?x601 (+ call32388formal.new.0 32))) (= (Base ?x601) call32388formal.new.0)) :pattern ((Base ?x601)) )) (=> (forall ((?x602 boogieU)) (! (=> (= (type ?x602) intType) (or (= (U_2_int ?x602) call32388formal.new.0) (= (MapType0Select alloc.1 ?x602) (MapType0Select alloc.18 ?x602)))) :pattern ((MapType0Select alloc.18 ?x602)) )) (=> (and (= (MapType0Select alloc.1 ?v_1411) UNALLOCATED) (= (MapType0Select alloc.18 ?v_1411) ALLOCATED)) (and ?v_26 (=> ?v_26 (=> (> call32391formal.new.0 0) (=> (forall ((?x603 Int)) (! (=> (and (<= call32391formal.new.0 ?x603) (< ?x603 (+ call32391formal.new.0 1))) (= (Base ?x603) call32391formal.new.0)) :pattern ((Base ?x603)) )) (=> (forall ((?x604 boogieU)) (! (=> (= (type ?x604) intType) (or (= (U_2_int ?x604) call32391formal.new.0) (= (MapType0Select alloc.18 ?x604) (MapType0Select alloc.19 ?x604)))) :pattern ((MapType0Select alloc.19 ?x604)) )) (=> (and (= (MapType0Select alloc.18 ?v_1412) UNALLOCATED) (= (MapType0Select alloc.19 ?v_1412) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call32394formal.new.0 0) (=> (forall ((?x605 Int)) (! (=> (and (<= call32394formal.new.0 ?x605) (< ?x605 (+ call32394formal.new.0 4))) (= (Base ?x605) call32394formal.new.0)) :pattern ((Base ?x605)) )) (=> (forall ((?x606 boogieU)) (! (=> (= (type ?x606) intType) (or (= (U_2_int ?x606) call32394formal.new.0) (= (MapType0Select alloc.19 ?x606) (MapType0Select alloc.20 ?x606)))) :pattern ((MapType0Select alloc.20 ?x606)) )) (=> (and (= (MapType0Select alloc.19 ?v_1413) UNALLOCATED) (= (MapType0Select alloc.20 ?v_1413) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call32397formal.new.0 0) (=> (forall ((?x607 Int)) (! (=> (and (<= call32397formal.new.0 ?x607) (< ?x607 (+ call32397formal.new.0 4))) (= (Base ?x607) call32397formal.new.0)) :pattern ((Base ?x607)) )) (=> (forall ((?x608 boogieU)) (! (=> (= (type ?x608) intType) (or (= (U_2_int ?x608) call32397formal.new.0) (= (MapType0Select alloc.20 ?x608) (MapType0Select alloc.21 ?x608)))) :pattern ((MapType0Select alloc.21 ?x608)) )) (=> (and (= (MapType0Select alloc.20 ?v_1414) UNALLOCATED) (= (MapType0Select alloc.21 ?v_1414) ALLOCATED)) (and ?v_2 (=> ?v_2 (=> (> call32400formal.new.0 0) (=> (forall ((?x609 Int)) (! (=> (and (<= call32400formal.new.0 ?x609) (< ?x609 (+ call32400formal.new.0 20))) (= (Base ?x609) call32400formal.new.0)) :pattern ((Base ?x609)) )) (=> (forall ((?x610 boogieU)) (! (=> (= (type ?x610) intType) (or (= (U_2_int ?x610) call32400formal.new.0) (= (MapType0Select alloc.21 ?x610) (MapType0Select alloc.22 ?x610)))) :pattern ((MapType0Select alloc.22 ?x610)) )) (=> (and (= (MapType0Select alloc.21 ?v_1415) UNALLOCATED) (= (MapType0Select alloc.22 ?v_1415) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call32403formal.new.0 0) (=> (forall ((?x611 Int)) (! (=> (and (<= call32403formal.new.0 ?x611) (< ?x611 (+ call32403formal.new.0 4))) (= (Base ?x611) call32403formal.new.0)) :pattern ((Base ?x611)) )) (=> (forall ((?x612 boogieU)) (! (=> (= (type ?x612) intType) (or (= (U_2_int ?x612) call32403formal.new.0) (= (MapType0Select alloc.22 ?x612) (MapType0Select alloc.23 ?x612)))) :pattern ((MapType0Select alloc.23 ?x612)) )) (=> (and (= (MapType0Select alloc.22 ?v_1416) UNALLOCATED) (= (MapType0Select alloc.23 ?v_1416) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call32406formal.new.0 0) (=> (forall ((?x613 Int)) (! (=> (and (<= call32406formal.new.0 ?x613) (< ?x613 (+ call32406formal.new.0 4))) (= (Base ?x613) call32406formal.new.0)) :pattern ((Base ?x613)) )) (=> (forall ((?x614 boogieU)) (! (=> (= (type ?x614) intType) (or (= (U_2_int ?x614) call32406formal.new.0) (= (MapType0Select alloc.23 ?x614) (MapType0Select alloc.24 ?x614)))) :pattern ((MapType0Select alloc.24 ?x614)) )) (=> (and (= (MapType0Select alloc.23 ?v_1417) UNALLOCATED) (= (MapType0Select alloc.24 ?v_1417) ALLOCATED)) (and ?v_206 (=> ?v_206 (=> (> call32409formal.new.0 0) (=> (forall ((?x615 Int)) (! (=> (and (<= call32409formal.new.0 ?x615) (< ?x615 (+ call32409formal.new.0 8))) (= (Base ?x615) call32409formal.new.0)) :pattern ((Base ?x615)) )) (=> (forall ((?x616 boogieU)) (! (=> (= (type ?x616) intType) (or (= (U_2_int ?x616) call32409formal.new.0) (= (MapType0Select alloc.24 ?x616) (MapType0Select alloc.25 ?x616)))) :pattern ((MapType0Select alloc.25 ?x616)) )) (=> (and (= (MapType0Select alloc.24 ?v_1418) UNALLOCATED) (= (MapType0Select alloc.25 ?v_1418) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call32412formal.new.0 0) (=> (forall ((?x617 Int)) (! (=> (and (<= call32412formal.new.0 ?x617) (< ?x617 (+ call32412formal.new.0 4))) (= (Base ?x617) call32412formal.new.0)) :pattern ((Base ?x617)) )) (=> (forall ((?x618 boogieU)) (! (=> (= (type ?x618) intType) (or (= (U_2_int ?x618) call32412formal.new.0) (= (MapType0Select alloc.25 ?x618) (MapType0Select alloc.26 ?x618)))) :pattern ((MapType0Select alloc.26 ?x618)) )) (=> (and (= (MapType0Select alloc.25 ?v_1419) UNALLOCATED) (= (MapType0Select alloc.26 ?v_1419) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call32415formal.new.0 0) (=> (forall ((?x619 Int)) (! (=> (and (<= call32415formal.new.0 ?x619) (< ?x619 (+ call32415formal.new.0 4))) (= (Base ?x619) call32415formal.new.0)) :pattern ((Base ?x619)) )) (=> (forall ((?x620 boogieU)) (! (=> (= (type ?x620) intType) (or (= (U_2_int ?x620) call32415formal.new.0) (= (MapType0Select alloc.26 ?x620) (MapType0Select alloc.27 ?x620)))) :pattern ((MapType0Select alloc.27 ?x620)) )) (=> (and (= (MapType0Select alloc.26 ?v_1420) UNALLOCATED) (= (MapType0Select alloc.27 ?v_1420) ALLOCATED)) (and (=> true (=> ?v_0 (=> (= Mem_0_T.PWDFREQUEST__.0 (MapType0Store Mem_0_T.PWDFREQUEST__ ?v_1417 ?v_2210)) (=> true (=> (= Mem_0_T.PWDFREQUEST__.1 Mem_0_T.PWDFREQUEST__.0) (=> ?v_2213 ?v_2211)))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> (= Mem_1_T.PWDFREQUEST__.0 (MapType0Store Mem_1_T.PWDFREQUEST__ ?v_1417 ?v_2210)) (=> true (=> ?v_2212 (=> (= Mem_1_T.PWDFREQUEST__.1 Mem_1_T.PWDFREQUEST__.0) ?v_2214)))))) (=> true (=> ?v_41 (=> true (=> ?v_2212 (=> ?v_2213 ?v_2214)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2215 (<= 0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.)) (?v_537 (< myNondetVar_0.0 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.2)) (?v_535 (=> true (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_549 (=> ?v_550 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_551 (=> ?v_1451 (=> ?v_1452 (=> ?v_552 (=> ?v_1453 (=> ?v_1454 (=> ?v_553 (=> ?v_554 (=> ?v_1455 (=> ?v_1456 (=> ?v_555 (=> ?v_1457 (=> ?v_1458 (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_1460 (=> ?v_556 (=> ?v_1461 (=> ?v_557 (=> ?v_1462 (=> ?v_558 (=> ?v_559 (=> ?v_560 (=> ?v_561 (=> ?v_1463 (=> ?v_1464 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_1465 (=> ?v_1466 (=> ?v_565 (=> ?v_1467 (=> ?v_566 (=> ?v_1468 (=> ?v_567 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_568 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_569 (=> ?v_570 (=> ?v_1475 (=> ?v_1476 (=> ?v_571 (=> ?v_572 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_573 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_574 (=> (= reqCompleted_0.16 reqCompleted_0.5) (=> ?v_1484 (=> ?v_575 (=> ?v_576 (=> ?v_1485 (=> ?v_577 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_578 (=> ?v_1490 (=> ?v_579 (=> ?v_1491 (=> ?v_580 (=> ?v_581 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_582 (=> ?v_583 (=> ?v_1495 (=> ?v_1496 (=> ?v_584 (=> ?v_1497 (=> ?v_1498 (=> ?v_585 (=> ?v_586 (=> ?v_587 (=> ?v_588 (=> ?v_589 (=> ?v_590 (=> ?v_1499 (=> ?v_591 (=> ?v_592 (=> ?v_1500 (=> ?v_593 (=> ?v_1501 (=> ?v_594 (=> ?v_595 (=> ?v_1502 (=> ?v_596 (=> ?v_1503 (=> ?v_597 (=> ?v_598 (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_1510 (=> ?v_599 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_600 (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.1 inline.ResetPipe.0..status.2.461.22.ResetPipe) (=> ?v_601 (=> ?v_602 (=> ?v_1519 (=> ?v_603 (=> ?v_604 (=> ?v_605 (=> ?v_1520 (=> ?v_606 (=> ?v_607 (=> (= Mem_0_T.PWDFREQUEST__.12 Mem_0_T.PWDFREQUEST__) (=> ?v_608 (=> ?v_1521 (=> ?v_609 (=> ?v_1522 (=> (= reqCompleteSet_0.8 reqCompleteSet_0) (=> ?v_610 (=> ?v_611 (=> ?v_612 (=> ?v_613 (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.4 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3) (=> ?v_1524 (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.4) (=> ?v_614 (=> ?v_615 (=> ?v_1525 (=> ?v_616 (=> ?v_1526 (=> ?v_1527 (=> ?v_617 (=> ?v_618 (=> ?v_1528 (=> ?v_1529 (=> ?v_619 (=> ?v_1530 (=> ?v_1531 (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> ?v_1533 (=> ?v_620 (=> ?v_621 (=> ?v_1534 (=> ?v_622 (=> ?v_623 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 (=> ?v_1539 (=> ?v_628 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_629 (=> ?v_630 (=> ?v_1543 (=> ?v_1544 (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_634 (=> ?v_1545 (=> ?v_1546 (=> ?v_635 (=> ?v_1547 (=> ?v_636 (=> ?v_637 (=> ?v_1548 (=> (= lockStatus_0.16 lockStatus_0) (=> (= alloc.31 alloc.1) (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_638 (=> ?v_639 (=> ?v_1552 (=> ?v_640 (=> ?v_641 (=> ?v_1553 (=> ?v_642 (=> ?v_1554 (=> ?v_643 (=> ?v_1555 (=> (= reqCompleted_1.16 reqCompleted_1.5) (=> ?v_644 (=> ?v_645 (=> ?v_1556 (=> ?v_646 (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> ?v_650 (=> ?v_651 (=> ?v_1561 (=> ?v_1562 (=> ?v_652 (=> ?v_1563 (=> ?v_653 (=> ?v_654 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_655 (=> ?v_1568 (=> ?v_656 (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> ?v_660 (=> ?v_661 (=> ?v_662 (=> ?v_663 (=> ?v_664 (=> ?v_665 (=> ?v_1569 (=> ?v_1570 (=> ?v_666 (=> ?v_667 (=> (= errorReached.77 errorReached.28) (=> ?v_668 (=> ?v_1571 (=> ?v_669 (=> ?v_1572 (=> ?v_670 (=> ?v_671 (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> ?v_1573 (=> (= reqCompleteSet_1.8 reqCompleteSet_1) (=> ?v_675 (=> ?v_1574 (=> ?v_1575 (=> ?v_676 (=> (= reqCancelSet_0.22 reqCancelSet_0.5) (=> ?v_677 (=> (= lockStatus_1.16 lockStatus_1) (=> ?v_1576 (=> ?v_678 (=> ?v_1577 (=> ?v_1578 (=> ?v_679 (=> ?v_1579 (=> ?v_680 (=> ?v_1580 (=> ?v_681 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_682 (=> ?v_1584 (=> ?v_683 (=> ?v_684 (=> ?v_1585 (=> ?v_1586 (=> ?v_685 (=> ?v_1587 (=> ?v_1588 (=> ?v_686 (=> ?v_687 (=> ?v_1589 (=> ?v_1590 (=> ?v_688 (=> ?v_689 (=> ?v_1591 (=> ?v_1592 (=> ?v_690 (=> (= Mem_1_T.PWDFREQUEST__.12 Mem_1_T.PWDFREQUEST__) (=> ?v_691 (=> (= reqSent_1.8 reqSent_1) (=> ?v_692 (=> ?v_1593 (=> ?v_693 (=> ?v_1594 (=> ?v_1595 (=> ?v_694 (=> ?v_1596 (=> ?v_695 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_696 (=> ?v_1601 (=> ?v_697 (=> ?v_1602 (=> ?v_1603 (=> ?v_698 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_699 (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.0) (=> ?v_700 (=> ?v_1608 (=> ?v_701 (=> ?v_702 (=> ?v_1609 (=> (= reqSent_0.8 reqSent_0) (=> ?v_1610 (=> ?v_1611 (=> ?v_703 (=> ?v_1612 (=> ?v_704 (=> ?v_1613 (=> ?v_1614 (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> ?v_708 (=> ?v_1615 (=> ?v_709 (=> ?v_1616 (=> ?v_710 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> ?v_1622 (=> ?v_714 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_715 (=> ?v_716 (=> ?v_717 (=> ?v_1628 (=> ?v_1629 (=> ?v_718 (=> ?v_719 (=> ?v_1630 (=> (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1.) (=> ?v_720 (=> ?v_1632 (=> (= reqCancelSet_1.22 reqCancelSet_1.5) (=> ?v_1633 (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> ?v_1634 (=> ?v_1635 (=> ?v_724 (=> ?v_725 (=> ?v_1636 (=> ?v_726 (=> ?v_1637 (=> ?v_727 (=> ?v_1638 (=> (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2.) (=> ?v_1640 (=> ?v_1641 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_1642 (=> ?v_733 (=> ?v_734 (=> ?v_1643 (=> ?v_735 (=> ?v_736 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_737 (=> ?v_1647 (=> ?v_738 (=> ?v_1648 (=> ?v_1649 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_1650 (=> ?v_1651 (=> ?v_743 (=> ?v_744 (=> ?v_1652 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_1653 (=> ?v_1654 (=> ?v_748 (=> ?v_1655 (=> ?v_749 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_1660 (=> ?v_753 (=> ?v_754 (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> ?v_755 (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_1668 (=> ?v_1669 ?v_759))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_527 (=> true (=> (= errorReached.28 errorReached.27) (=> (= reqCancelSet_0.5 reqCancelSet_0.4) (=> (= reqCompleted_1.5 reqCompleted_1.4) (=> (= reqCancelSet_1.5 reqCancelSet_1.4) (=> (= reqCompleted_0.5 reqCompleted_0.4) ?v_535)))))))) (let ((?v_530 (=> true ?v_527)) (?v_528 (= reqCancelSet_0.4 reqCancelSet_0)) (?v_529 (= reqCancelSet_1.4 reqCancelSet_1))) (let ((?v_531 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.4 0) (=> ?v_529 ?v_527))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_528 (=> (= reqCancelSet_1.4 0) ?v_530))))) (=> true (=> ?v_41 (=> true (=> ?v_528 (=> ?v_529 ?v_530)))))))))) (?v_532 (= reqCompleted_1.4 reqCompleted_1))) (let ((?v_533 (=> (= reqCompleted_0.4 reqCompleted_0) (=> true (=> true ?v_531))))) (let ((?v_534 (and (=> true (=> ?v_0 (=> true (=> ?v_532 (=> (= reqCompleted_0.4 1) ?v_531))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleted_1.4 1) ?v_533)))) (=> true (=> ?v_41 (=> true (=> ?v_532 ?v_533)))))))))) (let ((?v_536 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.27 1) ?v_534))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.27 errorReached.24) (=> true ?v_534))))))))) (=> true (=> ?v_56 (=> true (=> (= errorReached.28 errorReached.24) (=> (= reqCancelSet_0.5 reqCancelSet_0) (=> (= reqCompleted_1.5 reqCompleted_1) (=> (= reqCancelSet_1.5 reqCancelSet_1) (=> (= reqCompleted_0.5 reqCompleted_0) (=> true (=> true (=> true ?v_535)))))))))))))) (let ((?v_2218 (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.2) (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.4 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_536))))))) (?v_2217 (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.2 0)) (?v_521 (- 0 1073741808))) (let ((?v_2220 (and (=> true (=> (not (= 2 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.3)) (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.1 ?v_521) (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.1) (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints) (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.4 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.3) ?v_536)))))))) (=> true (=> (not (not (= 2 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.1))) (and (=> true (=> (not ?v_2217) (and (=> true (=> ?v_537 (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.2 ?v_295) (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.2) ?v_2218)))))) (=> true (=> (not ?v_537) (and (=> true (=> ?v_2215 (=> true (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.0 0) ?v_2216)))) (=> true (=> (not ?v_2215) (=> true (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.) (=> true (=> true (=> true (=> true (=> true ?v_2216))))))))))))))) (=> true (=> ?v_2217 (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.0 ?v_295) (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.0) ?v_2218)))))))))))) (let ((?v_2222 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2220))))))))))))))))))))))))))))))) (?v_2221 (= errorReached.24 errorReached.22)) (?v_2219 (=> true (=> (= errorReached.24 errorReached.23) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2220))))) (let ((?v_2223 (and (=> true (=> ?v_378 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.23 1) ?v_2219))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.23 errorReached.22) (=> true ?v_2219))))))))) (=> true (=> ?v_1348 (and (=> true (=> ?v_511 (=> true (=> ?v_2221 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2222))))) (=> true (=> ?v_1350 (and (=> true (=> ?v_514 (=> true (=> ?v_2221 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2222))))) (=> true (=> ?v_1353 (and (=> true (=> ?v_515 (=> true (=> ?v_2221 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2222))))) (=> true (=> ?v_1354 (=> true (=> ?v_2221 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2222))))))))))))))))) (let ((?v_2224 (=> true (=> (= errorReached.22 errorReached.21) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2223))))))))))))))) (let ((?v_2226 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.22 1) ?v_2223))))) (=> true (=> ?v_290 (=> ?v_291 ?v_2224)))))) (=> true (=> ?v_56 ?v_2224))))) (let ((?v_2228 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2226))))))))))))) (?v_2227 (= errorReached.21 errorReached.2)) (?v_2225 (=> true (=> (= errorReached.21 errorReached.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2226)))) (?v_520 (int_2_U call26475formal.new.0)) (?v_281 (=> true (=> ?v_2229 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3) (=> ?v_2231 (=> ?v_2232 (=> ?v_2233 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2237 (=> ?v_2238 (=> ?v_2239 (=> (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0) (=> ?v_2241 (=> ?v_2242 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2247 (=> ?v_2248 (=> (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.0) (=> ?v_2250 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> ?v_2252 (=> ?v_2253 (=> ?v_2254 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> ?v_2260 (=> ?v_2261 (=> ?v_2262 (=> ?v_2263 (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0) (=> ?v_2265 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2267 (=> ?v_2268 (=> ?v_2269 (=> ?v_2270 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_2275 (=> ?v_2276 (=> ?v_2277 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 (=> ?v_2283 (=> ?v_2284 (=> ?v_2285 (=> ?v_2286 (=> (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..0) (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4) (=> ?v_2299 (=> ?v_2300 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1) (=> (= inline.GetFileContext.1.myNondetVar_0.2 inline.GetFileContext.1.myNondetVar_0.1) (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> (= reqCompleted_0.20 reqCompleted_0.19) (=> (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.0) (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.0) (=> ?v_2322 (=> ?v_2323 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> ?v_2334 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..0) (=> ?v_2336 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4) (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.1) (=> (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..0) (=> ?v_2351 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.19 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18) (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0) (=> ?v_2366 (=> (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.0) (=> ?v_2368 (=> ?v_2369 (=> ?v_2370 (=> ?v_2371 (=> ?v_2372 (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.0 myNondetVar_0.0) (=> ?v_2379 (=> ?v_2380 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_2382 (=> (= inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.0 call24406formal.new.0) (=> ?v_2384 (=> ?v_2385 (=> (= inline.GetFileContext.1..result.GetFileContext.107.0.1..1 inline.GetFileContext.1..result.GetFileContext.107.0.1..0) (=> ?v_2387 (=> (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> (= inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.0 call24397formal.new.0) (=> (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.1..Handle.1.107.0.GetFileContext.0) (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..1 inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..0) (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> (= reqCompleteSet_0.10 reqCompleteSet_0.9) (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..1 inline.GetRequestContext.0..result.GetRequestContext.127.0.1..0) (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.0) (=> ?v_2421 (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.0) (=> ?v_2428 (=> ?v_2429 (=> (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..1 inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..0) (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..0) (=> ?v_2445 (=> ?v_2446 (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.5 inline.ReadWriteBulkEndPoints.0.tempBoogie0.4) (=> ?v_2449 (=> ?v_2450 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..1) (=> (= reqCancelSet_1.26 reqCancelSet_1.25) (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0) (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> (= alloc.32 alloc.6) (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> (= inline.UsbSamp_EvtIoRead.0.myNondetVar_0.8 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.7) (=> ?v_2476 (=> (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.0 3) (=> ?v_2478 (=> (= inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.0 call24403formal.new.0) (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= reqCompleted_1.20 reqCompleted_1.19) (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> (= inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.0 call24409formal.new.0) (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..1 inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..0) (=> ?v_2503 (=> (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..1 inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..0) (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> ?v_522 (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..1 inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..0) (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> (= reqCompleteSet_1.10 reqCompleteSet_1.9) (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..0) (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> (= errorReached.82 errorReached.81) (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> (= reqCancelSet_0.26 reqCancelSet_0.25) (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.8 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7) (=> ?v_2562 (=> ?v_2563 (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0) (=> ?v_2565 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0) (=> ?v_2591 (=> ?v_2592 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1) (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2609 (=> (= reqSent_1.10 reqSent_1.9) (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> (= reqSent_0.10 reqSent_0.9) (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0) (=> ?v_2648 (=> ?v_2649 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3) (=> ?v_2656 (=> (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.0 hrequest) (=> ?v_2658 (=> ?v_2659 (=> ?v_523 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..1 inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..0) (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> ?v_524 (=> ?v_2673 (=> ?v_2674 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_2676 (=> ?v_2677 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..1 inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..0) (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0) (=> ?v_2693 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..0) (=> ?v_2695 (=> ?v_2696 (=> (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.1) (=> ?v_2698 (=> ?v_2699 (=> (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..0) (=> ?v_525 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.0 3) (=> ?v_2706 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> ?v_2708 (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2715 (=> ?v_2716 (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0) (=> ?v_2718 (=> (= inline.GetRequestContext.0.myNondetVar_0.2 inline.GetRequestContext.0.myNondetVar_0.1) (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1) (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2731 (=> ?v_2732 (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.0 hrequest) (=> ?v_2737 (=> (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.0) (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> ?v_2744 (=> ?v_2745 (=> (= inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.0 myNondetVar_0.0) (=> ?v_2747 (=> ?v_2748 (=> ?v_2749 (=> ?v_2750 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_2752 (=> ?v_2753 (=> (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0) (=> ?v_2755 (=> ?v_2756 (=> ?v_2757 (=> ?v_2758 (=> (= inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.0 call24400formal.new.0) (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> ?v_2763 (=> ?v_2764 (=> ?v_2765 (=> ?v_2766 (=> ?v_2767 (=> ?v_2768 (=> ?v_2769 (=> ?v_2770 (=> ?v_2771 (=> ?v_2772 (=> ?v_2773 (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0) (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.0 myNondetVar_0.0) (=> ?v_2780 (=> ?v_2781 (=> ?v_2782 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> ?v_2788 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1) ?v_526))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_282 (=> true (=> (= reqCancelSet_0.25 reqCancelSet_0.24) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> (= reqCompleted_1.19 reqCompleted_1.18) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> (= errorReached.81 errorReached.80) (=> (= reqCompleted_0.19 reqCompleted_0.18) (=> (= reqCancelSet_1.25 reqCancelSet_1.24) (=> true (=> true (=> true ?v_281)))))))))))) (?v_280 (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.0 0))) (let ((?v_293 (and (=> true (=> (not ?v_280) ?v_282)) (=> true (=> ?v_280 ?v_282))))) (let ((?v_283 (=> true (=> (= errorReached.80 errorReached.79) (=> (= reqCancelSet_0.24 reqCancelSet_0.23) (=> (= reqCompleted_1.18 reqCompleted_1.17) (=> (= reqCancelSet_1.24 reqCancelSet_1.23) (=> (= reqCompleted_0.18 reqCompleted_0.17) ?v_293)))))))) (let ((?v_286 (=> true ?v_283)) (?v_284 (= reqCancelSet_0.23 reqCancelSet_0)) (?v_285 (= reqCancelSet_1.23 reqCancelSet_1))) (let ((?v_287 (and (=> true (=> ?v_0 (=> true (=> (= reqCancelSet_0.23 0) (=> ?v_285 ?v_283))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> ?v_284 (=> (= reqCancelSet_1.23 0) ?v_286))))) (=> true (=> ?v_41 (=> true (=> ?v_284 (=> ?v_285 ?v_286)))))))))) (?v_288 (= reqCompleted_1.17 reqCompleted_1))) (let ((?v_289 (=> (= reqCompleted_0.17 reqCompleted_0) (=> true (=> true ?v_287))))) (let ((?v_292 (and (=> true (=> ?v_0 (=> true (=> ?v_288 (=> (= reqCompleted_0.17 1) ?v_287))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleted_1.17 1) ?v_289)))) (=> true (=> ?v_41 (=> true (=> ?v_288 ?v_289))))))))) (?v_279 (<= 0 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7))) (let ((?v_376 (and (=> true (=> ?v_279 (=> true (=> (= reqCancelSet_0.25 reqCancelSet_0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1) (=> (= reqCompleted_1.19 reqCompleted_1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation) (=> (= errorReached.81 errorReached.78) (=> (= reqCompleted_0.19 reqCompleted_0) (=> (= reqCancelSet_1.25 reqCancelSet_1) ?v_281)))))))))) (=> true (=> (not ?v_279) (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.79 1) ?v_292))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.79 errorReached.78) (=> true ?v_292))))))))) (=> true (=> ?v_56 (=> true (=> (= errorReached.80 errorReached.78) (=> (= reqCancelSet_0.24 reqCancelSet_0) (=> (= reqCompleted_1.18 reqCompleted_1) (=> (= reqCancelSet_1.24 reqCancelSet_1) (=> (= reqCompleted_0.18 reqCompleted_0) (=> true (=> true (=> true (=> true ?v_293)))))))))))))))))) (let ((?v_397 (=> true ?v_376)) (?v_383 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 hrequest)) (?v_384 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 hrequest)) (?v_298 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_299 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_300 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_301 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext)) (?v_302 (= reqCompleteSet_1.9 reqCompleteSet_1)) (?v_303 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_502 (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.5)) (?v_305 (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_306 (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..0 inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2.)) (?v_307 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_311 (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2.)) (?v_312 (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..0 inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5.)) (?v_313 (= reqCompleteSet_0.9 reqCompleteSet_0)) (?v_314 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_315 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11.)) (?v_316 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13.)) (?v_385 (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_319 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_320 (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.0 inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl)) (?v_386 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4hfileobj)) (?v_322 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_323 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_387 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.0 notused_4hfileobj)) (?v_325 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_388 (= inline.GetFileContext.1.myNondetVar_0.1 inline.GetFileContext.1.myNondetVar_0.0)) (?v_327 (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_328 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7.)) (?v_329 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_330 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_331 (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..0 inline.GetRequestContext.0..result.GetRequestContext.127.0.1.)) (?v_332 (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..0 inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2.)) (?v_333 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3.)) (?v_389 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_390 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.0 notused_4hfileobj)) (?v_336 (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.1 0)) (?v_337 (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1.)) (?v_338 (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_339 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_340 (= inline.GetRequestContext.0.myNondetVar_0.1 inline.GetRequestContext.0.myNondetVar_0)) (?v_341 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_342 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_343 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3.)) (?v_344 (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.0 0)) (?v_345 (= reqSent_1.9 reqSent_1)) (?v_346 (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..0 inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10.)) (?v_391 (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_348 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_349 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_392 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..0 notused_4hfileobj)) (?v_353 (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..0 inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6.)) (?v_354 (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_355 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_356 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_393 (= inline.GetFileContext.1..result.GetFileContext.107.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_358 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_359 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_360 (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.4 inline.ReadWriteBulkEndPoints.0.tempBoogie0)) (?v_361 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_362 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1)) (?v_363 (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.0 0)) (?v_394 (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_366 (= reqSent_0.9 reqSent_0)) (?v_367 (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..0 inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9.)) (?v_368 (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.1 0)) (?v_395 (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..0 notused_4hfileobj)) (?v_370 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_371 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_396 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4hfileobj)) (?v_374 (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..0 inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2.)) (?v_375 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.))) (let ((?v_503 (=> ?v_280 (=> ?v_374 (=> ?v_375 ?v_397)))) (?v_501 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_308 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_309 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_310 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4.)) (?v_318 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_351 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_364 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_373 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_494 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_399 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0)) (?v_401 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_406 (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 call25373formal.ret.0)) (?v_407 (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..0 call25427formal.ret.0)) (?v_409 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0)) (?v_410 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_411 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..0)) (?v_413 (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..0 call25373formal.ret.0)) (?v_417 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_418 (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.0 call25427formal.ret.0)) (?v_419 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3)) (?v_425 (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..0 call25373formal.ret.0)) (?v_426 (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0.tempBoogie0.3)) (?v_427 (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0)) (?v_431 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_432 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..0)) (?v_433 (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.0 call25373formal.ret.0)) (?v_438 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3)) (?v_483 (= errorReached.78 errorReached.12)) (?v_439 (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..0 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0)) (?v_440 (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 call25373formal.ret.0)) (?v_442 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_445 (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.4 inline.ReadWriteBulkEndPoints.0.tempBoogie0.3)) (?v_448 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_451 (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.0)) (?v_479 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_480 (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.0 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0)) (?v_481 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2) ?v_397))) (let ((?v_484 (=> ?v_451 (=> ?v_395 (=> ?v_370 (=> ?v_371 (=> ?v_396 (=> ?v_479 (=> ?v_480 (=> ?v_374 ?v_481)))))))))) (let ((?v_489 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_431 (=> ?v_432 (=> ?v_433 (=> ?v_345 (=> ?v_346 (=> ?v_391 (=> ?v_348 (=> ?v_349 (=> ?v_392 (=> ?v_438 (=> ?v_483 (=> ?v_439 (=> ?v_440 (=> ?v_355 (=> ?v_442 (=> ?v_393 (=> ?v_358 (=> ?v_359 (=> ?v_445 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> ?v_448 (=> ?v_394 (=> ?v_366 (=> ?v_367 ?v_484)))))))))))))))))))))))))))))) (?v_381 (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0 0)) (?v_404 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_408 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 call25522formal.ret.0)) (?v_412 (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_422 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_423 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 call25522formal.ret.0)) (?v_428 (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_482 (<= 0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_421 (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.)) (?v_450 (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.)) (?v_477 (<= 0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.)) (?v_400 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 call25985formal.ret.0)) (?v_402 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0 hrequest)) (?v_403 (= reqCompleteSet_1.9 reqCompleteSet_1.1)) (?v_405 (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.17)) (?v_414 (= reqCompleteSet_0.9 reqCompleteSet_0.1)) (?v_415 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 hrequest)) (?v_416 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..0 call25985formal.ret.0)) (?v_420 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 hrequest)) (?v_424 (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_429 (= inline.GetRequestContext.0.myNondetVar_0.1 inline.GetRequestContext.0.myNondetVar_0.0)) (?v_430 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 call25985formal.ret.0)) (?v_434 (= reqSent_1.9 reqSent_1.1)) (?v_435 (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_436 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 call25985formal.ret.0)) (?v_437 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 hrequest)) (?v_441 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 hrequest)) (?v_443 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest)) (?v_444 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_446 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0 hrequest)) (?v_447 (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_449 (= reqSent_0.9 reqSent_0.1)) (?v_452 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> ?v_396 (=> ?v_479 (=> ?v_480 (=> (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) ?v_481))))))) (let ((?v_454 (=> true (=> ?v_383 (=> ?v_384 (=> ?v_399 (=> ?v_400 (=> ?v_401 (=> ?v_402 (=> ?v_403 (=> ?v_404 (=> ?v_405 (=> ?v_406 (=> ?v_407 (=> ?v_408 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_409 (=> ?v_410 (=> ?v_411 (=> ?v_412 (=> ?v_413 (=> ?v_414 (=> ?v_415 (=> ?v_416 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_385 (=> ?v_417 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 call26144formal.ret.0) (=> ?v_418 (=> ?v_386 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 call26144formal.ret.0) (=> ?v_419 (=> ?v_387 (=> ?v_420 (=> ?v_388 (=> ?v_421 (=> ?v_422 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 hrequest) (=> ?v_423 (=> ?v_424 (=> ?v_425 (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_389 (=> ?v_390 (=> ?v_426 (=> ?v_427 (=> ?v_428 (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_429 (=> ?v_430 (=> ?v_431 (=> ?v_432 (=> ?v_433 (=> ?v_434 (=> ?v_435 (=> ?v_391 (=> ?v_436 (=> ?v_437 (=> ?v_392 (=> ?v_438 (=> (= errorReached.78 errorReached.19) (=> ?v_439 (=> ?v_440 (=> ?v_441 (=> ?v_442 (=> ?v_393 (=> ?v_443 (=> ?v_444 (=> ?v_445 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_446 (=> ?v_447 (=> ?v_448 (=> ?v_394 (=> ?v_449 (=> ?v_450 (=> ?v_451 (=> ?v_395 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 hrequest) ?v_452)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_453 (= call26144formal.ret.0 0))) (let ((?v_456 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_454))) (?v_455 (= call26144formal.ret.0 1))) (let ((?v_457 (and (=> true (=> (not ?v_453) (=> (not ?v_455) ?v_456))) (=> true (=> ?v_453 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_454)))))))))))))) (=> true (=> ?v_455 (=> true ?v_456)))))) (let ((?v_458 (=> true (=> (= errorReached.19 errorReached.18) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_457)))))))))) (?v_398 (= call25985formal.ret.0 0))) (let ((?v_382 (not ?v_398))) (let ((?v_463 (and (=> true (=> ?v_382 (=> true (=> ?v_383 (=> ?v_384 (=> ?v_399 (=> ?v_400 (=> ?v_401 (=> ?v_402 (=> ?v_403 (=> ?v_404 (=> ?v_405 (=> ?v_406 (=> ?v_407 (=> ?v_408 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.) (=> ?v_409 (=> ?v_410 (=> ?v_411 (=> ?v_412 (=> ?v_413 (=> ?v_414 (=> ?v_415 (=> ?v_416 (=> ?v_316 (=> ?v_385 (=> ?v_417 (=> ?v_319 (=> ?v_418 (=> ?v_386 (=> ?v_322 (=> ?v_419 (=> ?v_387 (=> ?v_420 (=> ?v_388 (=> ?v_421 (=> ?v_422 (=> ?v_329 (=> ?v_423 (=> ?v_424 (=> ?v_425 (=> ?v_333 (=> ?v_389 (=> ?v_390 (=> ?v_426 (=> ?v_427 (=> ?v_428 (=> ?v_339 (=> ?v_429 (=> ?v_430 (=> ?v_431 (=> ?v_432 (=> ?v_433 (=> ?v_434 (=> ?v_435 (=> ?v_391 (=> ?v_436 (=> ?v_437 (=> ?v_392 (=> ?v_438 (=> (= errorReached.78 errorReached.18) (=> ?v_439 (=> ?v_440 (=> ?v_441 (=> ?v_442 (=> ?v_393 (=> ?v_443 (=> ?v_444 (=> ?v_445 (=> ?v_361 (=> ?v_446 (=> ?v_447 (=> ?v_448 (=> ?v_394 (=> ?v_449 (=> ?v_450 (=> ?v_451 (=> ?v_395 (=> ?v_370 ?v_452))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_398 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.19 1) ?v_457))))) (=> true (=> ?v_290 (=> ?v_291 ?v_458)))))) (=> true (=> ?v_56 ?v_458)))))))) (let ((?v_465 (=> (= reqSent_1.1 reqSent_1) (=> (= reqSent_0.1 reqSent_0) (=> true (=> true (=> true (=> true (=> true ?v_463)))))))) (?v_462 (= errorReached.18 errorReached.17))) (let ((?v_459 (=> true (=> ?v_462 (=> (= reqSent_1.1 reqSent_1.0) (=> (= reqSent_0.1 reqSent_0.0) ?v_463))))) (?v_460 (= reqSent_1.0 reqSent_1))) (let ((?v_461 (=> (= reqSent_0.0 reqSent_0) (=> true ?v_459)))) (let ((?v_464 (and (=> true (=> ?v_382 (and (=> true (=> ?v_0 (=> true (=> ?v_460 (=> (= reqSent_0.0 1) ?v_459))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqSent_1.0 1) ?v_461)))) (=> true (=> ?v_41 (=> true (=> ?v_460 ?v_461)))))))))) (=> true (=> ?v_398 (=> true (=> ?v_462 ?v_465))))))) (let ((?v_467 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.17 1) ?v_464))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.17 errorReached.16) (=> true ?v_464))))))))) (=> true (=> ?v_56 (=> true (=> (= errorReached.18 errorReached.16) ?v_465))))))) (let ((?v_469 (=> (= errorReached.16 errorReached.14) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_467))))))))))))))))))))))))))))) (?v_466 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.16 errorReached.15) ?v_467))))) (let ((?v_476 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.15 1) ?v_466))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.15 errorReached.14) (=> true ?v_466))))))))) (=> true (=> ?v_56 (and (=> true (=> ?v_196 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_469)))) (=> true (=> ?v_468 (and (=> true (=> ?v_199 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_469)))) (=> true (=> ?v_470 (and (=> true (=> ?v_200 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_469)))) (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_469)))))))))))))))) (let ((?v_472 (=> true (=> (= errorReached.14 errorReached.13) (=> (= reqCompleteSet_1.1 reqCompleteSet_1.0) (=> (= reqCompleteSet_0.1 reqCompleteSet_0.0) ?v_476))))) (?v_473 (= reqCompleteSet_1.0 reqCompleteSet_1))) (let ((?v_474 (=> (= reqCompleteSet_0.0 reqCompleteSet_0) (=> true ?v_472)))) (let ((?v_475 (and (=> true (=> ?v_0 (=> true (=> ?v_473 (=> (= reqCompleteSet_0.0 1) ?v_472))))) (=> true (=> ?v_39 (and (=> true (=> ?v_1 (=> true (=> (= reqCompleteSet_1.0 1) ?v_474)))) (=> true (=> ?v_41 (=> true (=> ?v_473 ?v_474)))))))))) (let ((?v_486 (and (=> true (=> ?v_482 (and (=> true (=> ?v_477 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.13 1) ?v_475))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_475))))))))) (=> true (=> ?v_56 (=> true (=> (= errorReached.14 errorReached.12) (=> (= reqCompleteSet_1.1 reqCompleteSet_1) (=> (= reqCompleteSet_0.1 reqCompleteSet_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_476))))))))))))))))))) (=> true (=> (not ?v_477) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.6 ?v_478) (=> true (=> ?v_383 (=> ?v_384 (=> ?v_399 (=> ?v_299 (=> ?v_401 (=> ?v_301 (=> ?v_302 (=> ?v_404 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.16) (=> ?v_406 (=> ?v_407 (=> ?v_408 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.6) (=> ?v_409 (=> ?v_410 (=> ?v_411 (=> ?v_412 (=> ?v_413 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_385 (=> ?v_417 (=> ?v_319 (=> ?v_418 (=> ?v_386 (=> ?v_322 (=> ?v_419 (=> ?v_387 (=> ?v_325 (=> ?v_388 (=> ?v_421 (=> ?v_422 (=> ?v_329 (=> ?v_423 (=> ?v_331 (=> ?v_425 (=> ?v_333 (=> ?v_389 (=> ?v_390 (=> ?v_426 (=> ?v_427 (=> ?v_428 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_431 (=> ?v_432 (=> ?v_433 (=> ?v_345 (=> ?v_346 (=> ?v_391 (=> ?v_348 (=> ?v_349 (=> ?v_392 (=> ?v_438 (=> ?v_483 (=> ?v_439 (=> ?v_440 (=> ?v_355 (=> ?v_442 (=> ?v_393 (=> ?v_358 (=> ?v_359 (=> ?v_445 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> ?v_448 (=> ?v_394 (=> ?v_366 (=> ?v_450 ?v_484))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_482) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.5 ?v_478) (=> true (=> ?v_383 (=> ?v_384 (=> ?v_399 (=> ?v_299 (=> ?v_401 (=> ?v_301 (=> ?v_302 (=> ?v_404 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.7) (=> ?v_406 (=> ?v_407 (=> ?v_408 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.5) (=> ?v_409 (=> ?v_410 (=> ?v_411 (=> ?v_412 (=> ?v_413 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_385 (=> ?v_417 (=> ?v_319 (=> ?v_418 (=> ?v_386 (=> ?v_322 (=> ?v_419 (=> ?v_387 (=> ?v_325 (=> ?v_388 (=> ?v_327 (=> ?v_422 (=> ?v_329 (=> ?v_423 (=> ?v_331 (=> ?v_425 (=> ?v_333 (=> ?v_389 (=> ?v_390 (=> ?v_426 (=> ?v_427 (=> ?v_428 ?v_489))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_485 (= call25522formal.ret.0 0))) (let ((?v_488 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_486))) (?v_487 (= call25522formal.ret.0 1))) (let ((?v_491 (and (=> true (=> (not ?v_381) (and (=> true (=> (not ?v_485) (=> (not ?v_487) ?v_488))) (=> true (=> ?v_485 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 ?v_49) (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_486))))))))))))))) (=> true (=> ?v_487 (=> true ?v_488)))))) (=> true (=> ?v_381 (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.4 ?v_478) (=> true (=> ?v_383 (=> ?v_384 (=> ?v_399 (=> ?v_299 (=> ?v_401 (=> ?v_301 (=> ?v_302 (=> ?v_303 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.6) (=> ?v_406 (=> ?v_407 (=> ?v_307 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.4) (=> ?v_409 (=> ?v_410 (=> ?v_411 (=> ?v_311 (=> ?v_413 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_385 (=> ?v_417 (=> ?v_319 (=> ?v_418 (=> ?v_386 (=> ?v_322 (=> ?v_419 (=> ?v_387 (=> ?v_325 (=> ?v_388 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> ?v_331 (=> ?v_425 (=> ?v_333 (=> ?v_389 (=> ?v_390 (=> ?v_426 (=> ?v_427 (=> ?v_338 ?v_489))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_490 (= call25427formal.ret.0 0))) (let ((?v_493 (and (=> true (=> (not ?v_490) (=> true (=> ?v_381 ?v_491)))) (=> true (=> ?v_490 (=> true (=> (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0 notused_4wdmobject1) (=> true (=> true (=> true (=> true (=> true ?v_491))))))))))) (?v_492 (< 256 myNondetVar_0.0))) (let ((?v_500 (=> true (=> (forall ((?r1 Int)) (! (= (or (not (= (BIT_BAND inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 ?r1) 0)) (not (= (BIT_BAND 2 ?r1) 0))) (not (= (BIT_BAND (BIT_BOR inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 2) ?r1) 0))) :pattern ((BIT_BAND (BIT_BOR inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 2) ?r1)) )) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.3 (BIT_BOR inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 2)) (and (=> true (=> ?v_492 (=> true (=> (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.0 256) ?v_493)))) (=> true (=> (not ?v_492) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.0 myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_493))))))))))))))))) (let ((?v_505 (and (=> true (=> ?v_501 (=> true (=> (forall ((?r2 Int)) (! (let ((?v_2833 (not (= (BIT_BAND 0 ?r2) 0)))) (= (or ?v_2833 ?v_2833) (not (= (BIT_BAND (BIT_BOR 0 0) ?r2) 0)))) :pattern ((BIT_BAND (BIT_BOR 0 0) ?r2)) )) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.1 (BIT_BOR 0 0)) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call25050formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0.tempBoogie0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= errorReached.12 errorReached.11) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 call25050formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.2 inline.ReadWriteBulkEndPoints.0.tempBoogie0.1) ?v_500)))))))))))))))))))))))) (=> true (=> (not ?v_501) (=> true (=> ?v_383 (=> ?v_384 (=> ?v_298 (=> ?v_299 (=> ?v_300 (=> ?v_301 (=> ?v_302 (=> ?v_303 (=> ?v_502 (=> ?v_305 (=> ?v_306 (=> ?v_307 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 call25050formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_385 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call25050formal.ret.0) (=> ?v_319 (=> ?v_320 (=> ?v_386 (=> ?v_322 (=> ?v_323 (=> ?v_387 (=> ?v_325 (=> ?v_388 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_389 (=> ?v_390 (=> ?v_336 (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_391 (=> ?v_348 (=> ?v_349 (=> ?v_392 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2) (=> (= errorReached.78 errorReached.11) (=> ?v_353 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_393 (=> ?v_358 (=> ?v_359 (=> ?v_360 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest) (=> ?v_394 (=> ?v_366 (=> ?v_367 (=> ?v_368 (=> ?v_395 (=> ?v_370 (=> ?v_371 (=> ?v_396 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest) ?v_503)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_504 (= call25050formal.ret.0 0))) (let ((?v_506 (and (=> true (=> (not ?v_504) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_49) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) ?v_505))))))) (=> true (=> ?v_504 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_505))))))))))))) (let ((?v_507 (=> true (=> (= errorReached.11 errorReached.9) (=> true (=> true (=> true ?v_506)))))) (?v_496 (and (=> true (=> ?v_494 (=> true (=> (forall ((?r3 Int)) (! (= (or (not (= (BIT_BAND 0 ?r3) 0)) (not (= (BIT_BAND 1 ?r3) 0))) (not (= (BIT_BAND (BIT_BOR 0 1) ?r3) 0))) :pattern ((BIT_BAND (BIT_BOR 0 1) ?r3)) )) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.0 (BIT_BOR 0 1)) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 call25164formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0.tempBoogie0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4.) (=> (= errorReached.12 errorReached.10) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call25164formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.2 inline.ReadWriteBulkEndPoints.0.tempBoogie0.0) ?v_500)))))))))))))))))))))))) (=> true (=> (not ?v_494) (=> true (=> ?v_383 (=> ?v_384 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 call25164formal.ret.0) (=> ?v_299 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call25164formal.ret.0) (=> ?v_301 (=> ?v_302 (=> ?v_303 (=> ?v_502 (=> ?v_305 (=> ?v_306 (=> ?v_307 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_308 (=> ?v_309 (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_385 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_386 (=> ?v_322 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> ?v_387 (=> ?v_325 (=> ?v_388 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_389 (=> ?v_390 (=> ?v_336 (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_391 (=> ?v_348 (=> ?v_349 (=> ?v_392 (=> ?v_351 (=> (= errorReached.78 errorReached.10) (=> ?v_353 (=> ?v_354 (=> ?v_355 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest) (=> ?v_393 (=> ?v_358 (=> ?v_359 (=> ?v_360 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> ?v_364 (=> ?v_394 (=> ?v_366 (=> ?v_367 (=> ?v_368 (=> ?v_395 (=> ?v_370 (=> ?v_371 (=> ?v_396 (=> ?v_373 (=> ?v_280 (=> ?v_374 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) ?v_397))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_495 (= call25164formal.ret.0 0))) (let ((?v_497 (and (=> true (=> (not ?v_495) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_49) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0) ?v_496))))))) (=> true (=> ?v_495 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_496))))))))))))) (let ((?v_498 (=> true (=> (= errorReached.10 errorReached.9) (=> true (=> true (=> true ?v_497))))))) (let ((?v_508 (and (=> true (=> ?v_380 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.10 1) ?v_497))))) (=> true (=> ?v_290 (=> ?v_291 ?v_498)))))) (=> true (=> ?v_56 ?v_498))))) (=> true (=> ?v_499 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.11 1) ?v_506))))) (=> true (=> ?v_290 (=> ?v_291 ?v_507)))))) (=> true (=> ?v_56 ?v_507))))))) (?v_379 (=> ?v_373 ?v_503))) (let ((?v_510 (and (=> true (=> (not (= 3 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.2)) (and (=> true (=> (not (= 4 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.3)) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.2 ?v_521) (=> true (=> ?v_383 (=> ?v_384 (=> ?v_298 (=> ?v_299 (=> ?v_300 (=> ?v_301 (=> ?v_302 (=> ?v_303 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.3) (=> ?v_305 (=> ?v_306 (=> ?v_307 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.2) (=> ?v_308 (=> ?v_309 (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_385 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_386 (=> ?v_322 (=> ?v_323 (=> ?v_387 (=> ?v_325 (=> ?v_388 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_389 (=> ?v_390 (=> ?v_336 (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_391 (=> ?v_348 (=> ?v_349 (=> ?v_392 (=> ?v_351 (=> (= errorReached.78 errorReached.9) (=> ?v_353 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_393 (=> ?v_358 (=> ?v_359 (=> ?v_360 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> ?v_364 (=> ?v_394 (=> ?v_366 (=> ?v_367 (=> ?v_368 (=> ?v_395 (=> ?v_370 (=> ?v_371 (=> ?v_396 ?v_379))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not (not (= 4 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.4))) (=> true (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.5 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.4) ?v_508))))))) (=> true (=> (not (not (= 3 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.1))) (=> true (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.5 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.1) (=> true ?v_508)))))))) (let ((?v_513 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_510))))))))))))))))))))))))))))))) (?v_512 (= errorReached.9 errorReached.6)) (?v_509 (=> true (=> (= errorReached.9 errorReached.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_510))))) (let ((?v_516 (and (=> true (=> ?v_378 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.8 1) ?v_509))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.8 errorReached.6) (=> true ?v_509))))))))) (=> true (=> ?v_1348 (and (=> true (=> ?v_511 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_513))))) (=> true (=> ?v_1350 (and (=> true (=> ?v_514 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_513))))) (=> true (=> ?v_1353 (and (=> true (=> ?v_515 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_513))))) (=> true (=> ?v_1354 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_513))))))))))))))))) (let ((?v_517 (=> true (=> (= errorReached.6 errorReached.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_516))))))))))))))) (let ((?v_518 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.6 1) ?v_516))))) (=> true (=> ?v_290 (=> ?v_291 ?v_517)))))) (=> true (=> ?v_56 ?v_517)))) (?v_377 (not (= 3 4))) (?v_296 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_297 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_304 (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0)) (?v_317 (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..0 inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2.)) (?v_321 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_324 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.0 inline.GetFileContext.1..Handle.1.107.0.GetFileContext1)) (?v_326 (= inline.GetFileContext.1.myNondetVar_0.1 inline.GetFileContext.1.myNondetVar_0)) (?v_334 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_335 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.0 inline.GetFileContext.1..Handle.1.107.0.GetFileContext)) (?v_347 (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..0 inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1.)) (?v_350 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2.)) (?v_352 (= errorReached.78 errorReached.2)) (?v_357 (= inline.GetFileContext.1..result.GetFileContext.107.0.1..0 inline.GetFileContext.1..result.GetFileContext.107.0.1.)) (?v_365 (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.0 0)) (?v_369 (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..0 inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_372 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_294 (< 65536 myNondetVar_0.0)) (?v_9 (int_2_U call24397formal.new.0)) (?v_10 (int_2_U call24400formal.new.0)) (?v_12 (int_2_U call24403formal.new.0)) (?v_13 (int_2_U call24406formal.new.0)) (?v_14 (int_2_U call24409formal.new.0))) (let ((?v_519 (=> true (and ?v_8 (=> ?v_8 (=> (> call24397formal.new.0 0) (=> (forall ((?x647 Int)) (! (=> (and (<= call24397formal.new.0 ?x647) (< ?x647 (+ call24397formal.new.0 32))) (= (Base ?x647) call24397formal.new.0)) :pattern ((Base ?x647)) )) (=> (forall ((?x648 boogieU)) (! (=> (= (type ?x648) intType) (or (= (U_2_int ?x648) call24397formal.new.0) (= (MapType0Select alloc.0 ?x648) (MapType0Select alloc.2 ?x648)))) :pattern ((MapType0Select alloc.2 ?x648)) )) (=> (and (= (MapType0Select alloc.0 ?v_9) UNALLOCATED) (= (MapType0Select alloc.2 ?v_9) ALLOCATED)) (and ?v_2 (=> ?v_2 (=> (> call24400formal.new.0 0) (=> (forall ((?x649 Int)) (! (=> (and (<= call24400formal.new.0 ?x649) (< ?x649 (+ call24400formal.new.0 20))) (= (Base ?x649) call24400formal.new.0)) :pattern ((Base ?x649)) )) (=> (forall ((?x650 boogieU)) (! (=> (= (type ?x650) intType) (or (= (U_2_int ?x650) call24400formal.new.0) (= (MapType0Select alloc.2 ?x650) (MapType0Select alloc.3 ?x650)))) :pattern ((MapType0Select alloc.3 ?x650)) )) (=> (and (= (MapType0Select alloc.2 ?v_10) UNALLOCATED) (= (MapType0Select alloc.3 ?v_10) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call24403formal.new.0 0) (=> (forall ((?x651 Int)) (! (=> (and (<= call24403formal.new.0 ?x651) (< ?x651 (+ call24403formal.new.0 4))) (= (Base ?x651) call24403formal.new.0)) :pattern ((Base ?x651)) )) (=> (forall ((?x652 boogieU)) (! (=> (= (type ?x652) intType) (or (= (U_2_int ?x652) call24403formal.new.0) (= (MapType0Select alloc.3 ?x652) (MapType0Select alloc.4 ?x652)))) :pattern ((MapType0Select alloc.4 ?x652)) )) (=> (and (= (MapType0Select alloc.3 ?v_12) UNALLOCATED) (= (MapType0Select alloc.4 ?v_12) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call24406formal.new.0 0) (=> (forall ((?x653 Int)) (! (=> (and (<= call24406formal.new.0 ?x653) (< ?x653 (+ call24406formal.new.0 4))) (= (Base ?x653) call24406formal.new.0)) :pattern ((Base ?x653)) )) (=> (forall ((?x654 boogieU)) (! (=> (= (type ?x654) intType) (or (= (U_2_int ?x654) call24406formal.new.0) (= (MapType0Select alloc.4 ?x654) (MapType0Select alloc.5 ?x654)))) :pattern ((MapType0Select alloc.5 ?x654)) )) (=> (and (= (MapType0Select alloc.4 ?v_13) UNALLOCATED) (= (MapType0Select alloc.5 ?v_13) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call24409formal.new.0 0) (=> (forall ((?x655 Int)) (! (=> (and (<= call24409formal.new.0 ?x655) (< ?x655 (+ call24409formal.new.0 4))) (= (Base ?x655) call24409formal.new.0)) :pattern ((Base ?x655)) )) (=> (forall ((?x656 boogieU)) (! (=> (= (type ?x656) intType) (or (= (U_2_int ?x656) call24409formal.new.0) (= (MapType0Select alloc.5 ?x656) (MapType0Select alloc.6 ?x656)))) :pattern ((MapType0Select alloc.6 ?x656)) )) (=> (and (= (MapType0Select alloc.5 ?v_14) UNALLOCATED) (= (MapType0Select alloc.6 ?v_14) ALLOCATED)) (and (=> true (=> ?v_294 (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.0 ?v_295) (=> true (=> ?v_296 (=> ?v_297 (=> ?v_298 (=> ?v_299 (=> ?v_300 (=> ?v_301 (=> ?v_302 (=> ?v_303 (=> ?v_304 (=> ?v_305 (=> ?v_306 (=> ?v_307 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.0) (=> ?v_308 (=> ?v_309 (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> ?v_323 (=> ?v_324 (=> ?v_325 (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> ?v_335 (=> ?v_336 (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> ?v_360 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> ?v_364 (=> ?v_365 (=> ?v_366 (=> ?v_367 (=> ?v_368 (=> ?v_369 (=> ?v_370 (=> ?v_371 (=> ?v_372 (=> ?v_373 (=> ?v_280 (=> ?v_374 (=> ?v_375 ?v_376))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_294) (and (=> true (=> ?v_499 (and (=> true (=> ?v_377 (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.1 ?v_295) (=> true (=> ?v_296 (=> ?v_297 (=> ?v_298 (=> ?v_299 (=> ?v_300 (=> ?v_301 (=> ?v_302 (=> ?v_303 (=> ?v_304 (=> ?v_305 (=> ?v_306 (=> ?v_307 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.1) (=> ?v_308 (=> ?v_309 (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> ?v_323 (=> ?v_324 (=> ?v_325 (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> ?v_335 (=> ?v_336 (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> ?v_360 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> ?v_364 (=> ?v_365 (=> ?v_366 (=> ?v_367 (=> ?v_368 (=> ?v_369 (=> ?v_370 (=> ?v_371 (=> ?v_372 ?v_379))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_377) ?v_518))))) (=> true (=> (not ?v_499) (=> true (=> true (=> true (=> true ?v_518))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2816 (and (=> true (=> (not ?v_2799) (and (=> true (=> (= 3 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.1) (=> true (=> (= inline.UsbSamp_EvtIoRead.0.myNondetVar_0.7 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.1) ?v_519)))) (=> true (=> (not (= 3 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.2)) (and (=> true (=> (= 4 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.6) (=> true (=> (= inline.UsbSamp_EvtIoRead.0.myNondetVar_0.7 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.6) (=> true (=> true ?v_519)))))) (=> true (=> (not (= 4 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.3)) (and (=> true (=> (= 2 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.5) (=> true (and ?v_2 (=> ?v_2 (=> (> call26475formal.new.0 0) (=> (forall ((?x645 Int)) (! (=> (and (<= call26475formal.new.0 ?x645) (< ?x645 (+ call26475formal.new.0 20))) (= (Base ?x645) call26475formal.new.0)) :pattern ((Base ?x645)) )) (=> (forall ((?x646 boogieU)) (! (=> (= (type ?x646) intType) (or (= (U_2_int ?x646) call26475formal.new.0) (= (MapType0Select alloc.0 ?x646) (MapType0Select alloc.1 ?x646)))) :pattern ((MapType0Select alloc.1 ?x646)) )) (=> (and (= (MapType0Select alloc.0 ?v_520) UNALLOCATED) (= (MapType0Select alloc.1 ?v_520) ALLOCATED)) (and (=> true (=> ?v_838 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.20 1) ?v_2225))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.20 errorReached.2) (=> true ?v_2225))))))))) (=> true (=> ?v_2198 (and (=> true (=> ?v_1401 (=> true (=> ?v_2227 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2228))))) (=> true (=> ?v_2200 (and (=> true (=> ?v_1404 (=> true (=> ?v_2227 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2228))))) (=> true (=> ?v_2203 (and (=> true (=> ?v_1405 (=> true (=> ?v_2227 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2228))))) (=> true (=> ?v_2204 (=> true (=> ?v_2227 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2228)))))))))))))))))))))))) (=> true (=> (not (= 2 inline.UsbSamp_EvtIoRead.0.myNondetVar_0.4)) (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.5 1) ?v_2797))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.5 errorReached.2) (=> true ?v_2797))))))))) (=> true (=> ?v_56 (=> true (=> (= errorReached.7 errorReached.2) (=> (= reqCancelSet_0.3 reqCancelSet_0) (=> (= reqCompleted_1.3 reqCompleted_1) (=> (= reqCancelSet_1.3 reqCancelSet_1) (=> (= reqCompleted_0.3 reqCompleted_0) (=> true (=> true (=> true ?v_2798))))))))))))))))))))))) (=> true (=> ?v_2799 (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.3 1) ?v_2813))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.3 errorReached.2) (=> true ?v_2813))))))))) (=> true (=> ?v_56 (=> true (=> (= errorReached.4 errorReached.2) (=> (= reqCancelSet_0.1 reqCancelSet_0) (=> (= reqCompleted_1.1 reqCompleted_1) (=> (= reqCancelSet_1.1 reqCancelSet_1) (=> (= reqCompleted_0.1 reqCompleted_0) (=> true (=> true (=> true ?v_2814))))))))))))))))) (let ((?v_2818 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2816))))))))))) (?v_2817 (= errorReached.2 errorReached.0)) (?v_2815 (=> true (=> (= errorReached.2 errorReached.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2816))))) (let ((?v_2819 (and (=> true (=> ?v_378 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.1 1) ?v_2815))))) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (= errorReached.1 errorReached.0) (=> true ?v_2815))))))))) (=> true (=> ?v_1348 (and (=> true (=> ?v_511 (=> true (=> ?v_2817 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2818))))) (=> true (=> ?v_1350 (and (=> true (=> ?v_514 (=> true (=> ?v_2817 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2818))))) (=> true (=> ?v_1353 (and (=> true (=> ?v_515 (=> true (=> ?v_2817 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2818))))) (=> true (=> ?v_1354 (=> true (=> ?v_2817 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2818))))))))))))))))) (let ((?v_2820 (=> true (=> (= errorReached.0 0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2819)))))))))))))) (?v_3 (int_2_U call23903formal.new.0))) (not (=> true (=> (= Mem_1_T.PWDFREQUEST__ Mem_s_1_T.PWDFREQUEST__) (=> (= reqCompleted_1 reqCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= reqCancelSet_1 reqCancelSet_s_1) (=> (= reqCancelStarted_1 reqCancelStarted_s_1) (=> (= reqCompleteSet_1 reqCompleteSet_s_1) (=> (= reqSent_1 reqSent_s_1) (=> true (=> ?v_290 (=> ?v_291 (=> true (=> (=> ?v_0 (= reqCancelSet_0 0)) (=> (=> ?v_1 (= reqCancelSet_1 0)) (=> true (=> (=> ?v_0 (= reqCancelStarted_0 0)) (=> (=> ?v_1 (= reqCancelStarted_1 0)) (=> true (=> (=> ?v_0 (= lockStatus_0 0)) (=> (=> ?v_1 (= lockStatus_1 0)) (=> true (=> (=> ?v_0 (= reqCompleteSet_0 0)) (=> (=> ?v_1 (= reqCompleteSet_1 0)) (=> true (=> (=> ?v_0 (= reqSent_0 0)) (=> (=> ?v_1 (= reqSent_1 0)) (=> true (and ?v_2 (=> ?v_2 (=> (> call23903formal.new.0 0) (=> (forall ((?x657 Int)) (! (=> (and (<= call23903formal.new.0 ?x657) (< ?x657 (+ call23903formal.new.0 20))) (= (Base ?x657) call23903formal.new.0)) :pattern ((Base ?x657)) )) (=> (forall ((?x658 boogieU)) (! (=> (= (type ?x658) intType) (or (= (U_2_int ?x658) call23903formal.new.0) (= (MapType0Select alloc ?x658) (MapType0Select alloc.0 ?x658)))) :pattern ((MapType0Select alloc.0 ?x658)) )) (=> (and (= (MapType0Select alloc ?v_3) UNALLOCATED) (= (MapType0Select alloc.0 ?v_3) ALLOCATED)) (and (=> true (=> ?v_24 (and (=> true (=> ?v_6 (=> ?v_7 (=> true (=> (= errorReached.0 1) ?v_2819))))) (=> true (=> ?v_290 (=> ?v_291 ?v_2820)))))) (=> true (=> ?v_56 ?v_2820))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
